/* File: embsolvecmodule.c
 * This file is auto-generated with f2py (version:2.1.3).
 * f2py is a Fortran to Python Interface Generator (FPIG), Second Edition,
 * written by Pearu Peterson <pearu@cens.ioc.ee>.
 * Generation date: Fri Apr  4 07:43:15 2025
 * Do not edit this file directly unless you know what you are doing!!!
 */

#ifdef __cplusplus
extern "C" {
#endif

#ifndef PY_SSIZE_T_CLEAN
#define PY_SSIZE_T_CLEAN
#endif /* PY_SSIZE_T_CLEAN */

/* Unconditionally included */
#include <Python.h>
#include <numpy/npy_os.h>

/*********************** See f2py2e/cfuncs.py: includes ***********************/
#include "fortranobject.h"
#include <math.h>

/**************** See f2py2e/rules.py: mod_rules['modulebody'] ****************/
static PyObject *embsolvec_error;
static PyObject *embsolvec_module;

/*********************** See f2py2e/cfuncs.py: typedefs ***********************/
/*need_typedefs*/

/****************** See f2py2e/cfuncs.py: typedefs_generated ******************/
/*need_typedefs_generated*/

/********************** See f2py2e/cfuncs.py: cppmacros **********************/

#if defined(PREPEND_FORTRAN)
#if defined(NO_APPEND_FORTRAN)
#if defined(UPPERCASE_FORTRAN)
#define F_FUNC(f,F) _##F
#else
#define F_FUNC(f,F) _##f
#endif
#else
#if defined(UPPERCASE_FORTRAN)
#define F_FUNC(f,F) _##F##_
#else
#define F_FUNC(f,F) _##f##_
#endif
#endif
#else
#if defined(NO_APPEND_FORTRAN)
#if defined(UPPERCASE_FORTRAN)
#define F_FUNC(f,F) F
#else
#define F_FUNC(f,F) f
#endif
#else
#if defined(UPPERCASE_FORTRAN)
#define F_FUNC(f,F) F##_
#else
#define F_FUNC(f,F) f##_
#endif
#endif
#endif
#if defined(UNDERSCORE_G77)
#define F_FUNC_US(f,F) F_FUNC(f##_,F##_)
#else
#define F_FUNC_US(f,F) F_FUNC(f,F)
#endif


/* See fortranobject.h for definitions. The macros here are provided for BC. */
#define rank f2py_rank
#define shape f2py_shape
#define fshape f2py_shape
#define len f2py_len
#define flen f2py_flen
#define slen f2py_slen
#define size f2py_size


#define CHECKSCALAR(check,tcheck,name,show,var)\
    if (!(check)) {\
        char errstring[256];\
        sprintf(errstring, "%s: "show, "("tcheck") failed for "name, var);\
        PyErr_SetString(embsolvec_error,errstring);\
        /*goto capi_fail;*/\
    } else

#ifdef DEBUGCFUNCS
#define CFUNCSMESS(mess) fprintf(stderr,"debug-capi:"mess);
#define CFUNCSMESSPY(mess,obj) CFUNCSMESS(mess) \
    PyObject_Print((PyObject *)obj,stderr,Py_PRINT_RAW);\
    fprintf(stderr,"\n");
#else
#define CFUNCSMESS(mess)
#define CFUNCSMESSPY(mess,obj)
#endif


#ifndef max
#define max(a,b) ((a > b) ? (a) : (b))
#endif
#ifndef min
#define min(a,b) ((a < b) ? (a) : (b))
#endif
#ifndef MAX
#define MAX(a,b) ((a > b) ? (a) : (b))
#endif
#ifndef MIN
#define MIN(a,b) ((a < b) ? (a) : (b))
#endif


/************************ See f2py2e/cfuncs.py: cfuncs ************************/

static int
double_from_pyobj(double* v, PyObject *obj, const char *errmess)
{
    PyObject* tmp = NULL;
    if (PyFloat_Check(obj)) {
        *v = PyFloat_AsDouble(obj);
        return !(*v == -1.0 && PyErr_Occurred());
    }

    tmp = PyNumber_Float(obj);
    if (tmp) {
        *v = PyFloat_AsDouble(tmp);
        Py_DECREF(tmp);
        return !(*v == -1.0 && PyErr_Occurred());
    }

    if (PyComplex_Check(obj)) {
        PyErr_Clear();
        tmp = PyObject_GetAttrString(obj,"real");
    }
    else if (PyBytes_Check(obj) || PyUnicode_Check(obj)) {
        /*pass*/;
    }
    else if (PySequence_Check(obj)) {
        PyErr_Clear();
        tmp = PySequence_GetItem(obj, 0);
    }

    if (tmp) {
        if (double_from_pyobj(v,tmp,errmess)) {Py_DECREF(tmp); return 1;}
        Py_DECREF(tmp);
    }
    {
        PyObject* err = PyErr_Occurred();
        if (err==NULL) err = embsolvec_error;
        PyErr_SetString(err,errmess);
    }
    return 0;
}


static int
int_from_pyobj(int* v, PyObject *obj, const char *errmess)
{
    PyObject* tmp = NULL;

    if (PyLong_Check(obj)) {
        *v = Npy__PyLong_AsInt(obj);
        return !(*v == -1 && PyErr_Occurred());
    }

    tmp = PyNumber_Long(obj);
    if (tmp) {
        *v = Npy__PyLong_AsInt(tmp);
        Py_DECREF(tmp);
        return !(*v == -1 && PyErr_Occurred());
    }

    if (PyComplex_Check(obj)) {
        PyErr_Clear();
        tmp = PyObject_GetAttrString(obj,"real");
    }
    else if (PyBytes_Check(obj) || PyUnicode_Check(obj)) {
        /*pass*/;
    }
    else if (PySequence_Check(obj)) {
        PyErr_Clear();
        tmp = PySequence_GetItem(obj, 0);
    }

    if (tmp) {
        if (int_from_pyobj(v, tmp, errmess)) {
            Py_DECREF(tmp);
            return 1;
        }
        Py_DECREF(tmp);
    }

    {
        PyObject* err = PyErr_Occurred();
        if (err == NULL) {
            err = embsolvec_error;
        }
        PyErr_SetString(err, errmess);
    }
    return 0;
}


static int
float_from_pyobj(float* v, PyObject *obj, const char *errmess)
{
    double d=0.0;
    if (double_from_pyobj(&d,obj,errmess)) {
        *v = (float)d;
        return 1;
    }
    return 0;
}


static int
short_from_pyobj(short* v, PyObject *obj, const char *errmess) {
    int i = 0;
    if (int_from_pyobj(&i, obj, errmess)) {
        *v = (short)i;
        return 1;
    }
    return 0;
}


/********************* See f2py2e/cfuncs.py: userincludes *********************/
/*need_userincludes*/

/********************* See f2py2e/capi_rules.py: usercode *********************/


/* See f2py2e/rules.py */
extern void F_FUNC_US(node_to_face,NODE_TO_FACE)(float*,float*,float*,float*,int*,int*,int*,int*);
extern void F_FUNC_US(node_to_cell,NODE_TO_CELL)(float*,float*,int*,int*,int*,int*);
extern void F_FUNC_US(cell_to_node,CELL_TO_NODE)(float*,float*,int*,int*,int*,int*);
extern void F_FUNC_US(cell_to_face,CELL_TO_FACE)(float*,float*,float*,float*,int*,int*,int*,int*);
extern void F_FUNC_US(set_fluxes,SET_FLUXES)(float*,float*,float*,float*,float*,float*,float*,float*,float*,short*,short*,short*,float*,float*,float*,int*,int*,int*,int*,int*,int*);
extern void F_FUNC_US(add_pressure_fluxes,ADD_PRESSURE_FLUXES)(float*,float*,float*,float*,int*,int*,int*);
extern void F_FUNC_US(sum_fluxes,SUM_FLUXES)(float*,float*,float*,float*,float*,float*,float*,int*,int*,int*,int*);
extern void F_FUNC_US(zero_wall_fluxes,ZERO_WALL_FLUXES)(float*,short*,int*,int*,int*,int*,int*);
extern void F_FUNC_US(get_by_ijk,GET_BY_IJK)(float*,float*,short*,int*,int*,int*,int*,int*);
extern void F_FUNC_US(average_by_ijk,AVERAGE_BY_IJK)(float*,float*,short*,short*,int*,int*,int*,int*,int*,int*,int*,int*);
extern void F_FUNC_US(set_by_ijk,SET_BY_IJK)(float*,float*,short*,int*,int*,int*,int*,int*,int*);
extern void F_FUNC_US(multigrid_integrate,MULTIGRID_INTEGRATE)(float*,float*,short*,float*,float*,int*,int*,int*,int*,int*);
extern void F_FUNC_US(set_timesteps,SET_TIMESTEPS)(float*,float*,float*,float*,float*,float*,short*,float*,int*,int*,int*,int*);
extern void F_FUNC_US(multigrid_indices,MULTIGRID_INDICES)(short*,short*,short*,short*,short*,short*);
extern void F_FUNC_US(multigrid_volumes,MULTIGRID_VOLUMES)(float*,float*,short*,int*,int*,int*,int*);
extern void F_FUNC(div,DIV)(float*,float*,float*,float*,float*,float*,int*,int*,int*);
extern void F_FUNC(grad,GRAD)(float*,float*,float*,float*,float*,float*,float*,float*,int*,int*,int*);
extern void F_FUNC(smooth,SMOOTH)(float*,float*,float*,float*,float*,float*,int*,int*,int*,int*);
extern void F_FUNC_US(shear_stress,SHEAR_STRESS)(float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,short*,short*,short*,float*,float*,float*,float*,float*,float*,float*,int*,int*,int*,int*,int*,int*);
extern void F_FUNC_US(viscous_flux,VISCOUS_FLUX)(float*,float*,float*,float*,float*,int*,int*,int*);
extern void F_FUNC_US(wall_function,WALL_FUNCTION)(float*,short*,int*,float*,float*,float*,float*,float*,float*,int*,int*,int*,int*);
extern void F_FUNC_US(zero_wall_stress,ZERO_WALL_STRESS)(float*,short*,int*,int*,int*,int*,int*);
/*eof externroutines*/

/******************** See f2py2e/capi_rules.py: usercode1 ********************/


/******************* See f2py2e/cb_rules.py: buildcallback *******************/
/*need_callbacks*/

/*********************** See f2py2e/rules.py: buildapi ***********************/

/******************************** node_to_face ********************************/
static char doc_f2py_rout_embsolvec_node_to_face[] = "\
node_to_face(xn,xi,xj,xk,[ni,nj,nk,np])\n\nWrapper for ``node_to_face``.\
\n\nParameters\n----------\n"
"xn : input rank-4 array('f') with bounds (ni,nj,nk,np)\n"
"xi : in/output rank-4 array('f') with bounds (ni,-1 + nj,-1 + nk,np)\n"
"xj : in/output rank-4 array('f') with bounds (-1 + ni,nj,-1 + nk,np)\n"
"xk : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,nk,np)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(xn, 0)\n"
"nj : input int, optional\n    Default: shape(xn, 1)\n"
"nk : input int, optional\n    Default: shape(xn, 2)\n"
"np : input int, optional\n    Default: shape(xn, 3)";
/* extern void F_FUNC_US(node_to_face,NODE_TO_FACE)(float*,float*,float*,float*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_node_to_face(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *xn = NULL;
    npy_intp xn_Dims[4] = {-1, -1, -1, -1};
    const int xn_Rank = 4;
    PyArrayObject *capi_xn_as_array = NULL;
    int capi_xn_intent = 0;
    PyObject *xn_capi = Py_None;
    float *xi = NULL;
    npy_intp xi_Dims[4] = {-1, -1, -1, -1};
    const int xi_Rank = 4;
    PyArrayObject *capi_xi_as_array = NULL;
    int capi_xi_intent = 0;
    PyObject *xi_capi = Py_None;
    float *xj = NULL;
    npy_intp xj_Dims[4] = {-1, -1, -1, -1};
    const int xj_Rank = 4;
    PyArrayObject *capi_xj_as_array = NULL;
    int capi_xj_intent = 0;
    PyObject *xj_capi = Py_None;
    float *xk = NULL;
    npy_intp xk_Dims[4] = {-1, -1, -1, -1};
    const int xk_Rank = 4;
    PyArrayObject *capi_xk_as_array = NULL;
    int capi_xk_intent = 0;
    PyObject *xk_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int np = 0;
    PyObject *np_capi = Py_None;
    static char *capi_kwlist[] = {"xn","xi","xj","xk","ni","nj","nk","np",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOO|OOOO:embsolvec.node_to_face",\
        capi_kwlist,&xn_capi,&xi_capi,&xj_capi,&xk_capi,&ni_capi,&nj_capi,&nk_capi,&np_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable xn */
    ;
    capi_xn_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.node_to_face: failed to create array from the 1st argument `xn`";
    capi_xn_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xn_Dims,xn_Rank,  capi_xn_intent,xn_capi,capi_errmess);
    if (capi_xn_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xn = (float *)(PyArray_DATA(capi_xn_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(xn, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.node_to_face() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 0) == ni,"shape(xn, 0) == ni","1st keyword ni","node_to_face:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(xn, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.node_to_face() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 1) == nj,"shape(xn, 1) == nj","2nd keyword nj","node_to_face:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(xn, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.node_to_face() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 2) == nk,"shape(xn, 2) == nk","3rd keyword nk","node_to_face:nk=%d",nk) {
    /* Processing variable np */
    if (np_capi == Py_None) np = shape(xn, 3); else
        f2py_success = int_from_pyobj(&np,np_capi,"embsolvec.node_to_face() 4th keyword (np) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 3) == np,"shape(xn, 3) == np","4th keyword np","node_to_face:np=%d",np) {
    /* Processing variable xi */
    xi_Dims[0]=ni,xi_Dims[1]=-1 + nj,xi_Dims[2]=-1 + nk,xi_Dims[3]=np;
    capi_xi_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.node_to_face: failed to create array from the 2nd argument `xi`";
    capi_xi_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xi_Dims,xi_Rank,  capi_xi_intent,xi_capi,capi_errmess);
    if (capi_xi_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xi = (float *)(PyArray_DATA(capi_xi_as_array));

    /* Processing variable xj */
    xj_Dims[0]=-1 + ni,xj_Dims[1]=nj,xj_Dims[2]=-1 + nk,xj_Dims[3]=np;
    capi_xj_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.node_to_face: failed to create array from the 3rd argument `xj`";
    capi_xj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xj_Dims,xj_Rank,  capi_xj_intent,xj_capi,capi_errmess);
    if (capi_xj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xj = (float *)(PyArray_DATA(capi_xj_as_array));

    /* Processing variable xk */
    xk_Dims[0]=-1 + ni,xk_Dims[1]=-1 + nj,xk_Dims[2]=nk,xk_Dims[3]=np;
    capi_xk_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.node_to_face: failed to create array from the 4th argument `xk`";
    capi_xk_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xk_Dims,xk_Rank,  capi_xk_intent,xk_capi,capi_errmess);
    if (capi_xk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xk = (float *)(PyArray_DATA(capi_xk_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(xn,xi,xj,xk,&ni,&nj,&nk,&np);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_xk_as_array!=xk_capi) {
        Py_XDECREF(capi_xk_as_array); }
    }  /* if (capi_xk_as_array == NULL) ... else of xk */
    /* End of cleaning variable xk */
    if((PyObject *)capi_xj_as_array!=xj_capi) {
        Py_XDECREF(capi_xj_as_array); }
    }  /* if (capi_xj_as_array == NULL) ... else of xj */
    /* End of cleaning variable xj */
    if((PyObject *)capi_xi_as_array!=xi_capi) {
        Py_XDECREF(capi_xi_as_array); }
    }  /* if (capi_xi_as_array == NULL) ... else of xi */
    /* End of cleaning variable xi */
    } /*CHECKSCALAR(shape(xn, 3) == np)*/
    } /*if (f2py_success) of np*/
    /* End of cleaning variable np */
    } /*CHECKSCALAR(shape(xn, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(xn, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(xn, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_xn_as_array!=xn_capi) {
        Py_XDECREF(capi_xn_as_array); }
    }  /* if (capi_xn_as_array == NULL) ... else of xn */
    /* End of cleaning variable xn */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of node_to_face ****************************/

/******************************** node_to_cell ********************************/
static char doc_f2py_rout_embsolvec_node_to_cell[] = "\
node_to_cell(xn,xc,[ni,nj,nk,np])\n\nWrapper for ``node_to_cell``.\
\n\nParameters\n----------\n"
"xn : input rank-4 array('f') with bounds (ni,nj,nk,np)\n"
"xc : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,np)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(xn, 0)\n"
"nj : input int, optional\n    Default: shape(xn, 1)\n"
"nk : input int, optional\n    Default: shape(xn, 2)\n"
"np : input int, optional\n    Default: shape(xn, 3)";
/* extern void F_FUNC_US(node_to_cell,NODE_TO_CELL)(float*,float*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_node_to_cell(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *xn = NULL;
    npy_intp xn_Dims[4] = {-1, -1, -1, -1};
    const int xn_Rank = 4;
    PyArrayObject *capi_xn_as_array = NULL;
    int capi_xn_intent = 0;
    PyObject *xn_capi = Py_None;
    float *xc = NULL;
    npy_intp xc_Dims[4] = {-1, -1, -1, -1};
    const int xc_Rank = 4;
    PyArrayObject *capi_xc_as_array = NULL;
    int capi_xc_intent = 0;
    PyObject *xc_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int np = 0;
    PyObject *np_capi = Py_None;
    static char *capi_kwlist[] = {"xn","xc","ni","nj","nk","np",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OO|OOOO:embsolvec.node_to_cell",\
        capi_kwlist,&xn_capi,&xc_capi,&ni_capi,&nj_capi,&nk_capi,&np_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable xn */
    ;
    capi_xn_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.node_to_cell: failed to create array from the 1st argument `xn`";
    capi_xn_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xn_Dims,xn_Rank,  capi_xn_intent,xn_capi,capi_errmess);
    if (capi_xn_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xn = (float *)(PyArray_DATA(capi_xn_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(xn, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.node_to_cell() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 0) == ni,"shape(xn, 0) == ni","1st keyword ni","node_to_cell:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(xn, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.node_to_cell() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 1) == nj,"shape(xn, 1) == nj","2nd keyword nj","node_to_cell:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(xn, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.node_to_cell() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 2) == nk,"shape(xn, 2) == nk","3rd keyword nk","node_to_cell:nk=%d",nk) {
    /* Processing variable np */
    if (np_capi == Py_None) np = shape(xn, 3); else
        f2py_success = int_from_pyobj(&np,np_capi,"embsolvec.node_to_cell() 4th keyword (np) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 3) == np,"shape(xn, 3) == np","4th keyword np","node_to_cell:np=%d",np) {
    /* Processing variable xc */
    xc_Dims[0]=-1 + ni,xc_Dims[1]=-1 + nj,xc_Dims[2]=-1 + nk,xc_Dims[3]=np;
    capi_xc_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.node_to_cell: failed to create array from the 2nd argument `xc`";
    capi_xc_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xc_Dims,xc_Rank,  capi_xc_intent,xc_capi,capi_errmess);
    if (capi_xc_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xc = (float *)(PyArray_DATA(capi_xc_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(xn,xc,&ni,&nj,&nk,&np);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_xc_as_array!=xc_capi) {
        Py_XDECREF(capi_xc_as_array); }
    }  /* if (capi_xc_as_array == NULL) ... else of xc */
    /* End of cleaning variable xc */
    } /*CHECKSCALAR(shape(xn, 3) == np)*/
    } /*if (f2py_success) of np*/
    /* End of cleaning variable np */
    } /*CHECKSCALAR(shape(xn, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(xn, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(xn, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_xn_as_array!=xn_capi) {
        Py_XDECREF(capi_xn_as_array); }
    }  /* if (capi_xn_as_array == NULL) ... else of xn */
    /* End of cleaning variable xn */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of node_to_cell ****************************/

/******************************** cell_to_node ********************************/
static char doc_f2py_rout_embsolvec_cell_to_node[] = "\
cell_to_node(xc,xn,[ni,nj,nk,np])\n\nWrapper for ``cell_to_node``.\
\n\nParameters\n----------\n"
"xc : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,np)\n"
"xn : in/output rank-4 array('f') with bounds (ni,nj,nk,np)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: 1 + shape(xc, 0)\n"
"nj : input int, optional\n    Default: 1 + shape(xc, 1)\n"
"nk : input int, optional\n    Default: 1 + shape(xc, 2)\n"
"np : input int, optional\n    Default: shape(xc, 3)";
/* extern void F_FUNC_US(cell_to_node,CELL_TO_NODE)(float*,float*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_cell_to_node(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *xc = NULL;
    npy_intp xc_Dims[4] = {-1, -1, -1, -1};
    const int xc_Rank = 4;
    PyArrayObject *capi_xc_as_array = NULL;
    int capi_xc_intent = 0;
    PyObject *xc_capi = Py_None;
    float *xn = NULL;
    npy_intp xn_Dims[4] = {-1, -1, -1, -1};
    const int xn_Rank = 4;
    PyArrayObject *capi_xn_as_array = NULL;
    int capi_xn_intent = 0;
    PyObject *xn_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int np = 0;
    PyObject *np_capi = Py_None;
    static char *capi_kwlist[] = {"xc","xn","ni","nj","nk","np",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OO|OOOO:embsolvec.cell_to_node",\
        capi_kwlist,&xc_capi,&xn_capi,&ni_capi,&nj_capi,&nk_capi,&np_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable xc */
    ;
    capi_xc_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.cell_to_node: failed to create array from the 1st argument `xc`";
    capi_xc_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xc_Dims,xc_Rank,  capi_xc_intent,xc_capi,capi_errmess);
    if (capi_xc_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xc = (float *)(PyArray_DATA(capi_xc_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = 1 + shape(xc, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.cell_to_node() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 0) == -1 + ni,"shape(xc, 0) == -1 + ni","1st keyword ni","cell_to_node:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = 1 + shape(xc, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.cell_to_node() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 1) == -1 + nj,"shape(xc, 1) == -1 + nj","2nd keyword nj","cell_to_node:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = 1 + shape(xc, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.cell_to_node() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 2) == -1 + nk,"shape(xc, 2) == -1 + nk","3rd keyword nk","cell_to_node:nk=%d",nk) {
    /* Processing variable np */
    if (np_capi == Py_None) np = shape(xc, 3); else
        f2py_success = int_from_pyobj(&np,np_capi,"embsolvec.cell_to_node() 4th keyword (np) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 3) == np,"shape(xc, 3) == np","4th keyword np","cell_to_node:np=%d",np) {
    /* Processing variable xn */
    xn_Dims[0]=ni,xn_Dims[1]=nj,xn_Dims[2]=nk,xn_Dims[3]=np;
    capi_xn_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.cell_to_node: failed to create array from the 2nd argument `xn`";
    capi_xn_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xn_Dims,xn_Rank,  capi_xn_intent,xn_capi,capi_errmess);
    if (capi_xn_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xn = (float *)(PyArray_DATA(capi_xn_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(xc,xn,&ni,&nj,&nk,&np);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_xn_as_array!=xn_capi) {
        Py_XDECREF(capi_xn_as_array); }
    }  /* if (capi_xn_as_array == NULL) ... else of xn */
    /* End of cleaning variable xn */
    } /*CHECKSCALAR(shape(xc, 3) == np)*/
    } /*if (f2py_success) of np*/
    /* End of cleaning variable np */
    } /*CHECKSCALAR(shape(xc, 2) == -1 + nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(xc, 1) == -1 + nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(xc, 0) == -1 + ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_xc_as_array!=xc_capi) {
        Py_XDECREF(capi_xc_as_array); }
    }  /* if (capi_xc_as_array == NULL) ... else of xc */
    /* End of cleaning variable xc */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of cell_to_node ****************************/

/******************************** cell_to_face ********************************/
static char doc_f2py_rout_embsolvec_cell_to_face[] = "\
cell_to_face(xc,xi,xj,xk,[ni,nj,nk,np])\n\nWrapper for ``cell_to_face``.\
\n\nParameters\n----------\n"
"xc : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,np)\n"
"xi : in/output rank-4 array('f') with bounds (ni,-1 + nj,-1 + nk,np)\n"
"xj : in/output rank-4 array('f') with bounds (-1 + ni,nj,-1 + nk,np)\n"
"xk : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,nk,np)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: 1 + shape(xc, 0)\n"
"nj : input int, optional\n    Default: 1 + shape(xc, 1)\n"
"nk : input int, optional\n    Default: 1 + shape(xc, 2)\n"
"np : input int, optional\n    Default: shape(xc, 3)";
/* extern void F_FUNC_US(cell_to_face,CELL_TO_FACE)(float*,float*,float*,float*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_cell_to_face(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *xc = NULL;
    npy_intp xc_Dims[4] = {-1, -1, -1, -1};
    const int xc_Rank = 4;
    PyArrayObject *capi_xc_as_array = NULL;
    int capi_xc_intent = 0;
    PyObject *xc_capi = Py_None;
    float *xi = NULL;
    npy_intp xi_Dims[4] = {-1, -1, -1, -1};
    const int xi_Rank = 4;
    PyArrayObject *capi_xi_as_array = NULL;
    int capi_xi_intent = 0;
    PyObject *xi_capi = Py_None;
    float *xj = NULL;
    npy_intp xj_Dims[4] = {-1, -1, -1, -1};
    const int xj_Rank = 4;
    PyArrayObject *capi_xj_as_array = NULL;
    int capi_xj_intent = 0;
    PyObject *xj_capi = Py_None;
    float *xk = NULL;
    npy_intp xk_Dims[4] = {-1, -1, -1, -1};
    const int xk_Rank = 4;
    PyArrayObject *capi_xk_as_array = NULL;
    int capi_xk_intent = 0;
    PyObject *xk_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int np = 0;
    PyObject *np_capi = Py_None;
    static char *capi_kwlist[] = {"xc","xi","xj","xk","ni","nj","nk","np",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOO|OOOO:embsolvec.cell_to_face",\
        capi_kwlist,&xc_capi,&xi_capi,&xj_capi,&xk_capi,&ni_capi,&nj_capi,&nk_capi,&np_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable xc */
    ;
    capi_xc_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.cell_to_face: failed to create array from the 1st argument `xc`";
    capi_xc_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xc_Dims,xc_Rank,  capi_xc_intent,xc_capi,capi_errmess);
    if (capi_xc_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xc = (float *)(PyArray_DATA(capi_xc_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = 1 + shape(xc, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.cell_to_face() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 0) == -1 + ni,"shape(xc, 0) == -1 + ni","1st keyword ni","cell_to_face:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = 1 + shape(xc, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.cell_to_face() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 1) == -1 + nj,"shape(xc, 1) == -1 + nj","2nd keyword nj","cell_to_face:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = 1 + shape(xc, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.cell_to_face() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 2) == -1 + nk,"shape(xc, 2) == -1 + nk","3rd keyword nk","cell_to_face:nk=%d",nk) {
    /* Processing variable np */
    if (np_capi == Py_None) np = shape(xc, 3); else
        f2py_success = int_from_pyobj(&np,np_capi,"embsolvec.cell_to_face() 4th keyword (np) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 3) == np,"shape(xc, 3) == np","4th keyword np","cell_to_face:np=%d",np) {
    /* Processing variable xi */
    xi_Dims[0]=ni,xi_Dims[1]=-1 + nj,xi_Dims[2]=-1 + nk,xi_Dims[3]=np;
    capi_xi_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.cell_to_face: failed to create array from the 2nd argument `xi`";
    capi_xi_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xi_Dims,xi_Rank,  capi_xi_intent,xi_capi,capi_errmess);
    if (capi_xi_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xi = (float *)(PyArray_DATA(capi_xi_as_array));

    /* Processing variable xj */
    xj_Dims[0]=-1 + ni,xj_Dims[1]=nj,xj_Dims[2]=-1 + nk,xj_Dims[3]=np;
    capi_xj_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.cell_to_face: failed to create array from the 3rd argument `xj`";
    capi_xj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xj_Dims,xj_Rank,  capi_xj_intent,xj_capi,capi_errmess);
    if (capi_xj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xj = (float *)(PyArray_DATA(capi_xj_as_array));

    /* Processing variable xk */
    xk_Dims[0]=-1 + ni,xk_Dims[1]=-1 + nj,xk_Dims[2]=nk,xk_Dims[3]=np;
    capi_xk_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.cell_to_face: failed to create array from the 4th argument `xk`";
    capi_xk_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xk_Dims,xk_Rank,  capi_xk_intent,xk_capi,capi_errmess);
    if (capi_xk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xk = (float *)(PyArray_DATA(capi_xk_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(xc,xi,xj,xk,&ni,&nj,&nk,&np);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_xk_as_array!=xk_capi) {
        Py_XDECREF(capi_xk_as_array); }
    }  /* if (capi_xk_as_array == NULL) ... else of xk */
    /* End of cleaning variable xk */
    if((PyObject *)capi_xj_as_array!=xj_capi) {
        Py_XDECREF(capi_xj_as_array); }
    }  /* if (capi_xj_as_array == NULL) ... else of xj */
    /* End of cleaning variable xj */
    if((PyObject *)capi_xi_as_array!=xi_capi) {
        Py_XDECREF(capi_xi_as_array); }
    }  /* if (capi_xi_as_array == NULL) ... else of xi */
    /* End of cleaning variable xi */
    } /*CHECKSCALAR(shape(xc, 3) == np)*/
    } /*if (f2py_success) of np*/
    /* End of cleaning variable np */
    } /*CHECKSCALAR(shape(xc, 2) == -1 + nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(xc, 1) == -1 + nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(xc, 0) == -1 + ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_xc_as_array!=xc_capi) {
        Py_XDECREF(capi_xc_as_array); }
    }  /* if (capi_xc_as_array == NULL) ... else of xc */
    /* End of cleaning variable xc */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of cell_to_face ****************************/

/********************************* set_fluxes *********************************/
static char doc_f2py_rout_embsolvec_set_fluxes[] = "\
set_fluxes(cons,vxrt,p,ho,omega,r,ri,rj,rk,ijk_iwall,ijk_jwall,ijk_kwall,fluxi,fluxj,fluxk,[ni,nj,nk,niwall,njwall,nkwall])\n\nWrapper for ``set_fluxes``.\
\n\nParameters\n----------\n"
"cons : input rank-4 array('f') with bounds (ni,nj,nk,5)\n"
"vxrt : input rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"p : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"ho : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"omega : input float\n"
"r : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"ri : input rank-3 array('f') with bounds (ni,-1 + nj,-1 + nk)\n"
"rj : input rank-3 array('f') with bounds (-1 + ni,nj,-1 + nk)\n"
"rk : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,nk)\n"
"ijk_iwall : input rank-2 array('h') with bounds (3,niwall)\n"
"ijk_jwall : input rank-2 array('h') with bounds (3,njwall)\n"
"ijk_kwall : input rank-2 array('h') with bounds (3,nkwall)\n"
"fluxi : in/output rank-5 array('f') with bounds (ni,-1 + nj,-1 + nk,3,5)\n"
"fluxj : in/output rank-5 array('f') with bounds (-1 + ni,nj,-1 + nk,3,5)\n"
"fluxk : in/output rank-5 array('f') with bounds (-1 + ni,-1 + nj,nk,3,5)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(cons, 0)\n"
"nj : input int, optional\n    Default: shape(cons, 1)\n"
"nk : input int, optional\n    Default: shape(cons, 2)\n"
"niwall : input int, optional\n    Default: shape(ijk_iwall, 1)\n"
"njwall : input int, optional\n    Default: shape(ijk_jwall, 1)\n"
"nkwall : input int, optional\n    Default: shape(ijk_kwall, 1)";
/* extern void F_FUNC_US(set_fluxes,SET_FLUXES)(float*,float*,float*,float*,float*,float*,float*,float*,float*,short*,short*,short*,float*,float*,float*,int*,int*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_set_fluxes(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,float*,float*,float*,short*,short*,short*,float*,float*,float*,int*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *cons = NULL;
    npy_intp cons_Dims[4] = {-1, -1, -1, -1};
    const int cons_Rank = 4;
    PyArrayObject *capi_cons_as_array = NULL;
    int capi_cons_intent = 0;
    PyObject *cons_capi = Py_None;
    float *vxrt = NULL;
    npy_intp vxrt_Dims[4] = {-1, -1, -1, -1};
    const int vxrt_Rank = 4;
    PyArrayObject *capi_vxrt_as_array = NULL;
    int capi_vxrt_intent = 0;
    PyObject *vxrt_capi = Py_None;
    float *p = NULL;
    npy_intp p_Dims[3] = {-1, -1, -1};
    const int p_Rank = 3;
    PyArrayObject *capi_p_as_array = NULL;
    int capi_p_intent = 0;
    PyObject *p_capi = Py_None;
    float *ho = NULL;
    npy_intp ho_Dims[3] = {-1, -1, -1};
    const int ho_Rank = 3;
    PyArrayObject *capi_ho_as_array = NULL;
    int capi_ho_intent = 0;
    PyObject *ho_capi = Py_None;
    float omega = 0;
    PyObject *omega_capi = Py_None;
    float *r = NULL;
    npy_intp r_Dims[3] = {-1, -1, -1};
    const int r_Rank = 3;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    float *ri = NULL;
    npy_intp ri_Dims[3] = {-1, -1, -1};
    const int ri_Rank = 3;
    PyArrayObject *capi_ri_as_array = NULL;
    int capi_ri_intent = 0;
    PyObject *ri_capi = Py_None;
    float *rj = NULL;
    npy_intp rj_Dims[3] = {-1, -1, -1};
    const int rj_Rank = 3;
    PyArrayObject *capi_rj_as_array = NULL;
    int capi_rj_intent = 0;
    PyObject *rj_capi = Py_None;
    float *rk = NULL;
    npy_intp rk_Dims[3] = {-1, -1, -1};
    const int rk_Rank = 3;
    PyArrayObject *capi_rk_as_array = NULL;
    int capi_rk_intent = 0;
    PyObject *rk_capi = Py_None;
    short *ijk_iwall = NULL;
    npy_intp ijk_iwall_Dims[2] = {-1, -1};
    const int ijk_iwall_Rank = 2;
    PyArrayObject *capi_ijk_iwall_as_array = NULL;
    int capi_ijk_iwall_intent = 0;
    PyObject *ijk_iwall_capi = Py_None;
    short *ijk_jwall = NULL;
    npy_intp ijk_jwall_Dims[2] = {-1, -1};
    const int ijk_jwall_Rank = 2;
    PyArrayObject *capi_ijk_jwall_as_array = NULL;
    int capi_ijk_jwall_intent = 0;
    PyObject *ijk_jwall_capi = Py_None;
    short *ijk_kwall = NULL;
    npy_intp ijk_kwall_Dims[2] = {-1, -1};
    const int ijk_kwall_Rank = 2;
    PyArrayObject *capi_ijk_kwall_as_array = NULL;
    int capi_ijk_kwall_intent = 0;
    PyObject *ijk_kwall_capi = Py_None;
    float *fluxi = NULL;
    npy_intp fluxi_Dims[5] = {-1, -1, -1, -1, -1};
    const int fluxi_Rank = 5;
    PyArrayObject *capi_fluxi_as_array = NULL;
    int capi_fluxi_intent = 0;
    PyObject *fluxi_capi = Py_None;
    float *fluxj = NULL;
    npy_intp fluxj_Dims[5] = {-1, -1, -1, -1, -1};
    const int fluxj_Rank = 5;
    PyArrayObject *capi_fluxj_as_array = NULL;
    int capi_fluxj_intent = 0;
    PyObject *fluxj_capi = Py_None;
    float *fluxk = NULL;
    npy_intp fluxk_Dims[5] = {-1, -1, -1, -1, -1};
    const int fluxk_Rank = 5;
    PyArrayObject *capi_fluxk_as_array = NULL;
    int capi_fluxk_intent = 0;
    PyObject *fluxk_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int niwall = 0;
    PyObject *niwall_capi = Py_None;
    int njwall = 0;
    PyObject *njwall_capi = Py_None;
    int nkwall = 0;
    PyObject *nkwall_capi = Py_None;
    static char *capi_kwlist[] = {"cons","vxrt","p","ho","omega","r","ri","rj","rk","ijk_iwall","ijk_jwall","ijk_kwall","fluxi","fluxj","fluxk","ni","nj","nk","niwall","njwall","nkwall",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOOOOOOOOOOO|OOOOOO:embsolvec.set_fluxes",\
        capi_kwlist,&cons_capi,&vxrt_capi,&p_capi,&ho_capi,&omega_capi,&r_capi,&ri_capi,&rj_capi,&rk_capi,&ijk_iwall_capi,&ijk_jwall_capi,&ijk_kwall_capi,&fluxi_capi,&fluxj_capi,&fluxk_capi,&ni_capi,&nj_capi,&nk_capi,&niwall_capi,&njwall_capi,&nkwall_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable cons */
    cons_Dims[3]=5;
    capi_cons_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.set_fluxes: failed to create array from the 1st argument `cons`";
    capi_cons_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,cons_Dims,cons_Rank,  capi_cons_intent,cons_capi,capi_errmess);
    if (capi_cons_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        cons = (float *)(PyArray_DATA(capi_cons_as_array));

    /* Processing variable omega */
        f2py_success = float_from_pyobj(&omega,omega_capi,"embsolvec.set_fluxes() 5th argument (omega) can't be converted to float");
    if (f2py_success) {
    /* Processing variable ijk_iwall */
    ijk_iwall_Dims[0]=3;
    capi_ijk_iwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.set_fluxes: failed to create array from the 10th argument `ijk_iwall`";
    capi_ijk_iwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_iwall_Dims,ijk_iwall_Rank,  capi_ijk_iwall_intent,ijk_iwall_capi,capi_errmess);
    if (capi_ijk_iwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_iwall = (short *)(PyArray_DATA(capi_ijk_iwall_as_array));

    /* Processing variable ijk_jwall */
    ijk_jwall_Dims[0]=3;
    capi_ijk_jwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.set_fluxes: failed to create array from the 11st argument `ijk_jwall`";
    capi_ijk_jwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_jwall_Dims,ijk_jwall_Rank,  capi_ijk_jwall_intent,ijk_jwall_capi,capi_errmess);
    if (capi_ijk_jwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_jwall = (short *)(PyArray_DATA(capi_ijk_jwall_as_array));

    /* Processing variable ijk_kwall */
    ijk_kwall_Dims[0]=3;
    capi_ijk_kwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.set_fluxes: failed to create array from the 12nd argument `ijk_kwall`";
    capi_ijk_kwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_kwall_Dims,ijk_kwall_Rank,  capi_ijk_kwall_intent,ijk_kwall_capi,capi_errmess);
    if (capi_ijk_kwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_kwall = (short *)(PyArray_DATA(capi_ijk_kwall_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(cons, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.set_fluxes() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 0) == ni,"shape(cons, 0) == ni","1st keyword ni","set_fluxes:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(cons, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.set_fluxes() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 1) == nj,"shape(cons, 1) == nj","2nd keyword nj","set_fluxes:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(cons, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.set_fluxes() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 2) == nk,"shape(cons, 2) == nk","3rd keyword nk","set_fluxes:nk=%d",nk) {
    /* Processing variable niwall */
    if (niwall_capi == Py_None) niwall = shape(ijk_iwall, 1); else
        f2py_success = int_from_pyobj(&niwall,niwall_capi,"embsolvec.set_fluxes() 4th keyword (niwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_iwall, 1) == niwall,"shape(ijk_iwall, 1) == niwall","4th keyword niwall","set_fluxes:niwall=%d",niwall) {
    /* Processing variable njwall */
    if (njwall_capi == Py_None) njwall = shape(ijk_jwall, 1); else
        f2py_success = int_from_pyobj(&njwall,njwall_capi,"embsolvec.set_fluxes() 5th keyword (njwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_jwall, 1) == njwall,"shape(ijk_jwall, 1) == njwall","5th keyword njwall","set_fluxes:njwall=%d",njwall) {
    /* Processing variable nkwall */
    if (nkwall_capi == Py_None) nkwall = shape(ijk_kwall, 1); else
        f2py_success = int_from_pyobj(&nkwall,nkwall_capi,"embsolvec.set_fluxes() 6th keyword (nkwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_kwall, 1) == nkwall,"shape(ijk_kwall, 1) == nkwall","6th keyword nkwall","set_fluxes:nkwall=%d",nkwall) {
    /* Processing variable vxrt */
    vxrt_Dims[0]=ni,vxrt_Dims[1]=nj,vxrt_Dims[2]=nk,vxrt_Dims[3]=3;
    capi_vxrt_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.set_fluxes: failed to create array from the 2nd argument `vxrt`";
    capi_vxrt_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vxrt_Dims,vxrt_Rank,  capi_vxrt_intent,vxrt_capi,capi_errmess);
    if (capi_vxrt_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vxrt = (float *)(PyArray_DATA(capi_vxrt_as_array));

    /* Processing variable p */
    p_Dims[0]=ni,p_Dims[1]=nj,p_Dims[2]=nk;
    capi_p_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.set_fluxes: failed to create array from the 3rd argument `p`";
    capi_p_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,p_Dims,p_Rank,  capi_p_intent,p_capi,capi_errmess);
    if (capi_p_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        p = (float *)(PyArray_DATA(capi_p_as_array));

    /* Processing variable ho */
    ho_Dims[0]=ni,ho_Dims[1]=nj,ho_Dims[2]=nk;
    capi_ho_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.set_fluxes: failed to create array from the 4th argument `ho`";
    capi_ho_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,ho_Dims,ho_Rank,  capi_ho_intent,ho_capi,capi_errmess);
    if (capi_ho_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ho = (float *)(PyArray_DATA(capi_ho_as_array));

    /* Processing variable r */
    r_Dims[0]=ni,r_Dims[1]=nj,r_Dims[2]=nk;
    capi_r_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.set_fluxes: failed to create array from the 6th argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable ri */
    ri_Dims[0]=ni,ri_Dims[1]=-1 + nj,ri_Dims[2]=-1 + nk;
    capi_ri_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.set_fluxes: failed to create array from the 7th argument `ri`";
    capi_ri_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,ri_Dims,ri_Rank,  capi_ri_intent,ri_capi,capi_errmess);
    if (capi_ri_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ri = (float *)(PyArray_DATA(capi_ri_as_array));

    /* Processing variable rj */
    rj_Dims[0]=-1 + ni,rj_Dims[1]=nj,rj_Dims[2]=-1 + nk;
    capi_rj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.set_fluxes: failed to create array from the 8th argument `rj`";
    capi_rj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rj_Dims,rj_Rank,  capi_rj_intent,rj_capi,capi_errmess);
    if (capi_rj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rj = (float *)(PyArray_DATA(capi_rj_as_array));

    /* Processing variable rk */
    rk_Dims[0]=-1 + ni,rk_Dims[1]=-1 + nj,rk_Dims[2]=nk;
    capi_rk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.set_fluxes: failed to create array from the 9th argument `rk`";
    capi_rk_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rk_Dims,rk_Rank,  capi_rk_intent,rk_capi,capi_errmess);
    if (capi_rk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rk = (float *)(PyArray_DATA(capi_rk_as_array));

    /* Processing variable fluxi */
    fluxi_Dims[0]=ni,fluxi_Dims[1]=-1 + nj,fluxi_Dims[2]=-1 + nk,fluxi_Dims[3]=3,fluxi_Dims[4]=5;
    capi_fluxi_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.set_fluxes: failed to create array from the 13rd argument `fluxi`";
    capi_fluxi_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fluxi_Dims,fluxi_Rank,  capi_fluxi_intent,fluxi_capi,capi_errmess);
    if (capi_fluxi_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fluxi = (float *)(PyArray_DATA(capi_fluxi_as_array));

    /* Processing variable fluxj */
    fluxj_Dims[0]=-1 + ni,fluxj_Dims[1]=nj,fluxj_Dims[2]=-1 + nk,fluxj_Dims[3]=3,fluxj_Dims[4]=5;
    capi_fluxj_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.set_fluxes: failed to create array from the 14th argument `fluxj`";
    capi_fluxj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fluxj_Dims,fluxj_Rank,  capi_fluxj_intent,fluxj_capi,capi_errmess);
    if (capi_fluxj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fluxj = (float *)(PyArray_DATA(capi_fluxj_as_array));

    /* Processing variable fluxk */
    fluxk_Dims[0]=-1 + ni,fluxk_Dims[1]=-1 + nj,fluxk_Dims[2]=nk,fluxk_Dims[3]=3,fluxk_Dims[4]=5;
    capi_fluxk_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.set_fluxes: failed to create array from the 15th argument `fluxk`";
    capi_fluxk_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fluxk_Dims,fluxk_Rank,  capi_fluxk_intent,fluxk_capi,capi_errmess);
    if (capi_fluxk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fluxk = (float *)(PyArray_DATA(capi_fluxk_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(cons,vxrt,p,ho,&omega,r,ri,rj,rk,ijk_iwall,ijk_jwall,ijk_kwall,fluxi,fluxj,fluxk,&ni,&nj,&nk,&niwall,&njwall,&nkwall);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_fluxk_as_array!=fluxk_capi) {
        Py_XDECREF(capi_fluxk_as_array); }
    }  /* if (capi_fluxk_as_array == NULL) ... else of fluxk */
    /* End of cleaning variable fluxk */
    if((PyObject *)capi_fluxj_as_array!=fluxj_capi) {
        Py_XDECREF(capi_fluxj_as_array); }
    }  /* if (capi_fluxj_as_array == NULL) ... else of fluxj */
    /* End of cleaning variable fluxj */
    if((PyObject *)capi_fluxi_as_array!=fluxi_capi) {
        Py_XDECREF(capi_fluxi_as_array); }
    }  /* if (capi_fluxi_as_array == NULL) ... else of fluxi */
    /* End of cleaning variable fluxi */
    if((PyObject *)capi_rk_as_array!=rk_capi) {
        Py_XDECREF(capi_rk_as_array); }
    }  /* if (capi_rk_as_array == NULL) ... else of rk */
    /* End of cleaning variable rk */
    if((PyObject *)capi_rj_as_array!=rj_capi) {
        Py_XDECREF(capi_rj_as_array); }
    }  /* if (capi_rj_as_array == NULL) ... else of rj */
    /* End of cleaning variable rj */
    if((PyObject *)capi_ri_as_array!=ri_capi) {
        Py_XDECREF(capi_ri_as_array); }
    }  /* if (capi_ri_as_array == NULL) ... else of ri */
    /* End of cleaning variable ri */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
    if((PyObject *)capi_ho_as_array!=ho_capi) {
        Py_XDECREF(capi_ho_as_array); }
    }  /* if (capi_ho_as_array == NULL) ... else of ho */
    /* End of cleaning variable ho */
    if((PyObject *)capi_p_as_array!=p_capi) {
        Py_XDECREF(capi_p_as_array); }
    }  /* if (capi_p_as_array == NULL) ... else of p */
    /* End of cleaning variable p */
    if((PyObject *)capi_vxrt_as_array!=vxrt_capi) {
        Py_XDECREF(capi_vxrt_as_array); }
    }  /* if (capi_vxrt_as_array == NULL) ... else of vxrt */
    /* End of cleaning variable vxrt */
    } /*CHECKSCALAR(shape(ijk_kwall, 1) == nkwall)*/
    } /*if (f2py_success) of nkwall*/
    /* End of cleaning variable nkwall */
    } /*CHECKSCALAR(shape(ijk_jwall, 1) == njwall)*/
    } /*if (f2py_success) of njwall*/
    /* End of cleaning variable njwall */
    } /*CHECKSCALAR(shape(ijk_iwall, 1) == niwall)*/
    } /*if (f2py_success) of niwall*/
    /* End of cleaning variable niwall */
    } /*CHECKSCALAR(shape(cons, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(cons, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(cons, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_ijk_kwall_as_array!=ijk_kwall_capi) {
        Py_XDECREF(capi_ijk_kwall_as_array); }
    }  /* if (capi_ijk_kwall_as_array == NULL) ... else of ijk_kwall */
    /* End of cleaning variable ijk_kwall */
    if((PyObject *)capi_ijk_jwall_as_array!=ijk_jwall_capi) {
        Py_XDECREF(capi_ijk_jwall_as_array); }
    }  /* if (capi_ijk_jwall_as_array == NULL) ... else of ijk_jwall */
    /* End of cleaning variable ijk_jwall */
    if((PyObject *)capi_ijk_iwall_as_array!=ijk_iwall_capi) {
        Py_XDECREF(capi_ijk_iwall_as_array); }
    }  /* if (capi_ijk_iwall_as_array == NULL) ... else of ijk_iwall */
    /* End of cleaning variable ijk_iwall */
    } /*if (f2py_success) of omega*/
    /* End of cleaning variable omega */
    if((PyObject *)capi_cons_as_array!=cons_capi) {
        Py_XDECREF(capi_cons_as_array); }
    }  /* if (capi_cons_as_array == NULL) ... else of cons */
    /* End of cleaning variable cons */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/***************************** end of set_fluxes *****************************/

/**************************** add_pressure_fluxes ****************************/
static char doc_f2py_rout_embsolvec_add_pressure_fluxes[] = "\
flux = add_pressure_fluxes(p,r,omega,[ni,nj,nk])\n\nWrapper for ``add_pressure_fluxes``.\
\n\nParameters\n----------\n"
"p : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"r : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"omega : input float\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(p, 0)\n"
"nj : input int, optional\n    Default: shape(p, 1)\n"
"nk : input int, optional\n    Default: shape(p, 2)\n"
"\nReturns\n-------\n"
"flux : rank-5 array('f') with bounds (ni,nj,nk,3,5)";
/* extern void F_FUNC_US(add_pressure_fluxes,ADD_PRESSURE_FLUXES)(float*,float*,float*,float*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_add_pressure_fluxes(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *flux = NULL;
    npy_intp flux_Dims[5] = {-1, -1, -1, -1, -1};
    const int flux_Rank = 5;
    PyArrayObject *capi_flux_as_array = NULL;
    int capi_flux_intent = 0;
    float *p = NULL;
    npy_intp p_Dims[3] = {-1, -1, -1};
    const int p_Rank = 3;
    PyArrayObject *capi_p_as_array = NULL;
    int capi_p_intent = 0;
    PyObject *p_capi = Py_None;
    float *r = NULL;
    npy_intp r_Dims[3] = {-1, -1, -1};
    const int r_Rank = 3;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    float omega = 0;
    PyObject *omega_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    static char *capi_kwlist[] = {"p","r","omega","ni","nj","nk",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOO|OOO:embsolvec.add_pressure_fluxes",\
        capi_kwlist,&p_capi,&r_capi,&omega_capi,&ni_capi,&nj_capi,&nk_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable omega */
        f2py_success = float_from_pyobj(&omega,omega_capi,"embsolvec.add_pressure_fluxes() 3rd argument (omega) can't be converted to float");
    if (f2py_success) {
    /* Processing variable p */
    ;
    capi_p_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.add_pressure_fluxes: failed to create array from the 1st argument `p`";
    capi_p_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,p_Dims,p_Rank,  capi_p_intent,p_capi,capi_errmess);
    if (capi_p_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        p = (float *)(PyArray_DATA(capi_p_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(p, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.add_pressure_fluxes() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(p, 0) == ni,"shape(p, 0) == ni","1st keyword ni","add_pressure_fluxes:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(p, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.add_pressure_fluxes() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(p, 1) == nj,"shape(p, 1) == nj","2nd keyword nj","add_pressure_fluxes:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(p, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.add_pressure_fluxes() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(p, 2) == nk,"shape(p, 2) == nk","3rd keyword nk","add_pressure_fluxes:nk=%d",nk) {
    /* Processing variable r */
    r_Dims[0]=ni,r_Dims[1]=nj,r_Dims[2]=nk;
    capi_r_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.add_pressure_fluxes: failed to create array from the 2nd argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable flux */
    flux_Dims[0]=ni,flux_Dims[1]=nj,flux_Dims[2]=nk,flux_Dims[3]=3,flux_Dims[4]=5;
    capi_flux_intent |= F2PY_INTENT_OUT|F2PY_INTENT_HIDE;
    const char * capi_errmess = "embsolvec.embsolvec.add_pressure_fluxes: failed to create array from the hidden `flux`";
    capi_flux_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,flux_Dims,flux_Rank,  capi_flux_intent,Py_None,capi_errmess);
    if (capi_flux_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        flux = (float *)(PyArray_DATA(capi_flux_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(flux,p,r,&omega,&ni,&nj,&nk);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("N",capi_flux_as_array);
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    }  /* if (capi_flux_as_array == NULL) ... else of flux */
    /* End of cleaning variable flux */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
    } /*CHECKSCALAR(shape(p, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(p, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(p, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_p_as_array!=p_capi) {
        Py_XDECREF(capi_p_as_array); }
    }  /* if (capi_p_as_array == NULL) ... else of p */
    /* End of cleaning variable p */
    } /*if (f2py_success) of omega*/
    /* End of cleaning variable omega */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/************************* end of add_pressure_fluxes *************************/

/********************************* sum_fluxes *********************************/
static char doc_f2py_rout_embsolvec_sum_fluxes[] = "\
fsum = sum_fluxes(fi,fj,fk,dai,daj,dak,[ni,nj,nk,np])\n\nWrapper for ``sum_fluxes``.\
\n\nParameters\n----------\n"
"fi : input rank-5 array('f') with bounds (ni,-1 + nj,-1 + nk,3,np)\n"
"fj : input rank-5 array('f') with bounds (-1 + ni,nj,-1 + nk,3,np)\n"
"fk : input rank-5 array('f') with bounds (-1 + ni,-1 + nj,nk,3,np)\n"
"dai : input rank-4 array('f') with bounds (ni,-1 + nj,-1 + nk,3)\n"
"daj : input rank-4 array('f') with bounds (-1 + ni,nj,-1 + nk,3)\n"
"dak : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,nk,3)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(fi, 0)\n"
"nj : input int, optional\n    Default: 1 + shape(fi, 1)\n"
"nk : input int, optional\n    Default: 1 + shape(fi, 2)\n"
"np : input int, optional\n    Default: shape(fi, 4)\n"
"\nReturns\n-------\n"
"fsum : rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,np)";
/* extern void F_FUNC_US(sum_fluxes,SUM_FLUXES)(float*,float*,float*,float*,float*,float*,float*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_sum_fluxes(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *fi = NULL;
    npy_intp fi_Dims[5] = {-1, -1, -1, -1, -1};
    const int fi_Rank = 5;
    PyArrayObject *capi_fi_as_array = NULL;
    int capi_fi_intent = 0;
    PyObject *fi_capi = Py_None;
    float *fj = NULL;
    npy_intp fj_Dims[5] = {-1, -1, -1, -1, -1};
    const int fj_Rank = 5;
    PyArrayObject *capi_fj_as_array = NULL;
    int capi_fj_intent = 0;
    PyObject *fj_capi = Py_None;
    float *fk = NULL;
    npy_intp fk_Dims[5] = {-1, -1, -1, -1, -1};
    const int fk_Rank = 5;
    PyArrayObject *capi_fk_as_array = NULL;
    int capi_fk_intent = 0;
    PyObject *fk_capi = Py_None;
    float *dai = NULL;
    npy_intp dai_Dims[4] = {-1, -1, -1, -1};
    const int dai_Rank = 4;
    PyArrayObject *capi_dai_as_array = NULL;
    int capi_dai_intent = 0;
    PyObject *dai_capi = Py_None;
    float *daj = NULL;
    npy_intp daj_Dims[4] = {-1, -1, -1, -1};
    const int daj_Rank = 4;
    PyArrayObject *capi_daj_as_array = NULL;
    int capi_daj_intent = 0;
    PyObject *daj_capi = Py_None;
    float *dak = NULL;
    npy_intp dak_Dims[4] = {-1, -1, -1, -1};
    const int dak_Rank = 4;
    PyArrayObject *capi_dak_as_array = NULL;
    int capi_dak_intent = 0;
    PyObject *dak_capi = Py_None;
    float *fsum = NULL;
    npy_intp fsum_Dims[4] = {-1, -1, -1, -1};
    const int fsum_Rank = 4;
    PyArrayObject *capi_fsum_as_array = NULL;
    int capi_fsum_intent = 0;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int np = 0;
    PyObject *np_capi = Py_None;
    static char *capi_kwlist[] = {"fi","fj","fk","dai","daj","dak","ni","nj","nk","np",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOO|OOOO:embsolvec.sum_fluxes",\
        capi_kwlist,&fi_capi,&fj_capi,&fk_capi,&dai_capi,&daj_capi,&dak_capi,&ni_capi,&nj_capi,&nk_capi,&np_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable fi */
    fi_Dims[3]=3;
    capi_fi_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.sum_fluxes: failed to create array from the 1st argument `fi`";
    capi_fi_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fi_Dims,fi_Rank,  capi_fi_intent,fi_capi,capi_errmess);
    if (capi_fi_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fi = (float *)(PyArray_DATA(capi_fi_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(fi, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.sum_fluxes() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fi, 0) == ni,"shape(fi, 0) == ni","1st keyword ni","sum_fluxes:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = 1 + shape(fi, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.sum_fluxes() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fi, 1) == -1 + nj,"shape(fi, 1) == -1 + nj","2nd keyword nj","sum_fluxes:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = 1 + shape(fi, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.sum_fluxes() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fi, 2) == -1 + nk,"shape(fi, 2) == -1 + nk","3rd keyword nk","sum_fluxes:nk=%d",nk) {
    /* Processing variable np */
    if (np_capi == Py_None) np = shape(fi, 4); else
        f2py_success = int_from_pyobj(&np,np_capi,"embsolvec.sum_fluxes() 4th keyword (np) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fi, 4) == np,"shape(fi, 4) == np","4th keyword np","sum_fluxes:np=%d",np) {
    /* Processing variable dai */
    dai_Dims[0]=ni,dai_Dims[1]=-1 + nj,dai_Dims[2]=-1 + nk,dai_Dims[3]=3;
    capi_dai_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.sum_fluxes: failed to create array from the 4th argument `dai`";
    capi_dai_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dai_Dims,dai_Rank,  capi_dai_intent,dai_capi,capi_errmess);
    if (capi_dai_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dai = (float *)(PyArray_DATA(capi_dai_as_array));

    /* Processing variable daj */
    daj_Dims[0]=-1 + ni,daj_Dims[1]=nj,daj_Dims[2]=-1 + nk,daj_Dims[3]=3;
    capi_daj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.sum_fluxes: failed to create array from the 5th argument `daj`";
    capi_daj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,daj_Dims,daj_Rank,  capi_daj_intent,daj_capi,capi_errmess);
    if (capi_daj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        daj = (float *)(PyArray_DATA(capi_daj_as_array));

    /* Processing variable dak */
    dak_Dims[0]=-1 + ni,dak_Dims[1]=-1 + nj,dak_Dims[2]=nk,dak_Dims[3]=3;
    capi_dak_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.sum_fluxes: failed to create array from the 6th argument `dak`";
    capi_dak_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dak_Dims,dak_Rank,  capi_dak_intent,dak_capi,capi_errmess);
    if (capi_dak_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dak = (float *)(PyArray_DATA(capi_dak_as_array));

    /* Processing variable fj */
    fj_Dims[0]=-1 + ni,fj_Dims[1]=nj,fj_Dims[2]=-1 + nk,fj_Dims[3]=3,fj_Dims[4]=np;
    capi_fj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.sum_fluxes: failed to create array from the 2nd argument `fj`";
    capi_fj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fj_Dims,fj_Rank,  capi_fj_intent,fj_capi,capi_errmess);
    if (capi_fj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fj = (float *)(PyArray_DATA(capi_fj_as_array));

    /* Processing variable fk */
    fk_Dims[0]=-1 + ni,fk_Dims[1]=-1 + nj,fk_Dims[2]=nk,fk_Dims[3]=3,fk_Dims[4]=np;
    capi_fk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.sum_fluxes: failed to create array from the 3rd argument `fk`";
    capi_fk_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fk_Dims,fk_Rank,  capi_fk_intent,fk_capi,capi_errmess);
    if (capi_fk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fk = (float *)(PyArray_DATA(capi_fk_as_array));

    /* Processing variable fsum */
    fsum_Dims[0]=-1 + ni,fsum_Dims[1]=-1 + nj,fsum_Dims[2]=-1 + nk,fsum_Dims[3]=np;
    capi_fsum_intent |= F2PY_INTENT_OUT|F2PY_INTENT_HIDE;
    const char * capi_errmess = "embsolvec.embsolvec.sum_fluxes: failed to create array from the hidden `fsum`";
    capi_fsum_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fsum_Dims,fsum_Rank,  capi_fsum_intent,Py_None,capi_errmess);
    if (capi_fsum_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fsum = (float *)(PyArray_DATA(capi_fsum_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(fi,fj,fk,dai,daj,dak,fsum,&ni,&nj,&nk,&np);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("N",capi_fsum_as_array);
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    }  /* if (capi_fsum_as_array == NULL) ... else of fsum */
    /* End of cleaning variable fsum */
    if((PyObject *)capi_fk_as_array!=fk_capi) {
        Py_XDECREF(capi_fk_as_array); }
    }  /* if (capi_fk_as_array == NULL) ... else of fk */
    /* End of cleaning variable fk */
    if((PyObject *)capi_fj_as_array!=fj_capi) {
        Py_XDECREF(capi_fj_as_array); }
    }  /* if (capi_fj_as_array == NULL) ... else of fj */
    /* End of cleaning variable fj */
    if((PyObject *)capi_dak_as_array!=dak_capi) {
        Py_XDECREF(capi_dak_as_array); }
    }  /* if (capi_dak_as_array == NULL) ... else of dak */
    /* End of cleaning variable dak */
    if((PyObject *)capi_daj_as_array!=daj_capi) {
        Py_XDECREF(capi_daj_as_array); }
    }  /* if (capi_daj_as_array == NULL) ... else of daj */
    /* End of cleaning variable daj */
    if((PyObject *)capi_dai_as_array!=dai_capi) {
        Py_XDECREF(capi_dai_as_array); }
    }  /* if (capi_dai_as_array == NULL) ... else of dai */
    /* End of cleaning variable dai */
    } /*CHECKSCALAR(shape(fi, 4) == np)*/
    } /*if (f2py_success) of np*/
    /* End of cleaning variable np */
    } /*CHECKSCALAR(shape(fi, 2) == -1 + nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(fi, 1) == -1 + nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(fi, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_fi_as_array!=fi_capi) {
        Py_XDECREF(capi_fi_as_array); }
    }  /* if (capi_fi_as_array == NULL) ... else of fi */
    /* End of cleaning variable fi */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/***************************** end of sum_fluxes *****************************/

/****************************** zero_wall_fluxes ******************************/
static char doc_f2py_rout_embsolvec_zero_wall_fluxes[] = "\
zero_wall_fluxes(x,ijk,[ni,nj,nk,nc,npt])\n\nWrapper for ``zero_wall_fluxes``.\
\n\nParameters\n----------\n"
"x : in/output rank-4 array('f') with bounds (ni,nj,nk,nc)\n"
"ijk : input rank-2 array('h') with bounds (3,npt)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(x, 0)\n"
"nj : input int, optional\n    Default: shape(x, 1)\n"
"nk : input int, optional\n    Default: shape(x, 2)\n"
"nc : input int, optional\n    Default: shape(x, 3)\n"
"npt : input int, optional\n    Default: shape(ijk, 1)";
/* extern void F_FUNC_US(zero_wall_fluxes,ZERO_WALL_FLUXES)(float*,short*,int*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_zero_wall_fluxes(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,short*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *x = NULL;
    npy_intp x_Dims[4] = {-1, -1, -1, -1};
    const int x_Rank = 4;
    PyArrayObject *capi_x_as_array = NULL;
    int capi_x_intent = 0;
    PyObject *x_capi = Py_None;
    short *ijk = NULL;
    npy_intp ijk_Dims[2] = {-1, -1};
    const int ijk_Rank = 2;
    PyArrayObject *capi_ijk_as_array = NULL;
    int capi_ijk_intent = 0;
    PyObject *ijk_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int nc = 0;
    PyObject *nc_capi = Py_None;
    int npt = 0;
    PyObject *npt_capi = Py_None;
    static char *capi_kwlist[] = {"x","ijk","ni","nj","nk","nc","npt",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OO|OOOOO:embsolvec.zero_wall_fluxes",\
        capi_kwlist,&x_capi,&ijk_capi,&ni_capi,&nj_capi,&nk_capi,&nc_capi,&npt_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable x */
    ;
    capi_x_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.zero_wall_fluxes: failed to create array from the 1st argument `x`";
    capi_x_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x_Dims,x_Rank,  capi_x_intent,x_capi,capi_errmess);
    if (capi_x_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x = (float *)(PyArray_DATA(capi_x_as_array));

    /* Processing variable ijk */
    ijk_Dims[0]=3;
    capi_ijk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.zero_wall_fluxes: failed to create array from the 2nd argument `ijk`";
    capi_ijk_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_Dims,ijk_Rank,  capi_ijk_intent,ijk_capi,capi_errmess);
    if (capi_ijk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk = (short *)(PyArray_DATA(capi_ijk_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(x, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.zero_wall_fluxes() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 0) == ni,"shape(x, 0) == ni","1st keyword ni","zero_wall_fluxes:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(x, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.zero_wall_fluxes() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 1) == nj,"shape(x, 1) == nj","2nd keyword nj","zero_wall_fluxes:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(x, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.zero_wall_fluxes() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 2) == nk,"shape(x, 2) == nk","3rd keyword nk","zero_wall_fluxes:nk=%d",nk) {
    /* Processing variable nc */
    if (nc_capi == Py_None) nc = shape(x, 3); else
        f2py_success = int_from_pyobj(&nc,nc_capi,"embsolvec.zero_wall_fluxes() 4th keyword (nc) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 3) == nc,"shape(x, 3) == nc","4th keyword nc","zero_wall_fluxes:nc=%d",nc) {
    /* Processing variable npt */
    if (npt_capi == Py_None) npt = shape(ijk, 1); else
        f2py_success = int_from_pyobj(&npt,npt_capi,"embsolvec.zero_wall_fluxes() 5th keyword (npt) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk, 1) == npt,"shape(ijk, 1) == npt","5th keyword npt","zero_wall_fluxes:npt=%d",npt) {
/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(x,ijk,&ni,&nj,&nk,&nc,&npt);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    } /*CHECKSCALAR(shape(ijk, 1) == npt)*/
    } /*if (f2py_success) of npt*/
    /* End of cleaning variable npt */
    } /*CHECKSCALAR(shape(x, 3) == nc)*/
    } /*if (f2py_success) of nc*/
    /* End of cleaning variable nc */
    } /*CHECKSCALAR(shape(x, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(x, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(x, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_ijk_as_array!=ijk_capi) {
        Py_XDECREF(capi_ijk_as_array); }
    }  /* if (capi_ijk_as_array == NULL) ... else of ijk */
    /* End of cleaning variable ijk */
    if((PyObject *)capi_x_as_array!=x_capi) {
        Py_XDECREF(capi_x_as_array); }
    }  /* if (capi_x_as_array == NULL) ... else of x */
    /* End of cleaning variable x */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/************************** end of zero_wall_fluxes **************************/

/********************************* get_by_ijk *********************************/
static char doc_f2py_rout_embsolvec_get_by_ijk[] = "\
xu = get_by_ijk(x,ijk,[ni,nj,nk,nv,npt])\n\nWrapper for ``get_by_ijk``.\
\n\nParameters\n----------\n"
"x : in/output rank-4 array('f') with bounds (ni,nj,nk,nv)\n"
"ijk : input rank-2 array('h') with bounds (3,npt)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(x, 0)\n"
"nj : input int, optional\n    Default: shape(x, 1)\n"
"nk : input int, optional\n    Default: shape(x, 2)\n"
"nv : input int, optional\n    Default: shape(x, 3)\n"
"npt : input int, optional\n    Default: shape(ijk, 1)\n"
"\nReturns\n-------\n"
"xu : rank-1 array('f') with bounds (npt * nv)";
/* extern void F_FUNC_US(get_by_ijk,GET_BY_IJK)(float*,float*,short*,int*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_get_by_ijk(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,short*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *x = NULL;
    npy_intp x_Dims[4] = {-1, -1, -1, -1};
    const int x_Rank = 4;
    PyArrayObject *capi_x_as_array = NULL;
    int capi_x_intent = 0;
    PyObject *x_capi = Py_None;
    float *xu = NULL;
    npy_intp xu_Dims[1] = {-1};
    const int xu_Rank = 1;
    PyArrayObject *capi_xu_as_array = NULL;
    int capi_xu_intent = 0;
    short *ijk = NULL;
    npy_intp ijk_Dims[2] = {-1, -1};
    const int ijk_Rank = 2;
    PyArrayObject *capi_ijk_as_array = NULL;
    int capi_ijk_intent = 0;
    PyObject *ijk_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int nv = 0;
    PyObject *nv_capi = Py_None;
    int npt = 0;
    PyObject *npt_capi = Py_None;
    static char *capi_kwlist[] = {"x","ijk","ni","nj","nk","nv","npt",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OO|OOOOO:embsolvec.get_by_ijk",\
        capi_kwlist,&x_capi,&ijk_capi,&ni_capi,&nj_capi,&nk_capi,&nv_capi,&npt_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable x */
    ;
    capi_x_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.get_by_ijk: failed to create array from the 1st argument `x`";
    capi_x_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x_Dims,x_Rank,  capi_x_intent,x_capi,capi_errmess);
    if (capi_x_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x = (float *)(PyArray_DATA(capi_x_as_array));

    /* Processing variable ijk */
    ijk_Dims[0]=3;
    capi_ijk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.get_by_ijk: failed to create array from the 2nd argument `ijk`";
    capi_ijk_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_Dims,ijk_Rank,  capi_ijk_intent,ijk_capi,capi_errmess);
    if (capi_ijk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk = (short *)(PyArray_DATA(capi_ijk_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(x, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.get_by_ijk() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 0) == ni,"shape(x, 0) == ni","1st keyword ni","get_by_ijk:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(x, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.get_by_ijk() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 1) == nj,"shape(x, 1) == nj","2nd keyword nj","get_by_ijk:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(x, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.get_by_ijk() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 2) == nk,"shape(x, 2) == nk","3rd keyword nk","get_by_ijk:nk=%d",nk) {
    /* Processing variable nv */
    if (nv_capi == Py_None) nv = shape(x, 3); else
        f2py_success = int_from_pyobj(&nv,nv_capi,"embsolvec.get_by_ijk() 4th keyword (nv) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 3) == nv,"shape(x, 3) == nv","4th keyword nv","get_by_ijk:nv=%d",nv) {
    /* Processing variable npt */
    if (npt_capi == Py_None) npt = shape(ijk, 1); else
        f2py_success = int_from_pyobj(&npt,npt_capi,"embsolvec.get_by_ijk() 5th keyword (npt) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk, 1) == npt,"shape(ijk, 1) == npt","5th keyword npt","get_by_ijk:npt=%d",npt) {
    /* Processing variable xu */
    xu_Dims[0]=npt * nv;
    capi_xu_intent |= F2PY_INTENT_OUT|F2PY_INTENT_HIDE;
    const char * capi_errmess = "embsolvec.embsolvec.get_by_ijk: failed to create array from the hidden `xu`";
    capi_xu_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xu_Dims,xu_Rank,  capi_xu_intent,Py_None,capi_errmess);
    if (capi_xu_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xu = (float *)(PyArray_DATA(capi_xu_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(x,xu,ijk,&ni,&nj,&nk,&nv,&npt);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("N",capi_xu_as_array);
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    }  /* if (capi_xu_as_array == NULL) ... else of xu */
    /* End of cleaning variable xu */
    } /*CHECKSCALAR(shape(ijk, 1) == npt)*/
    } /*if (f2py_success) of npt*/
    /* End of cleaning variable npt */
    } /*CHECKSCALAR(shape(x, 3) == nv)*/
    } /*if (f2py_success) of nv*/
    /* End of cleaning variable nv */
    } /*CHECKSCALAR(shape(x, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(x, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(x, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_ijk_as_array!=ijk_capi) {
        Py_XDECREF(capi_ijk_as_array); }
    }  /* if (capi_ijk_as_array == NULL) ... else of ijk */
    /* End of cleaning variable ijk */
    if((PyObject *)capi_x_as_array!=x_capi) {
        Py_XDECREF(capi_x_as_array); }
    }  /* if (capi_x_as_array == NULL) ... else of x */
    /* End of cleaning variable x */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/***************************** end of get_by_ijk *****************************/

/******************************* average_by_ijk *******************************/
static char doc_f2py_rout_embsolvec_average_by_ijk[] = "\
average_by_ijk(x1,x2,ijk1,ijk2,[ni1,nj1,nk1,ni2,nj2,nk2,npt,nv])\n\nWrapper for ``average_by_ijk``.\
\n\nParameters\n----------\n"
"x1 : in/output rank-4 array('f') with bounds (ni1,nj1,nk1,nv)\n"
"x2 : in/output rank-4 array('f') with bounds (ni2,nj2,nk2,nv)\n"
"ijk1 : input rank-2 array('h') with bounds (3,npt)\n"
"ijk2 : input rank-2 array('h') with bounds (3,npt)\n"
"\nOther Parameters\n----------------\n"
"ni1 : input int, optional\n    Default: shape(x1, 0)\n"
"nj1 : input int, optional\n    Default: shape(x1, 1)\n"
"nk1 : input int, optional\n    Default: shape(x1, 2)\n"
"ni2 : input int, optional\n    Default: shape(x2, 0)\n"
"nj2 : input int, optional\n    Default: shape(x2, 1)\n"
"nk2 : input int, optional\n    Default: shape(x2, 2)\n"
"npt : input int, optional\n    Default: shape(ijk1, 1)\n"
"nv : input int, optional\n    Default: shape(x1, 3)";
/* extern void F_FUNC_US(average_by_ijk,AVERAGE_BY_IJK)(float*,float*,short*,short*,int*,int*,int*,int*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_average_by_ijk(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,short*,short*,int*,int*,int*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *x1 = NULL;
    npy_intp x1_Dims[4] = {-1, -1, -1, -1};
    const int x1_Rank = 4;
    PyArrayObject *capi_x1_as_array = NULL;
    int capi_x1_intent = 0;
    PyObject *x1_capi = Py_None;
    float *x2 = NULL;
    npy_intp x2_Dims[4] = {-1, -1, -1, -1};
    const int x2_Rank = 4;
    PyArrayObject *capi_x2_as_array = NULL;
    int capi_x2_intent = 0;
    PyObject *x2_capi = Py_None;
    short *ijk1 = NULL;
    npy_intp ijk1_Dims[2] = {-1, -1};
    const int ijk1_Rank = 2;
    PyArrayObject *capi_ijk1_as_array = NULL;
    int capi_ijk1_intent = 0;
    PyObject *ijk1_capi = Py_None;
    short *ijk2 = NULL;
    npy_intp ijk2_Dims[2] = {-1, -1};
    const int ijk2_Rank = 2;
    PyArrayObject *capi_ijk2_as_array = NULL;
    int capi_ijk2_intent = 0;
    PyObject *ijk2_capi = Py_None;
    int ni1 = 0;
    PyObject *ni1_capi = Py_None;
    int nj1 = 0;
    PyObject *nj1_capi = Py_None;
    int nk1 = 0;
    PyObject *nk1_capi = Py_None;
    int ni2 = 0;
    PyObject *ni2_capi = Py_None;
    int nj2 = 0;
    PyObject *nj2_capi = Py_None;
    int nk2 = 0;
    PyObject *nk2_capi = Py_None;
    int npt = 0;
    PyObject *npt_capi = Py_None;
    int nv = 0;
    PyObject *nv_capi = Py_None;
    static char *capi_kwlist[] = {"x1","x2","ijk1","ijk2","ni1","nj1","nk1","ni2","nj2","nk2","npt","nv",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOO|OOOOOOOO:embsolvec.average_by_ijk",\
        capi_kwlist,&x1_capi,&x2_capi,&ijk1_capi,&ijk2_capi,&ni1_capi,&nj1_capi,&nk1_capi,&ni2_capi,&nj2_capi,&nk2_capi,&npt_capi,&nv_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable x1 */
    ;
    capi_x1_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.average_by_ijk: failed to create array from the 1st argument `x1`";
    capi_x1_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x1_Dims,x1_Rank,  capi_x1_intent,x1_capi,capi_errmess);
    if (capi_x1_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x1 = (float *)(PyArray_DATA(capi_x1_as_array));

    /* Processing variable ijk1 */
    ijk1_Dims[0]=3;
    capi_ijk1_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.average_by_ijk: failed to create array from the 3rd argument `ijk1`";
    capi_ijk1_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk1_Dims,ijk1_Rank,  capi_ijk1_intent,ijk1_capi,capi_errmess);
    if (capi_ijk1_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk1 = (short *)(PyArray_DATA(capi_ijk1_as_array));

    /* Processing variable npt */
    if (npt_capi == Py_None) npt = shape(ijk1, 1); else
        f2py_success = int_from_pyobj(&npt,npt_capi,"embsolvec.average_by_ijk() 7th keyword (npt) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk1, 1) == npt,"shape(ijk1, 1) == npt","7th keyword npt","average_by_ijk:npt=%d",npt) {
    /* Processing variable ni1 */
    if (ni1_capi == Py_None) ni1 = shape(x1, 0); else
        f2py_success = int_from_pyobj(&ni1,ni1_capi,"embsolvec.average_by_ijk() 1st keyword (ni1) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x1, 0) == ni1,"shape(x1, 0) == ni1","1st keyword ni1","average_by_ijk:ni1=%d",ni1) {
    /* Processing variable nj1 */
    if (nj1_capi == Py_None) nj1 = shape(x1, 1); else
        f2py_success = int_from_pyobj(&nj1,nj1_capi,"embsolvec.average_by_ijk() 2nd keyword (nj1) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x1, 1) == nj1,"shape(x1, 1) == nj1","2nd keyword nj1","average_by_ijk:nj1=%d",nj1) {
    /* Processing variable nk1 */
    if (nk1_capi == Py_None) nk1 = shape(x1, 2); else
        f2py_success = int_from_pyobj(&nk1,nk1_capi,"embsolvec.average_by_ijk() 3rd keyword (nk1) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x1, 2) == nk1,"shape(x1, 2) == nk1","3rd keyword nk1","average_by_ijk:nk1=%d",nk1) {
    /* Processing variable nv */
    if (nv_capi == Py_None) nv = shape(x1, 3); else
        f2py_success = int_from_pyobj(&nv,nv_capi,"embsolvec.average_by_ijk() 8th keyword (nv) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x1, 3) == nv,"shape(x1, 3) == nv","8th keyword nv","average_by_ijk:nv=%d",nv) {
    /* Processing variable x2 */
    x2_Dims[3]=nv;
    capi_x2_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.average_by_ijk: failed to create array from the 2nd argument `x2`";
    capi_x2_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x2_Dims,x2_Rank,  capi_x2_intent,x2_capi,capi_errmess);
    if (capi_x2_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x2 = (float *)(PyArray_DATA(capi_x2_as_array));

    /* Processing variable ijk2 */
    ijk2_Dims[0]=3,ijk2_Dims[1]=npt;
    capi_ijk2_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.average_by_ijk: failed to create array from the 4th argument `ijk2`";
    capi_ijk2_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk2_Dims,ijk2_Rank,  capi_ijk2_intent,ijk2_capi,capi_errmess);
    if (capi_ijk2_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk2 = (short *)(PyArray_DATA(capi_ijk2_as_array));

    /* Processing variable ni2 */
    if (ni2_capi == Py_None) ni2 = shape(x2, 0); else
        f2py_success = int_from_pyobj(&ni2,ni2_capi,"embsolvec.average_by_ijk() 4th keyword (ni2) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x2, 0) == ni2,"shape(x2, 0) == ni2","4th keyword ni2","average_by_ijk:ni2=%d",ni2) {
    /* Processing variable nj2 */
    if (nj2_capi == Py_None) nj2 = shape(x2, 1); else
        f2py_success = int_from_pyobj(&nj2,nj2_capi,"embsolvec.average_by_ijk() 5th keyword (nj2) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x2, 1) == nj2,"shape(x2, 1) == nj2","5th keyword nj2","average_by_ijk:nj2=%d",nj2) {
    /* Processing variable nk2 */
    if (nk2_capi == Py_None) nk2 = shape(x2, 2); else
        f2py_success = int_from_pyobj(&nk2,nk2_capi,"embsolvec.average_by_ijk() 6th keyword (nk2) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x2, 2) == nk2,"shape(x2, 2) == nk2","6th keyword nk2","average_by_ijk:nk2=%d",nk2) {
/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(x1,x2,ijk1,ijk2,&ni1,&nj1,&nk1,&ni2,&nj2,&nk2,&npt,&nv);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    } /*CHECKSCALAR(shape(x2, 2) == nk2)*/
    } /*if (f2py_success) of nk2*/
    /* End of cleaning variable nk2 */
    } /*CHECKSCALAR(shape(x2, 1) == nj2)*/
    } /*if (f2py_success) of nj2*/
    /* End of cleaning variable nj2 */
    } /*CHECKSCALAR(shape(x2, 0) == ni2)*/
    } /*if (f2py_success) of ni2*/
    /* End of cleaning variable ni2 */
    if((PyObject *)capi_ijk2_as_array!=ijk2_capi) {
        Py_XDECREF(capi_ijk2_as_array); }
    }  /* if (capi_ijk2_as_array == NULL) ... else of ijk2 */
    /* End of cleaning variable ijk2 */
    if((PyObject *)capi_x2_as_array!=x2_capi) {
        Py_XDECREF(capi_x2_as_array); }
    }  /* if (capi_x2_as_array == NULL) ... else of x2 */
    /* End of cleaning variable x2 */
    } /*CHECKSCALAR(shape(x1, 3) == nv)*/
    } /*if (f2py_success) of nv*/
    /* End of cleaning variable nv */
    } /*CHECKSCALAR(shape(x1, 2) == nk1)*/
    } /*if (f2py_success) of nk1*/
    /* End of cleaning variable nk1 */
    } /*CHECKSCALAR(shape(x1, 1) == nj1)*/
    } /*if (f2py_success) of nj1*/
    /* End of cleaning variable nj1 */
    } /*CHECKSCALAR(shape(x1, 0) == ni1)*/
    } /*if (f2py_success) of ni1*/
    /* End of cleaning variable ni1 */
    } /*CHECKSCALAR(shape(ijk1, 1) == npt)*/
    } /*if (f2py_success) of npt*/
    /* End of cleaning variable npt */
    if((PyObject *)capi_ijk1_as_array!=ijk1_capi) {
        Py_XDECREF(capi_ijk1_as_array); }
    }  /* if (capi_ijk1_as_array == NULL) ... else of ijk1 */
    /* End of cleaning variable ijk1 */
    if((PyObject *)capi_x1_as_array!=x1_capi) {
        Py_XDECREF(capi_x1_as_array); }
    }  /* if (capi_x1_as_array == NULL) ... else of x1 */
    /* End of cleaning variable x1 */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/*************************** end of average_by_ijk ***************************/

/********************************* set_by_ijk *********************************/
static char doc_f2py_rout_embsolvec_set_by_ijk[] = "\
set_by_ijk(x,xu,ijk,[ni,nj,nk,nv,npt,nb])\n\nWrapper for ``set_by_ijk``.\
\n\nParameters\n----------\n"
"x : in/output rank-4 array('f') with bounds (ni,nj,nk,nv)\n"
"xu : in/output rank-1 array('f') with bounds (nb)\n"
"ijk : in/output rank-2 array('h') with bounds (3,npt)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(x, 0)\n"
"nj : input int, optional\n    Default: shape(x, 1)\n"
"nk : input int, optional\n    Default: shape(x, 2)\n"
"nv : input int, optional\n    Default: shape(x, 3)\n"
"npt : input int, optional\n    Default: shape(ijk, 1)\n"
"nb : input int, optional\n    Default: shape(xu, 0)";
/* extern void F_FUNC_US(set_by_ijk,SET_BY_IJK)(float*,float*,short*,int*,int*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_set_by_ijk(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,short*,int*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *x = NULL;
    npy_intp x_Dims[4] = {-1, -1, -1, -1};
    const int x_Rank = 4;
    PyArrayObject *capi_x_as_array = NULL;
    int capi_x_intent = 0;
    PyObject *x_capi = Py_None;
    float *xu = NULL;
    npy_intp xu_Dims[1] = {-1};
    const int xu_Rank = 1;
    PyArrayObject *capi_xu_as_array = NULL;
    int capi_xu_intent = 0;
    PyObject *xu_capi = Py_None;
    short *ijk = NULL;
    npy_intp ijk_Dims[2] = {-1, -1};
    const int ijk_Rank = 2;
    PyArrayObject *capi_ijk_as_array = NULL;
    int capi_ijk_intent = 0;
    PyObject *ijk_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int nv = 0;
    PyObject *nv_capi = Py_None;
    int npt = 0;
    PyObject *npt_capi = Py_None;
    int nb = 0;
    PyObject *nb_capi = Py_None;
    static char *capi_kwlist[] = {"x","xu","ijk","ni","nj","nk","nv","npt","nb",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOO|OOOOOO:embsolvec.set_by_ijk",\
        capi_kwlist,&x_capi,&xu_capi,&ijk_capi,&ni_capi,&nj_capi,&nk_capi,&nv_capi,&npt_capi,&nb_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable x */
    ;
    capi_x_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.set_by_ijk: failed to create array from the 1st argument `x`";
    capi_x_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x_Dims,x_Rank,  capi_x_intent,x_capi,capi_errmess);
    if (capi_x_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x = (float *)(PyArray_DATA(capi_x_as_array));

    /* Processing variable xu */
    ;
    capi_xu_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.set_by_ijk: failed to create array from the 2nd argument `xu`";
    capi_xu_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xu_Dims,xu_Rank,  capi_xu_intent,xu_capi,capi_errmess);
    if (capi_xu_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xu = (float *)(PyArray_DATA(capi_xu_as_array));

    /* Processing variable ijk */
    ijk_Dims[0]=3;
    capi_ijk_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.set_by_ijk: failed to create array from the 3rd argument `ijk`";
    capi_ijk_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_Dims,ijk_Rank,  capi_ijk_intent,ijk_capi,capi_errmess);
    if (capi_ijk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk = (short *)(PyArray_DATA(capi_ijk_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(x, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.set_by_ijk() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 0) == ni,"shape(x, 0) == ni","1st keyword ni","set_by_ijk:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(x, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.set_by_ijk() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 1) == nj,"shape(x, 1) == nj","2nd keyword nj","set_by_ijk:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(x, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.set_by_ijk() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 2) == nk,"shape(x, 2) == nk","3rd keyword nk","set_by_ijk:nk=%d",nk) {
    /* Processing variable nv */
    if (nv_capi == Py_None) nv = shape(x, 3); else
        f2py_success = int_from_pyobj(&nv,nv_capi,"embsolvec.set_by_ijk() 4th keyword (nv) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 3) == nv,"shape(x, 3) == nv","4th keyword nv","set_by_ijk:nv=%d",nv) {
    /* Processing variable nb */
    if (nb_capi == Py_None) nb = shape(xu, 0); else
        f2py_success = int_from_pyobj(&nb,nb_capi,"embsolvec.set_by_ijk() 6th keyword (nb) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xu, 0) == nb,"shape(xu, 0) == nb","6th keyword nb","set_by_ijk:nb=%d",nb) {
    /* Processing variable npt */
    if (npt_capi == Py_None) npt = shape(ijk, 1); else
        f2py_success = int_from_pyobj(&npt,npt_capi,"embsolvec.set_by_ijk() 5th keyword (npt) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk, 1) == npt,"shape(ijk, 1) == npt","5th keyword npt","set_by_ijk:npt=%d",npt) {
/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(x,xu,ijk,&ni,&nj,&nk,&nv,&npt,&nb);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    } /*CHECKSCALAR(shape(ijk, 1) == npt)*/
    } /*if (f2py_success) of npt*/
    /* End of cleaning variable npt */
    } /*CHECKSCALAR(shape(xu, 0) == nb)*/
    } /*if (f2py_success) of nb*/
    /* End of cleaning variable nb */
    } /*CHECKSCALAR(shape(x, 3) == nv)*/
    } /*if (f2py_success) of nv*/
    /* End of cleaning variable nv */
    } /*CHECKSCALAR(shape(x, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(x, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(x, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_ijk_as_array!=ijk_capi) {
        Py_XDECREF(capi_ijk_as_array); }
    }  /* if (capi_ijk_as_array == NULL) ... else of ijk */
    /* End of cleaning variable ijk */
    if((PyObject *)capi_xu_as_array!=xu_capi) {
        Py_XDECREF(capi_xu_as_array); }
    }  /* if (capi_xu_as_array == NULL) ... else of xu */
    /* End of cleaning variable xu */
    if((PyObject *)capi_x_as_array!=x_capi) {
        Py_XDECREF(capi_x_as_array); }
    }  /* if (capi_x_as_array == NULL) ... else of x */
    /* End of cleaning variable x */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/***************************** end of set_by_ijk *****************************/

/**************************** multigrid_integrate ****************************/
static char doc_f2py_rout_embsolvec_multigrid_integrate[] = "\
multigrid_integrate(fsum,du,ijkmg,dt_vol,fmgrid,[ni,nj,nk,np,nlev])\n\nWrapper for ``multigrid_integrate``.\
\n\nParameters\n----------\n"
"fsum : in/output rank-4 array('f') with bounds (ni,nj,nk,np)\n"
"du : in/output rank-4 array('f') with bounds (ni,nj,nk,np)\n"
"ijkmg : input rank-5 array('h') with bounds (3,ni,nj,nk,nlev)\n"
"dt_vol : input rank-4 array('f') with bounds (ni,nj,nk,1 + nlev)\n"
"fmgrid : input float\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(fsum, 0)\n"
"nj : input int, optional\n    Default: shape(fsum, 1)\n"
"nk : input int, optional\n    Default: shape(fsum, 2)\n"
"np : input int, optional\n    Default: shape(fsum, 3)\n"
"nlev : input int, optional\n    Default: shape(ijkmg, 4)";
/* extern void F_FUNC_US(multigrid_integrate,MULTIGRID_INTEGRATE)(float*,float*,short*,float*,float*,int*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_multigrid_integrate(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,short*,float*,float*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *fsum = NULL;
    npy_intp fsum_Dims[4] = {-1, -1, -1, -1};
    const int fsum_Rank = 4;
    PyArrayObject *capi_fsum_as_array = NULL;
    int capi_fsum_intent = 0;
    PyObject *fsum_capi = Py_None;
    float *du = NULL;
    npy_intp du_Dims[4] = {-1, -1, -1, -1};
    const int du_Rank = 4;
    PyArrayObject *capi_du_as_array = NULL;
    int capi_du_intent = 0;
    PyObject *du_capi = Py_None;
    short *ijkmg = NULL;
    npy_intp ijkmg_Dims[5] = {-1, -1, -1, -1, -1};
    const int ijkmg_Rank = 5;
    PyArrayObject *capi_ijkmg_as_array = NULL;
    int capi_ijkmg_intent = 0;
    PyObject *ijkmg_capi = Py_None;
    float *dt_vol = NULL;
    npy_intp dt_vol_Dims[4] = {-1, -1, -1, -1};
    const int dt_vol_Rank = 4;
    PyArrayObject *capi_dt_vol_as_array = NULL;
    int capi_dt_vol_intent = 0;
    PyObject *dt_vol_capi = Py_None;
    float fmgrid = 0;
    PyObject *fmgrid_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int np = 0;
    PyObject *np_capi = Py_None;
    int nlev = 0;
    PyObject *nlev_capi = Py_None;
    static char *capi_kwlist[] = {"fsum","du","ijkmg","dt_vol","fmgrid","ni","nj","nk","np","nlev",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOO|OOOOO:embsolvec.multigrid_integrate",\
        capi_kwlist,&fsum_capi,&du_capi,&ijkmg_capi,&dt_vol_capi,&fmgrid_capi,&ni_capi,&nj_capi,&nk_capi,&np_capi,&nlev_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable fsum */
    ;
    capi_fsum_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.multigrid_integrate: failed to create array from the 1st argument `fsum`";
    capi_fsum_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fsum_Dims,fsum_Rank,  capi_fsum_intent,fsum_capi,capi_errmess);
    if (capi_fsum_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fsum = (float *)(PyArray_DATA(capi_fsum_as_array));

    /* Processing variable fmgrid */
        f2py_success = float_from_pyobj(&fmgrid,fmgrid_capi,"embsolvec.multigrid_integrate() 5th argument (fmgrid) can't be converted to float");
    if (f2py_success) {
    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(fsum, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.multigrid_integrate() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fsum, 0) == ni,"shape(fsum, 0) == ni","1st keyword ni","multigrid_integrate:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(fsum, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.multigrid_integrate() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fsum, 1) == nj,"shape(fsum, 1) == nj","2nd keyword nj","multigrid_integrate:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(fsum, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.multigrid_integrate() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fsum, 2) == nk,"shape(fsum, 2) == nk","3rd keyword nk","multigrid_integrate:nk=%d",nk) {
    /* Processing variable np */
    if (np_capi == Py_None) np = shape(fsum, 3); else
        f2py_success = int_from_pyobj(&np,np_capi,"embsolvec.multigrid_integrate() 4th keyword (np) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fsum, 3) == np,"shape(fsum, 3) == np","4th keyword np","multigrid_integrate:np=%d",np) {
    /* Processing variable du */
    du_Dims[0]=ni,du_Dims[1]=nj,du_Dims[2]=nk,du_Dims[3]=np;
    capi_du_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.multigrid_integrate: failed to create array from the 2nd argument `du`";
    capi_du_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,du_Dims,du_Rank,  capi_du_intent,du_capi,capi_errmess);
    if (capi_du_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        du = (float *)(PyArray_DATA(capi_du_as_array));

    /* Processing variable ijkmg */
    ijkmg_Dims[0]=3,ijkmg_Dims[1]=ni,ijkmg_Dims[2]=nj,ijkmg_Dims[3]=nk;
    capi_ijkmg_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.multigrid_integrate: failed to create array from the 3rd argument `ijkmg`";
    capi_ijkmg_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijkmg_Dims,ijkmg_Rank,  capi_ijkmg_intent,ijkmg_capi,capi_errmess);
    if (capi_ijkmg_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijkmg = (short *)(PyArray_DATA(capi_ijkmg_as_array));

    /* Processing variable nlev */
    if (nlev_capi == Py_None) nlev = shape(ijkmg, 4); else
        f2py_success = int_from_pyobj(&nlev,nlev_capi,"embsolvec.multigrid_integrate() 5th keyword (nlev) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijkmg, 4) == nlev,"shape(ijkmg, 4) == nlev","5th keyword nlev","multigrid_integrate:nlev=%d",nlev) {
    /* Processing variable dt_vol */
    dt_vol_Dims[0]=ni,dt_vol_Dims[1]=nj,dt_vol_Dims[2]=nk,dt_vol_Dims[3]=1 + nlev;
    capi_dt_vol_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.multigrid_integrate: failed to create array from the 4th argument `dt_vol`";
    capi_dt_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dt_vol_Dims,dt_vol_Rank,  capi_dt_vol_intent,dt_vol_capi,capi_errmess);
    if (capi_dt_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dt_vol = (float *)(PyArray_DATA(capi_dt_vol_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(fsum,du,ijkmg,dt_vol,&fmgrid,&ni,&nj,&nk,&np,&nlev);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_dt_vol_as_array!=dt_vol_capi) {
        Py_XDECREF(capi_dt_vol_as_array); }
    }  /* if (capi_dt_vol_as_array == NULL) ... else of dt_vol */
    /* End of cleaning variable dt_vol */
    } /*CHECKSCALAR(shape(ijkmg, 4) == nlev)*/
    } /*if (f2py_success) of nlev*/
    /* End of cleaning variable nlev */
    if((PyObject *)capi_ijkmg_as_array!=ijkmg_capi) {
        Py_XDECREF(capi_ijkmg_as_array); }
    }  /* if (capi_ijkmg_as_array == NULL) ... else of ijkmg */
    /* End of cleaning variable ijkmg */
    if((PyObject *)capi_du_as_array!=du_capi) {
        Py_XDECREF(capi_du_as_array); }
    }  /* if (capi_du_as_array == NULL) ... else of du */
    /* End of cleaning variable du */
    } /*CHECKSCALAR(shape(fsum, 3) == np)*/
    } /*if (f2py_success) of np*/
    /* End of cleaning variable np */
    } /*CHECKSCALAR(shape(fsum, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(fsum, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(fsum, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    } /*if (f2py_success) of fmgrid*/
    /* End of cleaning variable fmgrid */
    if((PyObject *)capi_fsum_as_array!=fsum_capi) {
        Py_XDECREF(capi_fsum_as_array); }
    }  /* if (capi_fsum_as_array == NULL) ... else of fsum */
    /* End of cleaning variable fsum */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/************************* end of multigrid_integrate *************************/

/******************************* set_timesteps *******************************/
static char doc_f2py_rout_embsolvec_set_timesteps[] = "\
set_timesteps(dt_vol,vol,a,vxrt,u,dlmin,ijkmg,cfl,[ni,nj,nk,nlev])\n\nWrapper for ``set_timesteps``.\
\n\nParameters\n----------\n"
"dt_vol : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,1 + nlev)\n"
"vol : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,1 + nlev)\n"
"a : in/output rank-3 array('f') with bounds (ni,nj,nk)\n"
"vxrt : in/output rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"u : in/output rank-3 array('f') with bounds (ni,nj,nk)\n"
"dlmin : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,1 + nlev)\n"
"ijkmg : input rank-5 array('h') with bounds (3,-1 + ni,-1 + nj,-1 + nk,nlev)\n"
"cfl : input float\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: 1 + shape(dt_vol, 0)\n"
"nj : input int, optional\n    Default: 1 + shape(dt_vol, 1)\n"
"nk : input int, optional\n    Default: 1 + shape(dt_vol, 2)\n"
"nlev : input int, optional\n    Default: -1 + shape(dt_vol, 3)";
/* extern void F_FUNC_US(set_timesteps,SET_TIMESTEPS)(float*,float*,float*,float*,float*,float*,short*,float*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_set_timesteps(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,short*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *dt_vol = NULL;
    npy_intp dt_vol_Dims[4] = {-1, -1, -1, -1};
    const int dt_vol_Rank = 4;
    PyArrayObject *capi_dt_vol_as_array = NULL;
    int capi_dt_vol_intent = 0;
    PyObject *dt_vol_capi = Py_None;
    float *vol = NULL;
    npy_intp vol_Dims[4] = {-1, -1, -1, -1};
    const int vol_Rank = 4;
    PyArrayObject *capi_vol_as_array = NULL;
    int capi_vol_intent = 0;
    PyObject *vol_capi = Py_None;
    float *a = NULL;
    npy_intp a_Dims[3] = {-1, -1, -1};
    const int a_Rank = 3;
    PyArrayObject *capi_a_as_array = NULL;
    int capi_a_intent = 0;
    PyObject *a_capi = Py_None;
    float *vxrt = NULL;
    npy_intp vxrt_Dims[4] = {-1, -1, -1, -1};
    const int vxrt_Rank = 4;
    PyArrayObject *capi_vxrt_as_array = NULL;
    int capi_vxrt_intent = 0;
    PyObject *vxrt_capi = Py_None;
    float *u = NULL;
    npy_intp u_Dims[3] = {-1, -1, -1};
    const int u_Rank = 3;
    PyArrayObject *capi_u_as_array = NULL;
    int capi_u_intent = 0;
    PyObject *u_capi = Py_None;
    float *dlmin = NULL;
    npy_intp dlmin_Dims[4] = {-1, -1, -1, -1};
    const int dlmin_Rank = 4;
    PyArrayObject *capi_dlmin_as_array = NULL;
    int capi_dlmin_intent = 0;
    PyObject *dlmin_capi = Py_None;
    short *ijkmg = NULL;
    npy_intp ijkmg_Dims[5] = {-1, -1, -1, -1, -1};
    const int ijkmg_Rank = 5;
    PyArrayObject *capi_ijkmg_as_array = NULL;
    int capi_ijkmg_intent = 0;
    PyObject *ijkmg_capi = Py_None;
    float cfl = 0;
    PyObject *cfl_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int nlev = 0;
    PyObject *nlev_capi = Py_None;
    static char *capi_kwlist[] = {"dt_vol","vol","a","vxrt","u","dlmin","ijkmg","cfl","ni","nj","nk","nlev",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOOOO|OOOO:embsolvec.set_timesteps",\
        capi_kwlist,&dt_vol_capi,&vol_capi,&a_capi,&vxrt_capi,&u_capi,&dlmin_capi,&ijkmg_capi,&cfl_capi,&ni_capi,&nj_capi,&nk_capi,&nlev_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable dt_vol */
    ;
    capi_dt_vol_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.set_timesteps: failed to create array from the 1st argument `dt_vol`";
    capi_dt_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dt_vol_Dims,dt_vol_Rank,  capi_dt_vol_intent,dt_vol_capi,capi_errmess);
    if (capi_dt_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dt_vol = (float *)(PyArray_DATA(capi_dt_vol_as_array));

    /* Processing variable cfl */
        f2py_success = float_from_pyobj(&cfl,cfl_capi,"embsolvec.set_timesteps() 8th argument (cfl) can't be converted to float");
    if (f2py_success) {
    /* Processing variable ni */
    if (ni_capi == Py_None) ni = 1 + shape(dt_vol, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.set_timesteps() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(dt_vol, 0) == -1 + ni,"shape(dt_vol, 0) == -1 + ni","1st keyword ni","set_timesteps:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = 1 + shape(dt_vol, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.set_timesteps() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(dt_vol, 1) == -1 + nj,"shape(dt_vol, 1) == -1 + nj","2nd keyword nj","set_timesteps:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = 1 + shape(dt_vol, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.set_timesteps() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(dt_vol, 2) == -1 + nk,"shape(dt_vol, 2) == -1 + nk","3rd keyword nk","set_timesteps:nk=%d",nk) {
    /* Processing variable nlev */
    if (nlev_capi == Py_None) nlev = -1 + shape(dt_vol, 3); else
        f2py_success = int_from_pyobj(&nlev,nlev_capi,"embsolvec.set_timesteps() 4th keyword (nlev) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(dt_vol, 3) == 1 + nlev,"shape(dt_vol, 3) == 1 + nlev","4th keyword nlev","set_timesteps:nlev=%d",nlev) {
    /* Processing variable vol */
    vol_Dims[0]=-1 + ni,vol_Dims[1]=-1 + nj,vol_Dims[2]=-1 + nk,vol_Dims[3]=1 + nlev;
    capi_vol_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.set_timesteps: failed to create array from the 2nd argument `vol`";
    capi_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vol_Dims,vol_Rank,  capi_vol_intent,vol_capi,capi_errmess);
    if (capi_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vol = (float *)(PyArray_DATA(capi_vol_as_array));

    /* Processing variable dlmin */
    dlmin_Dims[0]=-1 + ni,dlmin_Dims[1]=-1 + nj,dlmin_Dims[2]=-1 + nk,dlmin_Dims[3]=1 + nlev;
    capi_dlmin_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.set_timesteps: failed to create array from the 6th argument `dlmin`";
    capi_dlmin_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dlmin_Dims,dlmin_Rank,  capi_dlmin_intent,dlmin_capi,capi_errmess);
    if (capi_dlmin_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dlmin = (float *)(PyArray_DATA(capi_dlmin_as_array));

    /* Processing variable vxrt */
    vxrt_Dims[0]=ni,vxrt_Dims[1]=nj,vxrt_Dims[2]=nk,vxrt_Dims[3]=3;
    capi_vxrt_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.set_timesteps: failed to create array from the 4th argument `vxrt`";
    capi_vxrt_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vxrt_Dims,vxrt_Rank,  capi_vxrt_intent,vxrt_capi,capi_errmess);
    if (capi_vxrt_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vxrt = (float *)(PyArray_DATA(capi_vxrt_as_array));

    /* Processing variable u */
    u_Dims[0]=ni,u_Dims[1]=nj,u_Dims[2]=nk;
    capi_u_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.set_timesteps: failed to create array from the 5th argument `u`";
    capi_u_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,u_Dims,u_Rank,  capi_u_intent,u_capi,capi_errmess);
    if (capi_u_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        u = (float *)(PyArray_DATA(capi_u_as_array));

    /* Processing variable a */
    a_Dims[0]=ni,a_Dims[1]=nj,a_Dims[2]=nk;
    capi_a_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.set_timesteps: failed to create array from the 3rd argument `a`";
    capi_a_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,a_Dims,a_Rank,  capi_a_intent,a_capi,capi_errmess);
    if (capi_a_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        a = (float *)(PyArray_DATA(capi_a_as_array));

    /* Processing variable ijkmg */
    ijkmg_Dims[0]=3,ijkmg_Dims[1]=-1 + ni,ijkmg_Dims[2]=-1 + nj,ijkmg_Dims[3]=-1 + nk,ijkmg_Dims[4]=nlev;
    capi_ijkmg_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.set_timesteps: failed to create array from the 7th argument `ijkmg`";
    capi_ijkmg_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijkmg_Dims,ijkmg_Rank,  capi_ijkmg_intent,ijkmg_capi,capi_errmess);
    if (capi_ijkmg_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijkmg = (short *)(PyArray_DATA(capi_ijkmg_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(dt_vol,vol,a,vxrt,u,dlmin,ijkmg,&cfl,&ni,&nj,&nk,&nlev);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_ijkmg_as_array!=ijkmg_capi) {
        Py_XDECREF(capi_ijkmg_as_array); }
    }  /* if (capi_ijkmg_as_array == NULL) ... else of ijkmg */
    /* End of cleaning variable ijkmg */
    if((PyObject *)capi_a_as_array!=a_capi) {
        Py_XDECREF(capi_a_as_array); }
    }  /* if (capi_a_as_array == NULL) ... else of a */
    /* End of cleaning variable a */
    if((PyObject *)capi_u_as_array!=u_capi) {
        Py_XDECREF(capi_u_as_array); }
    }  /* if (capi_u_as_array == NULL) ... else of u */
    /* End of cleaning variable u */
    if((PyObject *)capi_vxrt_as_array!=vxrt_capi) {
        Py_XDECREF(capi_vxrt_as_array); }
    }  /* if (capi_vxrt_as_array == NULL) ... else of vxrt */
    /* End of cleaning variable vxrt */
    if((PyObject *)capi_dlmin_as_array!=dlmin_capi) {
        Py_XDECREF(capi_dlmin_as_array); }
    }  /* if (capi_dlmin_as_array == NULL) ... else of dlmin */
    /* End of cleaning variable dlmin */
    if((PyObject *)capi_vol_as_array!=vol_capi) {
        Py_XDECREF(capi_vol_as_array); }
    }  /* if (capi_vol_as_array == NULL) ... else of vol */
    /* End of cleaning variable vol */
    } /*CHECKSCALAR(shape(dt_vol, 3) == 1 + nlev)*/
    } /*if (f2py_success) of nlev*/
    /* End of cleaning variable nlev */
    } /*CHECKSCALAR(shape(dt_vol, 2) == -1 + nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(dt_vol, 1) == -1 + nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(dt_vol, 0) == -1 + ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    } /*if (f2py_success) of cfl*/
    /* End of cleaning variable cfl */
    if((PyObject *)capi_dt_vol_as_array!=dt_vol_capi) {
        Py_XDECREF(capi_dt_vol_as_array); }
    }  /* if (capi_dt_vol_as_array == NULL) ... else of dt_vol */
    /* End of cleaning variable dt_vol */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of set_timesteps ****************************/

/***************************** multigrid_indices *****************************/
static char doc_f2py_rout_embsolvec_multigrid_indices[] = "\
multigrid_indices(ijkmg,nb,[ni,nj,nk,nlev])\n\nWrapper for ``multigrid_indices``.\
\n\nParameters\n----------\n"
"ijkmg : in/output rank-5 array('h') with bounds (3,ni,nj,nk,nlev)\n"
"nb : in/output rank-1 array('h') with bounds (nlev)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(ijkmg, 1)\n"
"nj : input int, optional\n    Default: shape(ijkmg, 2)\n"
"nk : input int, optional\n    Default: shape(ijkmg, 3)\n"
"nlev : input int, optional\n    Default: shape(ijkmg, 4)";
/* extern void F_FUNC_US(multigrid_indices,MULTIGRID_INDICES)(short*,short*,short*,short*,short*,short*); */
static PyObject *f2py_rout_embsolvec_multigrid_indices(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(short*,short*,short*,short*,short*,short*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    short *ijkmg = NULL;
    npy_intp ijkmg_Dims[5] = {-1, -1, -1, -1, -1};
    const int ijkmg_Rank = 5;
    PyArrayObject *capi_ijkmg_as_array = NULL;
    int capi_ijkmg_intent = 0;
    PyObject *ijkmg_capi = Py_None;
    short *nb = NULL;
    npy_intp nb_Dims[1] = {-1};
    const int nb_Rank = 1;
    PyArrayObject *capi_nb_as_array = NULL;
    int capi_nb_intent = 0;
    PyObject *nb_capi = Py_None;
    short ni = 0;
    PyObject *ni_capi = Py_None;
    short nj = 0;
    PyObject *nj_capi = Py_None;
    short nk = 0;
    PyObject *nk_capi = Py_None;
    short nlev = 0;
    PyObject *nlev_capi = Py_None;
    static char *capi_kwlist[] = {"ijkmg","nb","ni","nj","nk","nlev",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OO|OOOO:embsolvec.multigrid_indices",\
        capi_kwlist,&ijkmg_capi,&nb_capi,&ni_capi,&nj_capi,&nk_capi,&nlev_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable ijkmg */
    ijkmg_Dims[0]=3;
    capi_ijkmg_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.multigrid_indices: failed to create array from the 1st argument `ijkmg`";
    capi_ijkmg_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijkmg_Dims,ijkmg_Rank,  capi_ijkmg_intent,ijkmg_capi,capi_errmess);
    if (capi_ijkmg_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijkmg = (short *)(PyArray_DATA(capi_ijkmg_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(ijkmg, 1); else
        f2py_success = short_from_pyobj(&ni,ni_capi,"embsolvec.multigrid_indices() 1st keyword (ni) can't be converted to short");
    if (f2py_success) {
    CHECKSCALAR(shape(ijkmg, 1) == ni,"shape(ijkmg, 1) == ni","1st keyword ni","multigrid_indices:ni=%hd",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(ijkmg, 2); else
        f2py_success = short_from_pyobj(&nj,nj_capi,"embsolvec.multigrid_indices() 2nd keyword (nj) can't be converted to short");
    if (f2py_success) {
    CHECKSCALAR(shape(ijkmg, 2) == nj,"shape(ijkmg, 2) == nj","2nd keyword nj","multigrid_indices:nj=%hd",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(ijkmg, 3); else
        f2py_success = short_from_pyobj(&nk,nk_capi,"embsolvec.multigrid_indices() 3rd keyword (nk) can't be converted to short");
    if (f2py_success) {
    CHECKSCALAR(shape(ijkmg, 3) == nk,"shape(ijkmg, 3) == nk","3rd keyword nk","multigrid_indices:nk=%hd",nk) {
    /* Processing variable nlev */
    if (nlev_capi == Py_None) nlev = shape(ijkmg, 4); else
        f2py_success = short_from_pyobj(&nlev,nlev_capi,"embsolvec.multigrid_indices() 4th keyword (nlev) can't be converted to short");
    if (f2py_success) {
    CHECKSCALAR(shape(ijkmg, 4) == nlev,"shape(ijkmg, 4) == nlev","4th keyword nlev","multigrid_indices:nlev=%hd",nlev) {
    /* Processing variable nb */
    nb_Dims[0]=nlev;
    capi_nb_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.multigrid_indices: failed to create array from the 2nd argument `nb`";
    capi_nb_as_array = ndarray_from_pyobj(  NPY_SHORT,1,nb_Dims,nb_Rank,  capi_nb_intent,nb_capi,capi_errmess);
    if (capi_nb_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        nb = (short *)(PyArray_DATA(capi_nb_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(ijkmg,nb,&ni,&nj,&nk,&nlev);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_nb_as_array!=nb_capi) {
        Py_XDECREF(capi_nb_as_array); }
    }  /* if (capi_nb_as_array == NULL) ... else of nb */
    /* End of cleaning variable nb */
    } /*CHECKSCALAR(shape(ijkmg, 4) == nlev)*/
    } /*if (f2py_success) of nlev*/
    /* End of cleaning variable nlev */
    } /*CHECKSCALAR(shape(ijkmg, 3) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(ijkmg, 2) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(ijkmg, 1) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_ijkmg_as_array!=ijkmg_capi) {
        Py_XDECREF(capi_ijkmg_as_array); }
    }  /* if (capi_ijkmg_as_array == NULL) ... else of ijkmg */
    /* End of cleaning variable ijkmg */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/************************** end of multigrid_indices **************************/

/***************************** multigrid_volumes *****************************/
static char doc_f2py_rout_embsolvec_multigrid_volumes[] = "\
multigrid_volumes(volmg,vol,ijkmg,[ni,nj,nk,nlev])\n\nWrapper for ``multigrid_volumes``.\
\n\nParameters\n----------\n"
"volmg : in/output rank-4 array('f') with bounds (ni,nj,nk,1 + nlev)\n"
"vol : in/output rank-3 array('f') with bounds (ni,nj,nk)\n"
"ijkmg : in/output rank-5 array('h') with bounds (3,ni,nj,nk,nlev)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(volmg, 0)\n"
"nj : input int, optional\n    Default: shape(volmg, 1)\n"
"nk : input int, optional\n    Default: shape(volmg, 2)\n"
"nlev : input int, optional\n    Default: -1 + shape(volmg, 3)";
/* extern void F_FUNC_US(multigrid_volumes,MULTIGRID_VOLUMES)(float*,float*,short*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_multigrid_volumes(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,short*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *volmg = NULL;
    npy_intp volmg_Dims[4] = {-1, -1, -1, -1};
    const int volmg_Rank = 4;
    PyArrayObject *capi_volmg_as_array = NULL;
    int capi_volmg_intent = 0;
    PyObject *volmg_capi = Py_None;
    float *vol = NULL;
    npy_intp vol_Dims[3] = {-1, -1, -1};
    const int vol_Rank = 3;
    PyArrayObject *capi_vol_as_array = NULL;
    int capi_vol_intent = 0;
    PyObject *vol_capi = Py_None;
    short *ijkmg = NULL;
    npy_intp ijkmg_Dims[5] = {-1, -1, -1, -1, -1};
    const int ijkmg_Rank = 5;
    PyArrayObject *capi_ijkmg_as_array = NULL;
    int capi_ijkmg_intent = 0;
    PyObject *ijkmg_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int nlev = 0;
    PyObject *nlev_capi = Py_None;
    static char *capi_kwlist[] = {"volmg","vol","ijkmg","ni","nj","nk","nlev",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOO|OOOO:embsolvec.multigrid_volumes",\
        capi_kwlist,&volmg_capi,&vol_capi,&ijkmg_capi,&ni_capi,&nj_capi,&nk_capi,&nlev_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable volmg */
    ;
    capi_volmg_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.multigrid_volumes: failed to create array from the 1st argument `volmg`";
    capi_volmg_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,volmg_Dims,volmg_Rank,  capi_volmg_intent,volmg_capi,capi_errmess);
    if (capi_volmg_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        volmg = (float *)(PyArray_DATA(capi_volmg_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(volmg, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.multigrid_volumes() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(volmg, 0) == ni,"shape(volmg, 0) == ni","1st keyword ni","multigrid_volumes:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(volmg, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.multigrid_volumes() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(volmg, 1) == nj,"shape(volmg, 1) == nj","2nd keyword nj","multigrid_volumes:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(volmg, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.multigrid_volumes() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(volmg, 2) == nk,"shape(volmg, 2) == nk","3rd keyword nk","multigrid_volumes:nk=%d",nk) {
    /* Processing variable nlev */
    if (nlev_capi == Py_None) nlev = -1 + shape(volmg, 3); else
        f2py_success = int_from_pyobj(&nlev,nlev_capi,"embsolvec.multigrid_volumes() 4th keyword (nlev) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(volmg, 3) == 1 + nlev,"shape(volmg, 3) == 1 + nlev","4th keyword nlev","multigrid_volumes:nlev=%d",nlev) {
    /* Processing variable vol */
    vol_Dims[0]=ni,vol_Dims[1]=nj,vol_Dims[2]=nk;
    capi_vol_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.multigrid_volumes: failed to create array from the 2nd argument `vol`";
    capi_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vol_Dims,vol_Rank,  capi_vol_intent,vol_capi,capi_errmess);
    if (capi_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vol = (float *)(PyArray_DATA(capi_vol_as_array));

    /* Processing variable ijkmg */
    ijkmg_Dims[0]=3,ijkmg_Dims[1]=ni,ijkmg_Dims[2]=nj,ijkmg_Dims[3]=nk,ijkmg_Dims[4]=nlev;
    capi_ijkmg_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.multigrid_volumes: failed to create array from the 3rd argument `ijkmg`";
    capi_ijkmg_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijkmg_Dims,ijkmg_Rank,  capi_ijkmg_intent,ijkmg_capi,capi_errmess);
    if (capi_ijkmg_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijkmg = (short *)(PyArray_DATA(capi_ijkmg_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(volmg,vol,ijkmg,&ni,&nj,&nk,&nlev);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_ijkmg_as_array!=ijkmg_capi) {
        Py_XDECREF(capi_ijkmg_as_array); }
    }  /* if (capi_ijkmg_as_array == NULL) ... else of ijkmg */
    /* End of cleaning variable ijkmg */
    if((PyObject *)capi_vol_as_array!=vol_capi) {
        Py_XDECREF(capi_vol_as_array); }
    }  /* if (capi_vol_as_array == NULL) ... else of vol */
    /* End of cleaning variable vol */
    } /*CHECKSCALAR(shape(volmg, 3) == 1 + nlev)*/
    } /*if (f2py_success) of nlev*/
    /* End of cleaning variable nlev */
    } /*CHECKSCALAR(shape(volmg, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(volmg, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(volmg, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_volmg_as_array!=volmg_capi) {
        Py_XDECREF(capi_volmg_as_array); }
    }  /* if (capi_volmg_as_array == NULL) ... else of volmg */
    /* End of cleaning variable volmg */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/************************** end of multigrid_volumes **************************/

/************************************ div ************************************/
static char doc_f2py_rout_embsolvec_div[] = "\
div(x,divx,vol,dai,daj,dak,[ni,nj,nk])\n\nWrapper for ``div``.\
\n\nParameters\n----------\n"
"x : input rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"divx : in/output rank-3 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk)\n"
"vol : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk)\n"
"dai : input rank-4 array('f') with bounds (ni,-1 + nj,-1 + nk,3)\n"
"daj : input rank-4 array('f') with bounds (-1 + ni,nj,-1 + nk,3)\n"
"dak : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,nk,3)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(x, 0)\n"
"nj : input int, optional\n    Default: shape(x, 1)\n"
"nk : input int, optional\n    Default: shape(x, 2)";
/* extern void F_FUNC(div,DIV)(float*,float*,float*,float*,float*,float*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_div(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *x = NULL;
    npy_intp x_Dims[4] = {-1, -1, -1, -1};
    const int x_Rank = 4;
    PyArrayObject *capi_x_as_array = NULL;
    int capi_x_intent = 0;
    PyObject *x_capi = Py_None;
    float *divx = NULL;
    npy_intp divx_Dims[3] = {-1, -1, -1};
    const int divx_Rank = 3;
    PyArrayObject *capi_divx_as_array = NULL;
    int capi_divx_intent = 0;
    PyObject *divx_capi = Py_None;
    float *vol = NULL;
    npy_intp vol_Dims[3] = {-1, -1, -1};
    const int vol_Rank = 3;
    PyArrayObject *capi_vol_as_array = NULL;
    int capi_vol_intent = 0;
    PyObject *vol_capi = Py_None;
    float *dai = NULL;
    npy_intp dai_Dims[4] = {-1, -1, -1, -1};
    const int dai_Rank = 4;
    PyArrayObject *capi_dai_as_array = NULL;
    int capi_dai_intent = 0;
    PyObject *dai_capi = Py_None;
    float *daj = NULL;
    npy_intp daj_Dims[4] = {-1, -1, -1, -1};
    const int daj_Rank = 4;
    PyArrayObject *capi_daj_as_array = NULL;
    int capi_daj_intent = 0;
    PyObject *daj_capi = Py_None;
    float *dak = NULL;
    npy_intp dak_Dims[4] = {-1, -1, -1, -1};
    const int dak_Rank = 4;
    PyArrayObject *capi_dak_as_array = NULL;
    int capi_dak_intent = 0;
    PyObject *dak_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    static char *capi_kwlist[] = {"x","divx","vol","dai","daj","dak","ni","nj","nk",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOO|OOO:embsolvec.div",\
        capi_kwlist,&x_capi,&divx_capi,&vol_capi,&dai_capi,&daj_capi,&dak_capi,&ni_capi,&nj_capi,&nk_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable x */
    x_Dims[3]=3;
    capi_x_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.div: failed to create array from the 1st argument `x`";
    capi_x_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x_Dims,x_Rank,  capi_x_intent,x_capi,capi_errmess);
    if (capi_x_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x = (float *)(PyArray_DATA(capi_x_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(x, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.div() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 0) == ni,"shape(x, 0) == ni","1st keyword ni","div:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(x, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.div() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 1) == nj,"shape(x, 1) == nj","2nd keyword nj","div:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(x, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.div() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 2) == nk,"shape(x, 2) == nk","3rd keyword nk","div:nk=%d",nk) {
    /* Processing variable dai */
    dai_Dims[0]=ni,dai_Dims[1]=-1 + nj,dai_Dims[2]=-1 + nk,dai_Dims[3]=3;
    capi_dai_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.div: failed to create array from the 4th argument `dai`";
    capi_dai_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dai_Dims,dai_Rank,  capi_dai_intent,dai_capi,capi_errmess);
    if (capi_dai_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dai = (float *)(PyArray_DATA(capi_dai_as_array));

    /* Processing variable daj */
    daj_Dims[0]=-1 + ni,daj_Dims[1]=nj,daj_Dims[2]=-1 + nk,daj_Dims[3]=3;
    capi_daj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.div: failed to create array from the 5th argument `daj`";
    capi_daj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,daj_Dims,daj_Rank,  capi_daj_intent,daj_capi,capi_errmess);
    if (capi_daj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        daj = (float *)(PyArray_DATA(capi_daj_as_array));

    /* Processing variable dak */
    dak_Dims[0]=-1 + ni,dak_Dims[1]=-1 + nj,dak_Dims[2]=nk,dak_Dims[3]=3;
    capi_dak_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.div: failed to create array from the 6th argument `dak`";
    capi_dak_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dak_Dims,dak_Rank,  capi_dak_intent,dak_capi,capi_errmess);
    if (capi_dak_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dak = (float *)(PyArray_DATA(capi_dak_as_array));

    /* Processing variable vol */
    vol_Dims[0]=-1 + ni,vol_Dims[1]=-1 + nj,vol_Dims[2]=-1 + nk;
    capi_vol_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.div: failed to create array from the 3rd argument `vol`";
    capi_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vol_Dims,vol_Rank,  capi_vol_intent,vol_capi,capi_errmess);
    if (capi_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vol = (float *)(PyArray_DATA(capi_vol_as_array));

    /* Processing variable divx */
    divx_Dims[0]=-1 + ni,divx_Dims[1]=-1 + nj,divx_Dims[2]=-1 + nk;
    capi_divx_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.div: failed to create array from the 2nd argument `divx`";
    capi_divx_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,divx_Dims,divx_Rank,  capi_divx_intent,divx_capi,capi_errmess);
    if (capi_divx_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        divx = (float *)(PyArray_DATA(capi_divx_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(x,divx,vol,dai,daj,dak,&ni,&nj,&nk);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_divx_as_array!=divx_capi) {
        Py_XDECREF(capi_divx_as_array); }
    }  /* if (capi_divx_as_array == NULL) ... else of divx */
    /* End of cleaning variable divx */
    if((PyObject *)capi_vol_as_array!=vol_capi) {
        Py_XDECREF(capi_vol_as_array); }
    }  /* if (capi_vol_as_array == NULL) ... else of vol */
    /* End of cleaning variable vol */
    if((PyObject *)capi_dak_as_array!=dak_capi) {
        Py_XDECREF(capi_dak_as_array); }
    }  /* if (capi_dak_as_array == NULL) ... else of dak */
    /* End of cleaning variable dak */
    if((PyObject *)capi_daj_as_array!=daj_capi) {
        Py_XDECREF(capi_daj_as_array); }
    }  /* if (capi_daj_as_array == NULL) ... else of daj */
    /* End of cleaning variable daj */
    if((PyObject *)capi_dai_as_array!=dai_capi) {
        Py_XDECREF(capi_dai_as_array); }
    }  /* if (capi_dai_as_array == NULL) ... else of dai */
    /* End of cleaning variable dai */
    } /*CHECKSCALAR(shape(x, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(x, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(x, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_x_as_array!=x_capi) {
        Py_XDECREF(capi_x_as_array); }
    }  /* if (capi_x_as_array == NULL) ... else of x */
    /* End of cleaning variable x */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/********************************* end of div *********************************/

/************************************ grad ************************************/
static char doc_f2py_rout_embsolvec_grad[] = "\
grad(x,gradx,vol,dai,daj,dak,r,rc,[ni,nj,nk])\n\nWrapper for ``grad``.\
\n\nParameters\n----------\n"
"x : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"gradx : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,3)\n"
"vol : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk)\n"
"dai : input rank-4 array('f') with bounds (ni,-1 + nj,-1 + nk,3)\n"
"daj : input rank-4 array('f') with bounds (-1 + ni,nj,-1 + nk,3)\n"
"dak : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,nk,3)\n"
"r : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"rc : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(x, 0)\n"
"nj : input int, optional\n    Default: shape(x, 1)\n"
"nk : input int, optional\n    Default: shape(x, 2)";
/* extern void F_FUNC(grad,GRAD)(float*,float*,float*,float*,float*,float*,float*,float*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_grad(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,float*,float*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *x = NULL;
    npy_intp x_Dims[3] = {-1, -1, -1};
    const int x_Rank = 3;
    PyArrayObject *capi_x_as_array = NULL;
    int capi_x_intent = 0;
    PyObject *x_capi = Py_None;
    float *gradx = NULL;
    npy_intp gradx_Dims[4] = {-1, -1, -1, -1};
    const int gradx_Rank = 4;
    PyArrayObject *capi_gradx_as_array = NULL;
    int capi_gradx_intent = 0;
    PyObject *gradx_capi = Py_None;
    float *vol = NULL;
    npy_intp vol_Dims[3] = {-1, -1, -1};
    const int vol_Rank = 3;
    PyArrayObject *capi_vol_as_array = NULL;
    int capi_vol_intent = 0;
    PyObject *vol_capi = Py_None;
    float *dai = NULL;
    npy_intp dai_Dims[4] = {-1, -1, -1, -1};
    const int dai_Rank = 4;
    PyArrayObject *capi_dai_as_array = NULL;
    int capi_dai_intent = 0;
    PyObject *dai_capi = Py_None;
    float *daj = NULL;
    npy_intp daj_Dims[4] = {-1, -1, -1, -1};
    const int daj_Rank = 4;
    PyArrayObject *capi_daj_as_array = NULL;
    int capi_daj_intent = 0;
    PyObject *daj_capi = Py_None;
    float *dak = NULL;
    npy_intp dak_Dims[4] = {-1, -1, -1, -1};
    const int dak_Rank = 4;
    PyArrayObject *capi_dak_as_array = NULL;
    int capi_dak_intent = 0;
    PyObject *dak_capi = Py_None;
    float *r = NULL;
    npy_intp r_Dims[3] = {-1, -1, -1};
    const int r_Rank = 3;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    float *rc = NULL;
    npy_intp rc_Dims[3] = {-1, -1, -1};
    const int rc_Rank = 3;
    PyArrayObject *capi_rc_as_array = NULL;
    int capi_rc_intent = 0;
    PyObject *rc_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    static char *capi_kwlist[] = {"x","gradx","vol","dai","daj","dak","r","rc","ni","nj","nk",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOOOO|OOO:embsolvec.grad",\
        capi_kwlist,&x_capi,&gradx_capi,&vol_capi,&dai_capi,&daj_capi,&dak_capi,&r_capi,&rc_capi,&ni_capi,&nj_capi,&nk_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable x */
    ;
    capi_x_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.grad: failed to create array from the 1st argument `x`";
    capi_x_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x_Dims,x_Rank,  capi_x_intent,x_capi,capi_errmess);
    if (capi_x_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x = (float *)(PyArray_DATA(capi_x_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(x, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.grad() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 0) == ni,"shape(x, 0) == ni","1st keyword ni","grad:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(x, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.grad() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 1) == nj,"shape(x, 1) == nj","2nd keyword nj","grad:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(x, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.grad() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 2) == nk,"shape(x, 2) == nk","3rd keyword nk","grad:nk=%d",nk) {
    /* Processing variable r */
    r_Dims[0]=ni,r_Dims[1]=nj,r_Dims[2]=nk;
    capi_r_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.grad: failed to create array from the 7th argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable rc */
    rc_Dims[0]=-1 + ni,rc_Dims[1]=-1 + nj,rc_Dims[2]=-1 + nk;
    capi_rc_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.grad: failed to create array from the 8th argument `rc`";
    capi_rc_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rc_Dims,rc_Rank,  capi_rc_intent,rc_capi,capi_errmess);
    if (capi_rc_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rc = (float *)(PyArray_DATA(capi_rc_as_array));

    /* Processing variable dai */
    dai_Dims[0]=ni,dai_Dims[1]=-1 + nj,dai_Dims[2]=-1 + nk,dai_Dims[3]=3;
    capi_dai_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.grad: failed to create array from the 4th argument `dai`";
    capi_dai_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dai_Dims,dai_Rank,  capi_dai_intent,dai_capi,capi_errmess);
    if (capi_dai_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dai = (float *)(PyArray_DATA(capi_dai_as_array));

    /* Processing variable daj */
    daj_Dims[0]=-1 + ni,daj_Dims[1]=nj,daj_Dims[2]=-1 + nk,daj_Dims[3]=3;
    capi_daj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.grad: failed to create array from the 5th argument `daj`";
    capi_daj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,daj_Dims,daj_Rank,  capi_daj_intent,daj_capi,capi_errmess);
    if (capi_daj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        daj = (float *)(PyArray_DATA(capi_daj_as_array));

    /* Processing variable dak */
    dak_Dims[0]=-1 + ni,dak_Dims[1]=-1 + nj,dak_Dims[2]=nk,dak_Dims[3]=3;
    capi_dak_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.grad: failed to create array from the 6th argument `dak`";
    capi_dak_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dak_Dims,dak_Rank,  capi_dak_intent,dak_capi,capi_errmess);
    if (capi_dak_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dak = (float *)(PyArray_DATA(capi_dak_as_array));

    /* Processing variable vol */
    vol_Dims[0]=-1 + ni,vol_Dims[1]=-1 + nj,vol_Dims[2]=-1 + nk;
    capi_vol_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.grad: failed to create array from the 3rd argument `vol`";
    capi_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vol_Dims,vol_Rank,  capi_vol_intent,vol_capi,capi_errmess);
    if (capi_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vol = (float *)(PyArray_DATA(capi_vol_as_array));

    /* Processing variable gradx */
    gradx_Dims[0]=-1 + ni,gradx_Dims[1]=-1 + nj,gradx_Dims[2]=-1 + nk,gradx_Dims[3]=3;
    capi_gradx_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.grad: failed to create array from the 2nd argument `gradx`";
    capi_gradx_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,gradx_Dims,gradx_Rank,  capi_gradx_intent,gradx_capi,capi_errmess);
    if (capi_gradx_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        gradx = (float *)(PyArray_DATA(capi_gradx_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(x,gradx,vol,dai,daj,dak,r,rc,&ni,&nj,&nk);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_gradx_as_array!=gradx_capi) {
        Py_XDECREF(capi_gradx_as_array); }
    }  /* if (capi_gradx_as_array == NULL) ... else of gradx */
    /* End of cleaning variable gradx */
    if((PyObject *)capi_vol_as_array!=vol_capi) {
        Py_XDECREF(capi_vol_as_array); }
    }  /* if (capi_vol_as_array == NULL) ... else of vol */
    /* End of cleaning variable vol */
    if((PyObject *)capi_dak_as_array!=dak_capi) {
        Py_XDECREF(capi_dak_as_array); }
    }  /* if (capi_dak_as_array == NULL) ... else of dak */
    /* End of cleaning variable dak */
    if((PyObject *)capi_daj_as_array!=daj_capi) {
        Py_XDECREF(capi_daj_as_array); }
    }  /* if (capi_daj_as_array == NULL) ... else of daj */
    /* End of cleaning variable daj */
    if((PyObject *)capi_dai_as_array!=dai_capi) {
        Py_XDECREF(capi_dai_as_array); }
    }  /* if (capi_dai_as_array == NULL) ... else of dai */
    /* End of cleaning variable dai */
    if((PyObject *)capi_rc_as_array!=rc_capi) {
        Py_XDECREF(capi_rc_as_array); }
    }  /* if (capi_rc_as_array == NULL) ... else of rc */
    /* End of cleaning variable rc */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
    } /*CHECKSCALAR(shape(x, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(x, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(x, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_x_as_array!=x_capi) {
        Py_XDECREF(capi_x_as_array); }
    }  /* if (capi_x_as_array == NULL) ... else of x */
    /* End of cleaning variable x */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/******************************** end of grad ********************************/

/*********************************** smooth ***********************************/
static char doc_f2py_rout_embsolvec_smooth[] = "\
smooth(x,p,l,sf4,sf2,sf2min,[ni,nj,nk,np])\n\nWrapper for ``smooth``.\
\n\nParameters\n----------\n"
"x : in/output rank-4 array('f') with bounds (ni,nj,nk,np)\n"
"p : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"l : input rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"sf4 : input float\n"
"sf2 : input float\n"
"sf2min : input float\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(x, 0)\n"
"nj : input int, optional\n    Default: shape(x, 1)\n"
"nk : input int, optional\n    Default: shape(x, 2)\n"
"np : input int, optional\n    Default: shape(x, 3)";
/* extern void F_FUNC(smooth,SMOOTH)(float*,float*,float*,float*,float*,float*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_smooth(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *x = NULL;
    npy_intp x_Dims[4] = {-1, -1, -1, -1};
    const int x_Rank = 4;
    PyArrayObject *capi_x_as_array = NULL;
    int capi_x_intent = 0;
    PyObject *x_capi = Py_None;
    float *p = NULL;
    npy_intp p_Dims[3] = {-1, -1, -1};
    const int p_Rank = 3;
    PyArrayObject *capi_p_as_array = NULL;
    int capi_p_intent = 0;
    PyObject *p_capi = Py_None;
    float *l = NULL;
    npy_intp l_Dims[4] = {-1, -1, -1, -1};
    const int l_Rank = 4;
    PyArrayObject *capi_l_as_array = NULL;
    int capi_l_intent = 0;
    PyObject *l_capi = Py_None;
    float sf4 = 0;
    PyObject *sf4_capi = Py_None;
    float sf2 = 0;
    PyObject *sf2_capi = Py_None;
    float sf2min = 0;
    PyObject *sf2min_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int np = 0;
    PyObject *np_capi = Py_None;
    static char *capi_kwlist[] = {"x","p","l","sf4","sf2","sf2min","ni","nj","nk","np",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOO|OOOO:embsolvec.smooth",\
        capi_kwlist,&x_capi,&p_capi,&l_capi,&sf4_capi,&sf2_capi,&sf2min_capi,&ni_capi,&nj_capi,&nk_capi,&np_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable sf4 */
        f2py_success = float_from_pyobj(&sf4,sf4_capi,"embsolvec.smooth() 4th argument (sf4) can't be converted to float");
    if (f2py_success) {
    /* Processing variable sf2 */
        f2py_success = float_from_pyobj(&sf2,sf2_capi,"embsolvec.smooth() 5th argument (sf2) can't be converted to float");
    if (f2py_success) {
    /* Processing variable sf2min */
        f2py_success = float_from_pyobj(&sf2min,sf2min_capi,"embsolvec.smooth() 6th argument (sf2min) can't be converted to float");
    if (f2py_success) {
    /* Processing variable x */
    ;
    capi_x_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.smooth: failed to create array from the 1st argument `x`";
    capi_x_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x_Dims,x_Rank,  capi_x_intent,x_capi,capi_errmess);
    if (capi_x_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x = (float *)(PyArray_DATA(capi_x_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(x, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.smooth() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 0) == ni,"shape(x, 0) == ni","1st keyword ni","smooth:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(x, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.smooth() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 1) == nj,"shape(x, 1) == nj","2nd keyword nj","smooth:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(x, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.smooth() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 2) == nk,"shape(x, 2) == nk","3rd keyword nk","smooth:nk=%d",nk) {
    /* Processing variable np */
    if (np_capi == Py_None) np = shape(x, 3); else
        f2py_success = int_from_pyobj(&np,np_capi,"embsolvec.smooth() 4th keyword (np) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 3) == np,"shape(x, 3) == np","4th keyword np","smooth:np=%d",np) {
    /* Processing variable p */
    p_Dims[0]=ni,p_Dims[1]=nj,p_Dims[2]=nk;
    capi_p_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.smooth: failed to create array from the 2nd argument `p`";
    capi_p_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,p_Dims,p_Rank,  capi_p_intent,p_capi,capi_errmess);
    if (capi_p_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        p = (float *)(PyArray_DATA(capi_p_as_array));

    /* Processing variable l */
    l_Dims[0]=ni,l_Dims[1]=nj,l_Dims[2]=nk,l_Dims[3]=3;
    capi_l_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.smooth: failed to create array from the 3rd argument `l`";
    capi_l_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,l_Dims,l_Rank,  capi_l_intent,l_capi,capi_errmess);
    if (capi_l_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        l = (float *)(PyArray_DATA(capi_l_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(x,p,l,&sf4,&sf2,&sf2min,&ni,&nj,&nk,&np);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_l_as_array!=l_capi) {
        Py_XDECREF(capi_l_as_array); }
    }  /* if (capi_l_as_array == NULL) ... else of l */
    /* End of cleaning variable l */
    if((PyObject *)capi_p_as_array!=p_capi) {
        Py_XDECREF(capi_p_as_array); }
    }  /* if (capi_p_as_array == NULL) ... else of p */
    /* End of cleaning variable p */
    } /*CHECKSCALAR(shape(x, 3) == np)*/
    } /*if (f2py_success) of np*/
    /* End of cleaning variable np */
    } /*CHECKSCALAR(shape(x, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(x, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(x, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_x_as_array!=x_capi) {
        Py_XDECREF(capi_x_as_array); }
    }  /* if (capi_x_as_array == NULL) ... else of x */
    /* End of cleaning variable x */
    } /*if (f2py_success) of sf2min*/
    /* End of cleaning variable sf2min */
    } /*if (f2py_success) of sf2*/
    /* End of cleaning variable sf2 */
    } /*if (f2py_success) of sf4*/
    /* End of cleaning variable sf4 */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/******************************* end of smooth *******************************/

/******************************** shear_stress ********************************/
static char doc_f2py_rout_embsolvec_shear_stress[] = "\
shear_stress(cons,v,t,mu,cp,pr_turb,xlength,vol,dai,daj,dak,omega,r,rc,ri,rj,rk,ijk_iwall,ijk_jwall,ijk_kwall,dw_iwall,dw_jwall,dw_kwall,da_iwall,da_jwall,da_kwall,fvisc,[ni,nj,nk,niwall,njwall,nkwall])\n\nWrapper for ``shear_stress``.\
\n\nParameters\n----------\n"
"cons : input rank-4 array('f') with bounds (ni,nj,nk,5)\n"
"v : input rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"t : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"mu : input float\n"
"cp : input float\n"
"pr_turb : input float\n"
"xlength : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk)\n"
"vol : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk)\n"
"dai : input rank-4 array('f') with bounds (ni,-1 + nj,-1 + nk,3)\n"
"daj : input rank-4 array('f') with bounds (-1 + ni,nj,-1 + nk,3)\n"
"dak : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,nk,3)\n"
"omega : input float\n"
"r : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"rc : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk)\n"
"ri : input rank-3 array('f') with bounds (ni,-1 + nj,-1 + nk)\n"
"rj : input rank-3 array('f') with bounds (-1 + ni,nj,-1 + nk)\n"
"rk : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,nk)\n"
"ijk_iwall : input rank-2 array('h') with bounds (3,niwall)\n"
"ijk_jwall : input rank-2 array('h') with bounds (3,njwall)\n"
"ijk_kwall : input rank-2 array('h') with bounds (3,nkwall)\n"
"dw_iwall : input rank-1 array('f') with bounds (niwall)\n"
"dw_jwall : input rank-1 array('f') with bounds (njwall)\n"
"dw_kwall : input rank-1 array('f') with bounds (nkwall)\n"
"da_iwall : input rank-1 array('f') with bounds (niwall)\n"
"da_jwall : input rank-1 array('f') with bounds (njwall)\n"
"da_kwall : input rank-1 array('f') with bounds (nkwall)\n"
"fvisc : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,5)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(cons, 0)\n"
"nj : input int, optional\n    Default: shape(cons, 1)\n"
"nk : input int, optional\n    Default: shape(cons, 2)\n"
"niwall : input int, optional\n    Default: shape(ijk_iwall, 1)\n"
"njwall : input int, optional\n    Default: shape(ijk_jwall, 1)\n"
"nkwall : input int, optional\n    Default: shape(ijk_kwall, 1)";
/* extern void F_FUNC_US(shear_stress,SHEAR_STRESS)(float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,short*,short*,short*,float*,float*,float*,float*,float*,float*,float*,int*,int*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_shear_stress(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,short*,short*,short*,float*,float*,float*,float*,float*,float*,float*,int*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *cons = NULL;
    npy_intp cons_Dims[4] = {-1, -1, -1, -1};
    const int cons_Rank = 4;
    PyArrayObject *capi_cons_as_array = NULL;
    int capi_cons_intent = 0;
    PyObject *cons_capi = Py_None;
    float *v = NULL;
    npy_intp v_Dims[4] = {-1, -1, -1, -1};
    const int v_Rank = 4;
    PyArrayObject *capi_v_as_array = NULL;
    int capi_v_intent = 0;
    PyObject *v_capi = Py_None;
    float *t = NULL;
    npy_intp t_Dims[3] = {-1, -1, -1};
    const int t_Rank = 3;
    PyArrayObject *capi_t_as_array = NULL;
    int capi_t_intent = 0;
    PyObject *t_capi = Py_None;
    float mu = 0;
    PyObject *mu_capi = Py_None;
    float cp = 0;
    PyObject *cp_capi = Py_None;
    float pr_turb = 0;
    PyObject *pr_turb_capi = Py_None;
    float *xlength = NULL;
    npy_intp xlength_Dims[3] = {-1, -1, -1};
    const int xlength_Rank = 3;
    PyArrayObject *capi_xlength_as_array = NULL;
    int capi_xlength_intent = 0;
    PyObject *xlength_capi = Py_None;
    float *vol = NULL;
    npy_intp vol_Dims[3] = {-1, -1, -1};
    const int vol_Rank = 3;
    PyArrayObject *capi_vol_as_array = NULL;
    int capi_vol_intent = 0;
    PyObject *vol_capi = Py_None;
    float *dai = NULL;
    npy_intp dai_Dims[4] = {-1, -1, -1, -1};
    const int dai_Rank = 4;
    PyArrayObject *capi_dai_as_array = NULL;
    int capi_dai_intent = 0;
    PyObject *dai_capi = Py_None;
    float *daj = NULL;
    npy_intp daj_Dims[4] = {-1, -1, -1, -1};
    const int daj_Rank = 4;
    PyArrayObject *capi_daj_as_array = NULL;
    int capi_daj_intent = 0;
    PyObject *daj_capi = Py_None;
    float *dak = NULL;
    npy_intp dak_Dims[4] = {-1, -1, -1, -1};
    const int dak_Rank = 4;
    PyArrayObject *capi_dak_as_array = NULL;
    int capi_dak_intent = 0;
    PyObject *dak_capi = Py_None;
    float omega = 0;
    PyObject *omega_capi = Py_None;
    float *r = NULL;
    npy_intp r_Dims[3] = {-1, -1, -1};
    const int r_Rank = 3;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    float *rc = NULL;
    npy_intp rc_Dims[3] = {-1, -1, -1};
    const int rc_Rank = 3;
    PyArrayObject *capi_rc_as_array = NULL;
    int capi_rc_intent = 0;
    PyObject *rc_capi = Py_None;
    float *ri = NULL;
    npy_intp ri_Dims[3] = {-1, -1, -1};
    const int ri_Rank = 3;
    PyArrayObject *capi_ri_as_array = NULL;
    int capi_ri_intent = 0;
    PyObject *ri_capi = Py_None;
    float *rj = NULL;
    npy_intp rj_Dims[3] = {-1, -1, -1};
    const int rj_Rank = 3;
    PyArrayObject *capi_rj_as_array = NULL;
    int capi_rj_intent = 0;
    PyObject *rj_capi = Py_None;
    float *rk = NULL;
    npy_intp rk_Dims[3] = {-1, -1, -1};
    const int rk_Rank = 3;
    PyArrayObject *capi_rk_as_array = NULL;
    int capi_rk_intent = 0;
    PyObject *rk_capi = Py_None;
    short *ijk_iwall = NULL;
    npy_intp ijk_iwall_Dims[2] = {-1, -1};
    const int ijk_iwall_Rank = 2;
    PyArrayObject *capi_ijk_iwall_as_array = NULL;
    int capi_ijk_iwall_intent = 0;
    PyObject *ijk_iwall_capi = Py_None;
    short *ijk_jwall = NULL;
    npy_intp ijk_jwall_Dims[2] = {-1, -1};
    const int ijk_jwall_Rank = 2;
    PyArrayObject *capi_ijk_jwall_as_array = NULL;
    int capi_ijk_jwall_intent = 0;
    PyObject *ijk_jwall_capi = Py_None;
    short *ijk_kwall = NULL;
    npy_intp ijk_kwall_Dims[2] = {-1, -1};
    const int ijk_kwall_Rank = 2;
    PyArrayObject *capi_ijk_kwall_as_array = NULL;
    int capi_ijk_kwall_intent = 0;
    PyObject *ijk_kwall_capi = Py_None;
    float *dw_iwall = NULL;
    npy_intp dw_iwall_Dims[1] = {-1};
    const int dw_iwall_Rank = 1;
    PyArrayObject *capi_dw_iwall_as_array = NULL;
    int capi_dw_iwall_intent = 0;
    PyObject *dw_iwall_capi = Py_None;
    float *dw_jwall = NULL;
    npy_intp dw_jwall_Dims[1] = {-1};
    const int dw_jwall_Rank = 1;
    PyArrayObject *capi_dw_jwall_as_array = NULL;
    int capi_dw_jwall_intent = 0;
    PyObject *dw_jwall_capi = Py_None;
    float *dw_kwall = NULL;
    npy_intp dw_kwall_Dims[1] = {-1};
    const int dw_kwall_Rank = 1;
    PyArrayObject *capi_dw_kwall_as_array = NULL;
    int capi_dw_kwall_intent = 0;
    PyObject *dw_kwall_capi = Py_None;
    float *da_iwall = NULL;
    npy_intp da_iwall_Dims[1] = {-1};
    const int da_iwall_Rank = 1;
    PyArrayObject *capi_da_iwall_as_array = NULL;
    int capi_da_iwall_intent = 0;
    PyObject *da_iwall_capi = Py_None;
    float *da_jwall = NULL;
    npy_intp da_jwall_Dims[1] = {-1};
    const int da_jwall_Rank = 1;
    PyArrayObject *capi_da_jwall_as_array = NULL;
    int capi_da_jwall_intent = 0;
    PyObject *da_jwall_capi = Py_None;
    float *da_kwall = NULL;
    npy_intp da_kwall_Dims[1] = {-1};
    const int da_kwall_Rank = 1;
    PyArrayObject *capi_da_kwall_as_array = NULL;
    int capi_da_kwall_intent = 0;
    PyObject *da_kwall_capi = Py_None;
    float *fvisc = NULL;
    npy_intp fvisc_Dims[4] = {-1, -1, -1, -1};
    const int fvisc_Rank = 4;
    PyArrayObject *capi_fvisc_as_array = NULL;
    int capi_fvisc_intent = 0;
    PyObject *fvisc_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int niwall = 0;
    PyObject *niwall_capi = Py_None;
    int njwall = 0;
    PyObject *njwall_capi = Py_None;
    int nkwall = 0;
    PyObject *nkwall_capi = Py_None;
    static char *capi_kwlist[] = {"cons","v","t","mu","cp","pr_turb","xlength","vol","dai","daj","dak","omega","r","rc","ri","rj","rk","ijk_iwall","ijk_jwall","ijk_kwall","dw_iwall","dw_jwall","dw_kwall","da_iwall","da_jwall","da_kwall","fvisc","ni","nj","nk","niwall","njwall","nkwall",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOOOOOOOOOOOOOOOOOOOOOOO|OOOOOO:embsolvec.shear_stress",\
        capi_kwlist,&cons_capi,&v_capi,&t_capi,&mu_capi,&cp_capi,&pr_turb_capi,&xlength_capi,&vol_capi,&dai_capi,&daj_capi,&dak_capi,&omega_capi,&r_capi,&rc_capi,&ri_capi,&rj_capi,&rk_capi,&ijk_iwall_capi,&ijk_jwall_capi,&ijk_kwall_capi,&dw_iwall_capi,&dw_jwall_capi,&dw_kwall_capi,&da_iwall_capi,&da_jwall_capi,&da_kwall_capi,&fvisc_capi,&ni_capi,&nj_capi,&nk_capi,&niwall_capi,&njwall_capi,&nkwall_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable cons */
    cons_Dims[3]=5;
    capi_cons_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 1st argument `cons`";
    capi_cons_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,cons_Dims,cons_Rank,  capi_cons_intent,cons_capi,capi_errmess);
    if (capi_cons_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        cons = (float *)(PyArray_DATA(capi_cons_as_array));

    /* Processing variable mu */
        f2py_success = float_from_pyobj(&mu,mu_capi,"embsolvec.shear_stress() 4th argument (mu) can't be converted to float");
    if (f2py_success) {
    /* Processing variable pr_turb */
        f2py_success = float_from_pyobj(&pr_turb,pr_turb_capi,"embsolvec.shear_stress() 6th argument (pr_turb) can't be converted to float");
    if (f2py_success) {
    /* Processing variable omega */
        f2py_success = float_from_pyobj(&omega,omega_capi,"embsolvec.shear_stress() 12nd argument (omega) can't be converted to float");
    if (f2py_success) {
    /* Processing variable cp */
        f2py_success = float_from_pyobj(&cp,cp_capi,"embsolvec.shear_stress() 5th argument (cp) can't be converted to float");
    if (f2py_success) {
    /* Processing variable ijk_iwall */
    ijk_iwall_Dims[0]=3;
    capi_ijk_iwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 18th argument `ijk_iwall`";
    capi_ijk_iwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_iwall_Dims,ijk_iwall_Rank,  capi_ijk_iwall_intent,ijk_iwall_capi,capi_errmess);
    if (capi_ijk_iwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_iwall = (short *)(PyArray_DATA(capi_ijk_iwall_as_array));

    /* Processing variable ijk_jwall */
    ijk_jwall_Dims[0]=3;
    capi_ijk_jwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 19th argument `ijk_jwall`";
    capi_ijk_jwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_jwall_Dims,ijk_jwall_Rank,  capi_ijk_jwall_intent,ijk_jwall_capi,capi_errmess);
    if (capi_ijk_jwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_jwall = (short *)(PyArray_DATA(capi_ijk_jwall_as_array));

    /* Processing variable ijk_kwall */
    ijk_kwall_Dims[0]=3;
    capi_ijk_kwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 20th argument `ijk_kwall`";
    capi_ijk_kwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_kwall_Dims,ijk_kwall_Rank,  capi_ijk_kwall_intent,ijk_kwall_capi,capi_errmess);
    if (capi_ijk_kwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_kwall = (short *)(PyArray_DATA(capi_ijk_kwall_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(cons, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.shear_stress() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 0) == ni,"shape(cons, 0) == ni","1st keyword ni","shear_stress:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(cons, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.shear_stress() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 1) == nj,"shape(cons, 1) == nj","2nd keyword nj","shear_stress:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(cons, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.shear_stress() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 2) == nk,"shape(cons, 2) == nk","3rd keyword nk","shear_stress:nk=%d",nk) {
    /* Processing variable niwall */
    if (niwall_capi == Py_None) niwall = shape(ijk_iwall, 1); else
        f2py_success = int_from_pyobj(&niwall,niwall_capi,"embsolvec.shear_stress() 4th keyword (niwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_iwall, 1) == niwall,"shape(ijk_iwall, 1) == niwall","4th keyword niwall","shear_stress:niwall=%d",niwall) {
    /* Processing variable njwall */
    if (njwall_capi == Py_None) njwall = shape(ijk_jwall, 1); else
        f2py_success = int_from_pyobj(&njwall,njwall_capi,"embsolvec.shear_stress() 5th keyword (njwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_jwall, 1) == njwall,"shape(ijk_jwall, 1) == njwall","5th keyword njwall","shear_stress:njwall=%d",njwall) {
    /* Processing variable nkwall */
    if (nkwall_capi == Py_None) nkwall = shape(ijk_kwall, 1); else
        f2py_success = int_from_pyobj(&nkwall,nkwall_capi,"embsolvec.shear_stress() 6th keyword (nkwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_kwall, 1) == nkwall,"shape(ijk_kwall, 1) == nkwall","6th keyword nkwall","shear_stress:nkwall=%d",nkwall) {
    /* Processing variable dw_iwall */
    dw_iwall_Dims[0]=niwall;
    capi_dw_iwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 21st argument `dw_iwall`";
    capi_dw_iwall_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dw_iwall_Dims,dw_iwall_Rank,  capi_dw_iwall_intent,dw_iwall_capi,capi_errmess);
    if (capi_dw_iwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dw_iwall = (float *)(PyArray_DATA(capi_dw_iwall_as_array));

    /* Processing variable dw_jwall */
    dw_jwall_Dims[0]=njwall;
    capi_dw_jwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 22nd argument `dw_jwall`";
    capi_dw_jwall_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dw_jwall_Dims,dw_jwall_Rank,  capi_dw_jwall_intent,dw_jwall_capi,capi_errmess);
    if (capi_dw_jwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dw_jwall = (float *)(PyArray_DATA(capi_dw_jwall_as_array));

    /* Processing variable dw_kwall */
    dw_kwall_Dims[0]=nkwall;
    capi_dw_kwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 23rd argument `dw_kwall`";
    capi_dw_kwall_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dw_kwall_Dims,dw_kwall_Rank,  capi_dw_kwall_intent,dw_kwall_capi,capi_errmess);
    if (capi_dw_kwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dw_kwall = (float *)(PyArray_DATA(capi_dw_kwall_as_array));

    /* Processing variable da_iwall */
    da_iwall_Dims[0]=niwall;
    capi_da_iwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 24th argument `da_iwall`";
    capi_da_iwall_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,da_iwall_Dims,da_iwall_Rank,  capi_da_iwall_intent,da_iwall_capi,capi_errmess);
    if (capi_da_iwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        da_iwall = (float *)(PyArray_DATA(capi_da_iwall_as_array));

    /* Processing variable da_jwall */
    da_jwall_Dims[0]=njwall;
    capi_da_jwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 25th argument `da_jwall`";
    capi_da_jwall_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,da_jwall_Dims,da_jwall_Rank,  capi_da_jwall_intent,da_jwall_capi,capi_errmess);
    if (capi_da_jwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        da_jwall = (float *)(PyArray_DATA(capi_da_jwall_as_array));

    /* Processing variable da_kwall */
    da_kwall_Dims[0]=nkwall;
    capi_da_kwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 26th argument `da_kwall`";
    capi_da_kwall_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,da_kwall_Dims,da_kwall_Rank,  capi_da_kwall_intent,da_kwall_capi,capi_errmess);
    if (capi_da_kwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        da_kwall = (float *)(PyArray_DATA(capi_da_kwall_as_array));

    /* Processing variable v */
    v_Dims[0]=ni,v_Dims[1]=nj,v_Dims[2]=nk,v_Dims[3]=3;
    capi_v_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 2nd argument `v`";
    capi_v_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,v_Dims,v_Rank,  capi_v_intent,v_capi,capi_errmess);
    if (capi_v_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        v = (float *)(PyArray_DATA(capi_v_as_array));

    /* Processing variable t */
    t_Dims[0]=ni,t_Dims[1]=nj,t_Dims[2]=nk;
    capi_t_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 3rd argument `t`";
    capi_t_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,t_Dims,t_Rank,  capi_t_intent,t_capi,capi_errmess);
    if (capi_t_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        t = (float *)(PyArray_DATA(capi_t_as_array));

    /* Processing variable fvisc */
    fvisc_Dims[0]=-1 + ni,fvisc_Dims[1]=-1 + nj,fvisc_Dims[2]=-1 + nk,fvisc_Dims[3]=5;
    capi_fvisc_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 27th argument `fvisc`";
    capi_fvisc_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fvisc_Dims,fvisc_Rank,  capi_fvisc_intent,fvisc_capi,capi_errmess);
    if (capi_fvisc_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fvisc = (float *)(PyArray_DATA(capi_fvisc_as_array));

    /* Processing variable dai */
    dai_Dims[0]=ni,dai_Dims[1]=-1 + nj,dai_Dims[2]=-1 + nk,dai_Dims[3]=3;
    capi_dai_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 9th argument `dai`";
    capi_dai_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dai_Dims,dai_Rank,  capi_dai_intent,dai_capi,capi_errmess);
    if (capi_dai_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dai = (float *)(PyArray_DATA(capi_dai_as_array));

    /* Processing variable daj */
    daj_Dims[0]=-1 + ni,daj_Dims[1]=nj,daj_Dims[2]=-1 + nk,daj_Dims[3]=3;
    capi_daj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 10th argument `daj`";
    capi_daj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,daj_Dims,daj_Rank,  capi_daj_intent,daj_capi,capi_errmess);
    if (capi_daj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        daj = (float *)(PyArray_DATA(capi_daj_as_array));

    /* Processing variable dak */
    dak_Dims[0]=-1 + ni,dak_Dims[1]=-1 + nj,dak_Dims[2]=nk,dak_Dims[3]=3;
    capi_dak_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 11st argument `dak`";
    capi_dak_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dak_Dims,dak_Rank,  capi_dak_intent,dak_capi,capi_errmess);
    if (capi_dak_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dak = (float *)(PyArray_DATA(capi_dak_as_array));

    /* Processing variable vol */
    vol_Dims[0]=-1 + ni,vol_Dims[1]=-1 + nj,vol_Dims[2]=-1 + nk;
    capi_vol_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 8th argument `vol`";
    capi_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vol_Dims,vol_Rank,  capi_vol_intent,vol_capi,capi_errmess);
    if (capi_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vol = (float *)(PyArray_DATA(capi_vol_as_array));

    /* Processing variable xlength */
    xlength_Dims[0]=-1 + ni,xlength_Dims[1]=-1 + nj,xlength_Dims[2]=-1 + nk;
    capi_xlength_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 7th argument `xlength`";
    capi_xlength_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xlength_Dims,xlength_Rank,  capi_xlength_intent,xlength_capi,capi_errmess);
    if (capi_xlength_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xlength = (float *)(PyArray_DATA(capi_xlength_as_array));

    /* Processing variable r */
    r_Dims[0]=ni,r_Dims[1]=nj,r_Dims[2]=nk;
    capi_r_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 13rd argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable rc */
    rc_Dims[0]=-1 + ni,rc_Dims[1]=-1 + nj,rc_Dims[2]=-1 + nk;
    capi_rc_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 14th argument `rc`";
    capi_rc_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rc_Dims,rc_Rank,  capi_rc_intent,rc_capi,capi_errmess);
    if (capi_rc_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rc = (float *)(PyArray_DATA(capi_rc_as_array));

    /* Processing variable ri */
    ri_Dims[0]=ni,ri_Dims[1]=-1 + nj,ri_Dims[2]=-1 + nk;
    capi_ri_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 15th argument `ri`";
    capi_ri_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,ri_Dims,ri_Rank,  capi_ri_intent,ri_capi,capi_errmess);
    if (capi_ri_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ri = (float *)(PyArray_DATA(capi_ri_as_array));

    /* Processing variable rj */
    rj_Dims[0]=-1 + ni,rj_Dims[1]=nj,rj_Dims[2]=-1 + nk;
    capi_rj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 16th argument `rj`";
    capi_rj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rj_Dims,rj_Rank,  capi_rj_intent,rj_capi,capi_errmess);
    if (capi_rj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rj = (float *)(PyArray_DATA(capi_rj_as_array));

    /* Processing variable rk */
    rk_Dims[0]=-1 + ni,rk_Dims[1]=-1 + nj,rk_Dims[2]=nk;
    capi_rk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.shear_stress: failed to create array from the 17th argument `rk`";
    capi_rk_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rk_Dims,rk_Rank,  capi_rk_intent,rk_capi,capi_errmess);
    if (capi_rk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rk = (float *)(PyArray_DATA(capi_rk_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(cons,v,t,&mu,&cp,&pr_turb,xlength,vol,dai,daj,dak,&omega,r,rc,ri,rj,rk,ijk_iwall,ijk_jwall,ijk_kwall,dw_iwall,dw_jwall,dw_kwall,da_iwall,da_jwall,da_kwall,fvisc,&ni,&nj,&nk,&niwall,&njwall,&nkwall);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_rk_as_array!=rk_capi) {
        Py_XDECREF(capi_rk_as_array); }
    }  /* if (capi_rk_as_array == NULL) ... else of rk */
    /* End of cleaning variable rk */
    if((PyObject *)capi_rj_as_array!=rj_capi) {
        Py_XDECREF(capi_rj_as_array); }
    }  /* if (capi_rj_as_array == NULL) ... else of rj */
    /* End of cleaning variable rj */
    if((PyObject *)capi_ri_as_array!=ri_capi) {
        Py_XDECREF(capi_ri_as_array); }
    }  /* if (capi_ri_as_array == NULL) ... else of ri */
    /* End of cleaning variable ri */
    if((PyObject *)capi_rc_as_array!=rc_capi) {
        Py_XDECREF(capi_rc_as_array); }
    }  /* if (capi_rc_as_array == NULL) ... else of rc */
    /* End of cleaning variable rc */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
    if((PyObject *)capi_xlength_as_array!=xlength_capi) {
        Py_XDECREF(capi_xlength_as_array); }
    }  /* if (capi_xlength_as_array == NULL) ... else of xlength */
    /* End of cleaning variable xlength */
    if((PyObject *)capi_vol_as_array!=vol_capi) {
        Py_XDECREF(capi_vol_as_array); }
    }  /* if (capi_vol_as_array == NULL) ... else of vol */
    /* End of cleaning variable vol */
    if((PyObject *)capi_dak_as_array!=dak_capi) {
        Py_XDECREF(capi_dak_as_array); }
    }  /* if (capi_dak_as_array == NULL) ... else of dak */
    /* End of cleaning variable dak */
    if((PyObject *)capi_daj_as_array!=daj_capi) {
        Py_XDECREF(capi_daj_as_array); }
    }  /* if (capi_daj_as_array == NULL) ... else of daj */
    /* End of cleaning variable daj */
    if((PyObject *)capi_dai_as_array!=dai_capi) {
        Py_XDECREF(capi_dai_as_array); }
    }  /* if (capi_dai_as_array == NULL) ... else of dai */
    /* End of cleaning variable dai */
    if((PyObject *)capi_fvisc_as_array!=fvisc_capi) {
        Py_XDECREF(capi_fvisc_as_array); }
    }  /* if (capi_fvisc_as_array == NULL) ... else of fvisc */
    /* End of cleaning variable fvisc */
    if((PyObject *)capi_t_as_array!=t_capi) {
        Py_XDECREF(capi_t_as_array); }
    }  /* if (capi_t_as_array == NULL) ... else of t */
    /* End of cleaning variable t */
    if((PyObject *)capi_v_as_array!=v_capi) {
        Py_XDECREF(capi_v_as_array); }
    }  /* if (capi_v_as_array == NULL) ... else of v */
    /* End of cleaning variable v */
    if((PyObject *)capi_da_kwall_as_array!=da_kwall_capi) {
        Py_XDECREF(capi_da_kwall_as_array); }
    }  /* if (capi_da_kwall_as_array == NULL) ... else of da_kwall */
    /* End of cleaning variable da_kwall */
    if((PyObject *)capi_da_jwall_as_array!=da_jwall_capi) {
        Py_XDECREF(capi_da_jwall_as_array); }
    }  /* if (capi_da_jwall_as_array == NULL) ... else of da_jwall */
    /* End of cleaning variable da_jwall */
    if((PyObject *)capi_da_iwall_as_array!=da_iwall_capi) {
        Py_XDECREF(capi_da_iwall_as_array); }
    }  /* if (capi_da_iwall_as_array == NULL) ... else of da_iwall */
    /* End of cleaning variable da_iwall */
    if((PyObject *)capi_dw_kwall_as_array!=dw_kwall_capi) {
        Py_XDECREF(capi_dw_kwall_as_array); }
    }  /* if (capi_dw_kwall_as_array == NULL) ... else of dw_kwall */
    /* End of cleaning variable dw_kwall */
    if((PyObject *)capi_dw_jwall_as_array!=dw_jwall_capi) {
        Py_XDECREF(capi_dw_jwall_as_array); }
    }  /* if (capi_dw_jwall_as_array == NULL) ... else of dw_jwall */
    /* End of cleaning variable dw_jwall */
    if((PyObject *)capi_dw_iwall_as_array!=dw_iwall_capi) {
        Py_XDECREF(capi_dw_iwall_as_array); }
    }  /* if (capi_dw_iwall_as_array == NULL) ... else of dw_iwall */
    /* End of cleaning variable dw_iwall */
    } /*CHECKSCALAR(shape(ijk_kwall, 1) == nkwall)*/
    } /*if (f2py_success) of nkwall*/
    /* End of cleaning variable nkwall */
    } /*CHECKSCALAR(shape(ijk_jwall, 1) == njwall)*/
    } /*if (f2py_success) of njwall*/
    /* End of cleaning variable njwall */
    } /*CHECKSCALAR(shape(ijk_iwall, 1) == niwall)*/
    } /*if (f2py_success) of niwall*/
    /* End of cleaning variable niwall */
    } /*CHECKSCALAR(shape(cons, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(cons, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(cons, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_ijk_kwall_as_array!=ijk_kwall_capi) {
        Py_XDECREF(capi_ijk_kwall_as_array); }
    }  /* if (capi_ijk_kwall_as_array == NULL) ... else of ijk_kwall */
    /* End of cleaning variable ijk_kwall */
    if((PyObject *)capi_ijk_jwall_as_array!=ijk_jwall_capi) {
        Py_XDECREF(capi_ijk_jwall_as_array); }
    }  /* if (capi_ijk_jwall_as_array == NULL) ... else of ijk_jwall */
    /* End of cleaning variable ijk_jwall */
    if((PyObject *)capi_ijk_iwall_as_array!=ijk_iwall_capi) {
        Py_XDECREF(capi_ijk_iwall_as_array); }
    }  /* if (capi_ijk_iwall_as_array == NULL) ... else of ijk_iwall */
    /* End of cleaning variable ijk_iwall */
    } /*if (f2py_success) of cp*/
    /* End of cleaning variable cp */
    } /*if (f2py_success) of omega*/
    /* End of cleaning variable omega */
    } /*if (f2py_success) of pr_turb*/
    /* End of cleaning variable pr_turb */
    } /*if (f2py_success) of mu*/
    /* End of cleaning variable mu */
    if((PyObject *)capi_cons_as_array!=cons_capi) {
        Py_XDECREF(capi_cons_as_array); }
    }  /* if (capi_cons_as_array == NULL) ... else of cons */
    /* End of cleaning variable cons */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of shear_stress ****************************/

/******************************** viscous_flux ********************************/
static char doc_f2py_rout_embsolvec_viscous_flux[] = "\
f = viscous_flux(tau,q,v,r,[ni,nj,nk])\n\nWrapper for ``viscous_flux``.\
\n\nParameters\n----------\n"
"tau : input rank-4 array('f') with bounds (ni,nj,nk,6)\n"
"q : input rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"v : input rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"r : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(tau, 0)\n"
"nj : input int, optional\n    Default: shape(tau, 1)\n"
"nk : input int, optional\n    Default: shape(tau, 2)\n"
"\nReturns\n-------\n"
"f : rank-5 array('f') with bounds (ni,nj,nk,3,5)";
/* extern void F_FUNC_US(viscous_flux,VISCOUS_FLUX)(float*,float*,float*,float*,float*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_viscous_flux(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *f = NULL;
    npy_intp f_Dims[5] = {-1, -1, -1, -1, -1};
    const int f_Rank = 5;
    PyArrayObject *capi_f_as_array = NULL;
    int capi_f_intent = 0;
    float *tau = NULL;
    npy_intp tau_Dims[4] = {-1, -1, -1, -1};
    const int tau_Rank = 4;
    PyArrayObject *capi_tau_as_array = NULL;
    int capi_tau_intent = 0;
    PyObject *tau_capi = Py_None;
    float *q = NULL;
    npy_intp q_Dims[4] = {-1, -1, -1, -1};
    const int q_Rank = 4;
    PyArrayObject *capi_q_as_array = NULL;
    int capi_q_intent = 0;
    PyObject *q_capi = Py_None;
    float *v = NULL;
    npy_intp v_Dims[4] = {-1, -1, -1, -1};
    const int v_Rank = 4;
    PyArrayObject *capi_v_as_array = NULL;
    int capi_v_intent = 0;
    PyObject *v_capi = Py_None;
    float *r = NULL;
    npy_intp r_Dims[3] = {-1, -1, -1};
    const int r_Rank = 3;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    static char *capi_kwlist[] = {"tau","q","v","r","ni","nj","nk",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOO|OOO:embsolvec.viscous_flux",\
        capi_kwlist,&tau_capi,&q_capi,&v_capi,&r_capi,&ni_capi,&nj_capi,&nk_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable tau */
    tau_Dims[3]=6;
    capi_tau_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.viscous_flux: failed to create array from the 1st argument `tau`";
    capi_tau_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,tau_Dims,tau_Rank,  capi_tau_intent,tau_capi,capi_errmess);
    if (capi_tau_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        tau = (float *)(PyArray_DATA(capi_tau_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(tau, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.viscous_flux() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(tau, 0) == ni,"shape(tau, 0) == ni","1st keyword ni","viscous_flux:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(tau, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.viscous_flux() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(tau, 1) == nj,"shape(tau, 1) == nj","2nd keyword nj","viscous_flux:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(tau, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.viscous_flux() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(tau, 2) == nk,"shape(tau, 2) == nk","3rd keyword nk","viscous_flux:nk=%d",nk) {
    /* Processing variable q */
    q_Dims[0]=ni,q_Dims[1]=nj,q_Dims[2]=nk,q_Dims[3]=3;
    capi_q_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.viscous_flux: failed to create array from the 2nd argument `q`";
    capi_q_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,q_Dims,q_Rank,  capi_q_intent,q_capi,capi_errmess);
    if (capi_q_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        q = (float *)(PyArray_DATA(capi_q_as_array));

    /* Processing variable f */
    f_Dims[0]=ni,f_Dims[1]=nj,f_Dims[2]=nk,f_Dims[3]=3,f_Dims[4]=5;
    capi_f_intent |= F2PY_INTENT_OUT|F2PY_INTENT_HIDE;
    const char * capi_errmess = "embsolvec.embsolvec.viscous_flux: failed to create array from the hidden `f`";
    capi_f_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,f_Dims,f_Rank,  capi_f_intent,Py_None,capi_errmess);
    if (capi_f_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        f = (float *)(PyArray_DATA(capi_f_as_array));

    /* Processing variable r */
    r_Dims[0]=ni,r_Dims[1]=nj,r_Dims[2]=nk;
    capi_r_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.viscous_flux: failed to create array from the 4th argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable v */
    v_Dims[0]=ni,v_Dims[1]=nj,v_Dims[2]=nk,v_Dims[3]=3;
    capi_v_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.viscous_flux: failed to create array from the 3rd argument `v`";
    capi_v_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,v_Dims,v_Rank,  capi_v_intent,v_capi,capi_errmess);
    if (capi_v_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        v = (float *)(PyArray_DATA(capi_v_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(f,tau,q,v,r,&ni,&nj,&nk);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("N",capi_f_as_array);
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_v_as_array!=v_capi) {
        Py_XDECREF(capi_v_as_array); }
    }  /* if (capi_v_as_array == NULL) ... else of v */
    /* End of cleaning variable v */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
    }  /* if (capi_f_as_array == NULL) ... else of f */
    /* End of cleaning variable f */
    if((PyObject *)capi_q_as_array!=q_capi) {
        Py_XDECREF(capi_q_as_array); }
    }  /* if (capi_q_as_array == NULL) ... else of q */
    /* End of cleaning variable q */
    } /*CHECKSCALAR(shape(tau, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(tau, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(tau, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_tau_as_array!=tau_capi) {
        Py_XDECREF(capi_tau_as_array); }
    }  /* if (capi_tau_as_array == NULL) ... else of tau */
    /* End of cleaning variable tau */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of viscous_flux ****************************/

/******************************* wall_function *******************************/
static char doc_f2py_rout_embsolvec_wall_function[] = "\
wall_function(f,ijk,dirn,cons,omega,r,dw,da,mu,[ni,nj,nk,nwall])\n\nWrapper for ``wall_function``.\
\n\nParameters\n----------\n"
"f : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,5)\n"
"ijk : input rank-2 array('h') with bounds (3,nwall)\n"
"dirn : input int\n"
"cons : input rank-4 array('f') with bounds (ni,nj,nk,5)\n"
"omega : input float\n"
"r : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"dw : input rank-1 array('f') with bounds (nwall)\n"
"da : input rank-1 array('f') with bounds (nwall)\n"
"mu : input float\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: 1 + shape(f, 0)\n"
"nj : input int, optional\n    Default: 1 + shape(f, 1)\n"
"nk : input int, optional\n    Default: 1 + shape(f, 2)\n"
"nwall : input int, optional\n    Default: shape(ijk, 1)";
/* extern void F_FUNC_US(wall_function,WALL_FUNCTION)(float*,short*,int*,float*,float*,float*,float*,float*,float*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_wall_function(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,short*,int*,float*,float*,float*,float*,float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *f = NULL;
    npy_intp f_Dims[4] = {-1, -1, -1, -1};
    const int f_Rank = 4;
    PyArrayObject *capi_f_as_array = NULL;
    int capi_f_intent = 0;
    PyObject *f_capi = Py_None;
    short *ijk = NULL;
    npy_intp ijk_Dims[2] = {-1, -1};
    const int ijk_Rank = 2;
    PyArrayObject *capi_ijk_as_array = NULL;
    int capi_ijk_intent = 0;
    PyObject *ijk_capi = Py_None;
    int dirn = 0;
    PyObject *dirn_capi = Py_None;
    float *cons = NULL;
    npy_intp cons_Dims[4] = {-1, -1, -1, -1};
    const int cons_Rank = 4;
    PyArrayObject *capi_cons_as_array = NULL;
    int capi_cons_intent = 0;
    PyObject *cons_capi = Py_None;
    float omega = 0;
    PyObject *omega_capi = Py_None;
    float *r = NULL;
    npy_intp r_Dims[3] = {-1, -1, -1};
    const int r_Rank = 3;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    float *dw = NULL;
    npy_intp dw_Dims[1] = {-1};
    const int dw_Rank = 1;
    PyArrayObject *capi_dw_as_array = NULL;
    int capi_dw_intent = 0;
    PyObject *dw_capi = Py_None;
    float *da = NULL;
    npy_intp da_Dims[1] = {-1};
    const int da_Rank = 1;
    PyArrayObject *capi_da_as_array = NULL;
    int capi_da_intent = 0;
    PyObject *da_capi = Py_None;
    float mu = 0;
    PyObject *mu_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int nwall = 0;
    PyObject *nwall_capi = Py_None;
    static char *capi_kwlist[] = {"f","ijk","dirn","cons","omega","r","dw","da","mu","ni","nj","nk","nwall",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOOOOO|OOOO:embsolvec.wall_function",\
        capi_kwlist,&f_capi,&ijk_capi,&dirn_capi,&cons_capi,&omega_capi,&r_capi,&dw_capi,&da_capi,&mu_capi,&ni_capi,&nj_capi,&nk_capi,&nwall_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable f */
    f_Dims[3]=5;
    capi_f_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.wall_function: failed to create array from the 1st argument `f`";
    capi_f_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,f_Dims,f_Rank,  capi_f_intent,f_capi,capi_errmess);
    if (capi_f_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        f = (float *)(PyArray_DATA(capi_f_as_array));

    /* Processing variable ijk */
    ijk_Dims[0]=3;
    capi_ijk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.wall_function: failed to create array from the 2nd argument `ijk`";
    capi_ijk_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_Dims,ijk_Rank,  capi_ijk_intent,ijk_capi,capi_errmess);
    if (capi_ijk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk = (short *)(PyArray_DATA(capi_ijk_as_array));

    /* Processing variable dirn */
        f2py_success = int_from_pyobj(&dirn,dirn_capi,"embsolvec.wall_function() 3rd argument (dirn) can't be converted to int");
    if (f2py_success) {
    /* Processing variable mu */
        f2py_success = float_from_pyobj(&mu,mu_capi,"embsolvec.wall_function() 9th argument (mu) can't be converted to float");
    if (f2py_success) {
    /* Processing variable omega */
        f2py_success = float_from_pyobj(&omega,omega_capi,"embsolvec.wall_function() 5th argument (omega) can't be converted to float");
    if (f2py_success) {
    /* Processing variable ni */
    if (ni_capi == Py_None) ni = 1 + shape(f, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.wall_function() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(f, 0) == -1 + ni,"shape(f, 0) == -1 + ni","1st keyword ni","wall_function:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = 1 + shape(f, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.wall_function() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(f, 1) == -1 + nj,"shape(f, 1) == -1 + nj","2nd keyword nj","wall_function:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = 1 + shape(f, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.wall_function() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(f, 2) == -1 + nk,"shape(f, 2) == -1 + nk","3rd keyword nk","wall_function:nk=%d",nk) {
    /* Processing variable nwall */
    if (nwall_capi == Py_None) nwall = shape(ijk, 1); else
        f2py_success = int_from_pyobj(&nwall,nwall_capi,"embsolvec.wall_function() 4th keyword (nwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk, 1) == nwall,"shape(ijk, 1) == nwall","4th keyword nwall","wall_function:nwall=%d",nwall) {
    /* Processing variable cons */
    cons_Dims[0]=ni,cons_Dims[1]=nj,cons_Dims[2]=nk,cons_Dims[3]=5;
    capi_cons_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.wall_function: failed to create array from the 4th argument `cons`";
    capi_cons_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,cons_Dims,cons_Rank,  capi_cons_intent,cons_capi,capi_errmess);
    if (capi_cons_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        cons = (float *)(PyArray_DATA(capi_cons_as_array));

    /* Processing variable r */
    r_Dims[0]=ni,r_Dims[1]=nj,r_Dims[2]=nk;
    capi_r_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.wall_function: failed to create array from the 6th argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable dw */
    dw_Dims[0]=nwall;
    capi_dw_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.wall_function: failed to create array from the 7th argument `dw`";
    capi_dw_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dw_Dims,dw_Rank,  capi_dw_intent,dw_capi,capi_errmess);
    if (capi_dw_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dw = (float *)(PyArray_DATA(capi_dw_as_array));

    /* Processing variable da */
    da_Dims[0]=nwall;
    capi_da_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.wall_function: failed to create array from the 8th argument `da`";
    capi_da_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,da_Dims,da_Rank,  capi_da_intent,da_capi,capi_errmess);
    if (capi_da_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        da = (float *)(PyArray_DATA(capi_da_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(f,ijk,&dirn,cons,&omega,r,dw,da,&mu,&ni,&nj,&nk,&nwall);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_da_as_array!=da_capi) {
        Py_XDECREF(capi_da_as_array); }
    }  /* if (capi_da_as_array == NULL) ... else of da */
    /* End of cleaning variable da */
    if((PyObject *)capi_dw_as_array!=dw_capi) {
        Py_XDECREF(capi_dw_as_array); }
    }  /* if (capi_dw_as_array == NULL) ... else of dw */
    /* End of cleaning variable dw */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
    if((PyObject *)capi_cons_as_array!=cons_capi) {
        Py_XDECREF(capi_cons_as_array); }
    }  /* if (capi_cons_as_array == NULL) ... else of cons */
    /* End of cleaning variable cons */
    } /*CHECKSCALAR(shape(ijk, 1) == nwall)*/
    } /*if (f2py_success) of nwall*/
    /* End of cleaning variable nwall */
    } /*CHECKSCALAR(shape(f, 2) == -1 + nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(f, 1) == -1 + nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(f, 0) == -1 + ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    } /*if (f2py_success) of omega*/
    /* End of cleaning variable omega */
    } /*if (f2py_success) of mu*/
    /* End of cleaning variable mu */
    } /*if (f2py_success) of dirn*/
    /* End of cleaning variable dirn */
    if((PyObject *)capi_ijk_as_array!=ijk_capi) {
        Py_XDECREF(capi_ijk_as_array); }
    }  /* if (capi_ijk_as_array == NULL) ... else of ijk */
    /* End of cleaning variable ijk */
    if((PyObject *)capi_f_as_array!=f_capi) {
        Py_XDECREF(capi_f_as_array); }
    }  /* if (capi_f_as_array == NULL) ... else of f */
    /* End of cleaning variable f */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of wall_function ****************************/

/****************************** zero_wall_stress ******************************/
static char doc_f2py_rout_embsolvec_zero_wall_stress[] = "\
zero_wall_stress(tau,ijk,[ni,nj,nk,nwall,nd])\n\nWrapper for ``zero_wall_stress``.\
\n\nParameters\n----------\n"
"tau : in/output rank-4 array('f') with bounds (ni,nj,nk,nd)\n"
"ijk : input rank-2 array('h') with bounds (3,nwall)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(tau, 0)\n"
"nj : input int, optional\n    Default: shape(tau, 1)\n"
"nk : input int, optional\n    Default: shape(tau, 2)\n"
"nwall : input int, optional\n    Default: shape(ijk, 1)\n"
"nd : input int, optional\n    Default: shape(tau, 3)";
/* extern void F_FUNC_US(zero_wall_stress,ZERO_WALL_STRESS)(float*,short*,int*,int*,int*,int*,int*); */
static PyObject *f2py_rout_embsolvec_zero_wall_stress(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,short*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *tau = NULL;
    npy_intp tau_Dims[4] = {-1, -1, -1, -1};
    const int tau_Rank = 4;
    PyArrayObject *capi_tau_as_array = NULL;
    int capi_tau_intent = 0;
    PyObject *tau_capi = Py_None;
    short *ijk = NULL;
    npy_intp ijk_Dims[2] = {-1, -1};
    const int ijk_Rank = 2;
    PyArrayObject *capi_ijk_as_array = NULL;
    int capi_ijk_intent = 0;
    PyObject *ijk_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int nwall = 0;
    PyObject *nwall_capi = Py_None;
    int nd = 0;
    PyObject *nd_capi = Py_None;
    static char *capi_kwlist[] = {"tau","ijk","ni","nj","nk","nwall","nd",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OO|OOOOO:embsolvec.zero_wall_stress",\
        capi_kwlist,&tau_capi,&ijk_capi,&ni_capi,&nj_capi,&nk_capi,&nwall_capi,&nd_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable tau */
    ;
    capi_tau_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.zero_wall_stress: failed to create array from the 1st argument `tau`";
    capi_tau_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,tau_Dims,tau_Rank,  capi_tau_intent,tau_capi,capi_errmess);
    if (capi_tau_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        tau = (float *)(PyArray_DATA(capi_tau_as_array));

    /* Processing variable ijk */
    ijk_Dims[0]=3;
    capi_ijk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.zero_wall_stress: failed to create array from the 2nd argument `ijk`";
    capi_ijk_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_Dims,ijk_Rank,  capi_ijk_intent,ijk_capi,capi_errmess);
    if (capi_ijk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk = (short *)(PyArray_DATA(capi_ijk_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(tau, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.zero_wall_stress() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(tau, 0) == ni,"shape(tau, 0) == ni","1st keyword ni","zero_wall_stress:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(tau, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.zero_wall_stress() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(tau, 1) == nj,"shape(tau, 1) == nj","2nd keyword nj","zero_wall_stress:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(tau, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.zero_wall_stress() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(tau, 2) == nk,"shape(tau, 2) == nk","3rd keyword nk","zero_wall_stress:nk=%d",nk) {
    /* Processing variable nwall */
    if (nwall_capi == Py_None) nwall = shape(ijk, 1); else
        f2py_success = int_from_pyobj(&nwall,nwall_capi,"embsolvec.zero_wall_stress() 4th keyword (nwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk, 1) == nwall,"shape(ijk, 1) == nwall","4th keyword nwall","zero_wall_stress:nwall=%d",nwall) {
    /* Processing variable nd */
    if (nd_capi == Py_None) nd = shape(tau, 3); else
        f2py_success = int_from_pyobj(&nd,nd_capi,"embsolvec.zero_wall_stress() 5th keyword (nd) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(tau, 3) == nd,"shape(tau, 3) == nd","5th keyword nd","zero_wall_stress:nd=%d",nd) {
/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(tau,ijk,&ni,&nj,&nk,&nwall,&nd);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    } /*CHECKSCALAR(shape(tau, 3) == nd)*/
    } /*if (f2py_success) of nd*/
    /* End of cleaning variable nd */
    } /*CHECKSCALAR(shape(ijk, 1) == nwall)*/
    } /*if (f2py_success) of nwall*/
    /* End of cleaning variable nwall */
    } /*CHECKSCALAR(shape(tau, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(tau, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(tau, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_ijk_as_array!=ijk_capi) {
        Py_XDECREF(capi_ijk_as_array); }
    }  /* if (capi_ijk_as_array == NULL) ... else of ijk */
    /* End of cleaning variable ijk */
    if((PyObject *)capi_tau_as_array!=tau_capi) {
        Py_XDECREF(capi_tau_as_array); }
    }  /* if (capi_tau_as_array == NULL) ... else of tau */
    /* End of cleaning variable tau */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/************************** end of zero_wall_stress **************************/

/********************************* get_by_ijk *********************************/
static char doc_f2py_rout_embsolvec_embsolve_get_by_ijk[] = "\
xu = get_by_ijk(x,ijk,[ni,nj,nk,nv,npt])\n\nWrapper for ``get_by_ijk``.\
\n\nParameters\n----------\n"
"x : in/output rank-4 array('f') with bounds (ni,nj,nk,nv)\n"
"ijk : input rank-2 array('h') with bounds (3,npt)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(x, 0)\n"
"nj : input int, optional\n    Default: shape(x, 1)\n"
"nk : input int, optional\n    Default: shape(x, 2)\n"
"nv : input int, optional\n    Default: shape(x, 3)\n"
"npt : input int, optional\n    Default: shape(ijk, 1)\n"
"\nReturns\n-------\n"
"xu : rank-1 array('f') with bounds (npt * nv)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_get_by_ijk(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,short*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *x = NULL;
    npy_intp x_Dims[4] = {-1, -1, -1, -1};
    const int x_Rank = 4;
    PyArrayObject *capi_x_as_array = NULL;
    int capi_x_intent = 0;
    PyObject *x_capi = Py_None;
    float *xu = NULL;
    npy_intp xu_Dims[1] = {-1};
    const int xu_Rank = 1;
    PyArrayObject *capi_xu_as_array = NULL;
    int capi_xu_intent = 0;
    short *ijk = NULL;
    npy_intp ijk_Dims[2] = {-1, -1};
    const int ijk_Rank = 2;
    PyArrayObject *capi_ijk_as_array = NULL;
    int capi_ijk_intent = 0;
    PyObject *ijk_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int nv = 0;
    PyObject *nv_capi = Py_None;
    int npt = 0;
    PyObject *npt_capi = Py_None;
    static char *capi_kwlist[] = {"x","ijk","ni","nj","nk","nv","npt",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OO|OOOOO:embsolvec.embsolve.get_by_ijk",\
        capi_kwlist,&x_capi,&ijk_capi,&ni_capi,&nj_capi,&nk_capi,&nv_capi,&npt_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable x */
    ;
    capi_x_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.get_by_ijk: failed to create array from the 1st argument `x`";
    capi_x_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x_Dims,x_Rank,  capi_x_intent,x_capi,capi_errmess);
    if (capi_x_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x = (float *)(PyArray_DATA(capi_x_as_array));

    /* Processing variable ijk */
    ijk_Dims[0]=3;
    capi_ijk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.get_by_ijk: failed to create array from the 2nd argument `ijk`";
    capi_ijk_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_Dims,ijk_Rank,  capi_ijk_intent,ijk_capi,capi_errmess);
    if (capi_ijk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk = (short *)(PyArray_DATA(capi_ijk_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(x, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.get_by_ijk() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 0) == ni,"shape(x, 0) == ni","1st keyword ni","get_by_ijk:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(x, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.get_by_ijk() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 1) == nj,"shape(x, 1) == nj","2nd keyword nj","get_by_ijk:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(x, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.get_by_ijk() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 2) == nk,"shape(x, 2) == nk","3rd keyword nk","get_by_ijk:nk=%d",nk) {
    /* Processing variable nv */
    if (nv_capi == Py_None) nv = shape(x, 3); else
        f2py_success = int_from_pyobj(&nv,nv_capi,"embsolvec.embsolve.get_by_ijk() 4th keyword (nv) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 3) == nv,"shape(x, 3) == nv","4th keyword nv","get_by_ijk:nv=%d",nv) {
    /* Processing variable npt */
    if (npt_capi == Py_None) npt = shape(ijk, 1); else
        f2py_success = int_from_pyobj(&npt,npt_capi,"embsolvec.embsolve.get_by_ijk() 5th keyword (npt) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk, 1) == npt,"shape(ijk, 1) == npt","5th keyword npt","get_by_ijk:npt=%d",npt) {
    /* Processing variable xu */
    xu_Dims[0]=npt * nv;
    capi_xu_intent |= F2PY_INTENT_OUT|F2PY_INTENT_HIDE;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.get_by_ijk: failed to create array from the hidden `xu`";
    capi_xu_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xu_Dims,xu_Rank,  capi_xu_intent,Py_None,capi_errmess);
    if (capi_xu_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xu = (float *)(PyArray_DATA(capi_xu_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(x,xu,ijk,&ni,&nj,&nk,&nv,&npt);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("N",capi_xu_as_array);
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    }  /* if (capi_xu_as_array == NULL) ... else of xu */
    /* End of cleaning variable xu */
    } /*CHECKSCALAR(shape(ijk, 1) == npt)*/
    } /*if (f2py_success) of npt*/
    /* End of cleaning variable npt */
    } /*CHECKSCALAR(shape(x, 3) == nv)*/
    } /*if (f2py_success) of nv*/
    /* End of cleaning variable nv */
    } /*CHECKSCALAR(shape(x, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(x, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(x, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_ijk_as_array!=ijk_capi) {
        Py_XDECREF(capi_ijk_as_array); }
    }  /* if (capi_ijk_as_array == NULL) ... else of ijk */
    /* End of cleaning variable ijk */
    if((PyObject *)capi_x_as_array!=x_capi) {
        Py_XDECREF(capi_x_as_array); }
    }  /* if (capi_x_as_array == NULL) ... else of x */
    /* End of cleaning variable x */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/***************************** end of get_by_ijk *****************************/

/******************************* average_by_ijk *******************************/
static char doc_f2py_rout_embsolvec_embsolve_average_by_ijk[] = "\
average_by_ijk(x1,x2,ijk1,ijk2,[ni1,nj1,nk1,ni2,nj2,nk2,npt,nv])\n\nWrapper for ``average_by_ijk``.\
\n\nParameters\n----------\n"
"x1 : in/output rank-4 array('f') with bounds (ni1,nj1,nk1,nv)\n"
"x2 : in/output rank-4 array('f') with bounds (ni2,nj2,nk2,nv)\n"
"ijk1 : input rank-2 array('h') with bounds (3,npt)\n"
"ijk2 : input rank-2 array('h') with bounds (3,npt)\n"
"\nOther Parameters\n----------------\n"
"ni1 : input int, optional\n    Default: shape(x1, 0)\n"
"nj1 : input int, optional\n    Default: shape(x1, 1)\n"
"nk1 : input int, optional\n    Default: shape(x1, 2)\n"
"ni2 : input int, optional\n    Default: shape(x2, 0)\n"
"nj2 : input int, optional\n    Default: shape(x2, 1)\n"
"nk2 : input int, optional\n    Default: shape(x2, 2)\n"
"npt : input int, optional\n    Default: shape(ijk1, 1)\n"
"nv : input int, optional\n    Default: shape(x1, 3)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_average_by_ijk(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,short*,short*,int*,int*,int*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *x1 = NULL;
    npy_intp x1_Dims[4] = {-1, -1, -1, -1};
    const int x1_Rank = 4;
    PyArrayObject *capi_x1_as_array = NULL;
    int capi_x1_intent = 0;
    PyObject *x1_capi = Py_None;
    float *x2 = NULL;
    npy_intp x2_Dims[4] = {-1, -1, -1, -1};
    const int x2_Rank = 4;
    PyArrayObject *capi_x2_as_array = NULL;
    int capi_x2_intent = 0;
    PyObject *x2_capi = Py_None;
    short *ijk1 = NULL;
    npy_intp ijk1_Dims[2] = {-1, -1};
    const int ijk1_Rank = 2;
    PyArrayObject *capi_ijk1_as_array = NULL;
    int capi_ijk1_intent = 0;
    PyObject *ijk1_capi = Py_None;
    short *ijk2 = NULL;
    npy_intp ijk2_Dims[2] = {-1, -1};
    const int ijk2_Rank = 2;
    PyArrayObject *capi_ijk2_as_array = NULL;
    int capi_ijk2_intent = 0;
    PyObject *ijk2_capi = Py_None;
    int ni1 = 0;
    PyObject *ni1_capi = Py_None;
    int nj1 = 0;
    PyObject *nj1_capi = Py_None;
    int nk1 = 0;
    PyObject *nk1_capi = Py_None;
    int ni2 = 0;
    PyObject *ni2_capi = Py_None;
    int nj2 = 0;
    PyObject *nj2_capi = Py_None;
    int nk2 = 0;
    PyObject *nk2_capi = Py_None;
    int npt = 0;
    PyObject *npt_capi = Py_None;
    int nv = 0;
    PyObject *nv_capi = Py_None;
    static char *capi_kwlist[] = {"x1","x2","ijk1","ijk2","ni1","nj1","nk1","ni2","nj2","nk2","npt","nv",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOO|OOOOOOOO:embsolvec.embsolve.average_by_ijk",\
        capi_kwlist,&x1_capi,&x2_capi,&ijk1_capi,&ijk2_capi,&ni1_capi,&nj1_capi,&nk1_capi,&ni2_capi,&nj2_capi,&nk2_capi,&npt_capi,&nv_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable x1 */
    ;
    capi_x1_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.average_by_ijk: failed to create array from the 1st argument `x1`";
    capi_x1_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x1_Dims,x1_Rank,  capi_x1_intent,x1_capi,capi_errmess);
    if (capi_x1_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x1 = (float *)(PyArray_DATA(capi_x1_as_array));

    /* Processing variable ijk1 */
    ijk1_Dims[0]=3;
    capi_ijk1_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.average_by_ijk: failed to create array from the 3rd argument `ijk1`";
    capi_ijk1_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk1_Dims,ijk1_Rank,  capi_ijk1_intent,ijk1_capi,capi_errmess);
    if (capi_ijk1_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk1 = (short *)(PyArray_DATA(capi_ijk1_as_array));

    /* Processing variable npt */
    if (npt_capi == Py_None) npt = shape(ijk1, 1); else
        f2py_success = int_from_pyobj(&npt,npt_capi,"embsolvec.embsolve.average_by_ijk() 7th keyword (npt) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk1, 1) == npt,"shape(ijk1, 1) == npt","7th keyword npt","average_by_ijk:npt=%d",npt) {
    /* Processing variable ni1 */
    if (ni1_capi == Py_None) ni1 = shape(x1, 0); else
        f2py_success = int_from_pyobj(&ni1,ni1_capi,"embsolvec.embsolve.average_by_ijk() 1st keyword (ni1) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x1, 0) == ni1,"shape(x1, 0) == ni1","1st keyword ni1","average_by_ijk:ni1=%d",ni1) {
    /* Processing variable nj1 */
    if (nj1_capi == Py_None) nj1 = shape(x1, 1); else
        f2py_success = int_from_pyobj(&nj1,nj1_capi,"embsolvec.embsolve.average_by_ijk() 2nd keyword (nj1) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x1, 1) == nj1,"shape(x1, 1) == nj1","2nd keyword nj1","average_by_ijk:nj1=%d",nj1) {
    /* Processing variable nk1 */
    if (nk1_capi == Py_None) nk1 = shape(x1, 2); else
        f2py_success = int_from_pyobj(&nk1,nk1_capi,"embsolvec.embsolve.average_by_ijk() 3rd keyword (nk1) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x1, 2) == nk1,"shape(x1, 2) == nk1","3rd keyword nk1","average_by_ijk:nk1=%d",nk1) {
    /* Processing variable nv */
    if (nv_capi == Py_None) nv = shape(x1, 3); else
        f2py_success = int_from_pyobj(&nv,nv_capi,"embsolvec.embsolve.average_by_ijk() 8th keyword (nv) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x1, 3) == nv,"shape(x1, 3) == nv","8th keyword nv","average_by_ijk:nv=%d",nv) {
    /* Processing variable x2 */
    x2_Dims[3]=nv;
    capi_x2_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.average_by_ijk: failed to create array from the 2nd argument `x2`";
    capi_x2_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x2_Dims,x2_Rank,  capi_x2_intent,x2_capi,capi_errmess);
    if (capi_x2_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x2 = (float *)(PyArray_DATA(capi_x2_as_array));

    /* Processing variable ijk2 */
    ijk2_Dims[0]=3,ijk2_Dims[1]=npt;
    capi_ijk2_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.average_by_ijk: failed to create array from the 4th argument `ijk2`";
    capi_ijk2_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk2_Dims,ijk2_Rank,  capi_ijk2_intent,ijk2_capi,capi_errmess);
    if (capi_ijk2_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk2 = (short *)(PyArray_DATA(capi_ijk2_as_array));

    /* Processing variable ni2 */
    if (ni2_capi == Py_None) ni2 = shape(x2, 0); else
        f2py_success = int_from_pyobj(&ni2,ni2_capi,"embsolvec.embsolve.average_by_ijk() 4th keyword (ni2) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x2, 0) == ni2,"shape(x2, 0) == ni2","4th keyword ni2","average_by_ijk:ni2=%d",ni2) {
    /* Processing variable nj2 */
    if (nj2_capi == Py_None) nj2 = shape(x2, 1); else
        f2py_success = int_from_pyobj(&nj2,nj2_capi,"embsolvec.embsolve.average_by_ijk() 5th keyword (nj2) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x2, 1) == nj2,"shape(x2, 1) == nj2","5th keyword nj2","average_by_ijk:nj2=%d",nj2) {
    /* Processing variable nk2 */
    if (nk2_capi == Py_None) nk2 = shape(x2, 2); else
        f2py_success = int_from_pyobj(&nk2,nk2_capi,"embsolvec.embsolve.average_by_ijk() 6th keyword (nk2) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x2, 2) == nk2,"shape(x2, 2) == nk2","6th keyword nk2","average_by_ijk:nk2=%d",nk2) {
/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(x1,x2,ijk1,ijk2,&ni1,&nj1,&nk1,&ni2,&nj2,&nk2,&npt,&nv);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    } /*CHECKSCALAR(shape(x2, 2) == nk2)*/
    } /*if (f2py_success) of nk2*/
    /* End of cleaning variable nk2 */
    } /*CHECKSCALAR(shape(x2, 1) == nj2)*/
    } /*if (f2py_success) of nj2*/
    /* End of cleaning variable nj2 */
    } /*CHECKSCALAR(shape(x2, 0) == ni2)*/
    } /*if (f2py_success) of ni2*/
    /* End of cleaning variable ni2 */
    if((PyObject *)capi_ijk2_as_array!=ijk2_capi) {
        Py_XDECREF(capi_ijk2_as_array); }
    }  /* if (capi_ijk2_as_array == NULL) ... else of ijk2 */
    /* End of cleaning variable ijk2 */
    if((PyObject *)capi_x2_as_array!=x2_capi) {
        Py_XDECREF(capi_x2_as_array); }
    }  /* if (capi_x2_as_array == NULL) ... else of x2 */
    /* End of cleaning variable x2 */
    } /*CHECKSCALAR(shape(x1, 3) == nv)*/
    } /*if (f2py_success) of nv*/
    /* End of cleaning variable nv */
    } /*CHECKSCALAR(shape(x1, 2) == nk1)*/
    } /*if (f2py_success) of nk1*/
    /* End of cleaning variable nk1 */
    } /*CHECKSCALAR(shape(x1, 1) == nj1)*/
    } /*if (f2py_success) of nj1*/
    /* End of cleaning variable nj1 */
    } /*CHECKSCALAR(shape(x1, 0) == ni1)*/
    } /*if (f2py_success) of ni1*/
    /* End of cleaning variable ni1 */
    } /*CHECKSCALAR(shape(ijk1, 1) == npt)*/
    } /*if (f2py_success) of npt*/
    /* End of cleaning variable npt */
    if((PyObject *)capi_ijk1_as_array!=ijk1_capi) {
        Py_XDECREF(capi_ijk1_as_array); }
    }  /* if (capi_ijk1_as_array == NULL) ... else of ijk1 */
    /* End of cleaning variable ijk1 */
    if((PyObject *)capi_x1_as_array!=x1_capi) {
        Py_XDECREF(capi_x1_as_array); }
    }  /* if (capi_x1_as_array == NULL) ... else of x1 */
    /* End of cleaning variable x1 */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/*************************** end of average_by_ijk ***************************/

/********************************* set_by_ijk *********************************/
static char doc_f2py_rout_embsolvec_embsolve_set_by_ijk[] = "\
set_by_ijk(x,xu,ijk,[ni,nj,nk,nv,npt,nb])\n\nWrapper for ``set_by_ijk``.\
\n\nParameters\n----------\n"
"x : in/output rank-4 array('f') with bounds (ni,nj,nk,nv)\n"
"xu : in/output rank-1 array('f') with bounds (nb)\n"
"ijk : in/output rank-2 array('h') with bounds (3,npt)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(x, 0)\n"
"nj : input int, optional\n    Default: shape(x, 1)\n"
"nk : input int, optional\n    Default: shape(x, 2)\n"
"nv : input int, optional\n    Default: shape(x, 3)\n"
"npt : input int, optional\n    Default: shape(ijk, 1)\n"
"nb : input int, optional\n    Default: shape(xu, 0)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_set_by_ijk(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,short*,int*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *x = NULL;
    npy_intp x_Dims[4] = {-1, -1, -1, -1};
    const int x_Rank = 4;
    PyArrayObject *capi_x_as_array = NULL;
    int capi_x_intent = 0;
    PyObject *x_capi = Py_None;
    float *xu = NULL;
    npy_intp xu_Dims[1] = {-1};
    const int xu_Rank = 1;
    PyArrayObject *capi_xu_as_array = NULL;
    int capi_xu_intent = 0;
    PyObject *xu_capi = Py_None;
    short *ijk = NULL;
    npy_intp ijk_Dims[2] = {-1, -1};
    const int ijk_Rank = 2;
    PyArrayObject *capi_ijk_as_array = NULL;
    int capi_ijk_intent = 0;
    PyObject *ijk_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int nv = 0;
    PyObject *nv_capi = Py_None;
    int npt = 0;
    PyObject *npt_capi = Py_None;
    int nb = 0;
    PyObject *nb_capi = Py_None;
    static char *capi_kwlist[] = {"x","xu","ijk","ni","nj","nk","nv","npt","nb",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOO|OOOOOO:embsolvec.embsolve.set_by_ijk",\
        capi_kwlist,&x_capi,&xu_capi,&ijk_capi,&ni_capi,&nj_capi,&nk_capi,&nv_capi,&npt_capi,&nb_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable x */
    ;
    capi_x_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_by_ijk: failed to create array from the 1st argument `x`";
    capi_x_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x_Dims,x_Rank,  capi_x_intent,x_capi,capi_errmess);
    if (capi_x_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x = (float *)(PyArray_DATA(capi_x_as_array));

    /* Processing variable xu */
    ;
    capi_xu_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_by_ijk: failed to create array from the 2nd argument `xu`";
    capi_xu_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xu_Dims,xu_Rank,  capi_xu_intent,xu_capi,capi_errmess);
    if (capi_xu_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xu = (float *)(PyArray_DATA(capi_xu_as_array));

    /* Processing variable ijk */
    ijk_Dims[0]=3;
    capi_ijk_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_by_ijk: failed to create array from the 3rd argument `ijk`";
    capi_ijk_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_Dims,ijk_Rank,  capi_ijk_intent,ijk_capi,capi_errmess);
    if (capi_ijk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk = (short *)(PyArray_DATA(capi_ijk_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(x, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.set_by_ijk() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 0) == ni,"shape(x, 0) == ni","1st keyword ni","set_by_ijk:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(x, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.set_by_ijk() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 1) == nj,"shape(x, 1) == nj","2nd keyword nj","set_by_ijk:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(x, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.set_by_ijk() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 2) == nk,"shape(x, 2) == nk","3rd keyword nk","set_by_ijk:nk=%d",nk) {
    /* Processing variable nv */
    if (nv_capi == Py_None) nv = shape(x, 3); else
        f2py_success = int_from_pyobj(&nv,nv_capi,"embsolvec.embsolve.set_by_ijk() 4th keyword (nv) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 3) == nv,"shape(x, 3) == nv","4th keyword nv","set_by_ijk:nv=%d",nv) {
    /* Processing variable nb */
    if (nb_capi == Py_None) nb = shape(xu, 0); else
        f2py_success = int_from_pyobj(&nb,nb_capi,"embsolvec.embsolve.set_by_ijk() 6th keyword (nb) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xu, 0) == nb,"shape(xu, 0) == nb","6th keyword nb","set_by_ijk:nb=%d",nb) {
    /* Processing variable npt */
    if (npt_capi == Py_None) npt = shape(ijk, 1); else
        f2py_success = int_from_pyobj(&npt,npt_capi,"embsolvec.embsolve.set_by_ijk() 5th keyword (npt) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk, 1) == npt,"shape(ijk, 1) == npt","5th keyword npt","set_by_ijk:npt=%d",npt) {
/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(x,xu,ijk,&ni,&nj,&nk,&nv,&npt,&nb);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    } /*CHECKSCALAR(shape(ijk, 1) == npt)*/
    } /*if (f2py_success) of npt*/
    /* End of cleaning variable npt */
    } /*CHECKSCALAR(shape(xu, 0) == nb)*/
    } /*if (f2py_success) of nb*/
    /* End of cleaning variable nb */
    } /*CHECKSCALAR(shape(x, 3) == nv)*/
    } /*if (f2py_success) of nv*/
    /* End of cleaning variable nv */
    } /*CHECKSCALAR(shape(x, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(x, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(x, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_ijk_as_array!=ijk_capi) {
        Py_XDECREF(capi_ijk_as_array); }
    }  /* if (capi_ijk_as_array == NULL) ... else of ijk */
    /* End of cleaning variable ijk */
    if((PyObject *)capi_xu_as_array!=xu_capi) {
        Py_XDECREF(capi_xu_as_array); }
    }  /* if (capi_xu_as_array == NULL) ... else of xu */
    /* End of cleaning variable xu */
    if((PyObject *)capi_x_as_array!=x_capi) {
        Py_XDECREF(capi_x_as_array); }
    }  /* if (capi_x_as_array == NULL) ... else of x */
    /* End of cleaning variable x */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/***************************** end of set_by_ijk *****************************/

/******************************** node_to_face ********************************/
static char doc_f2py_rout_embsolvec_embsolve_node_to_face[] = "\
node_to_face(xn,xi,xj,xk,[ni,nj,nk,np])\n\nWrapper for ``node_to_face``.\
\n\nParameters\n----------\n"
"xn : input rank-4 array('f') with bounds (ni,nj,nk,np)\n"
"xi : in/output rank-4 array('f') with bounds (ni,-1 + nj,-1 + nk,np)\n"
"xj : in/output rank-4 array('f') with bounds (-1 + ni,nj,-1 + nk,np)\n"
"xk : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,nk,np)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(xn, 0)\n"
"nj : input int, optional\n    Default: shape(xn, 1)\n"
"nk : input int, optional\n    Default: shape(xn, 2)\n"
"np : input int, optional\n    Default: shape(xn, 3)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_node_to_face(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *xn = NULL;
    npy_intp xn_Dims[4] = {-1, -1, -1, -1};
    const int xn_Rank = 4;
    PyArrayObject *capi_xn_as_array = NULL;
    int capi_xn_intent = 0;
    PyObject *xn_capi = Py_None;
    float *xi = NULL;
    npy_intp xi_Dims[4] = {-1, -1, -1, -1};
    const int xi_Rank = 4;
    PyArrayObject *capi_xi_as_array = NULL;
    int capi_xi_intent = 0;
    PyObject *xi_capi = Py_None;
    float *xj = NULL;
    npy_intp xj_Dims[4] = {-1, -1, -1, -1};
    const int xj_Rank = 4;
    PyArrayObject *capi_xj_as_array = NULL;
    int capi_xj_intent = 0;
    PyObject *xj_capi = Py_None;
    float *xk = NULL;
    npy_intp xk_Dims[4] = {-1, -1, -1, -1};
    const int xk_Rank = 4;
    PyArrayObject *capi_xk_as_array = NULL;
    int capi_xk_intent = 0;
    PyObject *xk_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int np = 0;
    PyObject *np_capi = Py_None;
    static char *capi_kwlist[] = {"xn","xi","xj","xk","ni","nj","nk","np",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOO|OOOO:embsolvec.embsolve.node_to_face",\
        capi_kwlist,&xn_capi,&xi_capi,&xj_capi,&xk_capi,&ni_capi,&nj_capi,&nk_capi,&np_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable xn */
    ;
    capi_xn_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.node_to_face: failed to create array from the 1st argument `xn`";
    capi_xn_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xn_Dims,xn_Rank,  capi_xn_intent,xn_capi,capi_errmess);
    if (capi_xn_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xn = (float *)(PyArray_DATA(capi_xn_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(xn, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.node_to_face() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 0) == ni,"shape(xn, 0) == ni","1st keyword ni","node_to_face:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(xn, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.node_to_face() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 1) == nj,"shape(xn, 1) == nj","2nd keyword nj","node_to_face:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(xn, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.node_to_face() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 2) == nk,"shape(xn, 2) == nk","3rd keyword nk","node_to_face:nk=%d",nk) {
    /* Processing variable np */
    if (np_capi == Py_None) np = shape(xn, 3); else
        f2py_success = int_from_pyobj(&np,np_capi,"embsolvec.embsolve.node_to_face() 4th keyword (np) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 3) == np,"shape(xn, 3) == np","4th keyword np","node_to_face:np=%d",np) {
    /* Processing variable xi */
    xi_Dims[0]=ni,xi_Dims[1]=-1 + nj,xi_Dims[2]=-1 + nk,xi_Dims[3]=np;
    capi_xi_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.node_to_face: failed to create array from the 2nd argument `xi`";
    capi_xi_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xi_Dims,xi_Rank,  capi_xi_intent,xi_capi,capi_errmess);
    if (capi_xi_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xi = (float *)(PyArray_DATA(capi_xi_as_array));

    /* Processing variable xj */
    xj_Dims[0]=-1 + ni,xj_Dims[1]=nj,xj_Dims[2]=-1 + nk,xj_Dims[3]=np;
    capi_xj_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.node_to_face: failed to create array from the 3rd argument `xj`";
    capi_xj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xj_Dims,xj_Rank,  capi_xj_intent,xj_capi,capi_errmess);
    if (capi_xj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xj = (float *)(PyArray_DATA(capi_xj_as_array));

    /* Processing variable xk */
    xk_Dims[0]=-1 + ni,xk_Dims[1]=-1 + nj,xk_Dims[2]=nk,xk_Dims[3]=np;
    capi_xk_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.node_to_face: failed to create array from the 4th argument `xk`";
    capi_xk_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xk_Dims,xk_Rank,  capi_xk_intent,xk_capi,capi_errmess);
    if (capi_xk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xk = (float *)(PyArray_DATA(capi_xk_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(xn,xi,xj,xk,&ni,&nj,&nk,&np);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_xk_as_array!=xk_capi) {
        Py_XDECREF(capi_xk_as_array); }
    }  /* if (capi_xk_as_array == NULL) ... else of xk */
    /* End of cleaning variable xk */
    if((PyObject *)capi_xj_as_array!=xj_capi) {
        Py_XDECREF(capi_xj_as_array); }
    }  /* if (capi_xj_as_array == NULL) ... else of xj */
    /* End of cleaning variable xj */
    if((PyObject *)capi_xi_as_array!=xi_capi) {
        Py_XDECREF(capi_xi_as_array); }
    }  /* if (capi_xi_as_array == NULL) ... else of xi */
    /* End of cleaning variable xi */
    } /*CHECKSCALAR(shape(xn, 3) == np)*/
    } /*if (f2py_success) of np*/
    /* End of cleaning variable np */
    } /*CHECKSCALAR(shape(xn, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(xn, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(xn, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_xn_as_array!=xn_capi) {
        Py_XDECREF(capi_xn_as_array); }
    }  /* if (capi_xn_as_array == NULL) ... else of xn */
    /* End of cleaning variable xn */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of node_to_face ****************************/

/******************************** node_to_cell ********************************/
static char doc_f2py_rout_embsolvec_embsolve_node_to_cell[] = "\
node_to_cell(xn,xc,[ni,nj,nk,np])\n\nWrapper for ``node_to_cell``.\
\n\nParameters\n----------\n"
"xn : input rank-4 array('f') with bounds (ni,nj,nk,np)\n"
"xc : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,np)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(xn, 0)\n"
"nj : input int, optional\n    Default: shape(xn, 1)\n"
"nk : input int, optional\n    Default: shape(xn, 2)\n"
"np : input int, optional\n    Default: shape(xn, 3)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_node_to_cell(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *xn = NULL;
    npy_intp xn_Dims[4] = {-1, -1, -1, -1};
    const int xn_Rank = 4;
    PyArrayObject *capi_xn_as_array = NULL;
    int capi_xn_intent = 0;
    PyObject *xn_capi = Py_None;
    float *xc = NULL;
    npy_intp xc_Dims[4] = {-1, -1, -1, -1};
    const int xc_Rank = 4;
    PyArrayObject *capi_xc_as_array = NULL;
    int capi_xc_intent = 0;
    PyObject *xc_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int np = 0;
    PyObject *np_capi = Py_None;
    static char *capi_kwlist[] = {"xn","xc","ni","nj","nk","np",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OO|OOOO:embsolvec.embsolve.node_to_cell",\
        capi_kwlist,&xn_capi,&xc_capi,&ni_capi,&nj_capi,&nk_capi,&np_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable xn */
    ;
    capi_xn_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.node_to_cell: failed to create array from the 1st argument `xn`";
    capi_xn_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xn_Dims,xn_Rank,  capi_xn_intent,xn_capi,capi_errmess);
    if (capi_xn_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xn = (float *)(PyArray_DATA(capi_xn_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(xn, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.node_to_cell() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 0) == ni,"shape(xn, 0) == ni","1st keyword ni","node_to_cell:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(xn, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.node_to_cell() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 1) == nj,"shape(xn, 1) == nj","2nd keyword nj","node_to_cell:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(xn, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.node_to_cell() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 2) == nk,"shape(xn, 2) == nk","3rd keyword nk","node_to_cell:nk=%d",nk) {
    /* Processing variable np */
    if (np_capi == Py_None) np = shape(xn, 3); else
        f2py_success = int_from_pyobj(&np,np_capi,"embsolvec.embsolve.node_to_cell() 4th keyword (np) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xn, 3) == np,"shape(xn, 3) == np","4th keyword np","node_to_cell:np=%d",np) {
    /* Processing variable xc */
    xc_Dims[0]=-1 + ni,xc_Dims[1]=-1 + nj,xc_Dims[2]=-1 + nk,xc_Dims[3]=np;
    capi_xc_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.node_to_cell: failed to create array from the 2nd argument `xc`";
    capi_xc_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xc_Dims,xc_Rank,  capi_xc_intent,xc_capi,capi_errmess);
    if (capi_xc_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xc = (float *)(PyArray_DATA(capi_xc_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(xn,xc,&ni,&nj,&nk,&np);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_xc_as_array!=xc_capi) {
        Py_XDECREF(capi_xc_as_array); }
    }  /* if (capi_xc_as_array == NULL) ... else of xc */
    /* End of cleaning variable xc */
    } /*CHECKSCALAR(shape(xn, 3) == np)*/
    } /*if (f2py_success) of np*/
    /* End of cleaning variable np */
    } /*CHECKSCALAR(shape(xn, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(xn, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(xn, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_xn_as_array!=xn_capi) {
        Py_XDECREF(capi_xn_as_array); }
    }  /* if (capi_xn_as_array == NULL) ... else of xn */
    /* End of cleaning variable xn */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of node_to_cell ****************************/

/******************************** cell_to_node ********************************/
static char doc_f2py_rout_embsolvec_embsolve_cell_to_node[] = "\
cell_to_node(xc,xn,[ni,nj,nk,np])\n\nWrapper for ``cell_to_node``.\
\n\nParameters\n----------\n"
"xc : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,np)\n"
"xn : in/output rank-4 array('f') with bounds (ni,nj,nk,np)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: 1 + shape(xc, 0)\n"
"nj : input int, optional\n    Default: 1 + shape(xc, 1)\n"
"nk : input int, optional\n    Default: 1 + shape(xc, 2)\n"
"np : input int, optional\n    Default: shape(xc, 3)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_cell_to_node(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *xc = NULL;
    npy_intp xc_Dims[4] = {-1, -1, -1, -1};
    const int xc_Rank = 4;
    PyArrayObject *capi_xc_as_array = NULL;
    int capi_xc_intent = 0;
    PyObject *xc_capi = Py_None;
    float *xn = NULL;
    npy_intp xn_Dims[4] = {-1, -1, -1, -1};
    const int xn_Rank = 4;
    PyArrayObject *capi_xn_as_array = NULL;
    int capi_xn_intent = 0;
    PyObject *xn_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int np = 0;
    PyObject *np_capi = Py_None;
    static char *capi_kwlist[] = {"xc","xn","ni","nj","nk","np",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OO|OOOO:embsolvec.embsolve.cell_to_node",\
        capi_kwlist,&xc_capi,&xn_capi,&ni_capi,&nj_capi,&nk_capi,&np_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable xc */
    ;
    capi_xc_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.cell_to_node: failed to create array from the 1st argument `xc`";
    capi_xc_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xc_Dims,xc_Rank,  capi_xc_intent,xc_capi,capi_errmess);
    if (capi_xc_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xc = (float *)(PyArray_DATA(capi_xc_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = 1 + shape(xc, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.cell_to_node() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 0) == -1 + ni,"shape(xc, 0) == -1 + ni","1st keyword ni","cell_to_node:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = 1 + shape(xc, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.cell_to_node() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 1) == -1 + nj,"shape(xc, 1) == -1 + nj","2nd keyword nj","cell_to_node:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = 1 + shape(xc, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.cell_to_node() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 2) == -1 + nk,"shape(xc, 2) == -1 + nk","3rd keyword nk","cell_to_node:nk=%d",nk) {
    /* Processing variable np */
    if (np_capi == Py_None) np = shape(xc, 3); else
        f2py_success = int_from_pyobj(&np,np_capi,"embsolvec.embsolve.cell_to_node() 4th keyword (np) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 3) == np,"shape(xc, 3) == np","4th keyword np","cell_to_node:np=%d",np) {
    /* Processing variable xn */
    xn_Dims[0]=ni,xn_Dims[1]=nj,xn_Dims[2]=nk,xn_Dims[3]=np;
    capi_xn_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.cell_to_node: failed to create array from the 2nd argument `xn`";
    capi_xn_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xn_Dims,xn_Rank,  capi_xn_intent,xn_capi,capi_errmess);
    if (capi_xn_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xn = (float *)(PyArray_DATA(capi_xn_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(xc,xn,&ni,&nj,&nk,&np);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_xn_as_array!=xn_capi) {
        Py_XDECREF(capi_xn_as_array); }
    }  /* if (capi_xn_as_array == NULL) ... else of xn */
    /* End of cleaning variable xn */
    } /*CHECKSCALAR(shape(xc, 3) == np)*/
    } /*if (f2py_success) of np*/
    /* End of cleaning variable np */
    } /*CHECKSCALAR(shape(xc, 2) == -1 + nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(xc, 1) == -1 + nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(xc, 0) == -1 + ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_xc_as_array!=xc_capi) {
        Py_XDECREF(capi_xc_as_array); }
    }  /* if (capi_xc_as_array == NULL) ... else of xc */
    /* End of cleaning variable xc */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of cell_to_node ****************************/

/******************************** cell_to_face ********************************/
static char doc_f2py_rout_embsolvec_embsolve_cell_to_face[] = "\
cell_to_face(xc,xi,xj,xk,[ni,nj,nk,np])\n\nWrapper for ``cell_to_face``.\
\n\nParameters\n----------\n"
"xc : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,np)\n"
"xi : in/output rank-4 array('f') with bounds (ni,-1 + nj,-1 + nk,np)\n"
"xj : in/output rank-4 array('f') with bounds (-1 + ni,nj,-1 + nk,np)\n"
"xk : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,nk,np)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: 1 + shape(xc, 0)\n"
"nj : input int, optional\n    Default: 1 + shape(xc, 1)\n"
"nk : input int, optional\n    Default: 1 + shape(xc, 2)\n"
"np : input int, optional\n    Default: shape(xc, 3)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_cell_to_face(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *xc = NULL;
    npy_intp xc_Dims[4] = {-1, -1, -1, -1};
    const int xc_Rank = 4;
    PyArrayObject *capi_xc_as_array = NULL;
    int capi_xc_intent = 0;
    PyObject *xc_capi = Py_None;
    float *xi = NULL;
    npy_intp xi_Dims[4] = {-1, -1, -1, -1};
    const int xi_Rank = 4;
    PyArrayObject *capi_xi_as_array = NULL;
    int capi_xi_intent = 0;
    PyObject *xi_capi = Py_None;
    float *xj = NULL;
    npy_intp xj_Dims[4] = {-1, -1, -1, -1};
    const int xj_Rank = 4;
    PyArrayObject *capi_xj_as_array = NULL;
    int capi_xj_intent = 0;
    PyObject *xj_capi = Py_None;
    float *xk = NULL;
    npy_intp xk_Dims[4] = {-1, -1, -1, -1};
    const int xk_Rank = 4;
    PyArrayObject *capi_xk_as_array = NULL;
    int capi_xk_intent = 0;
    PyObject *xk_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int np = 0;
    PyObject *np_capi = Py_None;
    static char *capi_kwlist[] = {"xc","xi","xj","xk","ni","nj","nk","np",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOO|OOOO:embsolvec.embsolve.cell_to_face",\
        capi_kwlist,&xc_capi,&xi_capi,&xj_capi,&xk_capi,&ni_capi,&nj_capi,&nk_capi,&np_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable xc */
    ;
    capi_xc_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.cell_to_face: failed to create array from the 1st argument `xc`";
    capi_xc_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xc_Dims,xc_Rank,  capi_xc_intent,xc_capi,capi_errmess);
    if (capi_xc_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xc = (float *)(PyArray_DATA(capi_xc_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = 1 + shape(xc, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.cell_to_face() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 0) == -1 + ni,"shape(xc, 0) == -1 + ni","1st keyword ni","cell_to_face:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = 1 + shape(xc, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.cell_to_face() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 1) == -1 + nj,"shape(xc, 1) == -1 + nj","2nd keyword nj","cell_to_face:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = 1 + shape(xc, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.cell_to_face() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 2) == -1 + nk,"shape(xc, 2) == -1 + nk","3rd keyword nk","cell_to_face:nk=%d",nk) {
    /* Processing variable np */
    if (np_capi == Py_None) np = shape(xc, 3); else
        f2py_success = int_from_pyobj(&np,np_capi,"embsolvec.embsolve.cell_to_face() 4th keyword (np) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(xc, 3) == np,"shape(xc, 3) == np","4th keyword np","cell_to_face:np=%d",np) {
    /* Processing variable xi */
    xi_Dims[0]=ni,xi_Dims[1]=-1 + nj,xi_Dims[2]=-1 + nk,xi_Dims[3]=np;
    capi_xi_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.cell_to_face: failed to create array from the 2nd argument `xi`";
    capi_xi_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xi_Dims,xi_Rank,  capi_xi_intent,xi_capi,capi_errmess);
    if (capi_xi_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xi = (float *)(PyArray_DATA(capi_xi_as_array));

    /* Processing variable xj */
    xj_Dims[0]=-1 + ni,xj_Dims[1]=nj,xj_Dims[2]=-1 + nk,xj_Dims[3]=np;
    capi_xj_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.cell_to_face: failed to create array from the 3rd argument `xj`";
    capi_xj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xj_Dims,xj_Rank,  capi_xj_intent,xj_capi,capi_errmess);
    if (capi_xj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xj = (float *)(PyArray_DATA(capi_xj_as_array));

    /* Processing variable xk */
    xk_Dims[0]=-1 + ni,xk_Dims[1]=-1 + nj,xk_Dims[2]=nk,xk_Dims[3]=np;
    capi_xk_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.cell_to_face: failed to create array from the 4th argument `xk`";
    capi_xk_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xk_Dims,xk_Rank,  capi_xk_intent,xk_capi,capi_errmess);
    if (capi_xk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xk = (float *)(PyArray_DATA(capi_xk_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(xc,xi,xj,xk,&ni,&nj,&nk,&np);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_xk_as_array!=xk_capi) {
        Py_XDECREF(capi_xk_as_array); }
    }  /* if (capi_xk_as_array == NULL) ... else of xk */
    /* End of cleaning variable xk */
    if((PyObject *)capi_xj_as_array!=xj_capi) {
        Py_XDECREF(capi_xj_as_array); }
    }  /* if (capi_xj_as_array == NULL) ... else of xj */
    /* End of cleaning variable xj */
    if((PyObject *)capi_xi_as_array!=xi_capi) {
        Py_XDECREF(capi_xi_as_array); }
    }  /* if (capi_xi_as_array == NULL) ... else of xi */
    /* End of cleaning variable xi */
    } /*CHECKSCALAR(shape(xc, 3) == np)*/
    } /*if (f2py_success) of np*/
    /* End of cleaning variable np */
    } /*CHECKSCALAR(shape(xc, 2) == -1 + nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(xc, 1) == -1 + nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(xc, 0) == -1 + ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_xc_as_array!=xc_capi) {
        Py_XDECREF(capi_xc_as_array); }
    }  /* if (capi_xc_as_array == NULL) ... else of xc */
    /* End of cleaning variable xc */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of cell_to_face ****************************/

/************************************ div ************************************/
static char doc_f2py_rout_embsolvec_embsolve_div[] = "\
div(x,divx,vol,dai,daj,dak,[ni,nj,nk])\n\nWrapper for ``div``.\
\n\nParameters\n----------\n"
"x : input rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"divx : in/output rank-3 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk)\n"
"vol : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk)\n"
"dai : input rank-4 array('f') with bounds (ni,-1 + nj,-1 + nk,3)\n"
"daj : input rank-4 array('f') with bounds (-1 + ni,nj,-1 + nk,3)\n"
"dak : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,nk,3)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(x, 0)\n"
"nj : input int, optional\n    Default: shape(x, 1)\n"
"nk : input int, optional\n    Default: shape(x, 2)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_div(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *x = NULL;
    npy_intp x_Dims[4] = {-1, -1, -1, -1};
    const int x_Rank = 4;
    PyArrayObject *capi_x_as_array = NULL;
    int capi_x_intent = 0;
    PyObject *x_capi = Py_None;
    float *divx = NULL;
    npy_intp divx_Dims[3] = {-1, -1, -1};
    const int divx_Rank = 3;
    PyArrayObject *capi_divx_as_array = NULL;
    int capi_divx_intent = 0;
    PyObject *divx_capi = Py_None;
    float *vol = NULL;
    npy_intp vol_Dims[3] = {-1, -1, -1};
    const int vol_Rank = 3;
    PyArrayObject *capi_vol_as_array = NULL;
    int capi_vol_intent = 0;
    PyObject *vol_capi = Py_None;
    float *dai = NULL;
    npy_intp dai_Dims[4] = {-1, -1, -1, -1};
    const int dai_Rank = 4;
    PyArrayObject *capi_dai_as_array = NULL;
    int capi_dai_intent = 0;
    PyObject *dai_capi = Py_None;
    float *daj = NULL;
    npy_intp daj_Dims[4] = {-1, -1, -1, -1};
    const int daj_Rank = 4;
    PyArrayObject *capi_daj_as_array = NULL;
    int capi_daj_intent = 0;
    PyObject *daj_capi = Py_None;
    float *dak = NULL;
    npy_intp dak_Dims[4] = {-1, -1, -1, -1};
    const int dak_Rank = 4;
    PyArrayObject *capi_dak_as_array = NULL;
    int capi_dak_intent = 0;
    PyObject *dak_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    static char *capi_kwlist[] = {"x","divx","vol","dai","daj","dak","ni","nj","nk",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOO|OOO:embsolvec.embsolve.div",\
        capi_kwlist,&x_capi,&divx_capi,&vol_capi,&dai_capi,&daj_capi,&dak_capi,&ni_capi,&nj_capi,&nk_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable x */
    x_Dims[3]=3;
    capi_x_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.div: failed to create array from the 1st argument `x`";
    capi_x_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x_Dims,x_Rank,  capi_x_intent,x_capi,capi_errmess);
    if (capi_x_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x = (float *)(PyArray_DATA(capi_x_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(x, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.div() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 0) == ni,"shape(x, 0) == ni","1st keyword ni","div:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(x, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.div() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 1) == nj,"shape(x, 1) == nj","2nd keyword nj","div:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(x, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.div() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 2) == nk,"shape(x, 2) == nk","3rd keyword nk","div:nk=%d",nk) {
    /* Processing variable dai */
    dai_Dims[0]=ni,dai_Dims[1]=-1 + nj,dai_Dims[2]=-1 + nk,dai_Dims[3]=3;
    capi_dai_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.div: failed to create array from the 4th argument `dai`";
    capi_dai_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dai_Dims,dai_Rank,  capi_dai_intent,dai_capi,capi_errmess);
    if (capi_dai_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dai = (float *)(PyArray_DATA(capi_dai_as_array));

    /* Processing variable daj */
    daj_Dims[0]=-1 + ni,daj_Dims[1]=nj,daj_Dims[2]=-1 + nk,daj_Dims[3]=3;
    capi_daj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.div: failed to create array from the 5th argument `daj`";
    capi_daj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,daj_Dims,daj_Rank,  capi_daj_intent,daj_capi,capi_errmess);
    if (capi_daj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        daj = (float *)(PyArray_DATA(capi_daj_as_array));

    /* Processing variable dak */
    dak_Dims[0]=-1 + ni,dak_Dims[1]=-1 + nj,dak_Dims[2]=nk,dak_Dims[3]=3;
    capi_dak_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.div: failed to create array from the 6th argument `dak`";
    capi_dak_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dak_Dims,dak_Rank,  capi_dak_intent,dak_capi,capi_errmess);
    if (capi_dak_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dak = (float *)(PyArray_DATA(capi_dak_as_array));

    /* Processing variable vol */
    vol_Dims[0]=-1 + ni,vol_Dims[1]=-1 + nj,vol_Dims[2]=-1 + nk;
    capi_vol_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.div: failed to create array from the 3rd argument `vol`";
    capi_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vol_Dims,vol_Rank,  capi_vol_intent,vol_capi,capi_errmess);
    if (capi_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vol = (float *)(PyArray_DATA(capi_vol_as_array));

    /* Processing variable divx */
    divx_Dims[0]=-1 + ni,divx_Dims[1]=-1 + nj,divx_Dims[2]=-1 + nk;
    capi_divx_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.div: failed to create array from the 2nd argument `divx`";
    capi_divx_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,divx_Dims,divx_Rank,  capi_divx_intent,divx_capi,capi_errmess);
    if (capi_divx_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        divx = (float *)(PyArray_DATA(capi_divx_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(x,divx,vol,dai,daj,dak,&ni,&nj,&nk);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_divx_as_array!=divx_capi) {
        Py_XDECREF(capi_divx_as_array); }
    }  /* if (capi_divx_as_array == NULL) ... else of divx */
    /* End of cleaning variable divx */
    if((PyObject *)capi_vol_as_array!=vol_capi) {
        Py_XDECREF(capi_vol_as_array); }
    }  /* if (capi_vol_as_array == NULL) ... else of vol */
    /* End of cleaning variable vol */
    if((PyObject *)capi_dak_as_array!=dak_capi) {
        Py_XDECREF(capi_dak_as_array); }
    }  /* if (capi_dak_as_array == NULL) ... else of dak */
    /* End of cleaning variable dak */
    if((PyObject *)capi_daj_as_array!=daj_capi) {
        Py_XDECREF(capi_daj_as_array); }
    }  /* if (capi_daj_as_array == NULL) ... else of daj */
    /* End of cleaning variable daj */
    if((PyObject *)capi_dai_as_array!=dai_capi) {
        Py_XDECREF(capi_dai_as_array); }
    }  /* if (capi_dai_as_array == NULL) ... else of dai */
    /* End of cleaning variable dai */
    } /*CHECKSCALAR(shape(x, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(x, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(x, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_x_as_array!=x_capi) {
        Py_XDECREF(capi_x_as_array); }
    }  /* if (capi_x_as_array == NULL) ... else of x */
    /* End of cleaning variable x */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/********************************* end of div *********************************/

/************************************ grad ************************************/
static char doc_f2py_rout_embsolvec_embsolve_grad[] = "\
grad(x,gradx,vol,dai,daj,dak,r,rc,[ni,nj,nk])\n\nWrapper for ``grad``.\
\n\nParameters\n----------\n"
"x : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"gradx : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,3)\n"
"vol : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk)\n"
"dai : input rank-4 array('f') with bounds (ni,-1 + nj,-1 + nk,3)\n"
"daj : input rank-4 array('f') with bounds (-1 + ni,nj,-1 + nk,3)\n"
"dak : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,nk,3)\n"
"r : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"rc : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(x, 0)\n"
"nj : input int, optional\n    Default: shape(x, 1)\n"
"nk : input int, optional\n    Default: shape(x, 2)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_grad(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,float*,float*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *x = NULL;
    npy_intp x_Dims[3] = {-1, -1, -1};
    const int x_Rank = 3;
    PyArrayObject *capi_x_as_array = NULL;
    int capi_x_intent = 0;
    PyObject *x_capi = Py_None;
    float *gradx = NULL;
    npy_intp gradx_Dims[4] = {-1, -1, -1, -1};
    const int gradx_Rank = 4;
    PyArrayObject *capi_gradx_as_array = NULL;
    int capi_gradx_intent = 0;
    PyObject *gradx_capi = Py_None;
    float *vol = NULL;
    npy_intp vol_Dims[3] = {-1, -1, -1};
    const int vol_Rank = 3;
    PyArrayObject *capi_vol_as_array = NULL;
    int capi_vol_intent = 0;
    PyObject *vol_capi = Py_None;
    float *dai = NULL;
    npy_intp dai_Dims[4] = {-1, -1, -1, -1};
    const int dai_Rank = 4;
    PyArrayObject *capi_dai_as_array = NULL;
    int capi_dai_intent = 0;
    PyObject *dai_capi = Py_None;
    float *daj = NULL;
    npy_intp daj_Dims[4] = {-1, -1, -1, -1};
    const int daj_Rank = 4;
    PyArrayObject *capi_daj_as_array = NULL;
    int capi_daj_intent = 0;
    PyObject *daj_capi = Py_None;
    float *dak = NULL;
    npy_intp dak_Dims[4] = {-1, -1, -1, -1};
    const int dak_Rank = 4;
    PyArrayObject *capi_dak_as_array = NULL;
    int capi_dak_intent = 0;
    PyObject *dak_capi = Py_None;
    float *r = NULL;
    npy_intp r_Dims[3] = {-1, -1, -1};
    const int r_Rank = 3;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    float *rc = NULL;
    npy_intp rc_Dims[3] = {-1, -1, -1};
    const int rc_Rank = 3;
    PyArrayObject *capi_rc_as_array = NULL;
    int capi_rc_intent = 0;
    PyObject *rc_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    static char *capi_kwlist[] = {"x","gradx","vol","dai","daj","dak","r","rc","ni","nj","nk",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOOOO|OOO:embsolvec.embsolve.grad",\
        capi_kwlist,&x_capi,&gradx_capi,&vol_capi,&dai_capi,&daj_capi,&dak_capi,&r_capi,&rc_capi,&ni_capi,&nj_capi,&nk_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable x */
    ;
    capi_x_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.grad: failed to create array from the 1st argument `x`";
    capi_x_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x_Dims,x_Rank,  capi_x_intent,x_capi,capi_errmess);
    if (capi_x_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x = (float *)(PyArray_DATA(capi_x_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(x, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.grad() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 0) == ni,"shape(x, 0) == ni","1st keyword ni","grad:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(x, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.grad() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 1) == nj,"shape(x, 1) == nj","2nd keyword nj","grad:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(x, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.grad() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 2) == nk,"shape(x, 2) == nk","3rd keyword nk","grad:nk=%d",nk) {
    /* Processing variable r */
    r_Dims[0]=ni,r_Dims[1]=nj,r_Dims[2]=nk;
    capi_r_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.grad: failed to create array from the 7th argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable rc */
    rc_Dims[0]=-1 + ni,rc_Dims[1]=-1 + nj,rc_Dims[2]=-1 + nk;
    capi_rc_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.grad: failed to create array from the 8th argument `rc`";
    capi_rc_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rc_Dims,rc_Rank,  capi_rc_intent,rc_capi,capi_errmess);
    if (capi_rc_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rc = (float *)(PyArray_DATA(capi_rc_as_array));

    /* Processing variable dai */
    dai_Dims[0]=ni,dai_Dims[1]=-1 + nj,dai_Dims[2]=-1 + nk,dai_Dims[3]=3;
    capi_dai_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.grad: failed to create array from the 4th argument `dai`";
    capi_dai_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dai_Dims,dai_Rank,  capi_dai_intent,dai_capi,capi_errmess);
    if (capi_dai_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dai = (float *)(PyArray_DATA(capi_dai_as_array));

    /* Processing variable daj */
    daj_Dims[0]=-1 + ni,daj_Dims[1]=nj,daj_Dims[2]=-1 + nk,daj_Dims[3]=3;
    capi_daj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.grad: failed to create array from the 5th argument `daj`";
    capi_daj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,daj_Dims,daj_Rank,  capi_daj_intent,daj_capi,capi_errmess);
    if (capi_daj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        daj = (float *)(PyArray_DATA(capi_daj_as_array));

    /* Processing variable dak */
    dak_Dims[0]=-1 + ni,dak_Dims[1]=-1 + nj,dak_Dims[2]=nk,dak_Dims[3]=3;
    capi_dak_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.grad: failed to create array from the 6th argument `dak`";
    capi_dak_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dak_Dims,dak_Rank,  capi_dak_intent,dak_capi,capi_errmess);
    if (capi_dak_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dak = (float *)(PyArray_DATA(capi_dak_as_array));

    /* Processing variable vol */
    vol_Dims[0]=-1 + ni,vol_Dims[1]=-1 + nj,vol_Dims[2]=-1 + nk;
    capi_vol_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.grad: failed to create array from the 3rd argument `vol`";
    capi_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vol_Dims,vol_Rank,  capi_vol_intent,vol_capi,capi_errmess);
    if (capi_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vol = (float *)(PyArray_DATA(capi_vol_as_array));

    /* Processing variable gradx */
    gradx_Dims[0]=-1 + ni,gradx_Dims[1]=-1 + nj,gradx_Dims[2]=-1 + nk,gradx_Dims[3]=3;
    capi_gradx_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.grad: failed to create array from the 2nd argument `gradx`";
    capi_gradx_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,gradx_Dims,gradx_Rank,  capi_gradx_intent,gradx_capi,capi_errmess);
    if (capi_gradx_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        gradx = (float *)(PyArray_DATA(capi_gradx_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(x,gradx,vol,dai,daj,dak,r,rc,&ni,&nj,&nk);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_gradx_as_array!=gradx_capi) {
        Py_XDECREF(capi_gradx_as_array); }
    }  /* if (capi_gradx_as_array == NULL) ... else of gradx */
    /* End of cleaning variable gradx */
    if((PyObject *)capi_vol_as_array!=vol_capi) {
        Py_XDECREF(capi_vol_as_array); }
    }  /* if (capi_vol_as_array == NULL) ... else of vol */
    /* End of cleaning variable vol */
    if((PyObject *)capi_dak_as_array!=dak_capi) {
        Py_XDECREF(capi_dak_as_array); }
    }  /* if (capi_dak_as_array == NULL) ... else of dak */
    /* End of cleaning variable dak */
    if((PyObject *)capi_daj_as_array!=daj_capi) {
        Py_XDECREF(capi_daj_as_array); }
    }  /* if (capi_daj_as_array == NULL) ... else of daj */
    /* End of cleaning variable daj */
    if((PyObject *)capi_dai_as_array!=dai_capi) {
        Py_XDECREF(capi_dai_as_array); }
    }  /* if (capi_dai_as_array == NULL) ... else of dai */
    /* End of cleaning variable dai */
    if((PyObject *)capi_rc_as_array!=rc_capi) {
        Py_XDECREF(capi_rc_as_array); }
    }  /* if (capi_rc_as_array == NULL) ... else of rc */
    /* End of cleaning variable rc */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
    } /*CHECKSCALAR(shape(x, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(x, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(x, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_x_as_array!=x_capi) {
        Py_XDECREF(capi_x_as_array); }
    }  /* if (capi_x_as_array == NULL) ... else of x */
    /* End of cleaning variable x */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/******************************** end of grad ********************************/

/*********************************** smooth ***********************************/
static char doc_f2py_rout_embsolvec_embsolve_smooth[] = "\
smooth(x,p,l,sf4,sf2,sf2min,[ni,nj,nk,np])\n\nWrapper for ``smooth``.\
\n\nParameters\n----------\n"
"x : in/output rank-4 array('f') with bounds (ni,nj,nk,np)\n"
"p : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"l : input rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"sf4 : input float\n"
"sf2 : input float\n"
"sf2min : input float\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(x, 0)\n"
"nj : input int, optional\n    Default: shape(x, 1)\n"
"nk : input int, optional\n    Default: shape(x, 2)\n"
"np : input int, optional\n    Default: shape(x, 3)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_smooth(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *x = NULL;
    npy_intp x_Dims[4] = {-1, -1, -1, -1};
    const int x_Rank = 4;
    PyArrayObject *capi_x_as_array = NULL;
    int capi_x_intent = 0;
    PyObject *x_capi = Py_None;
    float *p = NULL;
    npy_intp p_Dims[3] = {-1, -1, -1};
    const int p_Rank = 3;
    PyArrayObject *capi_p_as_array = NULL;
    int capi_p_intent = 0;
    PyObject *p_capi = Py_None;
    float *l = NULL;
    npy_intp l_Dims[4] = {-1, -1, -1, -1};
    const int l_Rank = 4;
    PyArrayObject *capi_l_as_array = NULL;
    int capi_l_intent = 0;
    PyObject *l_capi = Py_None;
    float sf4 = 0;
    PyObject *sf4_capi = Py_None;
    float sf2 = 0;
    PyObject *sf2_capi = Py_None;
    float sf2min = 0;
    PyObject *sf2min_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int np = 0;
    PyObject *np_capi = Py_None;
    static char *capi_kwlist[] = {"x","p","l","sf4","sf2","sf2min","ni","nj","nk","np",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOO|OOOO:embsolvec.embsolve.smooth",\
        capi_kwlist,&x_capi,&p_capi,&l_capi,&sf4_capi,&sf2_capi,&sf2min_capi,&ni_capi,&nj_capi,&nk_capi,&np_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable sf4 */
        f2py_success = float_from_pyobj(&sf4,sf4_capi,"embsolvec.embsolve.smooth() 4th argument (sf4) can't be converted to float");
    if (f2py_success) {
    /* Processing variable sf2 */
        f2py_success = float_from_pyobj(&sf2,sf2_capi,"embsolvec.embsolve.smooth() 5th argument (sf2) can't be converted to float");
    if (f2py_success) {
    /* Processing variable sf2min */
        f2py_success = float_from_pyobj(&sf2min,sf2min_capi,"embsolvec.embsolve.smooth() 6th argument (sf2min) can't be converted to float");
    if (f2py_success) {
    /* Processing variable x */
    ;
    capi_x_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.smooth: failed to create array from the 1st argument `x`";
    capi_x_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x_Dims,x_Rank,  capi_x_intent,x_capi,capi_errmess);
    if (capi_x_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x = (float *)(PyArray_DATA(capi_x_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(x, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.smooth() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 0) == ni,"shape(x, 0) == ni","1st keyword ni","smooth:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(x, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.smooth() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 1) == nj,"shape(x, 1) == nj","2nd keyword nj","smooth:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(x, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.smooth() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 2) == nk,"shape(x, 2) == nk","3rd keyword nk","smooth:nk=%d",nk) {
    /* Processing variable np */
    if (np_capi == Py_None) np = shape(x, 3); else
        f2py_success = int_from_pyobj(&np,np_capi,"embsolvec.embsolve.smooth() 4th keyword (np) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 3) == np,"shape(x, 3) == np","4th keyword np","smooth:np=%d",np) {
    /* Processing variable p */
    p_Dims[0]=ni,p_Dims[1]=nj,p_Dims[2]=nk;
    capi_p_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.smooth: failed to create array from the 2nd argument `p`";
    capi_p_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,p_Dims,p_Rank,  capi_p_intent,p_capi,capi_errmess);
    if (capi_p_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        p = (float *)(PyArray_DATA(capi_p_as_array));

    /* Processing variable l */
    l_Dims[0]=ni,l_Dims[1]=nj,l_Dims[2]=nk,l_Dims[3]=3;
    capi_l_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.smooth: failed to create array from the 3rd argument `l`";
    capi_l_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,l_Dims,l_Rank,  capi_l_intent,l_capi,capi_errmess);
    if (capi_l_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        l = (float *)(PyArray_DATA(capi_l_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(x,p,l,&sf4,&sf2,&sf2min,&ni,&nj,&nk,&np);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_l_as_array!=l_capi) {
        Py_XDECREF(capi_l_as_array); }
    }  /* if (capi_l_as_array == NULL) ... else of l */
    /* End of cleaning variable l */
    if((PyObject *)capi_p_as_array!=p_capi) {
        Py_XDECREF(capi_p_as_array); }
    }  /* if (capi_p_as_array == NULL) ... else of p */
    /* End of cleaning variable p */
    } /*CHECKSCALAR(shape(x, 3) == np)*/
    } /*if (f2py_success) of np*/
    /* End of cleaning variable np */
    } /*CHECKSCALAR(shape(x, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(x, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(x, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_x_as_array!=x_capi) {
        Py_XDECREF(capi_x_as_array); }
    }  /* if (capi_x_as_array == NULL) ... else of x */
    /* End of cleaning variable x */
    } /*if (f2py_success) of sf2min*/
    /* End of cleaning variable sf2min */
    } /*if (f2py_success) of sf2*/
    /* End of cleaning variable sf2 */
    } /*if (f2py_success) of sf4*/
    /* End of cleaning variable sf4 */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/******************************* end of smooth *******************************/

/******************************** shear_stress ********************************/
static char doc_f2py_rout_embsolvec_embsolve_shear_stress[] = "\
shear_stress(cons,v,t,mu,cp,pr_turb,xlength,vol,dai,daj,dak,omega,r,rc,ri,rj,rk,ijk_iwall,ijk_jwall,ijk_kwall,dw_iwall,dw_jwall,dw_kwall,da_iwall,da_jwall,da_kwall,fvisc,[ni,nj,nk,niwall,njwall,nkwall])\n\nWrapper for ``shear_stress``.\
\n\nParameters\n----------\n"
"cons : input rank-4 array('f') with bounds (ni,nj,nk,5)\n"
"v : input rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"t : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"mu : input float\n"
"cp : input float\n"
"pr_turb : input float\n"
"xlength : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk)\n"
"vol : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk)\n"
"dai : input rank-4 array('f') with bounds (ni,-1 + nj,-1 + nk,3)\n"
"daj : input rank-4 array('f') with bounds (-1 + ni,nj,-1 + nk,3)\n"
"dak : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,nk,3)\n"
"omega : input float\n"
"r : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"rc : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk)\n"
"ri : input rank-3 array('f') with bounds (ni,-1 + nj,-1 + nk)\n"
"rj : input rank-3 array('f') with bounds (-1 + ni,nj,-1 + nk)\n"
"rk : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,nk)\n"
"ijk_iwall : input rank-2 array('h') with bounds (3,niwall)\n"
"ijk_jwall : input rank-2 array('h') with bounds (3,njwall)\n"
"ijk_kwall : input rank-2 array('h') with bounds (3,nkwall)\n"
"dw_iwall : input rank-1 array('f') with bounds (niwall)\n"
"dw_jwall : input rank-1 array('f') with bounds (njwall)\n"
"dw_kwall : input rank-1 array('f') with bounds (nkwall)\n"
"da_iwall : input rank-1 array('f') with bounds (niwall)\n"
"da_jwall : input rank-1 array('f') with bounds (njwall)\n"
"da_kwall : input rank-1 array('f') with bounds (nkwall)\n"
"fvisc : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,5)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(cons, 0)\n"
"nj : input int, optional\n    Default: shape(cons, 1)\n"
"nk : input int, optional\n    Default: shape(cons, 2)\n"
"niwall : input int, optional\n    Default: shape(ijk_iwall, 1)\n"
"njwall : input int, optional\n    Default: shape(ijk_jwall, 1)\n"
"nkwall : input int, optional\n    Default: shape(ijk_kwall, 1)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_shear_stress(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,short*,short*,short*,float*,float*,float*,float*,float*,float*,float*,int*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *cons = NULL;
    npy_intp cons_Dims[4] = {-1, -1, -1, -1};
    const int cons_Rank = 4;
    PyArrayObject *capi_cons_as_array = NULL;
    int capi_cons_intent = 0;
    PyObject *cons_capi = Py_None;
    float *v = NULL;
    npy_intp v_Dims[4] = {-1, -1, -1, -1};
    const int v_Rank = 4;
    PyArrayObject *capi_v_as_array = NULL;
    int capi_v_intent = 0;
    PyObject *v_capi = Py_None;
    float *t = NULL;
    npy_intp t_Dims[3] = {-1, -1, -1};
    const int t_Rank = 3;
    PyArrayObject *capi_t_as_array = NULL;
    int capi_t_intent = 0;
    PyObject *t_capi = Py_None;
    float mu = 0;
    PyObject *mu_capi = Py_None;
    float cp = 0;
    PyObject *cp_capi = Py_None;
    float pr_turb = 0;
    PyObject *pr_turb_capi = Py_None;
    float *xlength = NULL;
    npy_intp xlength_Dims[3] = {-1, -1, -1};
    const int xlength_Rank = 3;
    PyArrayObject *capi_xlength_as_array = NULL;
    int capi_xlength_intent = 0;
    PyObject *xlength_capi = Py_None;
    float *vol = NULL;
    npy_intp vol_Dims[3] = {-1, -1, -1};
    const int vol_Rank = 3;
    PyArrayObject *capi_vol_as_array = NULL;
    int capi_vol_intent = 0;
    PyObject *vol_capi = Py_None;
    float *dai = NULL;
    npy_intp dai_Dims[4] = {-1, -1, -1, -1};
    const int dai_Rank = 4;
    PyArrayObject *capi_dai_as_array = NULL;
    int capi_dai_intent = 0;
    PyObject *dai_capi = Py_None;
    float *daj = NULL;
    npy_intp daj_Dims[4] = {-1, -1, -1, -1};
    const int daj_Rank = 4;
    PyArrayObject *capi_daj_as_array = NULL;
    int capi_daj_intent = 0;
    PyObject *daj_capi = Py_None;
    float *dak = NULL;
    npy_intp dak_Dims[4] = {-1, -1, -1, -1};
    const int dak_Rank = 4;
    PyArrayObject *capi_dak_as_array = NULL;
    int capi_dak_intent = 0;
    PyObject *dak_capi = Py_None;
    float omega = 0;
    PyObject *omega_capi = Py_None;
    float *r = NULL;
    npy_intp r_Dims[3] = {-1, -1, -1};
    const int r_Rank = 3;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    float *rc = NULL;
    npy_intp rc_Dims[3] = {-1, -1, -1};
    const int rc_Rank = 3;
    PyArrayObject *capi_rc_as_array = NULL;
    int capi_rc_intent = 0;
    PyObject *rc_capi = Py_None;
    float *ri = NULL;
    npy_intp ri_Dims[3] = {-1, -1, -1};
    const int ri_Rank = 3;
    PyArrayObject *capi_ri_as_array = NULL;
    int capi_ri_intent = 0;
    PyObject *ri_capi = Py_None;
    float *rj = NULL;
    npy_intp rj_Dims[3] = {-1, -1, -1};
    const int rj_Rank = 3;
    PyArrayObject *capi_rj_as_array = NULL;
    int capi_rj_intent = 0;
    PyObject *rj_capi = Py_None;
    float *rk = NULL;
    npy_intp rk_Dims[3] = {-1, -1, -1};
    const int rk_Rank = 3;
    PyArrayObject *capi_rk_as_array = NULL;
    int capi_rk_intent = 0;
    PyObject *rk_capi = Py_None;
    short *ijk_iwall = NULL;
    npy_intp ijk_iwall_Dims[2] = {-1, -1};
    const int ijk_iwall_Rank = 2;
    PyArrayObject *capi_ijk_iwall_as_array = NULL;
    int capi_ijk_iwall_intent = 0;
    PyObject *ijk_iwall_capi = Py_None;
    short *ijk_jwall = NULL;
    npy_intp ijk_jwall_Dims[2] = {-1, -1};
    const int ijk_jwall_Rank = 2;
    PyArrayObject *capi_ijk_jwall_as_array = NULL;
    int capi_ijk_jwall_intent = 0;
    PyObject *ijk_jwall_capi = Py_None;
    short *ijk_kwall = NULL;
    npy_intp ijk_kwall_Dims[2] = {-1, -1};
    const int ijk_kwall_Rank = 2;
    PyArrayObject *capi_ijk_kwall_as_array = NULL;
    int capi_ijk_kwall_intent = 0;
    PyObject *ijk_kwall_capi = Py_None;
    float *dw_iwall = NULL;
    npy_intp dw_iwall_Dims[1] = {-1};
    const int dw_iwall_Rank = 1;
    PyArrayObject *capi_dw_iwall_as_array = NULL;
    int capi_dw_iwall_intent = 0;
    PyObject *dw_iwall_capi = Py_None;
    float *dw_jwall = NULL;
    npy_intp dw_jwall_Dims[1] = {-1};
    const int dw_jwall_Rank = 1;
    PyArrayObject *capi_dw_jwall_as_array = NULL;
    int capi_dw_jwall_intent = 0;
    PyObject *dw_jwall_capi = Py_None;
    float *dw_kwall = NULL;
    npy_intp dw_kwall_Dims[1] = {-1};
    const int dw_kwall_Rank = 1;
    PyArrayObject *capi_dw_kwall_as_array = NULL;
    int capi_dw_kwall_intent = 0;
    PyObject *dw_kwall_capi = Py_None;
    float *da_iwall = NULL;
    npy_intp da_iwall_Dims[1] = {-1};
    const int da_iwall_Rank = 1;
    PyArrayObject *capi_da_iwall_as_array = NULL;
    int capi_da_iwall_intent = 0;
    PyObject *da_iwall_capi = Py_None;
    float *da_jwall = NULL;
    npy_intp da_jwall_Dims[1] = {-1};
    const int da_jwall_Rank = 1;
    PyArrayObject *capi_da_jwall_as_array = NULL;
    int capi_da_jwall_intent = 0;
    PyObject *da_jwall_capi = Py_None;
    float *da_kwall = NULL;
    npy_intp da_kwall_Dims[1] = {-1};
    const int da_kwall_Rank = 1;
    PyArrayObject *capi_da_kwall_as_array = NULL;
    int capi_da_kwall_intent = 0;
    PyObject *da_kwall_capi = Py_None;
    float *fvisc = NULL;
    npy_intp fvisc_Dims[4] = {-1, -1, -1, -1};
    const int fvisc_Rank = 4;
    PyArrayObject *capi_fvisc_as_array = NULL;
    int capi_fvisc_intent = 0;
    PyObject *fvisc_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int niwall = 0;
    PyObject *niwall_capi = Py_None;
    int njwall = 0;
    PyObject *njwall_capi = Py_None;
    int nkwall = 0;
    PyObject *nkwall_capi = Py_None;
    static char *capi_kwlist[] = {"cons","v","t","mu","cp","pr_turb","xlength","vol","dai","daj","dak","omega","r","rc","ri","rj","rk","ijk_iwall","ijk_jwall","ijk_kwall","dw_iwall","dw_jwall","dw_kwall","da_iwall","da_jwall","da_kwall","fvisc","ni","nj","nk","niwall","njwall","nkwall",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOOOOOOOOOOOOOOOOOOOOOOO|OOOOOO:embsolvec.embsolve.shear_stress",\
        capi_kwlist,&cons_capi,&v_capi,&t_capi,&mu_capi,&cp_capi,&pr_turb_capi,&xlength_capi,&vol_capi,&dai_capi,&daj_capi,&dak_capi,&omega_capi,&r_capi,&rc_capi,&ri_capi,&rj_capi,&rk_capi,&ijk_iwall_capi,&ijk_jwall_capi,&ijk_kwall_capi,&dw_iwall_capi,&dw_jwall_capi,&dw_kwall_capi,&da_iwall_capi,&da_jwall_capi,&da_kwall_capi,&fvisc_capi,&ni_capi,&nj_capi,&nk_capi,&niwall_capi,&njwall_capi,&nkwall_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable cons */
    cons_Dims[3]=5;
    capi_cons_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 1st argument `cons`";
    capi_cons_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,cons_Dims,cons_Rank,  capi_cons_intent,cons_capi,capi_errmess);
    if (capi_cons_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        cons = (float *)(PyArray_DATA(capi_cons_as_array));

    /* Processing variable mu */
        f2py_success = float_from_pyobj(&mu,mu_capi,"embsolvec.embsolve.shear_stress() 4th argument (mu) can't be converted to float");
    if (f2py_success) {
    /* Processing variable pr_turb */
        f2py_success = float_from_pyobj(&pr_turb,pr_turb_capi,"embsolvec.embsolve.shear_stress() 6th argument (pr_turb) can't be converted to float");
    if (f2py_success) {
    /* Processing variable omega */
        f2py_success = float_from_pyobj(&omega,omega_capi,"embsolvec.embsolve.shear_stress() 12nd argument (omega) can't be converted to float");
    if (f2py_success) {
    /* Processing variable cp */
        f2py_success = float_from_pyobj(&cp,cp_capi,"embsolvec.embsolve.shear_stress() 5th argument (cp) can't be converted to float");
    if (f2py_success) {
    /* Processing variable ijk_iwall */
    ijk_iwall_Dims[0]=3;
    capi_ijk_iwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 18th argument `ijk_iwall`";
    capi_ijk_iwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_iwall_Dims,ijk_iwall_Rank,  capi_ijk_iwall_intent,ijk_iwall_capi,capi_errmess);
    if (capi_ijk_iwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_iwall = (short *)(PyArray_DATA(capi_ijk_iwall_as_array));

    /* Processing variable ijk_jwall */
    ijk_jwall_Dims[0]=3;
    capi_ijk_jwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 19th argument `ijk_jwall`";
    capi_ijk_jwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_jwall_Dims,ijk_jwall_Rank,  capi_ijk_jwall_intent,ijk_jwall_capi,capi_errmess);
    if (capi_ijk_jwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_jwall = (short *)(PyArray_DATA(capi_ijk_jwall_as_array));

    /* Processing variable ijk_kwall */
    ijk_kwall_Dims[0]=3;
    capi_ijk_kwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 20th argument `ijk_kwall`";
    capi_ijk_kwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_kwall_Dims,ijk_kwall_Rank,  capi_ijk_kwall_intent,ijk_kwall_capi,capi_errmess);
    if (capi_ijk_kwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_kwall = (short *)(PyArray_DATA(capi_ijk_kwall_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(cons, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.shear_stress() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 0) == ni,"shape(cons, 0) == ni","1st keyword ni","shear_stress:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(cons, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.shear_stress() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 1) == nj,"shape(cons, 1) == nj","2nd keyword nj","shear_stress:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(cons, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.shear_stress() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 2) == nk,"shape(cons, 2) == nk","3rd keyword nk","shear_stress:nk=%d",nk) {
    /* Processing variable niwall */
    if (niwall_capi == Py_None) niwall = shape(ijk_iwall, 1); else
        f2py_success = int_from_pyobj(&niwall,niwall_capi,"embsolvec.embsolve.shear_stress() 4th keyword (niwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_iwall, 1) == niwall,"shape(ijk_iwall, 1) == niwall","4th keyword niwall","shear_stress:niwall=%d",niwall) {
    /* Processing variable njwall */
    if (njwall_capi == Py_None) njwall = shape(ijk_jwall, 1); else
        f2py_success = int_from_pyobj(&njwall,njwall_capi,"embsolvec.embsolve.shear_stress() 5th keyword (njwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_jwall, 1) == njwall,"shape(ijk_jwall, 1) == njwall","5th keyword njwall","shear_stress:njwall=%d",njwall) {
    /* Processing variable nkwall */
    if (nkwall_capi == Py_None) nkwall = shape(ijk_kwall, 1); else
        f2py_success = int_from_pyobj(&nkwall,nkwall_capi,"embsolvec.embsolve.shear_stress() 6th keyword (nkwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_kwall, 1) == nkwall,"shape(ijk_kwall, 1) == nkwall","6th keyword nkwall","shear_stress:nkwall=%d",nkwall) {
    /* Processing variable dw_iwall */
    dw_iwall_Dims[0]=niwall;
    capi_dw_iwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 21st argument `dw_iwall`";
    capi_dw_iwall_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dw_iwall_Dims,dw_iwall_Rank,  capi_dw_iwall_intent,dw_iwall_capi,capi_errmess);
    if (capi_dw_iwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dw_iwall = (float *)(PyArray_DATA(capi_dw_iwall_as_array));

    /* Processing variable dw_jwall */
    dw_jwall_Dims[0]=njwall;
    capi_dw_jwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 22nd argument `dw_jwall`";
    capi_dw_jwall_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dw_jwall_Dims,dw_jwall_Rank,  capi_dw_jwall_intent,dw_jwall_capi,capi_errmess);
    if (capi_dw_jwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dw_jwall = (float *)(PyArray_DATA(capi_dw_jwall_as_array));

    /* Processing variable dw_kwall */
    dw_kwall_Dims[0]=nkwall;
    capi_dw_kwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 23rd argument `dw_kwall`";
    capi_dw_kwall_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dw_kwall_Dims,dw_kwall_Rank,  capi_dw_kwall_intent,dw_kwall_capi,capi_errmess);
    if (capi_dw_kwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dw_kwall = (float *)(PyArray_DATA(capi_dw_kwall_as_array));

    /* Processing variable da_iwall */
    da_iwall_Dims[0]=niwall;
    capi_da_iwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 24th argument `da_iwall`";
    capi_da_iwall_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,da_iwall_Dims,da_iwall_Rank,  capi_da_iwall_intent,da_iwall_capi,capi_errmess);
    if (capi_da_iwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        da_iwall = (float *)(PyArray_DATA(capi_da_iwall_as_array));

    /* Processing variable da_jwall */
    da_jwall_Dims[0]=njwall;
    capi_da_jwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 25th argument `da_jwall`";
    capi_da_jwall_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,da_jwall_Dims,da_jwall_Rank,  capi_da_jwall_intent,da_jwall_capi,capi_errmess);
    if (capi_da_jwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        da_jwall = (float *)(PyArray_DATA(capi_da_jwall_as_array));

    /* Processing variable da_kwall */
    da_kwall_Dims[0]=nkwall;
    capi_da_kwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 26th argument `da_kwall`";
    capi_da_kwall_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,da_kwall_Dims,da_kwall_Rank,  capi_da_kwall_intent,da_kwall_capi,capi_errmess);
    if (capi_da_kwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        da_kwall = (float *)(PyArray_DATA(capi_da_kwall_as_array));

    /* Processing variable v */
    v_Dims[0]=ni,v_Dims[1]=nj,v_Dims[2]=nk,v_Dims[3]=3;
    capi_v_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 2nd argument `v`";
    capi_v_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,v_Dims,v_Rank,  capi_v_intent,v_capi,capi_errmess);
    if (capi_v_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        v = (float *)(PyArray_DATA(capi_v_as_array));

    /* Processing variable t */
    t_Dims[0]=ni,t_Dims[1]=nj,t_Dims[2]=nk;
    capi_t_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 3rd argument `t`";
    capi_t_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,t_Dims,t_Rank,  capi_t_intent,t_capi,capi_errmess);
    if (capi_t_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        t = (float *)(PyArray_DATA(capi_t_as_array));

    /* Processing variable fvisc */
    fvisc_Dims[0]=-1 + ni,fvisc_Dims[1]=-1 + nj,fvisc_Dims[2]=-1 + nk,fvisc_Dims[3]=5;
    capi_fvisc_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 27th argument `fvisc`";
    capi_fvisc_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fvisc_Dims,fvisc_Rank,  capi_fvisc_intent,fvisc_capi,capi_errmess);
    if (capi_fvisc_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fvisc = (float *)(PyArray_DATA(capi_fvisc_as_array));

    /* Processing variable dai */
    dai_Dims[0]=ni,dai_Dims[1]=-1 + nj,dai_Dims[2]=-1 + nk,dai_Dims[3]=3;
    capi_dai_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 9th argument `dai`";
    capi_dai_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dai_Dims,dai_Rank,  capi_dai_intent,dai_capi,capi_errmess);
    if (capi_dai_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dai = (float *)(PyArray_DATA(capi_dai_as_array));

    /* Processing variable daj */
    daj_Dims[0]=-1 + ni,daj_Dims[1]=nj,daj_Dims[2]=-1 + nk,daj_Dims[3]=3;
    capi_daj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 10th argument `daj`";
    capi_daj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,daj_Dims,daj_Rank,  capi_daj_intent,daj_capi,capi_errmess);
    if (capi_daj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        daj = (float *)(PyArray_DATA(capi_daj_as_array));

    /* Processing variable dak */
    dak_Dims[0]=-1 + ni,dak_Dims[1]=-1 + nj,dak_Dims[2]=nk,dak_Dims[3]=3;
    capi_dak_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 11st argument `dak`";
    capi_dak_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dak_Dims,dak_Rank,  capi_dak_intent,dak_capi,capi_errmess);
    if (capi_dak_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dak = (float *)(PyArray_DATA(capi_dak_as_array));

    /* Processing variable vol */
    vol_Dims[0]=-1 + ni,vol_Dims[1]=-1 + nj,vol_Dims[2]=-1 + nk;
    capi_vol_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 8th argument `vol`";
    capi_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vol_Dims,vol_Rank,  capi_vol_intent,vol_capi,capi_errmess);
    if (capi_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vol = (float *)(PyArray_DATA(capi_vol_as_array));

    /* Processing variable xlength */
    xlength_Dims[0]=-1 + ni,xlength_Dims[1]=-1 + nj,xlength_Dims[2]=-1 + nk;
    capi_xlength_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 7th argument `xlength`";
    capi_xlength_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,xlength_Dims,xlength_Rank,  capi_xlength_intent,xlength_capi,capi_errmess);
    if (capi_xlength_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        xlength = (float *)(PyArray_DATA(capi_xlength_as_array));

    /* Processing variable r */
    r_Dims[0]=ni,r_Dims[1]=nj,r_Dims[2]=nk;
    capi_r_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 13rd argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable rc */
    rc_Dims[0]=-1 + ni,rc_Dims[1]=-1 + nj,rc_Dims[2]=-1 + nk;
    capi_rc_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 14th argument `rc`";
    capi_rc_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rc_Dims,rc_Rank,  capi_rc_intent,rc_capi,capi_errmess);
    if (capi_rc_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rc = (float *)(PyArray_DATA(capi_rc_as_array));

    /* Processing variable ri */
    ri_Dims[0]=ni,ri_Dims[1]=-1 + nj,ri_Dims[2]=-1 + nk;
    capi_ri_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 15th argument `ri`";
    capi_ri_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,ri_Dims,ri_Rank,  capi_ri_intent,ri_capi,capi_errmess);
    if (capi_ri_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ri = (float *)(PyArray_DATA(capi_ri_as_array));

    /* Processing variable rj */
    rj_Dims[0]=-1 + ni,rj_Dims[1]=nj,rj_Dims[2]=-1 + nk;
    capi_rj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 16th argument `rj`";
    capi_rj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rj_Dims,rj_Rank,  capi_rj_intent,rj_capi,capi_errmess);
    if (capi_rj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rj = (float *)(PyArray_DATA(capi_rj_as_array));

    /* Processing variable rk */
    rk_Dims[0]=-1 + ni,rk_Dims[1]=-1 + nj,rk_Dims[2]=nk;
    capi_rk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.shear_stress: failed to create array from the 17th argument `rk`";
    capi_rk_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rk_Dims,rk_Rank,  capi_rk_intent,rk_capi,capi_errmess);
    if (capi_rk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rk = (float *)(PyArray_DATA(capi_rk_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(cons,v,t,&mu,&cp,&pr_turb,xlength,vol,dai,daj,dak,&omega,r,rc,ri,rj,rk,ijk_iwall,ijk_jwall,ijk_kwall,dw_iwall,dw_jwall,dw_kwall,da_iwall,da_jwall,da_kwall,fvisc,&ni,&nj,&nk,&niwall,&njwall,&nkwall);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_rk_as_array!=rk_capi) {
        Py_XDECREF(capi_rk_as_array); }
    }  /* if (capi_rk_as_array == NULL) ... else of rk */
    /* End of cleaning variable rk */
    if((PyObject *)capi_rj_as_array!=rj_capi) {
        Py_XDECREF(capi_rj_as_array); }
    }  /* if (capi_rj_as_array == NULL) ... else of rj */
    /* End of cleaning variable rj */
    if((PyObject *)capi_ri_as_array!=ri_capi) {
        Py_XDECREF(capi_ri_as_array); }
    }  /* if (capi_ri_as_array == NULL) ... else of ri */
    /* End of cleaning variable ri */
    if((PyObject *)capi_rc_as_array!=rc_capi) {
        Py_XDECREF(capi_rc_as_array); }
    }  /* if (capi_rc_as_array == NULL) ... else of rc */
    /* End of cleaning variable rc */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
    if((PyObject *)capi_xlength_as_array!=xlength_capi) {
        Py_XDECREF(capi_xlength_as_array); }
    }  /* if (capi_xlength_as_array == NULL) ... else of xlength */
    /* End of cleaning variable xlength */
    if((PyObject *)capi_vol_as_array!=vol_capi) {
        Py_XDECREF(capi_vol_as_array); }
    }  /* if (capi_vol_as_array == NULL) ... else of vol */
    /* End of cleaning variable vol */
    if((PyObject *)capi_dak_as_array!=dak_capi) {
        Py_XDECREF(capi_dak_as_array); }
    }  /* if (capi_dak_as_array == NULL) ... else of dak */
    /* End of cleaning variable dak */
    if((PyObject *)capi_daj_as_array!=daj_capi) {
        Py_XDECREF(capi_daj_as_array); }
    }  /* if (capi_daj_as_array == NULL) ... else of daj */
    /* End of cleaning variable daj */
    if((PyObject *)capi_dai_as_array!=dai_capi) {
        Py_XDECREF(capi_dai_as_array); }
    }  /* if (capi_dai_as_array == NULL) ... else of dai */
    /* End of cleaning variable dai */
    if((PyObject *)capi_fvisc_as_array!=fvisc_capi) {
        Py_XDECREF(capi_fvisc_as_array); }
    }  /* if (capi_fvisc_as_array == NULL) ... else of fvisc */
    /* End of cleaning variable fvisc */
    if((PyObject *)capi_t_as_array!=t_capi) {
        Py_XDECREF(capi_t_as_array); }
    }  /* if (capi_t_as_array == NULL) ... else of t */
    /* End of cleaning variable t */
    if((PyObject *)capi_v_as_array!=v_capi) {
        Py_XDECREF(capi_v_as_array); }
    }  /* if (capi_v_as_array == NULL) ... else of v */
    /* End of cleaning variable v */
    if((PyObject *)capi_da_kwall_as_array!=da_kwall_capi) {
        Py_XDECREF(capi_da_kwall_as_array); }
    }  /* if (capi_da_kwall_as_array == NULL) ... else of da_kwall */
    /* End of cleaning variable da_kwall */
    if((PyObject *)capi_da_jwall_as_array!=da_jwall_capi) {
        Py_XDECREF(capi_da_jwall_as_array); }
    }  /* if (capi_da_jwall_as_array == NULL) ... else of da_jwall */
    /* End of cleaning variable da_jwall */
    if((PyObject *)capi_da_iwall_as_array!=da_iwall_capi) {
        Py_XDECREF(capi_da_iwall_as_array); }
    }  /* if (capi_da_iwall_as_array == NULL) ... else of da_iwall */
    /* End of cleaning variable da_iwall */
    if((PyObject *)capi_dw_kwall_as_array!=dw_kwall_capi) {
        Py_XDECREF(capi_dw_kwall_as_array); }
    }  /* if (capi_dw_kwall_as_array == NULL) ... else of dw_kwall */
    /* End of cleaning variable dw_kwall */
    if((PyObject *)capi_dw_jwall_as_array!=dw_jwall_capi) {
        Py_XDECREF(capi_dw_jwall_as_array); }
    }  /* if (capi_dw_jwall_as_array == NULL) ... else of dw_jwall */
    /* End of cleaning variable dw_jwall */
    if((PyObject *)capi_dw_iwall_as_array!=dw_iwall_capi) {
        Py_XDECREF(capi_dw_iwall_as_array); }
    }  /* if (capi_dw_iwall_as_array == NULL) ... else of dw_iwall */
    /* End of cleaning variable dw_iwall */
    } /*CHECKSCALAR(shape(ijk_kwall, 1) == nkwall)*/
    } /*if (f2py_success) of nkwall*/
    /* End of cleaning variable nkwall */
    } /*CHECKSCALAR(shape(ijk_jwall, 1) == njwall)*/
    } /*if (f2py_success) of njwall*/
    /* End of cleaning variable njwall */
    } /*CHECKSCALAR(shape(ijk_iwall, 1) == niwall)*/
    } /*if (f2py_success) of niwall*/
    /* End of cleaning variable niwall */
    } /*CHECKSCALAR(shape(cons, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(cons, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(cons, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_ijk_kwall_as_array!=ijk_kwall_capi) {
        Py_XDECREF(capi_ijk_kwall_as_array); }
    }  /* if (capi_ijk_kwall_as_array == NULL) ... else of ijk_kwall */
    /* End of cleaning variable ijk_kwall */
    if((PyObject *)capi_ijk_jwall_as_array!=ijk_jwall_capi) {
        Py_XDECREF(capi_ijk_jwall_as_array); }
    }  /* if (capi_ijk_jwall_as_array == NULL) ... else of ijk_jwall */
    /* End of cleaning variable ijk_jwall */
    if((PyObject *)capi_ijk_iwall_as_array!=ijk_iwall_capi) {
        Py_XDECREF(capi_ijk_iwall_as_array); }
    }  /* if (capi_ijk_iwall_as_array == NULL) ... else of ijk_iwall */
    /* End of cleaning variable ijk_iwall */
    } /*if (f2py_success) of cp*/
    /* End of cleaning variable cp */
    } /*if (f2py_success) of omega*/
    /* End of cleaning variable omega */
    } /*if (f2py_success) of pr_turb*/
    /* End of cleaning variable pr_turb */
    } /*if (f2py_success) of mu*/
    /* End of cleaning variable mu */
    if((PyObject *)capi_cons_as_array!=cons_capi) {
        Py_XDECREF(capi_cons_as_array); }
    }  /* if (capi_cons_as_array == NULL) ... else of cons */
    /* End of cleaning variable cons */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of shear_stress ****************************/

/******************************** viscous_flux ********************************/
static char doc_f2py_rout_embsolvec_embsolve_viscous_flux[] = "\
f = viscous_flux(tau,q,v,r,[ni,nj,nk])\n\nWrapper for ``viscous_flux``.\
\n\nParameters\n----------\n"
"tau : input rank-4 array('f') with bounds (ni,nj,nk,6)\n"
"q : input rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"v : input rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"r : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(tau, 0)\n"
"nj : input int, optional\n    Default: shape(tau, 1)\n"
"nk : input int, optional\n    Default: shape(tau, 2)\n"
"\nReturns\n-------\n"
"f : rank-5 array('f') with bounds (ni,nj,nk,3,5)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_viscous_flux(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *f = NULL;
    npy_intp f_Dims[5] = {-1, -1, -1, -1, -1};
    const int f_Rank = 5;
    PyArrayObject *capi_f_as_array = NULL;
    int capi_f_intent = 0;
    float *tau = NULL;
    npy_intp tau_Dims[4] = {-1, -1, -1, -1};
    const int tau_Rank = 4;
    PyArrayObject *capi_tau_as_array = NULL;
    int capi_tau_intent = 0;
    PyObject *tau_capi = Py_None;
    float *q = NULL;
    npy_intp q_Dims[4] = {-1, -1, -1, -1};
    const int q_Rank = 4;
    PyArrayObject *capi_q_as_array = NULL;
    int capi_q_intent = 0;
    PyObject *q_capi = Py_None;
    float *v = NULL;
    npy_intp v_Dims[4] = {-1, -1, -1, -1};
    const int v_Rank = 4;
    PyArrayObject *capi_v_as_array = NULL;
    int capi_v_intent = 0;
    PyObject *v_capi = Py_None;
    float *r = NULL;
    npy_intp r_Dims[3] = {-1, -1, -1};
    const int r_Rank = 3;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    static char *capi_kwlist[] = {"tau","q","v","r","ni","nj","nk",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOO|OOO:embsolvec.embsolve.viscous_flux",\
        capi_kwlist,&tau_capi,&q_capi,&v_capi,&r_capi,&ni_capi,&nj_capi,&nk_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable tau */
    tau_Dims[3]=6;
    capi_tau_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.viscous_flux: failed to create array from the 1st argument `tau`";
    capi_tau_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,tau_Dims,tau_Rank,  capi_tau_intent,tau_capi,capi_errmess);
    if (capi_tau_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        tau = (float *)(PyArray_DATA(capi_tau_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(tau, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.viscous_flux() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(tau, 0) == ni,"shape(tau, 0) == ni","1st keyword ni","viscous_flux:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(tau, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.viscous_flux() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(tau, 1) == nj,"shape(tau, 1) == nj","2nd keyword nj","viscous_flux:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(tau, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.viscous_flux() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(tau, 2) == nk,"shape(tau, 2) == nk","3rd keyword nk","viscous_flux:nk=%d",nk) {
    /* Processing variable q */
    q_Dims[0]=ni,q_Dims[1]=nj,q_Dims[2]=nk,q_Dims[3]=3;
    capi_q_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.viscous_flux: failed to create array from the 2nd argument `q`";
    capi_q_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,q_Dims,q_Rank,  capi_q_intent,q_capi,capi_errmess);
    if (capi_q_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        q = (float *)(PyArray_DATA(capi_q_as_array));

    /* Processing variable f */
    f_Dims[0]=ni,f_Dims[1]=nj,f_Dims[2]=nk,f_Dims[3]=3,f_Dims[4]=5;
    capi_f_intent |= F2PY_INTENT_OUT|F2PY_INTENT_HIDE;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.viscous_flux: failed to create array from the hidden `f`";
    capi_f_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,f_Dims,f_Rank,  capi_f_intent,Py_None,capi_errmess);
    if (capi_f_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        f = (float *)(PyArray_DATA(capi_f_as_array));

    /* Processing variable r */
    r_Dims[0]=ni,r_Dims[1]=nj,r_Dims[2]=nk;
    capi_r_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.viscous_flux: failed to create array from the 4th argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable v */
    v_Dims[0]=ni,v_Dims[1]=nj,v_Dims[2]=nk,v_Dims[3]=3;
    capi_v_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.viscous_flux: failed to create array from the 3rd argument `v`";
    capi_v_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,v_Dims,v_Rank,  capi_v_intent,v_capi,capi_errmess);
    if (capi_v_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        v = (float *)(PyArray_DATA(capi_v_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(f,tau,q,v,r,&ni,&nj,&nk);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("N",capi_f_as_array);
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_v_as_array!=v_capi) {
        Py_XDECREF(capi_v_as_array); }
    }  /* if (capi_v_as_array == NULL) ... else of v */
    /* End of cleaning variable v */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
    }  /* if (capi_f_as_array == NULL) ... else of f */
    /* End of cleaning variable f */
    if((PyObject *)capi_q_as_array!=q_capi) {
        Py_XDECREF(capi_q_as_array); }
    }  /* if (capi_q_as_array == NULL) ... else of q */
    /* End of cleaning variable q */
    } /*CHECKSCALAR(shape(tau, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(tau, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(tau, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_tau_as_array!=tau_capi) {
        Py_XDECREF(capi_tau_as_array); }
    }  /* if (capi_tau_as_array == NULL) ... else of tau */
    /* End of cleaning variable tau */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of viscous_flux ****************************/

/******************************* wall_function *******************************/
static char doc_f2py_rout_embsolvec_embsolve_wall_function[] = "\
wall_function(f,ijk,dirn,cons,omega,r,dw,da,mu,[ni,nj,nk,nwall])\n\nWrapper for ``wall_function``.\
\n\nParameters\n----------\n"
"f : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,5)\n"
"ijk : input rank-2 array('h') with bounds (3,nwall)\n"
"dirn : input int\n"
"cons : input rank-4 array('f') with bounds (ni,nj,nk,5)\n"
"omega : input float\n"
"r : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"dw : input rank-1 array('f') with bounds (nwall)\n"
"da : input rank-1 array('f') with bounds (nwall)\n"
"mu : input float\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: 1 + shape(f, 0)\n"
"nj : input int, optional\n    Default: 1 + shape(f, 1)\n"
"nk : input int, optional\n    Default: 1 + shape(f, 2)\n"
"nwall : input int, optional\n    Default: shape(ijk, 1)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_wall_function(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,short*,int*,float*,float*,float*,float*,float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *f = NULL;
    npy_intp f_Dims[4] = {-1, -1, -1, -1};
    const int f_Rank = 4;
    PyArrayObject *capi_f_as_array = NULL;
    int capi_f_intent = 0;
    PyObject *f_capi = Py_None;
    short *ijk = NULL;
    npy_intp ijk_Dims[2] = {-1, -1};
    const int ijk_Rank = 2;
    PyArrayObject *capi_ijk_as_array = NULL;
    int capi_ijk_intent = 0;
    PyObject *ijk_capi = Py_None;
    int dirn = 0;
    PyObject *dirn_capi = Py_None;
    float *cons = NULL;
    npy_intp cons_Dims[4] = {-1, -1, -1, -1};
    const int cons_Rank = 4;
    PyArrayObject *capi_cons_as_array = NULL;
    int capi_cons_intent = 0;
    PyObject *cons_capi = Py_None;
    float omega = 0;
    PyObject *omega_capi = Py_None;
    float *r = NULL;
    npy_intp r_Dims[3] = {-1, -1, -1};
    const int r_Rank = 3;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    float *dw = NULL;
    npy_intp dw_Dims[1] = {-1};
    const int dw_Rank = 1;
    PyArrayObject *capi_dw_as_array = NULL;
    int capi_dw_intent = 0;
    PyObject *dw_capi = Py_None;
    float *da = NULL;
    npy_intp da_Dims[1] = {-1};
    const int da_Rank = 1;
    PyArrayObject *capi_da_as_array = NULL;
    int capi_da_intent = 0;
    PyObject *da_capi = Py_None;
    float mu = 0;
    PyObject *mu_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int nwall = 0;
    PyObject *nwall_capi = Py_None;
    static char *capi_kwlist[] = {"f","ijk","dirn","cons","omega","r","dw","da","mu","ni","nj","nk","nwall",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOOOOO|OOOO:embsolvec.embsolve.wall_function",\
        capi_kwlist,&f_capi,&ijk_capi,&dirn_capi,&cons_capi,&omega_capi,&r_capi,&dw_capi,&da_capi,&mu_capi,&ni_capi,&nj_capi,&nk_capi,&nwall_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable f */
    f_Dims[3]=5;
    capi_f_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.wall_function: failed to create array from the 1st argument `f`";
    capi_f_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,f_Dims,f_Rank,  capi_f_intent,f_capi,capi_errmess);
    if (capi_f_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        f = (float *)(PyArray_DATA(capi_f_as_array));

    /* Processing variable ijk */
    ijk_Dims[0]=3;
    capi_ijk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.wall_function: failed to create array from the 2nd argument `ijk`";
    capi_ijk_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_Dims,ijk_Rank,  capi_ijk_intent,ijk_capi,capi_errmess);
    if (capi_ijk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk = (short *)(PyArray_DATA(capi_ijk_as_array));

    /* Processing variable dirn */
        f2py_success = int_from_pyobj(&dirn,dirn_capi,"embsolvec.embsolve.wall_function() 3rd argument (dirn) can't be converted to int");
    if (f2py_success) {
    /* Processing variable mu */
        f2py_success = float_from_pyobj(&mu,mu_capi,"embsolvec.embsolve.wall_function() 9th argument (mu) can't be converted to float");
    if (f2py_success) {
    /* Processing variable omega */
        f2py_success = float_from_pyobj(&omega,omega_capi,"embsolvec.embsolve.wall_function() 5th argument (omega) can't be converted to float");
    if (f2py_success) {
    /* Processing variable ni */
    if (ni_capi == Py_None) ni = 1 + shape(f, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.wall_function() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(f, 0) == -1 + ni,"shape(f, 0) == -1 + ni","1st keyword ni","wall_function:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = 1 + shape(f, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.wall_function() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(f, 1) == -1 + nj,"shape(f, 1) == -1 + nj","2nd keyword nj","wall_function:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = 1 + shape(f, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.wall_function() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(f, 2) == -1 + nk,"shape(f, 2) == -1 + nk","3rd keyword nk","wall_function:nk=%d",nk) {
    /* Processing variable nwall */
    if (nwall_capi == Py_None) nwall = shape(ijk, 1); else
        f2py_success = int_from_pyobj(&nwall,nwall_capi,"embsolvec.embsolve.wall_function() 4th keyword (nwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk, 1) == nwall,"shape(ijk, 1) == nwall","4th keyword nwall","wall_function:nwall=%d",nwall) {
    /* Processing variable cons */
    cons_Dims[0]=ni,cons_Dims[1]=nj,cons_Dims[2]=nk,cons_Dims[3]=5;
    capi_cons_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.wall_function: failed to create array from the 4th argument `cons`";
    capi_cons_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,cons_Dims,cons_Rank,  capi_cons_intent,cons_capi,capi_errmess);
    if (capi_cons_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        cons = (float *)(PyArray_DATA(capi_cons_as_array));

    /* Processing variable r */
    r_Dims[0]=ni,r_Dims[1]=nj,r_Dims[2]=nk;
    capi_r_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.wall_function: failed to create array from the 6th argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable dw */
    dw_Dims[0]=nwall;
    capi_dw_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.wall_function: failed to create array from the 7th argument `dw`";
    capi_dw_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dw_Dims,dw_Rank,  capi_dw_intent,dw_capi,capi_errmess);
    if (capi_dw_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dw = (float *)(PyArray_DATA(capi_dw_as_array));

    /* Processing variable da */
    da_Dims[0]=nwall;
    capi_da_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.wall_function: failed to create array from the 8th argument `da`";
    capi_da_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,da_Dims,da_Rank,  capi_da_intent,da_capi,capi_errmess);
    if (capi_da_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        da = (float *)(PyArray_DATA(capi_da_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(f,ijk,&dirn,cons,&omega,r,dw,da,&mu,&ni,&nj,&nk,&nwall);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_da_as_array!=da_capi) {
        Py_XDECREF(capi_da_as_array); }
    }  /* if (capi_da_as_array == NULL) ... else of da */
    /* End of cleaning variable da */
    if((PyObject *)capi_dw_as_array!=dw_capi) {
        Py_XDECREF(capi_dw_as_array); }
    }  /* if (capi_dw_as_array == NULL) ... else of dw */
    /* End of cleaning variable dw */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
    if((PyObject *)capi_cons_as_array!=cons_capi) {
        Py_XDECREF(capi_cons_as_array); }
    }  /* if (capi_cons_as_array == NULL) ... else of cons */
    /* End of cleaning variable cons */
    } /*CHECKSCALAR(shape(ijk, 1) == nwall)*/
    } /*if (f2py_success) of nwall*/
    /* End of cleaning variable nwall */
    } /*CHECKSCALAR(shape(f, 2) == -1 + nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(f, 1) == -1 + nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(f, 0) == -1 + ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    } /*if (f2py_success) of omega*/
    /* End of cleaning variable omega */
    } /*if (f2py_success) of mu*/
    /* End of cleaning variable mu */
    } /*if (f2py_success) of dirn*/
    /* End of cleaning variable dirn */
    if((PyObject *)capi_ijk_as_array!=ijk_capi) {
        Py_XDECREF(capi_ijk_as_array); }
    }  /* if (capi_ijk_as_array == NULL) ... else of ijk */
    /* End of cleaning variable ijk */
    if((PyObject *)capi_f_as_array!=f_capi) {
        Py_XDECREF(capi_f_as_array); }
    }  /* if (capi_f_as_array == NULL) ... else of f */
    /* End of cleaning variable f */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of wall_function ****************************/

/****************************** zero_wall_stress ******************************/
static char doc_f2py_rout_embsolvec_embsolve_zero_wall_stress[] = "\
zero_wall_stress(tau,ijk,[ni,nj,nk,nwall,nd])\n\nWrapper for ``zero_wall_stress``.\
\n\nParameters\n----------\n"
"tau : in/output rank-4 array('f') with bounds (ni,nj,nk,nd)\n"
"ijk : input rank-2 array('h') with bounds (3,nwall)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(tau, 0)\n"
"nj : input int, optional\n    Default: shape(tau, 1)\n"
"nk : input int, optional\n    Default: shape(tau, 2)\n"
"nwall : input int, optional\n    Default: shape(ijk, 1)\n"
"nd : input int, optional\n    Default: shape(tau, 3)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_zero_wall_stress(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,short*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *tau = NULL;
    npy_intp tau_Dims[4] = {-1, -1, -1, -1};
    const int tau_Rank = 4;
    PyArrayObject *capi_tau_as_array = NULL;
    int capi_tau_intent = 0;
    PyObject *tau_capi = Py_None;
    short *ijk = NULL;
    npy_intp ijk_Dims[2] = {-1, -1};
    const int ijk_Rank = 2;
    PyArrayObject *capi_ijk_as_array = NULL;
    int capi_ijk_intent = 0;
    PyObject *ijk_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int nwall = 0;
    PyObject *nwall_capi = Py_None;
    int nd = 0;
    PyObject *nd_capi = Py_None;
    static char *capi_kwlist[] = {"tau","ijk","ni","nj","nk","nwall","nd",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OO|OOOOO:embsolvec.embsolve.zero_wall_stress",\
        capi_kwlist,&tau_capi,&ijk_capi,&ni_capi,&nj_capi,&nk_capi,&nwall_capi,&nd_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable tau */
    ;
    capi_tau_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.zero_wall_stress: failed to create array from the 1st argument `tau`";
    capi_tau_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,tau_Dims,tau_Rank,  capi_tau_intent,tau_capi,capi_errmess);
    if (capi_tau_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        tau = (float *)(PyArray_DATA(capi_tau_as_array));

    /* Processing variable ijk */
    ijk_Dims[0]=3;
    capi_ijk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.zero_wall_stress: failed to create array from the 2nd argument `ijk`";
    capi_ijk_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_Dims,ijk_Rank,  capi_ijk_intent,ijk_capi,capi_errmess);
    if (capi_ijk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk = (short *)(PyArray_DATA(capi_ijk_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(tau, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.zero_wall_stress() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(tau, 0) == ni,"shape(tau, 0) == ni","1st keyword ni","zero_wall_stress:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(tau, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.zero_wall_stress() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(tau, 1) == nj,"shape(tau, 1) == nj","2nd keyword nj","zero_wall_stress:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(tau, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.zero_wall_stress() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(tau, 2) == nk,"shape(tau, 2) == nk","3rd keyword nk","zero_wall_stress:nk=%d",nk) {
    /* Processing variable nwall */
    if (nwall_capi == Py_None) nwall = shape(ijk, 1); else
        f2py_success = int_from_pyobj(&nwall,nwall_capi,"embsolvec.embsolve.zero_wall_stress() 4th keyword (nwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk, 1) == nwall,"shape(ijk, 1) == nwall","4th keyword nwall","zero_wall_stress:nwall=%d",nwall) {
    /* Processing variable nd */
    if (nd_capi == Py_None) nd = shape(tau, 3); else
        f2py_success = int_from_pyobj(&nd,nd_capi,"embsolvec.embsolve.zero_wall_stress() 5th keyword (nd) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(tau, 3) == nd,"shape(tau, 3) == nd","5th keyword nd","zero_wall_stress:nd=%d",nd) {
/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(tau,ijk,&ni,&nj,&nk,&nwall,&nd);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    } /*CHECKSCALAR(shape(tau, 3) == nd)*/
    } /*if (f2py_success) of nd*/
    /* End of cleaning variable nd */
    } /*CHECKSCALAR(shape(ijk, 1) == nwall)*/
    } /*if (f2py_success) of nwall*/
    /* End of cleaning variable nwall */
    } /*CHECKSCALAR(shape(tau, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(tau, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(tau, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_ijk_as_array!=ijk_capi) {
        Py_XDECREF(capi_ijk_as_array); }
    }  /* if (capi_ijk_as_array == NULL) ... else of ijk */
    /* End of cleaning variable ijk */
    if((PyObject *)capi_tau_as_array!=tau_capi) {
        Py_XDECREF(capi_tau_as_array); }
    }  /* if (capi_tau_as_array == NULL) ... else of tau */
    /* End of cleaning variable tau */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/************************** end of zero_wall_stress **************************/

/********************************* set_fluxes *********************************/
static char doc_f2py_rout_embsolvec_embsolve_set_fluxes[] = "\
set_fluxes(cons,vxrt,p,ho,omega,r,ri,rj,rk,ijk_iwall,ijk_jwall,ijk_kwall,fluxi,fluxj,fluxk,[ni,nj,nk,niwall,njwall,nkwall])\n\nWrapper for ``set_fluxes``.\
\n\nParameters\n----------\n"
"cons : input rank-4 array('f') with bounds (ni,nj,nk,5)\n"
"vxrt : input rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"p : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"ho : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"omega : input float\n"
"r : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"ri : input rank-3 array('f') with bounds (ni,-1 + nj,-1 + nk)\n"
"rj : input rank-3 array('f') with bounds (-1 + ni,nj,-1 + nk)\n"
"rk : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,nk)\n"
"ijk_iwall : input rank-2 array('h') with bounds (3,niwall)\n"
"ijk_jwall : input rank-2 array('h') with bounds (3,njwall)\n"
"ijk_kwall : input rank-2 array('h') with bounds (3,nkwall)\n"
"fluxi : in/output rank-5 array('f') with bounds (ni,-1 + nj,-1 + nk,3,5)\n"
"fluxj : in/output rank-5 array('f') with bounds (-1 + ni,nj,-1 + nk,3,5)\n"
"fluxk : in/output rank-5 array('f') with bounds (-1 + ni,-1 + nj,nk,3,5)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(cons, 0)\n"
"nj : input int, optional\n    Default: shape(cons, 1)\n"
"nk : input int, optional\n    Default: shape(cons, 2)\n"
"niwall : input int, optional\n    Default: shape(ijk_iwall, 1)\n"
"njwall : input int, optional\n    Default: shape(ijk_jwall, 1)\n"
"nkwall : input int, optional\n    Default: shape(ijk_kwall, 1)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_set_fluxes(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,float*,float*,float*,short*,short*,short*,float*,float*,float*,int*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *cons = NULL;
    npy_intp cons_Dims[4] = {-1, -1, -1, -1};
    const int cons_Rank = 4;
    PyArrayObject *capi_cons_as_array = NULL;
    int capi_cons_intent = 0;
    PyObject *cons_capi = Py_None;
    float *vxrt = NULL;
    npy_intp vxrt_Dims[4] = {-1, -1, -1, -1};
    const int vxrt_Rank = 4;
    PyArrayObject *capi_vxrt_as_array = NULL;
    int capi_vxrt_intent = 0;
    PyObject *vxrt_capi = Py_None;
    float *p = NULL;
    npy_intp p_Dims[3] = {-1, -1, -1};
    const int p_Rank = 3;
    PyArrayObject *capi_p_as_array = NULL;
    int capi_p_intent = 0;
    PyObject *p_capi = Py_None;
    float *ho = NULL;
    npy_intp ho_Dims[3] = {-1, -1, -1};
    const int ho_Rank = 3;
    PyArrayObject *capi_ho_as_array = NULL;
    int capi_ho_intent = 0;
    PyObject *ho_capi = Py_None;
    float omega = 0;
    PyObject *omega_capi = Py_None;
    float *r = NULL;
    npy_intp r_Dims[3] = {-1, -1, -1};
    const int r_Rank = 3;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    float *ri = NULL;
    npy_intp ri_Dims[3] = {-1, -1, -1};
    const int ri_Rank = 3;
    PyArrayObject *capi_ri_as_array = NULL;
    int capi_ri_intent = 0;
    PyObject *ri_capi = Py_None;
    float *rj = NULL;
    npy_intp rj_Dims[3] = {-1, -1, -1};
    const int rj_Rank = 3;
    PyArrayObject *capi_rj_as_array = NULL;
    int capi_rj_intent = 0;
    PyObject *rj_capi = Py_None;
    float *rk = NULL;
    npy_intp rk_Dims[3] = {-1, -1, -1};
    const int rk_Rank = 3;
    PyArrayObject *capi_rk_as_array = NULL;
    int capi_rk_intent = 0;
    PyObject *rk_capi = Py_None;
    short *ijk_iwall = NULL;
    npy_intp ijk_iwall_Dims[2] = {-1, -1};
    const int ijk_iwall_Rank = 2;
    PyArrayObject *capi_ijk_iwall_as_array = NULL;
    int capi_ijk_iwall_intent = 0;
    PyObject *ijk_iwall_capi = Py_None;
    short *ijk_jwall = NULL;
    npy_intp ijk_jwall_Dims[2] = {-1, -1};
    const int ijk_jwall_Rank = 2;
    PyArrayObject *capi_ijk_jwall_as_array = NULL;
    int capi_ijk_jwall_intent = 0;
    PyObject *ijk_jwall_capi = Py_None;
    short *ijk_kwall = NULL;
    npy_intp ijk_kwall_Dims[2] = {-1, -1};
    const int ijk_kwall_Rank = 2;
    PyArrayObject *capi_ijk_kwall_as_array = NULL;
    int capi_ijk_kwall_intent = 0;
    PyObject *ijk_kwall_capi = Py_None;
    float *fluxi = NULL;
    npy_intp fluxi_Dims[5] = {-1, -1, -1, -1, -1};
    const int fluxi_Rank = 5;
    PyArrayObject *capi_fluxi_as_array = NULL;
    int capi_fluxi_intent = 0;
    PyObject *fluxi_capi = Py_None;
    float *fluxj = NULL;
    npy_intp fluxj_Dims[5] = {-1, -1, -1, -1, -1};
    const int fluxj_Rank = 5;
    PyArrayObject *capi_fluxj_as_array = NULL;
    int capi_fluxj_intent = 0;
    PyObject *fluxj_capi = Py_None;
    float *fluxk = NULL;
    npy_intp fluxk_Dims[5] = {-1, -1, -1, -1, -1};
    const int fluxk_Rank = 5;
    PyArrayObject *capi_fluxk_as_array = NULL;
    int capi_fluxk_intent = 0;
    PyObject *fluxk_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int niwall = 0;
    PyObject *niwall_capi = Py_None;
    int njwall = 0;
    PyObject *njwall_capi = Py_None;
    int nkwall = 0;
    PyObject *nkwall_capi = Py_None;
    static char *capi_kwlist[] = {"cons","vxrt","p","ho","omega","r","ri","rj","rk","ijk_iwall","ijk_jwall","ijk_kwall","fluxi","fluxj","fluxk","ni","nj","nk","niwall","njwall","nkwall",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOOOOOOOOOOO|OOOOOO:embsolvec.embsolve.set_fluxes",\
        capi_kwlist,&cons_capi,&vxrt_capi,&p_capi,&ho_capi,&omega_capi,&r_capi,&ri_capi,&rj_capi,&rk_capi,&ijk_iwall_capi,&ijk_jwall_capi,&ijk_kwall_capi,&fluxi_capi,&fluxj_capi,&fluxk_capi,&ni_capi,&nj_capi,&nk_capi,&niwall_capi,&njwall_capi,&nkwall_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable cons */
    cons_Dims[3]=5;
    capi_cons_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_fluxes: failed to create array from the 1st argument `cons`";
    capi_cons_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,cons_Dims,cons_Rank,  capi_cons_intent,cons_capi,capi_errmess);
    if (capi_cons_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        cons = (float *)(PyArray_DATA(capi_cons_as_array));

    /* Processing variable omega */
        f2py_success = float_from_pyobj(&omega,omega_capi,"embsolvec.embsolve.set_fluxes() 5th argument (omega) can't be converted to float");
    if (f2py_success) {
    /* Processing variable ijk_iwall */
    ijk_iwall_Dims[0]=3;
    capi_ijk_iwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_fluxes: failed to create array from the 10th argument `ijk_iwall`";
    capi_ijk_iwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_iwall_Dims,ijk_iwall_Rank,  capi_ijk_iwall_intent,ijk_iwall_capi,capi_errmess);
    if (capi_ijk_iwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_iwall = (short *)(PyArray_DATA(capi_ijk_iwall_as_array));

    /* Processing variable ijk_jwall */
    ijk_jwall_Dims[0]=3;
    capi_ijk_jwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_fluxes: failed to create array from the 11st argument `ijk_jwall`";
    capi_ijk_jwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_jwall_Dims,ijk_jwall_Rank,  capi_ijk_jwall_intent,ijk_jwall_capi,capi_errmess);
    if (capi_ijk_jwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_jwall = (short *)(PyArray_DATA(capi_ijk_jwall_as_array));

    /* Processing variable ijk_kwall */
    ijk_kwall_Dims[0]=3;
    capi_ijk_kwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_fluxes: failed to create array from the 12nd argument `ijk_kwall`";
    capi_ijk_kwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_kwall_Dims,ijk_kwall_Rank,  capi_ijk_kwall_intent,ijk_kwall_capi,capi_errmess);
    if (capi_ijk_kwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_kwall = (short *)(PyArray_DATA(capi_ijk_kwall_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(cons, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.set_fluxes() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 0) == ni,"shape(cons, 0) == ni","1st keyword ni","set_fluxes:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(cons, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.set_fluxes() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 1) == nj,"shape(cons, 1) == nj","2nd keyword nj","set_fluxes:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(cons, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.set_fluxes() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 2) == nk,"shape(cons, 2) == nk","3rd keyword nk","set_fluxes:nk=%d",nk) {
    /* Processing variable niwall */
    if (niwall_capi == Py_None) niwall = shape(ijk_iwall, 1); else
        f2py_success = int_from_pyobj(&niwall,niwall_capi,"embsolvec.embsolve.set_fluxes() 4th keyword (niwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_iwall, 1) == niwall,"shape(ijk_iwall, 1) == niwall","4th keyword niwall","set_fluxes:niwall=%d",niwall) {
    /* Processing variable njwall */
    if (njwall_capi == Py_None) njwall = shape(ijk_jwall, 1); else
        f2py_success = int_from_pyobj(&njwall,njwall_capi,"embsolvec.embsolve.set_fluxes() 5th keyword (njwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_jwall, 1) == njwall,"shape(ijk_jwall, 1) == njwall","5th keyword njwall","set_fluxes:njwall=%d",njwall) {
    /* Processing variable nkwall */
    if (nkwall_capi == Py_None) nkwall = shape(ijk_kwall, 1); else
        f2py_success = int_from_pyobj(&nkwall,nkwall_capi,"embsolvec.embsolve.set_fluxes() 6th keyword (nkwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_kwall, 1) == nkwall,"shape(ijk_kwall, 1) == nkwall","6th keyword nkwall","set_fluxes:nkwall=%d",nkwall) {
    /* Processing variable vxrt */
    vxrt_Dims[0]=ni,vxrt_Dims[1]=nj,vxrt_Dims[2]=nk,vxrt_Dims[3]=3;
    capi_vxrt_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_fluxes: failed to create array from the 2nd argument `vxrt`";
    capi_vxrt_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vxrt_Dims,vxrt_Rank,  capi_vxrt_intent,vxrt_capi,capi_errmess);
    if (capi_vxrt_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vxrt = (float *)(PyArray_DATA(capi_vxrt_as_array));

    /* Processing variable p */
    p_Dims[0]=ni,p_Dims[1]=nj,p_Dims[2]=nk;
    capi_p_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_fluxes: failed to create array from the 3rd argument `p`";
    capi_p_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,p_Dims,p_Rank,  capi_p_intent,p_capi,capi_errmess);
    if (capi_p_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        p = (float *)(PyArray_DATA(capi_p_as_array));

    /* Processing variable ho */
    ho_Dims[0]=ni,ho_Dims[1]=nj,ho_Dims[2]=nk;
    capi_ho_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_fluxes: failed to create array from the 4th argument `ho`";
    capi_ho_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,ho_Dims,ho_Rank,  capi_ho_intent,ho_capi,capi_errmess);
    if (capi_ho_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ho = (float *)(PyArray_DATA(capi_ho_as_array));

    /* Processing variable r */
    r_Dims[0]=ni,r_Dims[1]=nj,r_Dims[2]=nk;
    capi_r_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_fluxes: failed to create array from the 6th argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable ri */
    ri_Dims[0]=ni,ri_Dims[1]=-1 + nj,ri_Dims[2]=-1 + nk;
    capi_ri_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_fluxes: failed to create array from the 7th argument `ri`";
    capi_ri_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,ri_Dims,ri_Rank,  capi_ri_intent,ri_capi,capi_errmess);
    if (capi_ri_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ri = (float *)(PyArray_DATA(capi_ri_as_array));

    /* Processing variable rj */
    rj_Dims[0]=-1 + ni,rj_Dims[1]=nj,rj_Dims[2]=-1 + nk;
    capi_rj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_fluxes: failed to create array from the 8th argument `rj`";
    capi_rj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rj_Dims,rj_Rank,  capi_rj_intent,rj_capi,capi_errmess);
    if (capi_rj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rj = (float *)(PyArray_DATA(capi_rj_as_array));

    /* Processing variable rk */
    rk_Dims[0]=-1 + ni,rk_Dims[1]=-1 + nj,rk_Dims[2]=nk;
    capi_rk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_fluxes: failed to create array from the 9th argument `rk`";
    capi_rk_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rk_Dims,rk_Rank,  capi_rk_intent,rk_capi,capi_errmess);
    if (capi_rk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rk = (float *)(PyArray_DATA(capi_rk_as_array));

    /* Processing variable fluxi */
    fluxi_Dims[0]=ni,fluxi_Dims[1]=-1 + nj,fluxi_Dims[2]=-1 + nk,fluxi_Dims[3]=3,fluxi_Dims[4]=5;
    capi_fluxi_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_fluxes: failed to create array from the 13rd argument `fluxi`";
    capi_fluxi_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fluxi_Dims,fluxi_Rank,  capi_fluxi_intent,fluxi_capi,capi_errmess);
    if (capi_fluxi_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fluxi = (float *)(PyArray_DATA(capi_fluxi_as_array));

    /* Processing variable fluxj */
    fluxj_Dims[0]=-1 + ni,fluxj_Dims[1]=nj,fluxj_Dims[2]=-1 + nk,fluxj_Dims[3]=3,fluxj_Dims[4]=5;
    capi_fluxj_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_fluxes: failed to create array from the 14th argument `fluxj`";
    capi_fluxj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fluxj_Dims,fluxj_Rank,  capi_fluxj_intent,fluxj_capi,capi_errmess);
    if (capi_fluxj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fluxj = (float *)(PyArray_DATA(capi_fluxj_as_array));

    /* Processing variable fluxk */
    fluxk_Dims[0]=-1 + ni,fluxk_Dims[1]=-1 + nj,fluxk_Dims[2]=nk,fluxk_Dims[3]=3,fluxk_Dims[4]=5;
    capi_fluxk_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_fluxes: failed to create array from the 15th argument `fluxk`";
    capi_fluxk_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fluxk_Dims,fluxk_Rank,  capi_fluxk_intent,fluxk_capi,capi_errmess);
    if (capi_fluxk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fluxk = (float *)(PyArray_DATA(capi_fluxk_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(cons,vxrt,p,ho,&omega,r,ri,rj,rk,ijk_iwall,ijk_jwall,ijk_kwall,fluxi,fluxj,fluxk,&ni,&nj,&nk,&niwall,&njwall,&nkwall);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_fluxk_as_array!=fluxk_capi) {
        Py_XDECREF(capi_fluxk_as_array); }
    }  /* if (capi_fluxk_as_array == NULL) ... else of fluxk */
    /* End of cleaning variable fluxk */
    if((PyObject *)capi_fluxj_as_array!=fluxj_capi) {
        Py_XDECREF(capi_fluxj_as_array); }
    }  /* if (capi_fluxj_as_array == NULL) ... else of fluxj */
    /* End of cleaning variable fluxj */
    if((PyObject *)capi_fluxi_as_array!=fluxi_capi) {
        Py_XDECREF(capi_fluxi_as_array); }
    }  /* if (capi_fluxi_as_array == NULL) ... else of fluxi */
    /* End of cleaning variable fluxi */
    if((PyObject *)capi_rk_as_array!=rk_capi) {
        Py_XDECREF(capi_rk_as_array); }
    }  /* if (capi_rk_as_array == NULL) ... else of rk */
    /* End of cleaning variable rk */
    if((PyObject *)capi_rj_as_array!=rj_capi) {
        Py_XDECREF(capi_rj_as_array); }
    }  /* if (capi_rj_as_array == NULL) ... else of rj */
    /* End of cleaning variable rj */
    if((PyObject *)capi_ri_as_array!=ri_capi) {
        Py_XDECREF(capi_ri_as_array); }
    }  /* if (capi_ri_as_array == NULL) ... else of ri */
    /* End of cleaning variable ri */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
    if((PyObject *)capi_ho_as_array!=ho_capi) {
        Py_XDECREF(capi_ho_as_array); }
    }  /* if (capi_ho_as_array == NULL) ... else of ho */
    /* End of cleaning variable ho */
    if((PyObject *)capi_p_as_array!=p_capi) {
        Py_XDECREF(capi_p_as_array); }
    }  /* if (capi_p_as_array == NULL) ... else of p */
    /* End of cleaning variable p */
    if((PyObject *)capi_vxrt_as_array!=vxrt_capi) {
        Py_XDECREF(capi_vxrt_as_array); }
    }  /* if (capi_vxrt_as_array == NULL) ... else of vxrt */
    /* End of cleaning variable vxrt */
    } /*CHECKSCALAR(shape(ijk_kwall, 1) == nkwall)*/
    } /*if (f2py_success) of nkwall*/
    /* End of cleaning variable nkwall */
    } /*CHECKSCALAR(shape(ijk_jwall, 1) == njwall)*/
    } /*if (f2py_success) of njwall*/
    /* End of cleaning variable njwall */
    } /*CHECKSCALAR(shape(ijk_iwall, 1) == niwall)*/
    } /*if (f2py_success) of niwall*/
    /* End of cleaning variable niwall */
    } /*CHECKSCALAR(shape(cons, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(cons, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(cons, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_ijk_kwall_as_array!=ijk_kwall_capi) {
        Py_XDECREF(capi_ijk_kwall_as_array); }
    }  /* if (capi_ijk_kwall_as_array == NULL) ... else of ijk_kwall */
    /* End of cleaning variable ijk_kwall */
    if((PyObject *)capi_ijk_jwall_as_array!=ijk_jwall_capi) {
        Py_XDECREF(capi_ijk_jwall_as_array); }
    }  /* if (capi_ijk_jwall_as_array == NULL) ... else of ijk_jwall */
    /* End of cleaning variable ijk_jwall */
    if((PyObject *)capi_ijk_iwall_as_array!=ijk_iwall_capi) {
        Py_XDECREF(capi_ijk_iwall_as_array); }
    }  /* if (capi_ijk_iwall_as_array == NULL) ... else of ijk_iwall */
    /* End of cleaning variable ijk_iwall */
    } /*if (f2py_success) of omega*/
    /* End of cleaning variable omega */
    if((PyObject *)capi_cons_as_array!=cons_capi) {
        Py_XDECREF(capi_cons_as_array); }
    }  /* if (capi_cons_as_array == NULL) ... else of cons */
    /* End of cleaning variable cons */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/***************************** end of set_fluxes *****************************/

/**************************** add_pressure_fluxes ****************************/
static char doc_f2py_rout_embsolvec_embsolve_add_pressure_fluxes[] = "\
flux = add_pressure_fluxes(p,r,omega,[ni,nj,nk])\n\nWrapper for ``add_pressure_fluxes``.\
\n\nParameters\n----------\n"
"p : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"r : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"omega : input float\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(p, 0)\n"
"nj : input int, optional\n    Default: shape(p, 1)\n"
"nk : input int, optional\n    Default: shape(p, 2)\n"
"\nReturns\n-------\n"
"flux : rank-5 array('f') with bounds (ni,nj,nk,3,5)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_add_pressure_fluxes(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *flux = NULL;
    npy_intp flux_Dims[5] = {-1, -1, -1, -1, -1};
    const int flux_Rank = 5;
    PyArrayObject *capi_flux_as_array = NULL;
    int capi_flux_intent = 0;
    float *p = NULL;
    npy_intp p_Dims[3] = {-1, -1, -1};
    const int p_Rank = 3;
    PyArrayObject *capi_p_as_array = NULL;
    int capi_p_intent = 0;
    PyObject *p_capi = Py_None;
    float *r = NULL;
    npy_intp r_Dims[3] = {-1, -1, -1};
    const int r_Rank = 3;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    float omega = 0;
    PyObject *omega_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    static char *capi_kwlist[] = {"p","r","omega","ni","nj","nk",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOO|OOO:embsolvec.embsolve.add_pressure_fluxes",\
        capi_kwlist,&p_capi,&r_capi,&omega_capi,&ni_capi,&nj_capi,&nk_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable omega */
        f2py_success = float_from_pyobj(&omega,omega_capi,"embsolvec.embsolve.add_pressure_fluxes() 3rd argument (omega) can't be converted to float");
    if (f2py_success) {
    /* Processing variable p */
    ;
    capi_p_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.add_pressure_fluxes: failed to create array from the 1st argument `p`";
    capi_p_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,p_Dims,p_Rank,  capi_p_intent,p_capi,capi_errmess);
    if (capi_p_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        p = (float *)(PyArray_DATA(capi_p_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(p, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.add_pressure_fluxes() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(p, 0) == ni,"shape(p, 0) == ni","1st keyword ni","add_pressure_fluxes:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(p, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.add_pressure_fluxes() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(p, 1) == nj,"shape(p, 1) == nj","2nd keyword nj","add_pressure_fluxes:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(p, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.add_pressure_fluxes() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(p, 2) == nk,"shape(p, 2) == nk","3rd keyword nk","add_pressure_fluxes:nk=%d",nk) {
    /* Processing variable r */
    r_Dims[0]=ni,r_Dims[1]=nj,r_Dims[2]=nk;
    capi_r_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.add_pressure_fluxes: failed to create array from the 2nd argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable flux */
    flux_Dims[0]=ni,flux_Dims[1]=nj,flux_Dims[2]=nk,flux_Dims[3]=3,flux_Dims[4]=5;
    capi_flux_intent |= F2PY_INTENT_OUT|F2PY_INTENT_HIDE;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.add_pressure_fluxes: failed to create array from the hidden `flux`";
    capi_flux_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,flux_Dims,flux_Rank,  capi_flux_intent,Py_None,capi_errmess);
    if (capi_flux_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        flux = (float *)(PyArray_DATA(capi_flux_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(flux,p,r,&omega,&ni,&nj,&nk);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("N",capi_flux_as_array);
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    }  /* if (capi_flux_as_array == NULL) ... else of flux */
    /* End of cleaning variable flux */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
    } /*CHECKSCALAR(shape(p, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(p, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(p, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_p_as_array!=p_capi) {
        Py_XDECREF(capi_p_as_array); }
    }  /* if (capi_p_as_array == NULL) ... else of p */
    /* End of cleaning variable p */
    } /*if (f2py_success) of omega*/
    /* End of cleaning variable omega */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/************************* end of add_pressure_fluxes *************************/

/********************************* sum_fluxes *********************************/
static char doc_f2py_rout_embsolvec_embsolve_sum_fluxes[] = "\
fsum = sum_fluxes(fi,fj,fk,dai,daj,dak,[ni,nj,nk,np])\n\nWrapper for ``sum_fluxes``.\
\n\nParameters\n----------\n"
"fi : input rank-5 array('f') with bounds (ni,-1 + nj,-1 + nk,3,np)\n"
"fj : input rank-5 array('f') with bounds (-1 + ni,nj,-1 + nk,3,np)\n"
"fk : input rank-5 array('f') with bounds (-1 + ni,-1 + nj,nk,3,np)\n"
"dai : input rank-4 array('f') with bounds (ni,-1 + nj,-1 + nk,3)\n"
"daj : input rank-4 array('f') with bounds (-1 + ni,nj,-1 + nk,3)\n"
"dak : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,nk,3)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(fi, 0)\n"
"nj : input int, optional\n    Default: 1 + shape(fi, 1)\n"
"nk : input int, optional\n    Default: 1 + shape(fi, 2)\n"
"np : input int, optional\n    Default: shape(fi, 4)\n"
"\nReturns\n-------\n"
"fsum : rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,np)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_sum_fluxes(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *fi = NULL;
    npy_intp fi_Dims[5] = {-1, -1, -1, -1, -1};
    const int fi_Rank = 5;
    PyArrayObject *capi_fi_as_array = NULL;
    int capi_fi_intent = 0;
    PyObject *fi_capi = Py_None;
    float *fj = NULL;
    npy_intp fj_Dims[5] = {-1, -1, -1, -1, -1};
    const int fj_Rank = 5;
    PyArrayObject *capi_fj_as_array = NULL;
    int capi_fj_intent = 0;
    PyObject *fj_capi = Py_None;
    float *fk = NULL;
    npy_intp fk_Dims[5] = {-1, -1, -1, -1, -1};
    const int fk_Rank = 5;
    PyArrayObject *capi_fk_as_array = NULL;
    int capi_fk_intent = 0;
    PyObject *fk_capi = Py_None;
    float *dai = NULL;
    npy_intp dai_Dims[4] = {-1, -1, -1, -1};
    const int dai_Rank = 4;
    PyArrayObject *capi_dai_as_array = NULL;
    int capi_dai_intent = 0;
    PyObject *dai_capi = Py_None;
    float *daj = NULL;
    npy_intp daj_Dims[4] = {-1, -1, -1, -1};
    const int daj_Rank = 4;
    PyArrayObject *capi_daj_as_array = NULL;
    int capi_daj_intent = 0;
    PyObject *daj_capi = Py_None;
    float *dak = NULL;
    npy_intp dak_Dims[4] = {-1, -1, -1, -1};
    const int dak_Rank = 4;
    PyArrayObject *capi_dak_as_array = NULL;
    int capi_dak_intent = 0;
    PyObject *dak_capi = Py_None;
    float *fsum = NULL;
    npy_intp fsum_Dims[4] = {-1, -1, -1, -1};
    const int fsum_Rank = 4;
    PyArrayObject *capi_fsum_as_array = NULL;
    int capi_fsum_intent = 0;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int np = 0;
    PyObject *np_capi = Py_None;
    static char *capi_kwlist[] = {"fi","fj","fk","dai","daj","dak","ni","nj","nk","np",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOO|OOOO:embsolvec.embsolve.sum_fluxes",\
        capi_kwlist,&fi_capi,&fj_capi,&fk_capi,&dai_capi,&daj_capi,&dak_capi,&ni_capi,&nj_capi,&nk_capi,&np_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable fi */
    fi_Dims[3]=3;
    capi_fi_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.sum_fluxes: failed to create array from the 1st argument `fi`";
    capi_fi_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fi_Dims,fi_Rank,  capi_fi_intent,fi_capi,capi_errmess);
    if (capi_fi_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fi = (float *)(PyArray_DATA(capi_fi_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(fi, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.sum_fluxes() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fi, 0) == ni,"shape(fi, 0) == ni","1st keyword ni","sum_fluxes:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = 1 + shape(fi, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.sum_fluxes() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fi, 1) == -1 + nj,"shape(fi, 1) == -1 + nj","2nd keyword nj","sum_fluxes:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = 1 + shape(fi, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.sum_fluxes() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fi, 2) == -1 + nk,"shape(fi, 2) == -1 + nk","3rd keyword nk","sum_fluxes:nk=%d",nk) {
    /* Processing variable np */
    if (np_capi == Py_None) np = shape(fi, 4); else
        f2py_success = int_from_pyobj(&np,np_capi,"embsolvec.embsolve.sum_fluxes() 4th keyword (np) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fi, 4) == np,"shape(fi, 4) == np","4th keyword np","sum_fluxes:np=%d",np) {
    /* Processing variable dai */
    dai_Dims[0]=ni,dai_Dims[1]=-1 + nj,dai_Dims[2]=-1 + nk,dai_Dims[3]=3;
    capi_dai_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.sum_fluxes: failed to create array from the 4th argument `dai`";
    capi_dai_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dai_Dims,dai_Rank,  capi_dai_intent,dai_capi,capi_errmess);
    if (capi_dai_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dai = (float *)(PyArray_DATA(capi_dai_as_array));

    /* Processing variable daj */
    daj_Dims[0]=-1 + ni,daj_Dims[1]=nj,daj_Dims[2]=-1 + nk,daj_Dims[3]=3;
    capi_daj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.sum_fluxes: failed to create array from the 5th argument `daj`";
    capi_daj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,daj_Dims,daj_Rank,  capi_daj_intent,daj_capi,capi_errmess);
    if (capi_daj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        daj = (float *)(PyArray_DATA(capi_daj_as_array));

    /* Processing variable dak */
    dak_Dims[0]=-1 + ni,dak_Dims[1]=-1 + nj,dak_Dims[2]=nk,dak_Dims[3]=3;
    capi_dak_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.sum_fluxes: failed to create array from the 6th argument `dak`";
    capi_dak_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dak_Dims,dak_Rank,  capi_dak_intent,dak_capi,capi_errmess);
    if (capi_dak_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dak = (float *)(PyArray_DATA(capi_dak_as_array));

    /* Processing variable fj */
    fj_Dims[0]=-1 + ni,fj_Dims[1]=nj,fj_Dims[2]=-1 + nk,fj_Dims[3]=3,fj_Dims[4]=np;
    capi_fj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.sum_fluxes: failed to create array from the 2nd argument `fj`";
    capi_fj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fj_Dims,fj_Rank,  capi_fj_intent,fj_capi,capi_errmess);
    if (capi_fj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fj = (float *)(PyArray_DATA(capi_fj_as_array));

    /* Processing variable fk */
    fk_Dims[0]=-1 + ni,fk_Dims[1]=-1 + nj,fk_Dims[2]=nk,fk_Dims[3]=3,fk_Dims[4]=np;
    capi_fk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.sum_fluxes: failed to create array from the 3rd argument `fk`";
    capi_fk_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fk_Dims,fk_Rank,  capi_fk_intent,fk_capi,capi_errmess);
    if (capi_fk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fk = (float *)(PyArray_DATA(capi_fk_as_array));

    /* Processing variable fsum */
    fsum_Dims[0]=-1 + ni,fsum_Dims[1]=-1 + nj,fsum_Dims[2]=-1 + nk,fsum_Dims[3]=np;
    capi_fsum_intent |= F2PY_INTENT_OUT|F2PY_INTENT_HIDE;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.sum_fluxes: failed to create array from the hidden `fsum`";
    capi_fsum_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fsum_Dims,fsum_Rank,  capi_fsum_intent,Py_None,capi_errmess);
    if (capi_fsum_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fsum = (float *)(PyArray_DATA(capi_fsum_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(fi,fj,fk,dai,daj,dak,fsum,&ni,&nj,&nk,&np);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("N",capi_fsum_as_array);
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    }  /* if (capi_fsum_as_array == NULL) ... else of fsum */
    /* End of cleaning variable fsum */
    if((PyObject *)capi_fk_as_array!=fk_capi) {
        Py_XDECREF(capi_fk_as_array); }
    }  /* if (capi_fk_as_array == NULL) ... else of fk */
    /* End of cleaning variable fk */
    if((PyObject *)capi_fj_as_array!=fj_capi) {
        Py_XDECREF(capi_fj_as_array); }
    }  /* if (capi_fj_as_array == NULL) ... else of fj */
    /* End of cleaning variable fj */
    if((PyObject *)capi_dak_as_array!=dak_capi) {
        Py_XDECREF(capi_dak_as_array); }
    }  /* if (capi_dak_as_array == NULL) ... else of dak */
    /* End of cleaning variable dak */
    if((PyObject *)capi_daj_as_array!=daj_capi) {
        Py_XDECREF(capi_daj_as_array); }
    }  /* if (capi_daj_as_array == NULL) ... else of daj */
    /* End of cleaning variable daj */
    if((PyObject *)capi_dai_as_array!=dai_capi) {
        Py_XDECREF(capi_dai_as_array); }
    }  /* if (capi_dai_as_array == NULL) ... else of dai */
    /* End of cleaning variable dai */
    } /*CHECKSCALAR(shape(fi, 4) == np)*/
    } /*if (f2py_success) of np*/
    /* End of cleaning variable np */
    } /*CHECKSCALAR(shape(fi, 2) == -1 + nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(fi, 1) == -1 + nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(fi, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_fi_as_array!=fi_capi) {
        Py_XDECREF(capi_fi_as_array); }
    }  /* if (capi_fi_as_array == NULL) ... else of fi */
    /* End of cleaning variable fi */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/***************************** end of sum_fluxes *****************************/

/****************************** zero_wall_fluxes ******************************/
static char doc_f2py_rout_embsolvec_embsolve_zero_wall_fluxes[] = "\
zero_wall_fluxes(x,ijk,[ni,nj,nk,nc,npt])\n\nWrapper for ``zero_wall_fluxes``.\
\n\nParameters\n----------\n"
"x : in/output rank-4 array('f') with bounds (ni,nj,nk,nc)\n"
"ijk : input rank-2 array('h') with bounds (3,npt)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(x, 0)\n"
"nj : input int, optional\n    Default: shape(x, 1)\n"
"nk : input int, optional\n    Default: shape(x, 2)\n"
"nc : input int, optional\n    Default: shape(x, 3)\n"
"npt : input int, optional\n    Default: shape(ijk, 1)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_zero_wall_fluxes(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,short*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *x = NULL;
    npy_intp x_Dims[4] = {-1, -1, -1, -1};
    const int x_Rank = 4;
    PyArrayObject *capi_x_as_array = NULL;
    int capi_x_intent = 0;
    PyObject *x_capi = Py_None;
    short *ijk = NULL;
    npy_intp ijk_Dims[2] = {-1, -1};
    const int ijk_Rank = 2;
    PyArrayObject *capi_ijk_as_array = NULL;
    int capi_ijk_intent = 0;
    PyObject *ijk_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int nc = 0;
    PyObject *nc_capi = Py_None;
    int npt = 0;
    PyObject *npt_capi = Py_None;
    static char *capi_kwlist[] = {"x","ijk","ni","nj","nk","nc","npt",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OO|OOOOO:embsolvec.embsolve.zero_wall_fluxes",\
        capi_kwlist,&x_capi,&ijk_capi,&ni_capi,&nj_capi,&nk_capi,&nc_capi,&npt_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable x */
    ;
    capi_x_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.zero_wall_fluxes: failed to create array from the 1st argument `x`";
    capi_x_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,x_Dims,x_Rank,  capi_x_intent,x_capi,capi_errmess);
    if (capi_x_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        x = (float *)(PyArray_DATA(capi_x_as_array));

    /* Processing variable ijk */
    ijk_Dims[0]=3;
    capi_ijk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.zero_wall_fluxes: failed to create array from the 2nd argument `ijk`";
    capi_ijk_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_Dims,ijk_Rank,  capi_ijk_intent,ijk_capi,capi_errmess);
    if (capi_ijk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk = (short *)(PyArray_DATA(capi_ijk_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(x, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.zero_wall_fluxes() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 0) == ni,"shape(x, 0) == ni","1st keyword ni","zero_wall_fluxes:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(x, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.zero_wall_fluxes() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 1) == nj,"shape(x, 1) == nj","2nd keyword nj","zero_wall_fluxes:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(x, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.zero_wall_fluxes() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 2) == nk,"shape(x, 2) == nk","3rd keyword nk","zero_wall_fluxes:nk=%d",nk) {
    /* Processing variable nc */
    if (nc_capi == Py_None) nc = shape(x, 3); else
        f2py_success = int_from_pyobj(&nc,nc_capi,"embsolvec.embsolve.zero_wall_fluxes() 4th keyword (nc) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(x, 3) == nc,"shape(x, 3) == nc","4th keyword nc","zero_wall_fluxes:nc=%d",nc) {
    /* Processing variable npt */
    if (npt_capi == Py_None) npt = shape(ijk, 1); else
        f2py_success = int_from_pyobj(&npt,npt_capi,"embsolvec.embsolve.zero_wall_fluxes() 5th keyword (npt) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk, 1) == npt,"shape(ijk, 1) == npt","5th keyword npt","zero_wall_fluxes:npt=%d",npt) {
/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(x,ijk,&ni,&nj,&nk,&nc,&npt);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    } /*CHECKSCALAR(shape(ijk, 1) == npt)*/
    } /*if (f2py_success) of npt*/
    /* End of cleaning variable npt */
    } /*CHECKSCALAR(shape(x, 3) == nc)*/
    } /*if (f2py_success) of nc*/
    /* End of cleaning variable nc */
    } /*CHECKSCALAR(shape(x, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(x, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(x, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_ijk_as_array!=ijk_capi) {
        Py_XDECREF(capi_ijk_as_array); }
    }  /* if (capi_ijk_as_array == NULL) ... else of ijk */
    /* End of cleaning variable ijk */
    if((PyObject *)capi_x_as_array!=x_capi) {
        Py_XDECREF(capi_x_as_array); }
    }  /* if (capi_x_as_array == NULL) ... else of x */
    /* End of cleaning variable x */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/************************** end of zero_wall_fluxes **************************/

/**************************** multigrid_integrate ****************************/
static char doc_f2py_rout_embsolvec_embsolve_multigrid_integrate[] = "\
multigrid_integrate(fsum,du,ijkmg,dt_vol,fmgrid,[ni,nj,nk,np,nlev])\n\nWrapper for ``multigrid_integrate``.\
\n\nParameters\n----------\n"
"fsum : in/output rank-4 array('f') with bounds (ni,nj,nk,np)\n"
"du : in/output rank-4 array('f') with bounds (ni,nj,nk,np)\n"
"ijkmg : input rank-5 array('h') with bounds (3,ni,nj,nk,nlev)\n"
"dt_vol : input rank-4 array('f') with bounds (ni,nj,nk,1 + nlev)\n"
"fmgrid : input float\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(fsum, 0)\n"
"nj : input int, optional\n    Default: shape(fsum, 1)\n"
"nk : input int, optional\n    Default: shape(fsum, 2)\n"
"np : input int, optional\n    Default: shape(fsum, 3)\n"
"nlev : input int, optional\n    Default: shape(ijkmg, 4)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_multigrid_integrate(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,short*,float*,float*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *fsum = NULL;
    npy_intp fsum_Dims[4] = {-1, -1, -1, -1};
    const int fsum_Rank = 4;
    PyArrayObject *capi_fsum_as_array = NULL;
    int capi_fsum_intent = 0;
    PyObject *fsum_capi = Py_None;
    float *du = NULL;
    npy_intp du_Dims[4] = {-1, -1, -1, -1};
    const int du_Rank = 4;
    PyArrayObject *capi_du_as_array = NULL;
    int capi_du_intent = 0;
    PyObject *du_capi = Py_None;
    short *ijkmg = NULL;
    npy_intp ijkmg_Dims[5] = {-1, -1, -1, -1, -1};
    const int ijkmg_Rank = 5;
    PyArrayObject *capi_ijkmg_as_array = NULL;
    int capi_ijkmg_intent = 0;
    PyObject *ijkmg_capi = Py_None;
    float *dt_vol = NULL;
    npy_intp dt_vol_Dims[4] = {-1, -1, -1, -1};
    const int dt_vol_Rank = 4;
    PyArrayObject *capi_dt_vol_as_array = NULL;
    int capi_dt_vol_intent = 0;
    PyObject *dt_vol_capi = Py_None;
    float fmgrid = 0;
    PyObject *fmgrid_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int np = 0;
    PyObject *np_capi = Py_None;
    int nlev = 0;
    PyObject *nlev_capi = Py_None;
    static char *capi_kwlist[] = {"fsum","du","ijkmg","dt_vol","fmgrid","ni","nj","nk","np","nlev",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOO|OOOOO:embsolvec.embsolve.multigrid_integrate",\
        capi_kwlist,&fsum_capi,&du_capi,&ijkmg_capi,&dt_vol_capi,&fmgrid_capi,&ni_capi,&nj_capi,&nk_capi,&np_capi,&nlev_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable fsum */
    ;
    capi_fsum_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.multigrid_integrate: failed to create array from the 1st argument `fsum`";
    capi_fsum_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fsum_Dims,fsum_Rank,  capi_fsum_intent,fsum_capi,capi_errmess);
    if (capi_fsum_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fsum = (float *)(PyArray_DATA(capi_fsum_as_array));

    /* Processing variable fmgrid */
        f2py_success = float_from_pyobj(&fmgrid,fmgrid_capi,"embsolvec.embsolve.multigrid_integrate() 5th argument (fmgrid) can't be converted to float");
    if (f2py_success) {
    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(fsum, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.multigrid_integrate() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fsum, 0) == ni,"shape(fsum, 0) == ni","1st keyword ni","multigrid_integrate:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(fsum, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.multigrid_integrate() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fsum, 1) == nj,"shape(fsum, 1) == nj","2nd keyword nj","multigrid_integrate:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(fsum, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.multigrid_integrate() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fsum, 2) == nk,"shape(fsum, 2) == nk","3rd keyword nk","multigrid_integrate:nk=%d",nk) {
    /* Processing variable np */
    if (np_capi == Py_None) np = shape(fsum, 3); else
        f2py_success = int_from_pyobj(&np,np_capi,"embsolvec.embsolve.multigrid_integrate() 4th keyword (np) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(fsum, 3) == np,"shape(fsum, 3) == np","4th keyword np","multigrid_integrate:np=%d",np) {
    /* Processing variable du */
    du_Dims[0]=ni,du_Dims[1]=nj,du_Dims[2]=nk,du_Dims[3]=np;
    capi_du_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.multigrid_integrate: failed to create array from the 2nd argument `du`";
    capi_du_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,du_Dims,du_Rank,  capi_du_intent,du_capi,capi_errmess);
    if (capi_du_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        du = (float *)(PyArray_DATA(capi_du_as_array));

    /* Processing variable ijkmg */
    ijkmg_Dims[0]=3,ijkmg_Dims[1]=ni,ijkmg_Dims[2]=nj,ijkmg_Dims[3]=nk;
    capi_ijkmg_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.multigrid_integrate: failed to create array from the 3rd argument `ijkmg`";
    capi_ijkmg_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijkmg_Dims,ijkmg_Rank,  capi_ijkmg_intent,ijkmg_capi,capi_errmess);
    if (capi_ijkmg_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijkmg = (short *)(PyArray_DATA(capi_ijkmg_as_array));

    /* Processing variable nlev */
    if (nlev_capi == Py_None) nlev = shape(ijkmg, 4); else
        f2py_success = int_from_pyobj(&nlev,nlev_capi,"embsolvec.embsolve.multigrid_integrate() 5th keyword (nlev) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijkmg, 4) == nlev,"shape(ijkmg, 4) == nlev","5th keyword nlev","multigrid_integrate:nlev=%d",nlev) {
    /* Processing variable dt_vol */
    dt_vol_Dims[0]=ni,dt_vol_Dims[1]=nj,dt_vol_Dims[2]=nk,dt_vol_Dims[3]=1 + nlev;
    capi_dt_vol_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.multigrid_integrate: failed to create array from the 4th argument `dt_vol`";
    capi_dt_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dt_vol_Dims,dt_vol_Rank,  capi_dt_vol_intent,dt_vol_capi,capi_errmess);
    if (capi_dt_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dt_vol = (float *)(PyArray_DATA(capi_dt_vol_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(fsum,du,ijkmg,dt_vol,&fmgrid,&ni,&nj,&nk,&np,&nlev);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_dt_vol_as_array!=dt_vol_capi) {
        Py_XDECREF(capi_dt_vol_as_array); }
    }  /* if (capi_dt_vol_as_array == NULL) ... else of dt_vol */
    /* End of cleaning variable dt_vol */
    } /*CHECKSCALAR(shape(ijkmg, 4) == nlev)*/
    } /*if (f2py_success) of nlev*/
    /* End of cleaning variable nlev */
    if((PyObject *)capi_ijkmg_as_array!=ijkmg_capi) {
        Py_XDECREF(capi_ijkmg_as_array); }
    }  /* if (capi_ijkmg_as_array == NULL) ... else of ijkmg */
    /* End of cleaning variable ijkmg */
    if((PyObject *)capi_du_as_array!=du_capi) {
        Py_XDECREF(capi_du_as_array); }
    }  /* if (capi_du_as_array == NULL) ... else of du */
    /* End of cleaning variable du */
    } /*CHECKSCALAR(shape(fsum, 3) == np)*/
    } /*if (f2py_success) of np*/
    /* End of cleaning variable np */
    } /*CHECKSCALAR(shape(fsum, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(fsum, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(fsum, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    } /*if (f2py_success) of fmgrid*/
    /* End of cleaning variable fmgrid */
    if((PyObject *)capi_fsum_as_array!=fsum_capi) {
        Py_XDECREF(capi_fsum_as_array); }
    }  /* if (capi_fsum_as_array == NULL) ... else of fsum */
    /* End of cleaning variable fsum */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/************************* end of multigrid_integrate *************************/

/******************************* set_timesteps *******************************/
static char doc_f2py_rout_embsolvec_embsolve_set_timesteps[] = "\
set_timesteps(dt_vol,vol,a,vxrt,u,dlmin,ijkmg,cfl,[ni,nj,nk,nlev])\n\nWrapper for ``set_timesteps``.\
\n\nParameters\n----------\n"
"dt_vol : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,1 + nlev)\n"
"vol : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,1 + nlev)\n"
"a : in/output rank-3 array('f') with bounds (ni,nj,nk)\n"
"vxrt : in/output rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"u : in/output rank-3 array('f') with bounds (ni,nj,nk)\n"
"dlmin : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,1 + nlev)\n"
"ijkmg : input rank-5 array('h') with bounds (3,-1 + ni,-1 + nj,-1 + nk,nlev)\n"
"cfl : input float\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: 1 + shape(dt_vol, 0)\n"
"nj : input int, optional\n    Default: 1 + shape(dt_vol, 1)\n"
"nk : input int, optional\n    Default: 1 + shape(dt_vol, 2)\n"
"nlev : input int, optional\n    Default: -1 + shape(dt_vol, 3)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_set_timesteps(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,short*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *dt_vol = NULL;
    npy_intp dt_vol_Dims[4] = {-1, -1, -1, -1};
    const int dt_vol_Rank = 4;
    PyArrayObject *capi_dt_vol_as_array = NULL;
    int capi_dt_vol_intent = 0;
    PyObject *dt_vol_capi = Py_None;
    float *vol = NULL;
    npy_intp vol_Dims[4] = {-1, -1, -1, -1};
    const int vol_Rank = 4;
    PyArrayObject *capi_vol_as_array = NULL;
    int capi_vol_intent = 0;
    PyObject *vol_capi = Py_None;
    float *a = NULL;
    npy_intp a_Dims[3] = {-1, -1, -1};
    const int a_Rank = 3;
    PyArrayObject *capi_a_as_array = NULL;
    int capi_a_intent = 0;
    PyObject *a_capi = Py_None;
    float *vxrt = NULL;
    npy_intp vxrt_Dims[4] = {-1, -1, -1, -1};
    const int vxrt_Rank = 4;
    PyArrayObject *capi_vxrt_as_array = NULL;
    int capi_vxrt_intent = 0;
    PyObject *vxrt_capi = Py_None;
    float *u = NULL;
    npy_intp u_Dims[3] = {-1, -1, -1};
    const int u_Rank = 3;
    PyArrayObject *capi_u_as_array = NULL;
    int capi_u_intent = 0;
    PyObject *u_capi = Py_None;
    float *dlmin = NULL;
    npy_intp dlmin_Dims[4] = {-1, -1, -1, -1};
    const int dlmin_Rank = 4;
    PyArrayObject *capi_dlmin_as_array = NULL;
    int capi_dlmin_intent = 0;
    PyObject *dlmin_capi = Py_None;
    short *ijkmg = NULL;
    npy_intp ijkmg_Dims[5] = {-1, -1, -1, -1, -1};
    const int ijkmg_Rank = 5;
    PyArrayObject *capi_ijkmg_as_array = NULL;
    int capi_ijkmg_intent = 0;
    PyObject *ijkmg_capi = Py_None;
    float cfl = 0;
    PyObject *cfl_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int nlev = 0;
    PyObject *nlev_capi = Py_None;
    static char *capi_kwlist[] = {"dt_vol","vol","a","vxrt","u","dlmin","ijkmg","cfl","ni","nj","nk","nlev",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOOOO|OOOO:embsolvec.embsolve.set_timesteps",\
        capi_kwlist,&dt_vol_capi,&vol_capi,&a_capi,&vxrt_capi,&u_capi,&dlmin_capi,&ijkmg_capi,&cfl_capi,&ni_capi,&nj_capi,&nk_capi,&nlev_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable dt_vol */
    ;
    capi_dt_vol_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_timesteps: failed to create array from the 1st argument `dt_vol`";
    capi_dt_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dt_vol_Dims,dt_vol_Rank,  capi_dt_vol_intent,dt_vol_capi,capi_errmess);
    if (capi_dt_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dt_vol = (float *)(PyArray_DATA(capi_dt_vol_as_array));

    /* Processing variable cfl */
        f2py_success = float_from_pyobj(&cfl,cfl_capi,"embsolvec.embsolve.set_timesteps() 8th argument (cfl) can't be converted to float");
    if (f2py_success) {
    /* Processing variable ni */
    if (ni_capi == Py_None) ni = 1 + shape(dt_vol, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.set_timesteps() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(dt_vol, 0) == -1 + ni,"shape(dt_vol, 0) == -1 + ni","1st keyword ni","set_timesteps:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = 1 + shape(dt_vol, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.set_timesteps() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(dt_vol, 1) == -1 + nj,"shape(dt_vol, 1) == -1 + nj","2nd keyword nj","set_timesteps:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = 1 + shape(dt_vol, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.set_timesteps() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(dt_vol, 2) == -1 + nk,"shape(dt_vol, 2) == -1 + nk","3rd keyword nk","set_timesteps:nk=%d",nk) {
    /* Processing variable nlev */
    if (nlev_capi == Py_None) nlev = -1 + shape(dt_vol, 3); else
        f2py_success = int_from_pyobj(&nlev,nlev_capi,"embsolvec.embsolve.set_timesteps() 4th keyword (nlev) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(dt_vol, 3) == 1 + nlev,"shape(dt_vol, 3) == 1 + nlev","4th keyword nlev","set_timesteps:nlev=%d",nlev) {
    /* Processing variable vol */
    vol_Dims[0]=-1 + ni,vol_Dims[1]=-1 + nj,vol_Dims[2]=-1 + nk,vol_Dims[3]=1 + nlev;
    capi_vol_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_timesteps: failed to create array from the 2nd argument `vol`";
    capi_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vol_Dims,vol_Rank,  capi_vol_intent,vol_capi,capi_errmess);
    if (capi_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vol = (float *)(PyArray_DATA(capi_vol_as_array));

    /* Processing variable dlmin */
    dlmin_Dims[0]=-1 + ni,dlmin_Dims[1]=-1 + nj,dlmin_Dims[2]=-1 + nk,dlmin_Dims[3]=1 + nlev;
    capi_dlmin_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_timesteps: failed to create array from the 6th argument `dlmin`";
    capi_dlmin_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dlmin_Dims,dlmin_Rank,  capi_dlmin_intent,dlmin_capi,capi_errmess);
    if (capi_dlmin_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dlmin = (float *)(PyArray_DATA(capi_dlmin_as_array));

    /* Processing variable vxrt */
    vxrt_Dims[0]=ni,vxrt_Dims[1]=nj,vxrt_Dims[2]=nk,vxrt_Dims[3]=3;
    capi_vxrt_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_timesteps: failed to create array from the 4th argument `vxrt`";
    capi_vxrt_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vxrt_Dims,vxrt_Rank,  capi_vxrt_intent,vxrt_capi,capi_errmess);
    if (capi_vxrt_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vxrt = (float *)(PyArray_DATA(capi_vxrt_as_array));

    /* Processing variable u */
    u_Dims[0]=ni,u_Dims[1]=nj,u_Dims[2]=nk;
    capi_u_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_timesteps: failed to create array from the 5th argument `u`";
    capi_u_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,u_Dims,u_Rank,  capi_u_intent,u_capi,capi_errmess);
    if (capi_u_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        u = (float *)(PyArray_DATA(capi_u_as_array));

    /* Processing variable a */
    a_Dims[0]=ni,a_Dims[1]=nj,a_Dims[2]=nk;
    capi_a_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_timesteps: failed to create array from the 3rd argument `a`";
    capi_a_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,a_Dims,a_Rank,  capi_a_intent,a_capi,capi_errmess);
    if (capi_a_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        a = (float *)(PyArray_DATA(capi_a_as_array));

    /* Processing variable ijkmg */
    ijkmg_Dims[0]=3,ijkmg_Dims[1]=-1 + ni,ijkmg_Dims[2]=-1 + nj,ijkmg_Dims[3]=-1 + nk,ijkmg_Dims[4]=nlev;
    capi_ijkmg_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.set_timesteps: failed to create array from the 7th argument `ijkmg`";
    capi_ijkmg_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijkmg_Dims,ijkmg_Rank,  capi_ijkmg_intent,ijkmg_capi,capi_errmess);
    if (capi_ijkmg_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijkmg = (short *)(PyArray_DATA(capi_ijkmg_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(dt_vol,vol,a,vxrt,u,dlmin,ijkmg,&cfl,&ni,&nj,&nk,&nlev);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_ijkmg_as_array!=ijkmg_capi) {
        Py_XDECREF(capi_ijkmg_as_array); }
    }  /* if (capi_ijkmg_as_array == NULL) ... else of ijkmg */
    /* End of cleaning variable ijkmg */
    if((PyObject *)capi_a_as_array!=a_capi) {
        Py_XDECREF(capi_a_as_array); }
    }  /* if (capi_a_as_array == NULL) ... else of a */
    /* End of cleaning variable a */
    if((PyObject *)capi_u_as_array!=u_capi) {
        Py_XDECREF(capi_u_as_array); }
    }  /* if (capi_u_as_array == NULL) ... else of u */
    /* End of cleaning variable u */
    if((PyObject *)capi_vxrt_as_array!=vxrt_capi) {
        Py_XDECREF(capi_vxrt_as_array); }
    }  /* if (capi_vxrt_as_array == NULL) ... else of vxrt */
    /* End of cleaning variable vxrt */
    if((PyObject *)capi_dlmin_as_array!=dlmin_capi) {
        Py_XDECREF(capi_dlmin_as_array); }
    }  /* if (capi_dlmin_as_array == NULL) ... else of dlmin */
    /* End of cleaning variable dlmin */
    if((PyObject *)capi_vol_as_array!=vol_capi) {
        Py_XDECREF(capi_vol_as_array); }
    }  /* if (capi_vol_as_array == NULL) ... else of vol */
    /* End of cleaning variable vol */
    } /*CHECKSCALAR(shape(dt_vol, 3) == 1 + nlev)*/
    } /*if (f2py_success) of nlev*/
    /* End of cleaning variable nlev */
    } /*CHECKSCALAR(shape(dt_vol, 2) == -1 + nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(dt_vol, 1) == -1 + nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(dt_vol, 0) == -1 + ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    } /*if (f2py_success) of cfl*/
    /* End of cleaning variable cfl */
    if((PyObject *)capi_dt_vol_as_array!=dt_vol_capi) {
        Py_XDECREF(capi_dt_vol_as_array); }
    }  /* if (capi_dt_vol_as_array == NULL) ... else of dt_vol */
    /* End of cleaning variable dt_vol */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/**************************** end of set_timesteps ****************************/

/***************************** multigrid_indices *****************************/
static char doc_f2py_rout_embsolvec_embsolve_multigrid_indices[] = "\
multigrid_indices(ijkmg,nb,[ni,nj,nk,nlev])\n\nWrapper for ``multigrid_indices``.\
\n\nParameters\n----------\n"
"ijkmg : in/output rank-5 array('h') with bounds (3,ni,nj,nk,nlev)\n"
"nb : in/output rank-1 array('h') with bounds (nlev)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(ijkmg, 1)\n"
"nj : input int, optional\n    Default: shape(ijkmg, 2)\n"
"nk : input int, optional\n    Default: shape(ijkmg, 3)\n"
"nlev : input int, optional\n    Default: shape(ijkmg, 4)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_multigrid_indices(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(short*,short*,short*,short*,short*,short*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    short *ijkmg = NULL;
    npy_intp ijkmg_Dims[5] = {-1, -1, -1, -1, -1};
    const int ijkmg_Rank = 5;
    PyArrayObject *capi_ijkmg_as_array = NULL;
    int capi_ijkmg_intent = 0;
    PyObject *ijkmg_capi = Py_None;
    short *nb = NULL;
    npy_intp nb_Dims[1] = {-1};
    const int nb_Rank = 1;
    PyArrayObject *capi_nb_as_array = NULL;
    int capi_nb_intent = 0;
    PyObject *nb_capi = Py_None;
    short ni = 0;
    PyObject *ni_capi = Py_None;
    short nj = 0;
    PyObject *nj_capi = Py_None;
    short nk = 0;
    PyObject *nk_capi = Py_None;
    short nlev = 0;
    PyObject *nlev_capi = Py_None;
    static char *capi_kwlist[] = {"ijkmg","nb","ni","nj","nk","nlev",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OO|OOOO:embsolvec.embsolve.multigrid_indices",\
        capi_kwlist,&ijkmg_capi,&nb_capi,&ni_capi,&nj_capi,&nk_capi,&nlev_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable ijkmg */
    ijkmg_Dims[0]=3;
    capi_ijkmg_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.multigrid_indices: failed to create array from the 1st argument `ijkmg`";
    capi_ijkmg_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijkmg_Dims,ijkmg_Rank,  capi_ijkmg_intent,ijkmg_capi,capi_errmess);
    if (capi_ijkmg_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijkmg = (short *)(PyArray_DATA(capi_ijkmg_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(ijkmg, 1); else
        f2py_success = short_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.multigrid_indices() 1st keyword (ni) can't be converted to short");
    if (f2py_success) {
    CHECKSCALAR(shape(ijkmg, 1) == ni,"shape(ijkmg, 1) == ni","1st keyword ni","multigrid_indices:ni=%hd",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(ijkmg, 2); else
        f2py_success = short_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.multigrid_indices() 2nd keyword (nj) can't be converted to short");
    if (f2py_success) {
    CHECKSCALAR(shape(ijkmg, 2) == nj,"shape(ijkmg, 2) == nj","2nd keyword nj","multigrid_indices:nj=%hd",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(ijkmg, 3); else
        f2py_success = short_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.multigrid_indices() 3rd keyword (nk) can't be converted to short");
    if (f2py_success) {
    CHECKSCALAR(shape(ijkmg, 3) == nk,"shape(ijkmg, 3) == nk","3rd keyword nk","multigrid_indices:nk=%hd",nk) {
    /* Processing variable nlev */
    if (nlev_capi == Py_None) nlev = shape(ijkmg, 4); else
        f2py_success = short_from_pyobj(&nlev,nlev_capi,"embsolvec.embsolve.multigrid_indices() 4th keyword (nlev) can't be converted to short");
    if (f2py_success) {
    CHECKSCALAR(shape(ijkmg, 4) == nlev,"shape(ijkmg, 4) == nlev","4th keyword nlev","multigrid_indices:nlev=%hd",nlev) {
    /* Processing variable nb */
    nb_Dims[0]=nlev;
    capi_nb_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.multigrid_indices: failed to create array from the 2nd argument `nb`";
    capi_nb_as_array = ndarray_from_pyobj(  NPY_SHORT,1,nb_Dims,nb_Rank,  capi_nb_intent,nb_capi,capi_errmess);
    if (capi_nb_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        nb = (short *)(PyArray_DATA(capi_nb_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(ijkmg,nb,&ni,&nj,&nk,&nlev);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_nb_as_array!=nb_capi) {
        Py_XDECREF(capi_nb_as_array); }
    }  /* if (capi_nb_as_array == NULL) ... else of nb */
    /* End of cleaning variable nb */
    } /*CHECKSCALAR(shape(ijkmg, 4) == nlev)*/
    } /*if (f2py_success) of nlev*/
    /* End of cleaning variable nlev */
    } /*CHECKSCALAR(shape(ijkmg, 3) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(ijkmg, 2) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(ijkmg, 1) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_ijkmg_as_array!=ijkmg_capi) {
        Py_XDECREF(capi_ijkmg_as_array); }
    }  /* if (capi_ijkmg_as_array == NULL) ... else of ijkmg */
    /* End of cleaning variable ijkmg */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/************************** end of multigrid_indices **************************/

/***************************** multigrid_volumes *****************************/
static char doc_f2py_rout_embsolvec_embsolve_multigrid_volumes[] = "\
multigrid_volumes(volmg,vol,ijkmg,[ni,nj,nk,nlev])\n\nWrapper for ``multigrid_volumes``.\
\n\nParameters\n----------\n"
"volmg : in/output rank-4 array('f') with bounds (ni,nj,nk,1 + nlev)\n"
"vol : in/output rank-3 array('f') with bounds (ni,nj,nk)\n"
"ijkmg : in/output rank-5 array('h') with bounds (3,ni,nj,nk,nlev)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(volmg, 0)\n"
"nj : input int, optional\n    Default: shape(volmg, 1)\n"
"nk : input int, optional\n    Default: shape(volmg, 2)\n"
"nlev : input int, optional\n    Default: -1 + shape(volmg, 3)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_multigrid_volumes(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,short*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *volmg = NULL;
    npy_intp volmg_Dims[4] = {-1, -1, -1, -1};
    const int volmg_Rank = 4;
    PyArrayObject *capi_volmg_as_array = NULL;
    int capi_volmg_intent = 0;
    PyObject *volmg_capi = Py_None;
    float *vol = NULL;
    npy_intp vol_Dims[3] = {-1, -1, -1};
    const int vol_Rank = 3;
    PyArrayObject *capi_vol_as_array = NULL;
    int capi_vol_intent = 0;
    PyObject *vol_capi = Py_None;
    short *ijkmg = NULL;
    npy_intp ijkmg_Dims[5] = {-1, -1, -1, -1, -1};
    const int ijkmg_Rank = 5;
    PyArrayObject *capi_ijkmg_as_array = NULL;
    int capi_ijkmg_intent = 0;
    PyObject *ijkmg_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int nlev = 0;
    PyObject *nlev_capi = Py_None;
    static char *capi_kwlist[] = {"volmg","vol","ijkmg","ni","nj","nk","nlev",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOO|OOOO:embsolvec.embsolve.multigrid_volumes",\
        capi_kwlist,&volmg_capi,&vol_capi,&ijkmg_capi,&ni_capi,&nj_capi,&nk_capi,&nlev_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable volmg */
    ;
    capi_volmg_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.multigrid_volumes: failed to create array from the 1st argument `volmg`";
    capi_volmg_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,volmg_Dims,volmg_Rank,  capi_volmg_intent,volmg_capi,capi_errmess);
    if (capi_volmg_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        volmg = (float *)(PyArray_DATA(capi_volmg_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(volmg, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.multigrid_volumes() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(volmg, 0) == ni,"shape(volmg, 0) == ni","1st keyword ni","multigrid_volumes:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(volmg, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.multigrid_volumes() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(volmg, 1) == nj,"shape(volmg, 1) == nj","2nd keyword nj","multigrid_volumes:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(volmg, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.multigrid_volumes() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(volmg, 2) == nk,"shape(volmg, 2) == nk","3rd keyword nk","multigrid_volumes:nk=%d",nk) {
    /* Processing variable nlev */
    if (nlev_capi == Py_None) nlev = -1 + shape(volmg, 3); else
        f2py_success = int_from_pyobj(&nlev,nlev_capi,"embsolvec.embsolve.multigrid_volumes() 4th keyword (nlev) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(volmg, 3) == 1 + nlev,"shape(volmg, 3) == 1 + nlev","4th keyword nlev","multigrid_volumes:nlev=%d",nlev) {
    /* Processing variable vol */
    vol_Dims[0]=ni,vol_Dims[1]=nj,vol_Dims[2]=nk;
    capi_vol_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.multigrid_volumes: failed to create array from the 2nd argument `vol`";
    capi_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vol_Dims,vol_Rank,  capi_vol_intent,vol_capi,capi_errmess);
    if (capi_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vol = (float *)(PyArray_DATA(capi_vol_as_array));

    /* Processing variable ijkmg */
    ijkmg_Dims[0]=3,ijkmg_Dims[1]=ni,ijkmg_Dims[2]=nj,ijkmg_Dims[3]=nk,ijkmg_Dims[4]=nlev;
    capi_ijkmg_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.multigrid_volumes: failed to create array from the 3rd argument `ijkmg`";
    capi_ijkmg_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijkmg_Dims,ijkmg_Rank,  capi_ijkmg_intent,ijkmg_capi,capi_errmess);
    if (capi_ijkmg_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijkmg = (short *)(PyArray_DATA(capi_ijkmg_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(volmg,vol,ijkmg,&ni,&nj,&nk,&nlev);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_ijkmg_as_array!=ijkmg_capi) {
        Py_XDECREF(capi_ijkmg_as_array); }
    }  /* if (capi_ijkmg_as_array == NULL) ... else of ijkmg */
    /* End of cleaning variable ijkmg */
    if((PyObject *)capi_vol_as_array!=vol_capi) {
        Py_XDECREF(capi_vol_as_array); }
    }  /* if (capi_vol_as_array == NULL) ... else of vol */
    /* End of cleaning variable vol */
    } /*CHECKSCALAR(shape(volmg, 3) == 1 + nlev)*/
    } /*if (f2py_success) of nlev*/
    /* End of cleaning variable nlev */
    } /*CHECKSCALAR(shape(volmg, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(volmg, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(volmg, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_volmg_as_array!=volmg_capi) {
        Py_XDECREF(capi_volmg_as_array); }
    }  /* if (capi_volmg_as_array == NULL) ... else of volmg */
    /* End of cleaning variable volmg */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/************************** end of multigrid_volumes **************************/

/********************************** residual **********************************/
static char doc_f2py_rout_embsolvec_embsolve_residual[] = "\
residual(cons,vxrt,p,pref,h,fb,omega,r,ri,rj,rk,dai,daj,dak,vol,dt_vol,ijk_iwall,ijk_jwall,ijk_kwall,ijk_mg,fmgrid,fdamp,resid_cell,resid_node,ischeme,[ni,nj,nk,niwall,njwall,nkwall,nmg])\n\nWrapper for ``residual``.\
\n\nParameters\n----------\n"
"cons : in/output rank-4 array('f') with bounds (ni,nj,nk,5)\n"
"vxrt : input rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"p : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"pref : input float\n"
"h : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"fb : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,5)\n"
"omega : input float\n"
"r : input rank-3 array('f') with bounds (ni,nj,nk)\n"
"ri : input rank-3 array('f') with bounds (ni,-1 + nj,-1 + nk)\n"
"rj : input rank-3 array('f') with bounds (-1 + ni,nj,-1 + nk)\n"
"rk : input rank-3 array('f') with bounds (-1 + ni,-1 + nj,nk)\n"
"dai : input rank-4 array('f') with bounds (ni,-1 + nj,-1 + nk,3)\n"
"daj : input rank-4 array('f') with bounds (-1 + ni,nj,-1 + nk,3)\n"
"dak : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,nk,3)\n"
"vol : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,nmg)\n"
"dt_vol : input rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,nmg)\n"
"ijk_iwall : input rank-2 array('h') with bounds (3,niwall)\n"
"ijk_jwall : input rank-2 array('h') with bounds (3,njwall)\n"
"ijk_kwall : input rank-2 array('h') with bounds (3,nkwall)\n"
"ijk_mg : input rank-5 array('h') with bounds (3,-1 + ni,-1 + nj,-1 + nk,-1 + nmg)\n"
"fmgrid : input float\n"
"fdamp : input float\n"
"resid_cell : in/output rank-5 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,5,2)\n"
"resid_node : in/output rank-4 array('f') with bounds (ni,nj,nk,5)\n"
"ischeme : input int\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(cons, 0)\n"
"nj : input int, optional\n    Default: shape(cons, 1)\n"
"nk : input int, optional\n    Default: shape(cons, 2)\n"
"niwall : input int, optional\n    Default: shape(ijk_iwall, 1)\n"
"njwall : input int, optional\n    Default: shape(ijk_jwall, 1)\n"
"nkwall : input int, optional\n    Default: shape(ijk_kwall, 1)\n"
"nmg : input int, optional\n    Default: shape(vol, 3)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_residual(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,float*,short*,short*,short*,short*,float*,float*,float*,float*,int*,int*,int*,int*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *cons = NULL;
    npy_intp cons_Dims[4] = {-1, -1, -1, -1};
    const int cons_Rank = 4;
    PyArrayObject *capi_cons_as_array = NULL;
    int capi_cons_intent = 0;
    PyObject *cons_capi = Py_None;
    float *vxrt = NULL;
    npy_intp vxrt_Dims[4] = {-1, -1, -1, -1};
    const int vxrt_Rank = 4;
    PyArrayObject *capi_vxrt_as_array = NULL;
    int capi_vxrt_intent = 0;
    PyObject *vxrt_capi = Py_None;
    float *p = NULL;
    npy_intp p_Dims[3] = {-1, -1, -1};
    const int p_Rank = 3;
    PyArrayObject *capi_p_as_array = NULL;
    int capi_p_intent = 0;
    PyObject *p_capi = Py_None;
    float pref = 0;
    PyObject *pref_capi = Py_None;
    float *h = NULL;
    npy_intp h_Dims[3] = {-1, -1, -1};
    const int h_Rank = 3;
    PyArrayObject *capi_h_as_array = NULL;
    int capi_h_intent = 0;
    PyObject *h_capi = Py_None;
    float *fb = NULL;
    npy_intp fb_Dims[4] = {-1, -1, -1, -1};
    const int fb_Rank = 4;
    PyArrayObject *capi_fb_as_array = NULL;
    int capi_fb_intent = 0;
    PyObject *fb_capi = Py_None;
    float omega = 0;
    PyObject *omega_capi = Py_None;
    float *r = NULL;
    npy_intp r_Dims[3] = {-1, -1, -1};
    const int r_Rank = 3;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    float *ri = NULL;
    npy_intp ri_Dims[3] = {-1, -1, -1};
    const int ri_Rank = 3;
    PyArrayObject *capi_ri_as_array = NULL;
    int capi_ri_intent = 0;
    PyObject *ri_capi = Py_None;
    float *rj = NULL;
    npy_intp rj_Dims[3] = {-1, -1, -1};
    const int rj_Rank = 3;
    PyArrayObject *capi_rj_as_array = NULL;
    int capi_rj_intent = 0;
    PyObject *rj_capi = Py_None;
    float *rk = NULL;
    npy_intp rk_Dims[3] = {-1, -1, -1};
    const int rk_Rank = 3;
    PyArrayObject *capi_rk_as_array = NULL;
    int capi_rk_intent = 0;
    PyObject *rk_capi = Py_None;
    float *dai = NULL;
    npy_intp dai_Dims[4] = {-1, -1, -1, -1};
    const int dai_Rank = 4;
    PyArrayObject *capi_dai_as_array = NULL;
    int capi_dai_intent = 0;
    PyObject *dai_capi = Py_None;
    float *daj = NULL;
    npy_intp daj_Dims[4] = {-1, -1, -1, -1};
    const int daj_Rank = 4;
    PyArrayObject *capi_daj_as_array = NULL;
    int capi_daj_intent = 0;
    PyObject *daj_capi = Py_None;
    float *dak = NULL;
    npy_intp dak_Dims[4] = {-1, -1, -1, -1};
    const int dak_Rank = 4;
    PyArrayObject *capi_dak_as_array = NULL;
    int capi_dak_intent = 0;
    PyObject *dak_capi = Py_None;
    float *vol = NULL;
    npy_intp vol_Dims[4] = {-1, -1, -1, -1};
    const int vol_Rank = 4;
    PyArrayObject *capi_vol_as_array = NULL;
    int capi_vol_intent = 0;
    PyObject *vol_capi = Py_None;
    float *dt_vol = NULL;
    npy_intp dt_vol_Dims[4] = {-1, -1, -1, -1};
    const int dt_vol_Rank = 4;
    PyArrayObject *capi_dt_vol_as_array = NULL;
    int capi_dt_vol_intent = 0;
    PyObject *dt_vol_capi = Py_None;
    short *ijk_iwall = NULL;
    npy_intp ijk_iwall_Dims[2] = {-1, -1};
    const int ijk_iwall_Rank = 2;
    PyArrayObject *capi_ijk_iwall_as_array = NULL;
    int capi_ijk_iwall_intent = 0;
    PyObject *ijk_iwall_capi = Py_None;
    short *ijk_jwall = NULL;
    npy_intp ijk_jwall_Dims[2] = {-1, -1};
    const int ijk_jwall_Rank = 2;
    PyArrayObject *capi_ijk_jwall_as_array = NULL;
    int capi_ijk_jwall_intent = 0;
    PyObject *ijk_jwall_capi = Py_None;
    short *ijk_kwall = NULL;
    npy_intp ijk_kwall_Dims[2] = {-1, -1};
    const int ijk_kwall_Rank = 2;
    PyArrayObject *capi_ijk_kwall_as_array = NULL;
    int capi_ijk_kwall_intent = 0;
    PyObject *ijk_kwall_capi = Py_None;
    short *ijk_mg = NULL;
    npy_intp ijk_mg_Dims[5] = {-1, -1, -1, -1, -1};
    const int ijk_mg_Rank = 5;
    PyArrayObject *capi_ijk_mg_as_array = NULL;
    int capi_ijk_mg_intent = 0;
    PyObject *ijk_mg_capi = Py_None;
    float fmgrid = 0;
    PyObject *fmgrid_capi = Py_None;
    float fdamp = 0;
    PyObject *fdamp_capi = Py_None;
    float *resid_cell = NULL;
    npy_intp resid_cell_Dims[5] = {-1, -1, -1, -1, -1};
    const int resid_cell_Rank = 5;
    PyArrayObject *capi_resid_cell_as_array = NULL;
    int capi_resid_cell_intent = 0;
    PyObject *resid_cell_capi = Py_None;
    float *resid_node = NULL;
    npy_intp resid_node_Dims[4] = {-1, -1, -1, -1};
    const int resid_node_Rank = 4;
    PyArrayObject *capi_resid_node_as_array = NULL;
    int capi_resid_node_intent = 0;
    PyObject *resid_node_capi = Py_None;
    int ischeme = 0;
    PyObject *ischeme_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    int niwall = 0;
    PyObject *niwall_capi = Py_None;
    int njwall = 0;
    PyObject *njwall_capi = Py_None;
    int nkwall = 0;
    PyObject *nkwall_capi = Py_None;
    int nmg = 0;
    PyObject *nmg_capi = Py_None;
    static char *capi_kwlist[] = {"cons","vxrt","p","pref","h","fb","omega","r","ri","rj","rk","dai","daj","dak","vol","dt_vol","ijk_iwall","ijk_jwall","ijk_kwall","ijk_mg","fmgrid","fdamp","resid_cell","resid_node","ischeme","ni","nj","nk","niwall","njwall","nkwall","nmg",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOOOOOOOOOOOOOOOOOOOOOOO|OOOOOOO:embsolvec.embsolve.residual",\
        capi_kwlist,&cons_capi,&vxrt_capi,&p_capi,&pref_capi,&h_capi,&fb_capi,&omega_capi,&r_capi,&ri_capi,&rj_capi,&rk_capi,&dai_capi,&daj_capi,&dak_capi,&vol_capi,&dt_vol_capi,&ijk_iwall_capi,&ijk_jwall_capi,&ijk_kwall_capi,&ijk_mg_capi,&fmgrid_capi,&fdamp_capi,&resid_cell_capi,&resid_node_capi,&ischeme_capi,&ni_capi,&nj_capi,&nk_capi,&niwall_capi,&njwall_capi,&nkwall_capi,&nmg_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable cons */
    cons_Dims[3]=5;
    capi_cons_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 1st argument `cons`";
    capi_cons_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,cons_Dims,cons_Rank,  capi_cons_intent,cons_capi,capi_errmess);
    if (capi_cons_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        cons = (float *)(PyArray_DATA(capi_cons_as_array));

    /* Processing variable pref */
        f2py_success = float_from_pyobj(&pref,pref_capi,"embsolvec.embsolve.residual() 4th argument (pref) can't be converted to float");
    if (f2py_success) {
    /* Processing variable omega */
        f2py_success = float_from_pyobj(&omega,omega_capi,"embsolvec.embsolve.residual() 7th argument (omega) can't be converted to float");
    if (f2py_success) {
    /* Processing variable ijk_iwall */
    ijk_iwall_Dims[0]=3;
    capi_ijk_iwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 17th argument `ijk_iwall`";
    capi_ijk_iwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_iwall_Dims,ijk_iwall_Rank,  capi_ijk_iwall_intent,ijk_iwall_capi,capi_errmess);
    if (capi_ijk_iwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_iwall = (short *)(PyArray_DATA(capi_ijk_iwall_as_array));

    /* Processing variable ijk_jwall */
    ijk_jwall_Dims[0]=3;
    capi_ijk_jwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 18th argument `ijk_jwall`";
    capi_ijk_jwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_jwall_Dims,ijk_jwall_Rank,  capi_ijk_jwall_intent,ijk_jwall_capi,capi_errmess);
    if (capi_ijk_jwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_jwall = (short *)(PyArray_DATA(capi_ijk_jwall_as_array));

    /* Processing variable ijk_kwall */
    ijk_kwall_Dims[0]=3;
    capi_ijk_kwall_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 19th argument `ijk_kwall`";
    capi_ijk_kwall_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_kwall_Dims,ijk_kwall_Rank,  capi_ijk_kwall_intent,ijk_kwall_capi,capi_errmess);
    if (capi_ijk_kwall_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_kwall = (short *)(PyArray_DATA(capi_ijk_kwall_as_array));

    /* Processing variable ischeme */
        f2py_success = int_from_pyobj(&ischeme,ischeme_capi,"embsolvec.embsolve.residual() 25th argument (ischeme) can't be converted to int");
    if (f2py_success) {
    /* Processing variable fmgrid */
        f2py_success = float_from_pyobj(&fmgrid,fmgrid_capi,"embsolvec.embsolve.residual() 21st argument (fmgrid) can't be converted to float");
    if (f2py_success) {
    /* Processing variable fdamp */
        f2py_success = float_from_pyobj(&fdamp,fdamp_capi,"embsolvec.embsolve.residual() 22nd argument (fdamp) can't be converted to float");
    if (f2py_success) {
    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(cons, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.residual() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 0) == ni,"shape(cons, 0) == ni","1st keyword ni","residual:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(cons, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.residual() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 1) == nj,"shape(cons, 1) == nj","2nd keyword nj","residual:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(cons, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.residual() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(cons, 2) == nk,"shape(cons, 2) == nk","3rd keyword nk","residual:nk=%d",nk) {
    /* Processing variable niwall */
    if (niwall_capi == Py_None) niwall = shape(ijk_iwall, 1); else
        f2py_success = int_from_pyobj(&niwall,niwall_capi,"embsolvec.embsolve.residual() 4th keyword (niwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_iwall, 1) == niwall,"shape(ijk_iwall, 1) == niwall","4th keyword niwall","residual:niwall=%d",niwall) {
    /* Processing variable njwall */
    if (njwall_capi == Py_None) njwall = shape(ijk_jwall, 1); else
        f2py_success = int_from_pyobj(&njwall,njwall_capi,"embsolvec.embsolve.residual() 5th keyword (njwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_jwall, 1) == njwall,"shape(ijk_jwall, 1) == njwall","5th keyword njwall","residual:njwall=%d",njwall) {
    /* Processing variable nkwall */
    if (nkwall_capi == Py_None) nkwall = shape(ijk_kwall, 1); else
        f2py_success = int_from_pyobj(&nkwall,nkwall_capi,"embsolvec.embsolve.residual() 6th keyword (nkwall) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(ijk_kwall, 1) == nkwall,"shape(ijk_kwall, 1) == nkwall","6th keyword nkwall","residual:nkwall=%d",nkwall) {
    /* Processing variable vxrt */
    vxrt_Dims[0]=ni,vxrt_Dims[1]=nj,vxrt_Dims[2]=nk,vxrt_Dims[3]=3;
    capi_vxrt_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 2nd argument `vxrt`";
    capi_vxrt_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vxrt_Dims,vxrt_Rank,  capi_vxrt_intent,vxrt_capi,capi_errmess);
    if (capi_vxrt_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vxrt = (float *)(PyArray_DATA(capi_vxrt_as_array));

    /* Processing variable p */
    p_Dims[0]=ni,p_Dims[1]=nj,p_Dims[2]=nk;
    capi_p_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 3rd argument `p`";
    capi_p_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,p_Dims,p_Rank,  capi_p_intent,p_capi,capi_errmess);
    if (capi_p_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        p = (float *)(PyArray_DATA(capi_p_as_array));

    /* Processing variable h */
    h_Dims[0]=ni,h_Dims[1]=nj,h_Dims[2]=nk;
    capi_h_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 5th argument `h`";
    capi_h_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,h_Dims,h_Rank,  capi_h_intent,h_capi,capi_errmess);
    if (capi_h_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        h = (float *)(PyArray_DATA(capi_h_as_array));

    /* Processing variable fb */
    fb_Dims[0]=-1 + ni,fb_Dims[1]=-1 + nj,fb_Dims[2]=-1 + nk,fb_Dims[3]=5;
    capi_fb_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 6th argument `fb`";
    capi_fb_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,fb_Dims,fb_Rank,  capi_fb_intent,fb_capi,capi_errmess);
    if (capi_fb_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        fb = (float *)(PyArray_DATA(capi_fb_as_array));

    /* Processing variable r */
    r_Dims[0]=ni,r_Dims[1]=nj,r_Dims[2]=nk;
    capi_r_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 8th argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable ri */
    ri_Dims[0]=ni,ri_Dims[1]=-1 + nj,ri_Dims[2]=-1 + nk;
    capi_ri_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 9th argument `ri`";
    capi_ri_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,ri_Dims,ri_Rank,  capi_ri_intent,ri_capi,capi_errmess);
    if (capi_ri_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ri = (float *)(PyArray_DATA(capi_ri_as_array));

    /* Processing variable rj */
    rj_Dims[0]=-1 + ni,rj_Dims[1]=nj,rj_Dims[2]=-1 + nk;
    capi_rj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 10th argument `rj`";
    capi_rj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rj_Dims,rj_Rank,  capi_rj_intent,rj_capi,capi_errmess);
    if (capi_rj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rj = (float *)(PyArray_DATA(capi_rj_as_array));

    /* Processing variable rk */
    rk_Dims[0]=-1 + ni,rk_Dims[1]=-1 + nj,rk_Dims[2]=nk;
    capi_rk_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 11st argument `rk`";
    capi_rk_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rk_Dims,rk_Rank,  capi_rk_intent,rk_capi,capi_errmess);
    if (capi_rk_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rk = (float *)(PyArray_DATA(capi_rk_as_array));

    /* Processing variable dai */
    dai_Dims[0]=ni,dai_Dims[1]=-1 + nj,dai_Dims[2]=-1 + nk,dai_Dims[3]=3;
    capi_dai_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 12nd argument `dai`";
    capi_dai_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dai_Dims,dai_Rank,  capi_dai_intent,dai_capi,capi_errmess);
    if (capi_dai_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dai = (float *)(PyArray_DATA(capi_dai_as_array));

    /* Processing variable daj */
    daj_Dims[0]=-1 + ni,daj_Dims[1]=nj,daj_Dims[2]=-1 + nk,daj_Dims[3]=3;
    capi_daj_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 13rd argument `daj`";
    capi_daj_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,daj_Dims,daj_Rank,  capi_daj_intent,daj_capi,capi_errmess);
    if (capi_daj_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        daj = (float *)(PyArray_DATA(capi_daj_as_array));

    /* Processing variable dak */
    dak_Dims[0]=-1 + ni,dak_Dims[1]=-1 + nj,dak_Dims[2]=nk,dak_Dims[3]=3;
    capi_dak_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 14th argument `dak`";
    capi_dak_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dak_Dims,dak_Rank,  capi_dak_intent,dak_capi,capi_errmess);
    if (capi_dak_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dak = (float *)(PyArray_DATA(capi_dak_as_array));

    /* Processing variable vol */
    vol_Dims[0]=-1 + ni,vol_Dims[1]=-1 + nj,vol_Dims[2]=-1 + nk;
    capi_vol_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 15th argument `vol`";
    capi_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vol_Dims,vol_Rank,  capi_vol_intent,vol_capi,capi_errmess);
    if (capi_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vol = (float *)(PyArray_DATA(capi_vol_as_array));

    /* Processing variable resid_cell */
    resid_cell_Dims[0]=-1 + ni,resid_cell_Dims[1]=-1 + nj,resid_cell_Dims[2]=-1 + nk,resid_cell_Dims[3]=5,resid_cell_Dims[4]=2;
    capi_resid_cell_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 23rd argument `resid_cell`";
    capi_resid_cell_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,resid_cell_Dims,resid_cell_Rank,  capi_resid_cell_intent,resid_cell_capi,capi_errmess);
    if (capi_resid_cell_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        resid_cell = (float *)(PyArray_DATA(capi_resid_cell_as_array));

    /* Processing variable resid_node */
    resid_node_Dims[0]=ni,resid_node_Dims[1]=nj,resid_node_Dims[2]=nk,resid_node_Dims[3]=5;
    capi_resid_node_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 24th argument `resid_node`";
    capi_resid_node_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,resid_node_Dims,resid_node_Rank,  capi_resid_node_intent,resid_node_capi,capi_errmess);
    if (capi_resid_node_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        resid_node = (float *)(PyArray_DATA(capi_resid_node_as_array));

    /* Processing variable nmg */
    if (nmg_capi == Py_None) nmg = shape(vol, 3); else
        f2py_success = int_from_pyobj(&nmg,nmg_capi,"embsolvec.embsolve.residual() 7th keyword (nmg) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(vol, 3) == nmg,"shape(vol, 3) == nmg","7th keyword nmg","residual:nmg=%d",nmg) {
    /* Processing variable dt_vol */
    dt_vol_Dims[0]=-1 + ni,dt_vol_Dims[1]=-1 + nj,dt_vol_Dims[2]=-1 + nk,dt_vol_Dims[3]=nmg;
    capi_dt_vol_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 16th argument `dt_vol`";
    capi_dt_vol_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,dt_vol_Dims,dt_vol_Rank,  capi_dt_vol_intent,dt_vol_capi,capi_errmess);
    if (capi_dt_vol_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        dt_vol = (float *)(PyArray_DATA(capi_dt_vol_as_array));

    /* Processing variable ijk_mg */
    ijk_mg_Dims[0]=3,ijk_mg_Dims[1]=-1 + ni,ijk_mg_Dims[2]=-1 + nj,ijk_mg_Dims[3]=-1 + nk,ijk_mg_Dims[4]=-1 + nmg;
    capi_ijk_mg_intent |= F2PY_INTENT_IN;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.residual: failed to create array from the 20th argument `ijk_mg`";
    capi_ijk_mg_as_array = ndarray_from_pyobj(  NPY_SHORT,1,ijk_mg_Dims,ijk_mg_Rank,  capi_ijk_mg_intent,ijk_mg_capi,capi_errmess);
    if (capi_ijk_mg_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        ijk_mg = (short *)(PyArray_DATA(capi_ijk_mg_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(cons,vxrt,p,&pref,h,fb,&omega,r,ri,rj,rk,dai,daj,dak,vol,dt_vol,ijk_iwall,ijk_jwall,ijk_kwall,ijk_mg,&fmgrid,&fdamp,resid_cell,resid_node,&ischeme,&ni,&nj,&nk,&niwall,&njwall,&nkwall,&nmg);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_ijk_mg_as_array!=ijk_mg_capi) {
        Py_XDECREF(capi_ijk_mg_as_array); }
    }  /* if (capi_ijk_mg_as_array == NULL) ... else of ijk_mg */
    /* End of cleaning variable ijk_mg */
    if((PyObject *)capi_dt_vol_as_array!=dt_vol_capi) {
        Py_XDECREF(capi_dt_vol_as_array); }
    }  /* if (capi_dt_vol_as_array == NULL) ... else of dt_vol */
    /* End of cleaning variable dt_vol */
    } /*CHECKSCALAR(shape(vol, 3) == nmg)*/
    } /*if (f2py_success) of nmg*/
    /* End of cleaning variable nmg */
    if((PyObject *)capi_resid_node_as_array!=resid_node_capi) {
        Py_XDECREF(capi_resid_node_as_array); }
    }  /* if (capi_resid_node_as_array == NULL) ... else of resid_node */
    /* End of cleaning variable resid_node */
    if((PyObject *)capi_resid_cell_as_array!=resid_cell_capi) {
        Py_XDECREF(capi_resid_cell_as_array); }
    }  /* if (capi_resid_cell_as_array == NULL) ... else of resid_cell */
    /* End of cleaning variable resid_cell */
    if((PyObject *)capi_vol_as_array!=vol_capi) {
        Py_XDECREF(capi_vol_as_array); }
    }  /* if (capi_vol_as_array == NULL) ... else of vol */
    /* End of cleaning variable vol */
    if((PyObject *)capi_dak_as_array!=dak_capi) {
        Py_XDECREF(capi_dak_as_array); }
    }  /* if (capi_dak_as_array == NULL) ... else of dak */
    /* End of cleaning variable dak */
    if((PyObject *)capi_daj_as_array!=daj_capi) {
        Py_XDECREF(capi_daj_as_array); }
    }  /* if (capi_daj_as_array == NULL) ... else of daj */
    /* End of cleaning variable daj */
    if((PyObject *)capi_dai_as_array!=dai_capi) {
        Py_XDECREF(capi_dai_as_array); }
    }  /* if (capi_dai_as_array == NULL) ... else of dai */
    /* End of cleaning variable dai */
    if((PyObject *)capi_rk_as_array!=rk_capi) {
        Py_XDECREF(capi_rk_as_array); }
    }  /* if (capi_rk_as_array == NULL) ... else of rk */
    /* End of cleaning variable rk */
    if((PyObject *)capi_rj_as_array!=rj_capi) {
        Py_XDECREF(capi_rj_as_array); }
    }  /* if (capi_rj_as_array == NULL) ... else of rj */
    /* End of cleaning variable rj */
    if((PyObject *)capi_ri_as_array!=ri_capi) {
        Py_XDECREF(capi_ri_as_array); }
    }  /* if (capi_ri_as_array == NULL) ... else of ri */
    /* End of cleaning variable ri */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
    if((PyObject *)capi_fb_as_array!=fb_capi) {
        Py_XDECREF(capi_fb_as_array); }
    }  /* if (capi_fb_as_array == NULL) ... else of fb */
    /* End of cleaning variable fb */
    if((PyObject *)capi_h_as_array!=h_capi) {
        Py_XDECREF(capi_h_as_array); }
    }  /* if (capi_h_as_array == NULL) ... else of h */
    /* End of cleaning variable h */
    if((PyObject *)capi_p_as_array!=p_capi) {
        Py_XDECREF(capi_p_as_array); }
    }  /* if (capi_p_as_array == NULL) ... else of p */
    /* End of cleaning variable p */
    if((PyObject *)capi_vxrt_as_array!=vxrt_capi) {
        Py_XDECREF(capi_vxrt_as_array); }
    }  /* if (capi_vxrt_as_array == NULL) ... else of vxrt */
    /* End of cleaning variable vxrt */
    } /*CHECKSCALAR(shape(ijk_kwall, 1) == nkwall)*/
    } /*if (f2py_success) of nkwall*/
    /* End of cleaning variable nkwall */
    } /*CHECKSCALAR(shape(ijk_jwall, 1) == njwall)*/
    } /*if (f2py_success) of njwall*/
    /* End of cleaning variable njwall */
    } /*CHECKSCALAR(shape(ijk_iwall, 1) == niwall)*/
    } /*if (f2py_success) of niwall*/
    /* End of cleaning variable niwall */
    } /*CHECKSCALAR(shape(cons, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(cons, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(cons, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    } /*if (f2py_success) of fdamp*/
    /* End of cleaning variable fdamp */
    } /*if (f2py_success) of fmgrid*/
    /* End of cleaning variable fmgrid */
    } /*if (f2py_success) of ischeme*/
    /* End of cleaning variable ischeme */
    if((PyObject *)capi_ijk_kwall_as_array!=ijk_kwall_capi) {
        Py_XDECREF(capi_ijk_kwall_as_array); }
    }  /* if (capi_ijk_kwall_as_array == NULL) ... else of ijk_kwall */
    /* End of cleaning variable ijk_kwall */
    if((PyObject *)capi_ijk_jwall_as_array!=ijk_jwall_capi) {
        Py_XDECREF(capi_ijk_jwall_as_array); }
    }  /* if (capi_ijk_jwall_as_array == NULL) ... else of ijk_jwall */
    /* End of cleaning variable ijk_jwall */
    if((PyObject *)capi_ijk_iwall_as_array!=ijk_iwall_capi) {
        Py_XDECREF(capi_ijk_iwall_as_array); }
    }  /* if (capi_ijk_iwall_as_array == NULL) ... else of ijk_iwall */
    /* End of cleaning variable ijk_iwall */
    } /*if (f2py_success) of omega*/
    /* End of cleaning variable omega */
    } /*if (f2py_success) of pref*/
    /* End of cleaning variable pref */
    if((PyObject *)capi_cons_as_array!=cons_capi) {
        Py_XDECREF(capi_cons_as_array); }
    }  /* if (capi_cons_as_array == NULL) ... else of cons */
    /* End of cleaning variable cons */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/****************************** end of residual ******************************/

/************************************ step ************************************/
static char doc_f2py_rout_embsolvec_embsolve_step[] = "\
step(r,rnode,ischeme,[ni,nj,nk])\n\nWrapper for ``step``.\
\n\nParameters\n----------\n"
"r : in/output rank-5 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,5,2)\n"
"rnode : in/output rank-4 array('f') with bounds (ni,nj,nk,5)\n"
"ischeme : input int\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: 1 + shape(r, 0)\n"
"nj : input int, optional\n    Default: 1 + shape(r, 1)\n"
"nk : input int, optional\n    Default: 1 + shape(r, 2)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_step(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,int*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *r = NULL;
    npy_intp r_Dims[5] = {-1, -1, -1, -1, -1};
    const int r_Rank = 5;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    float *rnode = NULL;
    npy_intp rnode_Dims[4] = {-1, -1, -1, -1};
    const int rnode_Rank = 4;
    PyArrayObject *capi_rnode_as_array = NULL;
    int capi_rnode_intent = 0;
    PyObject *rnode_capi = Py_None;
    int ischeme = 0;
    PyObject *ischeme_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    static char *capi_kwlist[] = {"r","rnode","ischeme","ni","nj","nk",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOO|OOO:embsolvec.embsolve.step",\
        capi_kwlist,&r_capi,&rnode_capi,&ischeme_capi,&ni_capi,&nj_capi,&nk_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable r */
    r_Dims[3]=5,r_Dims[4]=2;
    capi_r_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.step: failed to create array from the 1st argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable ischeme */
        f2py_success = int_from_pyobj(&ischeme,ischeme_capi,"embsolvec.embsolve.step() 3rd argument (ischeme) can't be converted to int");
    if (f2py_success) {
    /* Processing variable ni */
    if (ni_capi == Py_None) ni = 1 + shape(r, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.step() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(r, 0) == -1 + ni,"shape(r, 0) == -1 + ni","1st keyword ni","step:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = 1 + shape(r, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.step() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(r, 1) == -1 + nj,"shape(r, 1) == -1 + nj","2nd keyword nj","step:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = 1 + shape(r, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.step() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(r, 2) == -1 + nk,"shape(r, 2) == -1 + nk","3rd keyword nk","step:nk=%d",nk) {
    /* Processing variable rnode */
    rnode_Dims[0]=ni,rnode_Dims[1]=nj,rnode_Dims[2]=nk,rnode_Dims[3]=5;
    capi_rnode_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.step: failed to create array from the 2nd argument `rnode`";
    capi_rnode_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,rnode_Dims,rnode_Rank,  capi_rnode_intent,rnode_capi,capi_errmess);
    if (capi_rnode_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        rnode = (float *)(PyArray_DATA(capi_rnode_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(r,rnode,&ischeme,&ni,&nj,&nk);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_rnode_as_array!=rnode_capi) {
        Py_XDECREF(capi_rnode_as_array); }
    }  /* if (capi_rnode_as_array == NULL) ... else of rnode */
    /* End of cleaning variable rnode */
    } /*CHECKSCALAR(shape(r, 2) == -1 + nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(r, 1) == -1 + nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(r, 0) == -1 + ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    } /*if (f2py_success) of ischeme*/
    /* End of cleaning variable ischeme */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/******************************** end of step ********************************/

/********************************* secondary *********************************/
static char doc_f2py_rout_embsolvec_embsolve_secondary[] = "\
secondary(r,cons,vxrt,u,[ni,nj,nk])\n\nWrapper for ``secondary``.\
\n\nParameters\n----------\n"
"r : in/output rank-3 array('f') with bounds (ni,nj,nk)\n"
"cons : in/output rank-4 array('f') with bounds (ni,nj,nk,5)\n"
"vxrt : in/output rank-4 array('f') with bounds (ni,nj,nk,3)\n"
"u : in/output rank-3 array('f') with bounds (ni,nj,nk)\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: shape(r, 0)\n"
"nj : input int, optional\n    Default: shape(r, 1)\n"
"nk : input int, optional\n    Default: shape(r, 2)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_secondary(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,float*,float*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *r = NULL;
    npy_intp r_Dims[3] = {-1, -1, -1};
    const int r_Rank = 3;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    float *cons = NULL;
    npy_intp cons_Dims[4] = {-1, -1, -1, -1};
    const int cons_Rank = 4;
    PyArrayObject *capi_cons_as_array = NULL;
    int capi_cons_intent = 0;
    PyObject *cons_capi = Py_None;
    float *vxrt = NULL;
    npy_intp vxrt_Dims[4] = {-1, -1, -1, -1};
    const int vxrt_Rank = 4;
    PyArrayObject *capi_vxrt_as_array = NULL;
    int capi_vxrt_intent = 0;
    PyObject *vxrt_capi = Py_None;
    float *u = NULL;
    npy_intp u_Dims[3] = {-1, -1, -1};
    const int u_Rank = 3;
    PyArrayObject *capi_u_as_array = NULL;
    int capi_u_intent = 0;
    PyObject *u_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    static char *capi_kwlist[] = {"r","cons","vxrt","u","ni","nj","nk",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OOOO|OOO:embsolvec.embsolve.secondary",\
        capi_kwlist,&r_capi,&cons_capi,&vxrt_capi,&u_capi,&ni_capi,&nj_capi,&nk_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable r */
    ;
    capi_r_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.secondary: failed to create array from the 1st argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable ni */
    if (ni_capi == Py_None) ni = shape(r, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.secondary() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(r, 0) == ni,"shape(r, 0) == ni","1st keyword ni","secondary:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = shape(r, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.secondary() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(r, 1) == nj,"shape(r, 1) == nj","2nd keyword nj","secondary:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = shape(r, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.secondary() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(r, 2) == nk,"shape(r, 2) == nk","3rd keyword nk","secondary:nk=%d",nk) {
    /* Processing variable cons */
    cons_Dims[0]=ni,cons_Dims[1]=nj,cons_Dims[2]=nk,cons_Dims[3]=5;
    capi_cons_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.secondary: failed to create array from the 2nd argument `cons`";
    capi_cons_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,cons_Dims,cons_Rank,  capi_cons_intent,cons_capi,capi_errmess);
    if (capi_cons_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        cons = (float *)(PyArray_DATA(capi_cons_as_array));

    /* Processing variable vxrt */
    vxrt_Dims[0]=ni,vxrt_Dims[1]=nj,vxrt_Dims[2]=nk,vxrt_Dims[3]=3;
    capi_vxrt_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.secondary: failed to create array from the 3rd argument `vxrt`";
    capi_vxrt_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,vxrt_Dims,vxrt_Rank,  capi_vxrt_intent,vxrt_capi,capi_errmess);
    if (capi_vxrt_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        vxrt = (float *)(PyArray_DATA(capi_vxrt_as_array));

    /* Processing variable u */
    u_Dims[0]=ni,u_Dims[1]=nj,u_Dims[2]=nk;
    capi_u_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.secondary: failed to create array from the 4th argument `u`";
    capi_u_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,u_Dims,u_Rank,  capi_u_intent,u_capi,capi_errmess);
    if (capi_u_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        u = (float *)(PyArray_DATA(capi_u_as_array));

/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(r,cons,vxrt,u,&ni,&nj,&nk);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    if((PyObject *)capi_u_as_array!=u_capi) {
        Py_XDECREF(capi_u_as_array); }
    }  /* if (capi_u_as_array == NULL) ... else of u */
    /* End of cleaning variable u */
    if((PyObject *)capi_vxrt_as_array!=vxrt_capi) {
        Py_XDECREF(capi_vxrt_as_array); }
    }  /* if (capi_vxrt_as_array == NULL) ... else of vxrt */
    /* End of cleaning variable vxrt */
    if((PyObject *)capi_cons_as_array!=cons_capi) {
        Py_XDECREF(capi_cons_as_array); }
    }  /* if (capi_cons_as_array == NULL) ... else of cons */
    /* End of cleaning variable cons */
    } /*CHECKSCALAR(shape(r, 2) == nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(r, 1) == nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(r, 0) == ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/****************************** end of secondary ******************************/

/************************************ damp ************************************/
static char doc_f2py_rout_embsolvec_embsolve_damp[] = "\
damp(r,fdamp,[ni,nj,nk])\n\nWrapper for ``damp``.\
\n\nParameters\n----------\n"
"r : in/output rank-4 array('f') with bounds (-1 + ni,-1 + nj,-1 + nk,5)\n"
"fdamp : input float\n"
"\nOther Parameters\n----------------\n"
"ni : input int, optional\n    Default: 1 + shape(r, 0)\n"
"nj : input int, optional\n    Default: 1 + shape(r, 1)\n"
"nk : input int, optional\n    Default: 1 + shape(r, 2)";
/*  */
static PyObject *f2py_rout_embsolvec_embsolve_damp(const PyObject *capi_self,
                           PyObject *capi_args,
                           PyObject *capi_keywds,
                           void (*f2py_func)(float*,float*,int*,int*,int*)) {
    PyObject * volatile capi_buildvalue = NULL;
    volatile int f2py_success = 1;
/*decl*/

    float *r = NULL;
    npy_intp r_Dims[4] = {-1, -1, -1, -1};
    const int r_Rank = 4;
    PyArrayObject *capi_r_as_array = NULL;
    int capi_r_intent = 0;
    PyObject *r_capi = Py_None;
    float fdamp = 0;
    PyObject *fdamp_capi = Py_None;
    int ni = 0;
    PyObject *ni_capi = Py_None;
    int nj = 0;
    PyObject *nj_capi = Py_None;
    int nk = 0;
    PyObject *nk_capi = Py_None;
    static char *capi_kwlist[] = {"r","fdamp","ni","nj","nk",NULL};

/*routdebugenter*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_clock();
#endif
    if (!PyArg_ParseTupleAndKeywords(capi_args,capi_keywds,\
        "OO|OOO:embsolvec.embsolve.damp",\
        capi_kwlist,&r_capi,&fdamp_capi,&ni_capi,&nj_capi,&nk_capi))
        return NULL;
/*frompyobj*/
    /* Processing variable r */
    r_Dims[3]=5;
    capi_r_intent |= F2PY_INTENT_INOUT;
    const char * capi_errmess = "embsolvec.embsolvec.embsolve.damp: failed to create array from the 1st argument `r`";
    capi_r_as_array = ndarray_from_pyobj(  NPY_FLOAT,1,r_Dims,r_Rank,  capi_r_intent,r_capi,capi_errmess);
    if (capi_r_as_array == NULL) {
        PyObject* capi_err = PyErr_Occurred();
        if (capi_err == NULL) {
            capi_err = embsolvec_error;
            PyErr_SetString(capi_err, capi_errmess);
        }
    } else {
        r = (float *)(PyArray_DATA(capi_r_as_array));

    /* Processing variable fdamp */
        f2py_success = float_from_pyobj(&fdamp,fdamp_capi,"embsolvec.embsolve.damp() 2nd argument (fdamp) can't be converted to float");
    if (f2py_success) {
    /* Processing variable ni */
    if (ni_capi == Py_None) ni = 1 + shape(r, 0); else
        f2py_success = int_from_pyobj(&ni,ni_capi,"embsolvec.embsolve.damp() 1st keyword (ni) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(r, 0) == -1 + ni,"shape(r, 0) == -1 + ni","1st keyword ni","damp:ni=%d",ni) {
    /* Processing variable nj */
    if (nj_capi == Py_None) nj = 1 + shape(r, 1); else
        f2py_success = int_from_pyobj(&nj,nj_capi,"embsolvec.embsolve.damp() 2nd keyword (nj) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(r, 1) == -1 + nj,"shape(r, 1) == -1 + nj","2nd keyword nj","damp:nj=%d",nj) {
    /* Processing variable nk */
    if (nk_capi == Py_None) nk = 1 + shape(r, 2); else
        f2py_success = int_from_pyobj(&nk,nk_capi,"embsolvec.embsolve.damp() 3rd keyword (nk) can't be converted to int");
    if (f2py_success) {
    CHECKSCALAR(shape(r, 2) == -1 + nk,"shape(r, 2) == -1 + nk","3rd keyword nk","damp:nk=%d",nk) {
/*end of frompyobj*/
#ifdef F2PY_REPORT_ATEXIT
f2py_start_call_clock();
#endif
/*callfortranroutine*/
                (*f2py_func)(r,&fdamp,&ni,&nj,&nk);
if (PyErr_Occurred())
  f2py_success = 0;
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_call_clock();
#endif
/*end of callfortranroutine*/
        if (f2py_success) {
/*pyobjfrom*/
/*end of pyobjfrom*/
        CFUNCSMESS("Building return value.\n");
        capi_buildvalue = Py_BuildValue("");
/*closepyobjfrom*/
/*end of closepyobjfrom*/
        } /*if (f2py_success) after callfortranroutine*/
/*cleanupfrompyobj*/
    } /*CHECKSCALAR(shape(r, 2) == -1 + nk)*/
    } /*if (f2py_success) of nk*/
    /* End of cleaning variable nk */
    } /*CHECKSCALAR(shape(r, 1) == -1 + nj)*/
    } /*if (f2py_success) of nj*/
    /* End of cleaning variable nj */
    } /*CHECKSCALAR(shape(r, 0) == -1 + ni)*/
    } /*if (f2py_success) of ni*/
    /* End of cleaning variable ni */
    } /*if (f2py_success) of fdamp*/
    /* End of cleaning variable fdamp */
    if((PyObject *)capi_r_as_array!=r_capi) {
        Py_XDECREF(capi_r_as_array); }
    }  /* if (capi_r_as_array == NULL) ... else of r */
    /* End of cleaning variable r */
/*end of cleanupfrompyobj*/
    if (capi_buildvalue == NULL) {
/*routdebugfailure*/
    } else {
/*routdebugleave*/
    }
    CFUNCSMESS("Freeing memory.\n");
/*freemem*/
#ifdef F2PY_REPORT_ATEXIT
f2py_stop_clock();
#endif
    return capi_buildvalue;
}
/******************************** end of damp ********************************/
/*eof body*/

/******************* See f2py2e/f90mod_rules.py: buildhooks *******************/

static FortranDataDef f2py_embsolve_def[] = {
  {"get_by_ijk",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_get_by_ijk,doc_f2py_rout_embsolvec_embsolve_get_by_ijk},
  {"average_by_ijk",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_average_by_ijk,doc_f2py_rout_embsolvec_embsolve_average_by_ijk},
  {"set_by_ijk",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_set_by_ijk,doc_f2py_rout_embsolvec_embsolve_set_by_ijk},
  {"node_to_face",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_node_to_face,doc_f2py_rout_embsolvec_embsolve_node_to_face},
  {"node_to_cell",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_node_to_cell,doc_f2py_rout_embsolvec_embsolve_node_to_cell},
  {"cell_to_node",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_cell_to_node,doc_f2py_rout_embsolvec_embsolve_cell_to_node},
  {"cell_to_face",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_cell_to_face,doc_f2py_rout_embsolvec_embsolve_cell_to_face},
  {"div",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_div,doc_f2py_rout_embsolvec_embsolve_div},
  {"grad",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_grad,doc_f2py_rout_embsolvec_embsolve_grad},
  {"smooth",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_smooth,doc_f2py_rout_embsolvec_embsolve_smooth},
  {"shear_stress",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_shear_stress,doc_f2py_rout_embsolvec_embsolve_shear_stress},
  {"viscous_flux",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_viscous_flux,doc_f2py_rout_embsolvec_embsolve_viscous_flux},
  {"wall_function",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_wall_function,doc_f2py_rout_embsolvec_embsolve_wall_function},
  {"zero_wall_stress",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_zero_wall_stress,doc_f2py_rout_embsolvec_embsolve_zero_wall_stress},
  {"set_fluxes",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_set_fluxes,doc_f2py_rout_embsolvec_embsolve_set_fluxes},
  {"add_pressure_fluxes",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_add_pressure_fluxes,doc_f2py_rout_embsolvec_embsolve_add_pressure_fluxes},
  {"sum_fluxes",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_sum_fluxes,doc_f2py_rout_embsolvec_embsolve_sum_fluxes},
  {"zero_wall_fluxes",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_zero_wall_fluxes,doc_f2py_rout_embsolvec_embsolve_zero_wall_fluxes},
  {"multigrid_integrate",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_multigrid_integrate,doc_f2py_rout_embsolvec_embsolve_multigrid_integrate},
  {"set_timesteps",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_set_timesteps,doc_f2py_rout_embsolvec_embsolve_set_timesteps},
  {"multigrid_indices",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_multigrid_indices,doc_f2py_rout_embsolvec_embsolve_multigrid_indices},
  {"multigrid_volumes",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_multigrid_volumes,doc_f2py_rout_embsolvec_embsolve_multigrid_volumes},
  {"residual",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_residual,doc_f2py_rout_embsolvec_embsolve_residual},
  {"step",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_step,doc_f2py_rout_embsolvec_embsolve_step},
  {"secondary",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_secondary,doc_f2py_rout_embsolvec_embsolve_secondary},
  {"damp",-1,{{-1}},0,0,NULL,(void *)f2py_rout_embsolvec_embsolve_damp,doc_f2py_rout_embsolvec_embsolve_damp},
  {NULL}
};

static void f2py_setup_embsolve(char *get_by_ijk,char *average_by_ijk,char *set_by_ijk,char *node_to_face,char *node_to_cell,char *cell_to_node,char *cell_to_face,char *div,char *grad,char *smooth,char *shear_stress,char *viscous_flux,char *wall_function,char *zero_wall_stress,char *set_fluxes,char *add_pressure_fluxes,char *sum_fluxes,char *zero_wall_fluxes,char *multigrid_integrate,char *set_timesteps,char *multigrid_indices,char *multigrid_volumes,char *residual,char *step,char *secondary,char *damp) {
  int i_f2py=0;
  f2py_embsolve_def[i_f2py++].data = get_by_ijk;
  f2py_embsolve_def[i_f2py++].data = average_by_ijk;
  f2py_embsolve_def[i_f2py++].data = set_by_ijk;
  f2py_embsolve_def[i_f2py++].data = node_to_face;
  f2py_embsolve_def[i_f2py++].data = node_to_cell;
  f2py_embsolve_def[i_f2py++].data = cell_to_node;
  f2py_embsolve_def[i_f2py++].data = cell_to_face;
  f2py_embsolve_def[i_f2py++].data = div;
  f2py_embsolve_def[i_f2py++].data = grad;
  f2py_embsolve_def[i_f2py++].data = smooth;
  f2py_embsolve_def[i_f2py++].data = shear_stress;
  f2py_embsolve_def[i_f2py++].data = viscous_flux;
  f2py_embsolve_def[i_f2py++].data = wall_function;
  f2py_embsolve_def[i_f2py++].data = zero_wall_stress;
  f2py_embsolve_def[i_f2py++].data = set_fluxes;
  f2py_embsolve_def[i_f2py++].data = add_pressure_fluxes;
  f2py_embsolve_def[i_f2py++].data = sum_fluxes;
  f2py_embsolve_def[i_f2py++].data = zero_wall_fluxes;
  f2py_embsolve_def[i_f2py++].data = multigrid_integrate;
  f2py_embsolve_def[i_f2py++].data = set_timesteps;
  f2py_embsolve_def[i_f2py++].data = multigrid_indices;
  f2py_embsolve_def[i_f2py++].data = multigrid_volumes;
  f2py_embsolve_def[i_f2py++].data = residual;
  f2py_embsolve_def[i_f2py++].data = step;
  f2py_embsolve_def[i_f2py++].data = secondary;
  f2py_embsolve_def[i_f2py++].data = damp;
}
extern void F_FUNC(f2pyinitembsolve,F2PYINITEMBSOLVE)(void (*)(char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *,char *));
static void f2py_init_embsolve(void) {
  F_FUNC(f2pyinitembsolve,F2PYINITEMBSOLVE)(f2py_setup_embsolve);
}

/*need_f90modhooks*/

/************** See f2py2e/rules.py: module_rules['modulebody'] **************/

/******************* See f2py2e/common_rules.py: buildhooks *******************/

/*need_commonhooks*/

/**************************** See f2py2e/rules.py ****************************/

static FortranDataDef f2py_routine_defs[] = {
    {"node_to_face",-1,{{-1}},0,0,(char *)  F_FUNC_US(node_to_face,NODE_TO_FACE),  (f2py_init_func)f2py_rout_embsolvec_node_to_face,doc_f2py_rout_embsolvec_node_to_face},
    {"node_to_cell",-1,{{-1}},0,0,(char *)  F_FUNC_US(node_to_cell,NODE_TO_CELL),  (f2py_init_func)f2py_rout_embsolvec_node_to_cell,doc_f2py_rout_embsolvec_node_to_cell},
    {"cell_to_node",-1,{{-1}},0,0,(char *)  F_FUNC_US(cell_to_node,CELL_TO_NODE),  (f2py_init_func)f2py_rout_embsolvec_cell_to_node,doc_f2py_rout_embsolvec_cell_to_node},
    {"cell_to_face",-1,{{-1}},0,0,(char *)  F_FUNC_US(cell_to_face,CELL_TO_FACE),  (f2py_init_func)f2py_rout_embsolvec_cell_to_face,doc_f2py_rout_embsolvec_cell_to_face},
    {"set_fluxes",-1,{{-1}},0,0,(char *)  F_FUNC_US(set_fluxes,SET_FLUXES),  (f2py_init_func)f2py_rout_embsolvec_set_fluxes,doc_f2py_rout_embsolvec_set_fluxes},
    {"add_pressure_fluxes",-1,{{-1}},0,0,(char *)  F_FUNC_US(add_pressure_fluxes,ADD_PRESSURE_FLUXES),  (f2py_init_func)f2py_rout_embsolvec_add_pressure_fluxes,doc_f2py_rout_embsolvec_add_pressure_fluxes},
    {"sum_fluxes",-1,{{-1}},0,0,(char *)  F_FUNC_US(sum_fluxes,SUM_FLUXES),  (f2py_init_func)f2py_rout_embsolvec_sum_fluxes,doc_f2py_rout_embsolvec_sum_fluxes},
    {"zero_wall_fluxes",-1,{{-1}},0,0,(char *)  F_FUNC_US(zero_wall_fluxes,ZERO_WALL_FLUXES),  (f2py_init_func)f2py_rout_embsolvec_zero_wall_fluxes,doc_f2py_rout_embsolvec_zero_wall_fluxes},
    {"get_by_ijk",-1,{{-1}},0,0,(char *)  F_FUNC_US(get_by_ijk,GET_BY_IJK),  (f2py_init_func)f2py_rout_embsolvec_get_by_ijk,doc_f2py_rout_embsolvec_get_by_ijk},
    {"average_by_ijk",-1,{{-1}},0,0,(char *)  F_FUNC_US(average_by_ijk,AVERAGE_BY_IJK),  (f2py_init_func)f2py_rout_embsolvec_average_by_ijk,doc_f2py_rout_embsolvec_average_by_ijk},
    {"set_by_ijk",-1,{{-1}},0,0,(char *)  F_FUNC_US(set_by_ijk,SET_BY_IJK),  (f2py_init_func)f2py_rout_embsolvec_set_by_ijk,doc_f2py_rout_embsolvec_set_by_ijk},
    {"multigrid_integrate",-1,{{-1}},0,0,(char *)  F_FUNC_US(multigrid_integrate,MULTIGRID_INTEGRATE),  (f2py_init_func)f2py_rout_embsolvec_multigrid_integrate,doc_f2py_rout_embsolvec_multigrid_integrate},
    {"set_timesteps",-1,{{-1}},0,0,(char *)  F_FUNC_US(set_timesteps,SET_TIMESTEPS),  (f2py_init_func)f2py_rout_embsolvec_set_timesteps,doc_f2py_rout_embsolvec_set_timesteps},
    {"multigrid_indices",-1,{{-1}},0,0,(char *)  F_FUNC_US(multigrid_indices,MULTIGRID_INDICES),  (f2py_init_func)f2py_rout_embsolvec_multigrid_indices,doc_f2py_rout_embsolvec_multigrid_indices},
    {"multigrid_volumes",-1,{{-1}},0,0,(char *)  F_FUNC_US(multigrid_volumes,MULTIGRID_VOLUMES),  (f2py_init_func)f2py_rout_embsolvec_multigrid_volumes,doc_f2py_rout_embsolvec_multigrid_volumes},
    {"div",-1,{{-1}},0,0,(char *)  F_FUNC(div,DIV),  (f2py_init_func)f2py_rout_embsolvec_div,doc_f2py_rout_embsolvec_div},
    {"grad",-1,{{-1}},0,0,(char *)  F_FUNC(grad,GRAD),  (f2py_init_func)f2py_rout_embsolvec_grad,doc_f2py_rout_embsolvec_grad},
    {"smooth",-1,{{-1}},0,0,(char *)  F_FUNC(smooth,SMOOTH),  (f2py_init_func)f2py_rout_embsolvec_smooth,doc_f2py_rout_embsolvec_smooth},
    {"shear_stress",-1,{{-1}},0,0,(char *)  F_FUNC_US(shear_stress,SHEAR_STRESS),  (f2py_init_func)f2py_rout_embsolvec_shear_stress,doc_f2py_rout_embsolvec_shear_stress},
    {"viscous_flux",-1,{{-1}},0,0,(char *)  F_FUNC_US(viscous_flux,VISCOUS_FLUX),  (f2py_init_func)f2py_rout_embsolvec_viscous_flux,doc_f2py_rout_embsolvec_viscous_flux},
    {"wall_function",-1,{{-1}},0,0,(char *)  F_FUNC_US(wall_function,WALL_FUNCTION),  (f2py_init_func)f2py_rout_embsolvec_wall_function,doc_f2py_rout_embsolvec_wall_function},
    {"zero_wall_stress",-1,{{-1}},0,0,(char *)  F_FUNC_US(zero_wall_stress,ZERO_WALL_STRESS),  (f2py_init_func)f2py_rout_embsolvec_zero_wall_stress,doc_f2py_rout_embsolvec_zero_wall_stress},

/*eof routine_defs*/
    {NULL}
};

static PyMethodDef f2py_module_methods[] = {

    {NULL,NULL}
};

static struct PyModuleDef moduledef = {
    PyModuleDef_HEAD_INIT,
    "embsolvec",
    NULL,
    -1,
    f2py_module_methods,
    NULL,
    NULL,
    NULL,
    NULL
};

PyMODINIT_FUNC PyInit_embsolvec(void) {
    int i;
    PyObject *m,*d, *s, *tmp;
    m = embsolvec_module = PyModule_Create(&moduledef);
    Py_SET_TYPE(&PyFortran_Type, &PyType_Type);
    import_array();
    if (PyErr_Occurred())
        {PyErr_SetString(PyExc_ImportError, "can't initialize module embsolvec (failed to import numpy)"); return m;}
    d = PyModule_GetDict(m);
    s = PyUnicode_FromString("2.1.3");
    PyDict_SetItemString(d, "__version__", s);
    Py_DECREF(s);
    s = PyUnicode_FromString(
        "This module 'embsolvec' is auto-generated with f2py (version:2.1.3).\nFunctions:\n"
"    node_to_face(xn,xi,xj,xk,ni=shape(xn, 0),nj=shape(xn, 1),nk=shape(xn, 2),np=shape(xn, 3))\n"
"    node_to_cell(xn,xc,ni=shape(xn, 0),nj=shape(xn, 1),nk=shape(xn, 2),np=shape(xn, 3))\n"
"    cell_to_node(xc,xn,ni=1 + shape(xc, 0),nj=1 + shape(xc, 1),nk=1 + shape(xc, 2),np=shape(xc, 3))\n"
"    cell_to_face(xc,xi,xj,xk,ni=1 + shape(xc, 0),nj=1 + shape(xc, 1),nk=1 + shape(xc, 2),np=shape(xc, 3))\n"
"    set_fluxes(cons,vxrt,p,ho,omega,r,ri,rj,rk,ijk_iwall,ijk_jwall,ijk_kwall,fluxi,fluxj,fluxk,ni=shape(cons, 0),nj=shape(cons, 1),nk=shape(cons, 2),niwall=shape(ijk_iwall, 1),njwall=shape(ijk_jwall, 1),nkwall=shape(ijk_kwall, 1))\n"
"    flux = add_pressure_fluxes(p,r,omega,ni=shape(p, 0),nj=shape(p, 1),nk=shape(p, 2))\n"
"    fsum = sum_fluxes(fi,fj,fk,dai,daj,dak,ni=shape(fi, 0),nj=1 + shape(fi, 1),nk=1 + shape(fi, 2),np=shape(fi, 4))\n"
"    zero_wall_fluxes(x,ijk,ni=shape(x, 0),nj=shape(x, 1),nk=shape(x, 2),nc=shape(x, 3),npt=shape(ijk, 1))\n"
"    xu = get_by_ijk(x,ijk,ni=shape(x, 0),nj=shape(x, 1),nk=shape(x, 2),nv=shape(x, 3),npt=shape(ijk, 1))\n"
"    average_by_ijk(x1,x2,ijk1,ijk2,ni1=shape(x1, 0),nj1=shape(x1, 1),nk1=shape(x1, 2),ni2=shape(x2, 0),nj2=shape(x2, 1),nk2=shape(x2, 2),npt=shape(ijk1, 1),nv=shape(x1, 3))\n"
"    set_by_ijk(x,xu,ijk,ni=shape(x, 0),nj=shape(x, 1),nk=shape(x, 2),nv=shape(x, 3),npt=shape(ijk, 1),nb=shape(xu, 0))\n"
"    multigrid_integrate(fsum,du,ijkmg,dt_vol,fmgrid,ni=shape(fsum, 0),nj=shape(fsum, 1),nk=shape(fsum, 2),np=shape(fsum, 3),nlev=shape(ijkmg, 4))\n"
"    set_timesteps(dt_vol,vol,a,vxrt,u,dlmin,ijkmg,cfl,ni=1 + shape(dt_vol, 0),nj=1 + shape(dt_vol, 1),nk=1 + shape(dt_vol, 2),nlev=-1 + shape(dt_vol, 3))\n"
"    multigrid_indices(ijkmg,nb,ni=shape(ijkmg, 1),nj=shape(ijkmg, 2),nk=shape(ijkmg, 3),nlev=shape(ijkmg, 4))\n"
"    multigrid_volumes(volmg,vol,ijkmg,ni=shape(volmg, 0),nj=shape(volmg, 1),nk=shape(volmg, 2),nlev=-1 + shape(volmg, 3))\n"
"    div(x,divx,vol,dai,daj,dak,ni=shape(x, 0),nj=shape(x, 1),nk=shape(x, 2))\n"
"    grad(x,gradx,vol,dai,daj,dak,r,rc,ni=shape(x, 0),nj=shape(x, 1),nk=shape(x, 2))\n"
"    smooth(x,p,l,sf4,sf2,sf2min,ni=shape(x, 0),nj=shape(x, 1),nk=shape(x, 2),np=shape(x, 3))\n"
"    shear_stress(cons,v,t,mu,cp,pr_turb,xlength,vol,dai,daj,dak,omega,r,rc,ri,rj,rk,ijk_iwall,ijk_jwall,ijk_kwall,dw_iwall,dw_jwall,dw_kwall,da_iwall,da_jwall,da_kwall,fvisc,ni=shape(cons, 0),nj=shape(cons, 1),nk=shape(cons, 2),niwall=shape(ijk_iwall, 1),njwall=shape(ijk_jwall, 1),nkwall=shape(ijk_kwall, 1))\n"
"    f = viscous_flux(tau,q,v,r,ni=shape(tau, 0),nj=shape(tau, 1),nk=shape(tau, 2))\n"
"    wall_function(f,ijk,dirn,cons,omega,r,dw,da,mu,ni=1 + shape(f, 0),nj=1 + shape(f, 1),nk=1 + shape(f, 2),nwall=shape(ijk, 1))\n"
"    zero_wall_stress(tau,ijk,ni=shape(tau, 0),nj=shape(tau, 1),nk=shape(tau, 2),nwall=shape(ijk, 1),nd=shape(tau, 3))\n"
"Fortran 90/95 modules:\n""  embsolve --- get_by_ijk(),average_by_ijk(),set_by_ijk(),node_to_face(),node_to_cell(),cell_to_node(),cell_to_face(),div(),grad(),smooth(),shear_stress(),viscous_flux(),wall_function(),zero_wall_stress(),set_fluxes(),add_pressure_fluxes(),sum_fluxes(),zero_wall_fluxes(),multigrid_integrate(),set_timesteps(),multigrid_indices(),multigrid_volumes(),residual(),step(),secondary(),damp()"".");
    PyDict_SetItemString(d, "__doc__", s);
    Py_DECREF(s);
    s = PyUnicode_FromString("2.1.3");
    PyDict_SetItemString(d, "__f2py_numpy_version__", s);
    Py_DECREF(s);
    embsolvec_error = PyErr_NewException ("embsolvec.error", NULL, NULL);
    /*
     * Store the error object inside the dict, so that it could get deallocated.
     * (in practice, this is a module, so it likely will not and cannot.)
     */
    PyDict_SetItemString(d, "_embsolvec_error", embsolvec_error);
    Py_DECREF(embsolvec_error);
    for(i=0;f2py_routine_defs[i].name!=NULL;i++) {
        tmp = PyFortranObject_NewAsAttr(&f2py_routine_defs[i]);
        PyDict_SetItemString(d, f2py_routine_defs[i].name, tmp);
        Py_DECREF(tmp);
    }
















































/*eof initf2pywraphooks*/
  PyDict_SetItemString(d, "embsolve", PyFortranObject_New(f2py_embsolve_def,f2py_init_embsolve));
/*eof initf90modhooks*/

/*eof initcommonhooks*/


#if Py_GIL_DISABLED
    // signal whether this module supports running with the GIL disabled
    PyUnstable_Module_SetGIL(m , Py_MOD_GIL_USED);
#endif

#ifdef F2PY_REPORT_ATEXIT
    if (! PyErr_Occurred())
        on_exit(f2py_report_on_exit,(void*)"embsolvec");
#endif
    return m;
}
#ifdef __cplusplus
}
#endif
